<?php
namespace admin;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'AdminBlock' => '/blocks/admin_block.class.php',
         'AdminPortalHome' => '/blocks/type/portal_home.class.php',
         'AdminSystemAnnouncements' => '/blocks/type/system_announcements.class.php',
         'AdminDataManager' => '/lib/admin_data_manager.class.php',
         'AdminDataManagerInterface' => '/lib/admin_data_manager_interface.class.php',
         'AdminRights' => '/lib/admin_rights.class.php',
         'ConfigurationForm' => '/lib/configuration_form.class.php',
         'FeedbackPublication' => '/lib/feedback_publication.class.php',
         'Language' => '/lib/language.class.php',
         'MessageTemplate' => '/lib/message_template.class.php',
         'RemotePackage' => '/lib/remote_package.class.php',
         'ResourceCacheManagerForm' => '/lib/resource_cache_manager_form.class.php',
         'SystemAnnouncementPublication' => '/lib/system_announcement_publication.class.php',
         'SystemAnnouncementPublicationForm' => '/lib/system_announcement_publication_form.class.php',
         'Validation' => '/lib/validation.class.php',
         'AdminManager' => '/lib/admin_manager/admin_manager.class.php',
         'AdminSearchForm' => '/lib/admin_manager/admin_search_form.class.php',
         'AdminManagerBrowserComponent' => '/lib/admin_manager/component/browser.class.php',
         'AdminManagerCategoryManagerComponent' => '/lib/admin_manager/component/category_manager.class.php',
         'AdminManagerConfigurerComponent' => '/lib/admin_manager/component/configurer.class.php',
         'AdminManagerDiagnoserComponent' => '/lib/admin_manager/component/diagnoser.class.php',
         'AdminManagerImporterComponent' => '/lib/admin_manager/component/importer.class.php',
         'AdminManagerLanguageComponent' => '/lib/admin_manager/component/language.class.php',
         'AdminManagerLogViewerComponent' => '/lib/admin_manager/component/log_viewer.class.php',
         'AdminManagerPackagerComponent' => '/lib/admin_manager/component/packager.class.php',
         'AdminManagerResourceCacheManagerComponent' => '/lib/admin_manager/component/resource_cache_manager.class.php',
         'AdminManagerRightsEditorComponent' => '/lib/admin_manager/component/rights_editor.class.php',
         'AdminManagerSystemAnnouncementBrowserComponent' => '/lib/admin_manager/component/system_announcement_browser.class.php',
         'AdminManagerSystemAnnouncementCreatorComponent' => '/lib/admin_manager/component/system_announcement_creator.class.php',
         'AdminManagerSystemAnnouncementDeleterComponent' => '/lib/admin_manager/component/system_announcement_deleter.class.php',
         'AdminManagerSystemAnnouncementEditorComponent' => '/lib/admin_manager/component/system_announcement_editor.class.php',
         'AdminManagerSystemAnnouncementHiderComponent' => '/lib/admin_manager/component/system_announcement_hider.class.php',
         'AdminManagerSystemAnnouncementViewerComponent' => '/lib/admin_manager/component/system_announcement_viewer.class.php',
         'AdminManagerSystemAnnouncementViewerAdminComponent' => '/lib/admin_manager/component/system_announcement_viewer_admin.class.php',
         'AdminManagerWhoisOnlineComponent' => '/lib/admin_manager/component/whois_online.class.php',
         'SystemAnnouncementPublicationBrowserTable' => '/lib/admin_manager/component/system_announcement_publication_browser/system_announcement_publication_browser_table.class.php',
         'SystemAnnouncementPublicationBrowserTableCellRenderer' => '/lib/admin_manager/component/system_announcement_publication_browser/system_announcement_publication_browser_table_cell_renderer.class.php',
         'SystemAnnouncementPublicationBrowserTableColumnModel' => '/lib/admin_manager/component/system_announcement_publication_browser/system_announcement_publication_browser_table_column_model.class.php',
         'SystemAnnouncementPublicationBrowserTableDataProvider' => '/lib/admin_manager/component/system_announcement_publication_browser/system_announcement_publication_browser_table_data_provider.class.php',
         'WhoisOnlineTable' => '/lib/admin_manager/component/whois_online_table/whois_online_table.class.php',
         'WhoisOnlineTableCellRenderer' => '/lib/admin_manager/component/whois_online_table/whois_online_table_cell_renderer.class.php',
         'WhoisOnlineTableColumnModel' => '/lib/admin_manager/component/whois_online_table/whois_online_table_column_model.class.php',
         'WhoisOnlineTableDataProvider' => '/lib/admin_manager/component/whois_online_table/whois_online_table_data_provider.class.php',
         'SystemAnnouncerMultipublisher' => '/lib/announcer/system_announcement_multipublisher.class.php',
         'AdminCategory' => '/lib/category_manager/admin_category.class.php',
         'AdminCategoryManager' => '/lib/category_manager/admin_category_manager.class.php',
         'DoctrineAdminDataManager' => '/lib/data_manager/doctrine.class.php',
         'Mdb2AdminDataManager' => '/lib/data_manager/mdb2.class.php',
         'PackageTypeLinksMenu' => '/lib/menu/package_type_links.class.php',
         'PackageTypeSettingsMenu' => '/lib/menu/package_type_settings.class.php',
         'PackageAction' => '/lib/package_action/package_action.class.php',
         'PackageSourceAction' => '/lib/package_action/package_source_action.class.php',
         'PackageInstaller' => '/lib/package_installer/package_installer.class.php',
         'PackageInstallerType' => '/lib/package_installer/package_installer_type.class.php',
         'PackageInstallerApplicationType' => '/lib/package_installer/type/application.class.php',
         'PackageInstallerContentObjectType' => '/lib/package_installer/type/content_object.class.php',
         'PackageInstallerExternalRepositoryManagerType' => '/lib/package_installer/type/external_repository_manager.class.php',
         'PackageInstallerLanguageType' => '/lib/package_installer/type/language.class.php',
         'PackageInstallerThemeType' => '/lib/package_installer/type/theme.class.php',
         'PackageInstallerVideoConferencingManagerType' => '/lib/package_installer/type/video_conferencing_manager.class.php',
         'PackageDependency' => '/lib/package_manager/package_dependency.class.php',
         'PackageDependencyVerifier' => '/lib/package_manager/package_dependency_verifier.class.php',
         'PackageManager' => '/lib/package_manager/package_manager.class.php',
         'PackageManagerActivatorComponent' => '/lib/package_manager/component/activator.class.php',
         'PackageManagerBrowserComponent' => '/lib/package_manager/component/browser.class.php',
         'PackageManagerDeactivatorComponent' => '/lib/package_manager/component/deactivator.class.php',
         'PackageManagerInstallerComponent' => '/lib/package_manager/component/installer.class.php',
         'PackageManagerLocalComponent' => '/lib/package_manager/component/local.class.php',
         'PackageManagerRemoteComponent' => '/lib/package_manager/component/remote.class.php',
         'PackageManagerRemoverComponent' => '/lib/package_manager/component/remover.class.php',
         'PackageManagerSynchroniserComponent' => '/lib/package_manager/component/synchroniser.class.php',
         'PackageManagerUpdaterComponent' => '/lib/package_manager/component/updater.class.php',
         'PackageManagerViewerComponent' => '/lib/package_manager/component/viewer.class.php',
         'LocalPackageBrowser' => '/lib/package_manager/component/local_package_browser/local_package_browser.class.php',
         'LocalPackageBrowserCellRenderer' => '/lib/package_manager/component/local_package_browser/local_package_browser_cell_renderer.class.php',
         'RegistrationBrowser' => '/lib/package_manager/component/registration_browser/registration_browser.class.php',
         'RegistrationBrowserTable' => '/lib/package_manager/component/registration_browser/registration_browser_table.class.php',
         'RegistrationBrowserTableCellRenderer' => '/lib/package_manager/component/registration_browser/registration_browser_table_cell_renderer.class.php',
         'RegistrationBrowserTableColumnModel' => '/lib/package_manager/component/registration_browser/registration_browser_table_column_model.class.php',
         'RegistrationBrowserTableDataProvider' => '/lib/package_manager/component/registration_browser/registration_browser_table_data_provider.class.php',
         'ApplicationRegistrationBrowserTable' => '/lib/package_manager/component/registration_browser/application/application_registration_browser_table.class.php',
         'ApplicationRegistrationBrowserTableCellRenderer' => '/lib/package_manager/component/registration_browser/application/application_registration_browser_table_cell_renderer.class.php',
         'ApplicationRegistrationBrowserTableColumnModel' => '/lib/package_manager/component/registration_browser/application/application_registration_browser_table_column_model.class.php',
         'ApplicationRegistrationBrowserTableDataProvider' => '/lib/package_manager/component/registration_browser/application/application_registration_browser_table_data_provider.class.php',
         'ContentObjectRegistrationBrowserTable' => '/lib/package_manager/component/registration_browser/content_object/content_object_registration_browser_table.class.php',
         'ContentObjectRegistrationBrowserTableCellRenderer' => '/lib/package_manager/component/registration_browser/content_object/content_object_registration_browser_table_cell_renderer.class.php',
         'ContentObjectRegistrationBrowserTableColumnModel' => '/lib/package_manager/component/registration_browser/content_object/content_object_registration_browser_table_column_model.class.php',
         'ContentObjectRegistrationBrowserTableDataProvider' => '/lib/package_manager/component/registration_browser/content_object/content_object_registration_browser_table_data_provider.class.php',
         'CoreRegistrationBrowserTable' => '/lib/package_manager/component/registration_browser/core/core_registration_browser_table.class.php',
         'CoreRegistrationBrowserTableCellRenderer' => '/lib/package_manager/component/registration_browser/core/core_registration_browser_table_cell_renderer.class.php',
         'CoreRegistrationBrowserTableColumnModel' => '/lib/package_manager/component/registration_browser/core/core_registration_browser_table_column_model.class.php',
         'CoreRegistrationBrowserTableDataProvider' => '/lib/package_manager/component/registration_browser/core/core_registration_browser_table_data_provider.class.php',
         'ExtensionRegistrationBrowserTable' => '/lib/package_manager/component/registration_browser/extension/extension_registration_browser_table.class.php',
         'ExtensionRegistrationBrowserTableCellRenderer' => '/lib/package_manager/component/registration_browser/extension/extension_registration_browser_table_cell_renderer.class.php',
         'ExtensionRegistrationBrowserTableColumnModel' => '/lib/package_manager/component/registration_browser/extension/extension_registration_browser_table_column_model.class.php',
         'ExtensionRegistrationBrowserTableDataProvider' => '/lib/package_manager/component/registration_browser/extension/extension_registration_browser_table_data_provider.class.php',
         'ExternalRepositoryManagerRegistrationBrowserTable' => '/lib/package_manager/component/registration_browser/external_repository_manager/external_repository_manager_registration_browser_table.class.php',
         'ExternalRepositoryManagerRegistrationBrowserTableCellRenderer' => '/lib/package_manager/component/registration_browser/external_repository_manager/external_repository_manager_registration_browser_table_cell_renderer.class.php',
         'ExternalRepositoryManagerRegistrationBrowserTableColumnModel' => '/lib/package_manager/component/registration_browser/external_repository_manager/external_repository_manager_registration_browser_table_column_model.class.php',
         'ExternalRepositoryManagerRegistrationBrowserTableDataProvider' => '/lib/package_manager/component/registration_browser/external_repository_manager/external_repository_manager_registration_browser_table_data_provider.class.php',
         'LanguageRegistrationBrowserTable' => '/lib/package_manager/component/registration_browser/language/language_registration_browser_table.class.php',
         'LanguageRegistrationBrowserTableCellRenderer' => '/lib/package_manager/component/registration_browser/language/language_registration_browser_table_cell_renderer.class.php',
         'LanguageRegistrationBrowserTableColumnModel' => '/lib/package_manager/component/registration_browser/language/language_registration_browser_table_column_model.class.php',
         'LanguageRegistrationBrowserTableDataProvider' => '/lib/package_manager/component/registration_browser/language/language_registration_browser_table_data_provider.class.php',
         'LibraryRegistrationBrowserTable' => '/lib/package_manager/component/registration_browser/library/library_registration_browser_table.class.php',
         'LibraryRegistrationBrowserTableCellRenderer' => '/lib/package_manager/component/registration_browser/library/library_registration_browser_table_cell_renderer.class.php',
         'LibraryRegistrationBrowserTableColumnModel' => '/lib/package_manager/component/registration_browser/library/library_registration_browser_table_column_model.class.php',
         'LibraryRegistrationBrowserTableDataProvider' => '/lib/package_manager/component/registration_browser/library/library_registration_browser_table_data_provider.class.php',
         'VideoConferencingManagerRegistrationBrowserTable' => '/lib/package_manager/component/registration_browser/video_conferencing_manager/video_conferencing_manager_registration_browser_table.class.php',
         'VideoConferencingManagerRegistrationBrowserTableCellRenderer' => '/lib/package_manager/component/registration_browser/video_conferencing_manager/video_conferencing_manager_registration_browser_table_cell_renderer.class.php',
         'VideoConferencingManagerRegistrationBrowserTableColumnModel' => '/lib/package_manager/component/registration_browser/video_conferencing_manager/video_conferencing_manager_registration_browser_table_column_model.class.php',
         'VideoConferencingManagerRegistrationBrowserTableDataProvider' => '/lib/package_manager/component/registration_browser/video_conferencing_manager/video_conferencing_manager_registration_browser_table_data_provider.class.php',
         'RemotePackageBrowserTable' => '/lib/package_manager/component/remote_package_browser/remote_package_browser_table.class.php',
         'RemotePackageBrowserTableCellRenderer' => '/lib/package_manager/component/remote_package_browser/remote_package_browser_table_cell_renderer.class.php',
         'RemotePackageBrowserTableColumnModel' => '/lib/package_manager/component/remote_package_browser/remote_package_browser_table_column_model.class.php',
         'RemotePackageBrowserTableDataProvider' => '/lib/package_manager/component/remote_package_browser/remote_package_browser_table_data_provider.class.php',
         'ApplicationPackageDependency' => '/lib/package_manager/dependency/application.class.php',
         'ChamiloPackageDependency' => '/lib/package_manager/dependency/chamilo.class.php',
         'ContentObjectPackageDependency' => '/lib/package_manager/dependency/content_object.class.php',
         'CorePackageDependency' => '/lib/package_manager/dependency/core.class.php',
         'ExtensionPackageDependency' => '/lib/package_manager/dependency/extension.class.php',
         'ExtensionsPackageDependency' => '/lib/package_manager/dependency/extensions.class.php',
         'ExternalRepositoryManagerPackageDependency' => '/lib/package_manager/dependency/external_repository_manager.class.php',
         'LibraryPackageDependency' => '/lib/package_manager/dependency/library.class.php',
         'ServerPackageDependency' => '/lib/package_manager/dependency/server.class.php',
         'SettingsPackageDependency' => '/lib/package_manager/dependency/setting.class.php',
         'VideoConferencingManagerPackageDependency' => '/lib/package_manager/dependency/video_conferencing_manager.class.php',
         'PackageRemover' => '/lib/package_remover/package_remover.class.php',
         'PackageApplicationRemover' => '/lib/package_remover/type/application.class.php',
         'PackageContentObjectRemover' => '/lib/package_remover/type/content_object.class.php',
         'PackageLanguageRemover' => '/lib/package_remover/type/language.class.php',
         'PackageSource' => '/lib/package_source/package_source.class.php',
         'PackageArchiveSource' => '/lib/package_source/source/archive.class.php',
         'PackageLocalSource' => '/lib/package_source/source/local.class.php',
         'PackageRemoteSource' => '/lib/package_source/source/remote.class.php',
         'PackageZippedSource' => '/lib/package_source/source/zipped.class.php',
         'PackageInfo' => '/lib/package_source/source/package_info/package_info.class.php',
         'ApplicationPackageInfo' => '/lib/package_source/source/package_info/type/application.class.php',
         'ContentObjectPackageInfo' => '/lib/package_source/source/package_info/type/content_object.class.php',
         'CorePackageInfo' => '/lib/package_source/source/package_info/type/core.class.php',
         'ExtensionPackageInfo' => '/lib/package_source/source/package_info/type/extension.class.php',
         'ExternalRepositoryManagerPackageInfo' => '/lib/package_source/source/package_info/type/external_repository_manager.class.php',
         'LanguagePackageInfo' => '/lib/package_source/source/package_info/type/language.class.php',
         'LibraryPackageInfo' => '/lib/package_source/source/package_info/type/library.class.php',
         'ThemePackageInfo' => '/lib/package_source/source/package_info/type/theme.class.php',
         'VideoConferencingManagerPackageInfo' => '/lib/package_source/source/package_info/type/video_conferencing_manager.class.php',
         'PackageUpdater' => '/lib/package_updater/package_updater.class.php',
         'PackageUpdaterType' => '/lib/package_updater/package_updater_type.class.php',
         'PackageUpdaterApplicationType' => '/lib/package_updater/type/application.class.php',
         'PackageUpdaterContentObjectType' => '/lib/package_updater/type/content_object.class.php',
         'RegistrationDisplay' => '/lib/registration_viewer/registration_display.class.php',
         'ApplicationRegistrationDisplay' => '/lib/registration_viewer/type/application.class.php',
         'ContentObjectRegistrationDisplay' => '/lib/registration_viewer/type/content_object.class.php',
         'CoreRegistrationDisplay' => '/lib/registration_viewer/type/core.class.php',
         'ExtensionRegistrationDisplay' => '/lib/registration_viewer/type/extension.class.php',
         'ExternalRepositoryManagerRegistrationDisplay' => '/lib/registration_viewer/type/external_repository_manager.class.php',
         'LanguageRegistrationDisplay' => '/lib/registration_viewer/type/language.class.php',
         'LibraryRegistrationDisplay' => '/lib/registration_viewer/type/library.class.php',
         'ThemeRegistrationDisplay' => '/lib/registration_viewer/type/theme.class.php',
         'VideoConferencingManagerRegistrationDisplay' => '/lib/registration_viewer/type/video_conferencing_manager.class.php',
         'DefaultSystemAnnouncementPublicationTableCellRenderer' => '/lib/system_announcement_publication_table/default_system_announcement_publication_table_cell_renderer.class.php',
         'DefaultSystemAnnouncementPublicationTableColumnModel' => '/lib/system_announcement_publication_table/default_system_announcement_publication_table_column_model.class.php',
         'DefaultRegistrationTableCellRenderer' => '/lib/tables/registration_table/default_registration_table_cell_renderer.class.php',
         'DefaultRegistrationTableColumnModel' => '/lib/tables/registration_table/default_registration_table_column_model.class.php',
         'DefaultRemotePackageTableCellRenderer' => '/lib/tables/remote_package_table/default_remote_package_table_cell_renderer.class.php',
         'DefaultRemotePackageTableColumnModel' => '/lib/tables/remote_package_table/default_remote_package_table_column_model.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'AdminInstaller' => '/package/install/admin_installer.class.php',
         'AdminReportingBlock' => '/reporting/admin_reporting_block.class.php',
         'AdminMostUsedCoreApplicationsReportingBlock' => '/reporting/blocks/admin_most_used_core_applications_reporting_block.class.php',
         'AdminMostUsedWebApplicationsReportingBlock' => '/reporting/blocks/admin_most_used_web_applications_reporting_block.class.php',
         'AdminNoOfApplicationsReportingBlock' => '/reporting/blocks/admin_no_of_applications_reporting_block.class.php',
         'AdminDataReportingTemplate' => '/reporting/templates/admin_data_reporting_template.class.php',
         'SettingsConnector' => '/settings/connector.class.php',
         'AdminChangesTracker' => '/trackers/admin_changes_tracker.class.php',
         'OnlineTracker' => '/trackers/online_tracker.class.php',
         'IpGetListWebserviceHandler' => '/webservices/ip/get_list.class.php',
         'TimeGetListWebserviceHandler' => '/webservices/time/get_list.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>