<?php
namespace admin;

use common\libraries\PlatformSetting;
use common\libraries\Application;
use common\libraries\Utilities;
use common\libraries\Translation;
use common\libraries\AdministrationComponent;
use common\libraries\DelegateComponent;

/**
 *
 * @package admin.lib.admin_manager.component
 * @author Hans De Bisschop
 */
class AdminManagerPackagerComponent extends AdminManager implements AdministrationComponent, DelegateComponent
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        if (! $this->get_user()->get_platformadmin())
        {
            $this->display_header();
            $this->display_error_message(Translation :: get('NotAllowed', array(), Utilities :: COMMON_LIBRARIES));
            $this->display_footer();
            exit();
        }
        
        $package_management = PlatformSetting :: get('enable_package_management');
        if ($package_management != '1')
        {
            $parameters = $this->get_parameters();
            $parameters[Application :: PARAM_ACTION] = self :: ACTION_ADMIN_BROWSER;
            $this->redirect(null, false, $parameters);
        }
        
        PackageManager :: launch($this);
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add_help('admin_package_manager');
    }
}
?>
