<?php
namespace admin;

use common\libraries\Registration;

use common\libraries\Utilities;
use common\libraries\Path;
use common\libraries\Translation;

/**
 * $Id: language.class.php 168 2009-11-12 11:53:23Z vanpouckesven $
 * 
 * @package admin.lib.package_installer.type
 */

class PackageInstallerExternalRepositoryManagerType extends PackageInstallerType
{

    function install()
    {
        if (! $this->add_registration())
        {
            $this->get_parent()->add_message(Translation :: get('ObjectNotAdded', array(
                    'OBJECT' => Translation :: get('ExternalRepositoryManagerRegistration')), Utilities :: COMMON_LIBRARIES), PackageInstaller :: TYPE_WARNING);
        }
        else
        {
            $this->get_parent()->add_message(Translation :: get('ObjectAdded', array(
                    'OBJECT' => Translation :: get('ExternalRepositoryManagerRegistration')), Utilities :: COMMON_LIBRARIES));
        }
        
        return true;
    }

    static function get_path($external_repository_manager_name)
    {
        return Path :: get_common_extensions_path() . 'external_repository_manager/implementation/' . $external_repository_manager_name . '/' . Path :: CLASS_PATH . '/';
    }

    function add_registration()
    {
        $source = $this->get_source();
        $attributes = $source->get_attributes();
        
        $registration = new Registration();
        $registration->set_name($attributes->get_code());
        $registration->set_type(Registration :: TYPE_EXTERNAL_REPOSITORY_MANAGER);
        $registration->set_category($attributes->get_category());
        $registration->set_version($attributes->get_version());
        $registration->set_status(Registration :: STATUS_ACTIVE);
        $registration->set_context($attributes->get_context());
        
        return $registration->create();
    }
}
?>