<?php
namespace admin;
use common\libraries\Registration;

use common\libraries\CommonDataManager;

use common\libraries\DataClassRetrievesParameters;

use common\libraries\ObjectTableDataProvider;
/**
 * $Id: content_object_registration_browser_table_data_provider.class.php 126 2009-11-09 13:11:05Z vanpouckesven $
 * 
 * @package admin.lib.package_manager.component.registration_browser
 */
/**
 * Data provider for a repository browser table. This class implements some functions to allow repository browser tables
 * to retrieve information about the learning objects to display.
 */
class ContentObjectRegistrationBrowserTableDataProvider extends ObjectTableDataProvider
{

    /**
     * Constructor
     * 
     * @param $browser RepositoryManagerComponent
     * @param $condition Condition
     */
    function __construct($browser, $condition)
    {
        parent :: __construct($browser, $condition);
    }

    /**
     * Gets the learning objects
     * 
     * @param $offset int
     * @param $count int
     * @param $order_property string
     * @return ResultSet A set of matching learning objects.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        
        $parameters = new DataClassRetrievesParameters($this->get_condition(), $count, $offset, $order_property);
        return CommonDataManager :: retrieves(Registration :: class_name(), $parameters);
    }

    /**
     * Gets the number of learning objects in the table
     * 
     * @return int
     */
    function get_object_count()
    {
        return CommonDataManager :: count(Registration :: class_name(), $this->get_condition());
    }
}
?>