<?php
namespace admin;

use common\libraries\Registration;
use common\libraries\CommonDataManager;
use common\libraries\Translation;
use common\libraries\Request;
use common\libraries\Path;
use common\libraries\Breadcrumb;
use common\libraries\Utilities;

/**
 * $Id: remover.class.php 168 2009-11-12 11:53:23Z vanpouckesven $
 * 
 * @package admin.lib.package_manager.component
 * @author Hans De Bisschop
 */

class PackageManagerRemoverComponent extends PackageManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $type = Request :: get(PackageManager :: PARAM_SECTION);
        $package = Request :: get(PackageManager :: PARAM_PACKAGE);
        
        $registration = CommonDataManager :: retrieve(Registration :: class_name(), (int) $package);
        $remover = PackageRemover :: factory($type, $registration);
        
        $this->display_header();
        $remover->run();
        $this->display_footer();
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add(new Breadcrumb($this->get_url(array(
                PackageManager :: PARAM_PACKAGE_ACTION => PackageManager :: ACTION_BROWSE_PACKAGES)), Translation :: get('PackageManagerBrowserComponent')));
        $breadcrumbtrail->add_help('admin_package_manager_remover');
    }

    function get_additional_parameters()
    {
        return array(PackageManager :: PARAM_SECTION, PackageManager :: PARAM_PACKAGE);
    }
}
?>