<?php
namespace admin;

use common\libraries\Registration;
use common\libraries\CommonDataManager;
use common\libraries\Breadcrumb;
use common\libraries\Utilities;
use common\libraries\Translation;
use common\libraries\Request;

/**
 * $Id: updater.class.php 168 2009-11-12 11:53:23Z vanpouckesven $
 * 
 * @package admin.lib.package_manager.component
 * @author Hans De Bisschop
 */

class PackageManagerUpdaterComponent extends PackageManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $registration = CommonDataManager :: retrieve(Registration :: class_name(), (int) Request :: get(PackageManager :: PARAM_REGISTRATION));
        
        $updater = new PackageUpdater($registration, Request :: get(PackageManager :: PARAM_INSTALL_TYPE));
        
        $this->display_header();
        $updater->run();
        $this->display_footer();
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add(new Breadcrumb($this->get_url(array(
                PackageManager :: PARAM_PACKAGE_ACTION => PackageManager :: ACTION_BROWSE_PACKAGES)), Translation :: get('PackageManagerBrowserComponent')));
        $breadcrumbtrail->add_help('admin_package_manager_updater');
    }

    function get_additional_parameters()
    {
        return array(PackageManager :: PARAM_REGISTRATION);
    }
}
?>