<?php
namespace admin;

use common\libraries\BasicApplication;
use common\libraries\Translation;
use common\libraries\Updater;

class PackageUpdaterApplicationType extends PackageUpdaterType
{

    /**
     * Returns the path to the update folder
     * 
     * @param $code String - the code of the package
     * @return String
     */
    function get_updater_folder_path($code)
    {
        return BasicApplication :: get_application_path($code) . 'update/';
    }

    /**
     * Updates a given folder
     * 
     * @param $code String
     * @param $update_folder String
     *
     * @return boolean
     */
    function update_folder($code, $update_folder)
    {
        $updater = Updater :: factory($code, $update_folder);
        
        if (! $updater->update())
        {
            return $this->get_parent()->action_failed('initilization', Translation :: get('ApplicationInitilizationFailed'));
        }
        else
        {
            $this->add_message($updater->retrieve_message());
            $this->action_successful('initilization');
        }
        
        $updater->set_message(array());
        
        if (! $updater->post_process())
        {
            return $this->get_parent()->action_failed('processing', Translation :: get('ApplicationPostProcessingFailed'));
        }
        
        $this->add_message($updater->retrieve_message());
        return $this->action_successful('processing');
    }
}
?>