<?php
namespace admin;

use common\libraries\Path;
use common\libraries\Translation;

use repository\ContentObjectUpdater;

class PackageUpdaterContentObjectType extends PackageUpdaterType
{

    /**
     * Returns the path to the update folder
     * 
     * @param $code String - the code of the package
     * @return String
     */
    function get_updater_folder_path($code)
    {
        return Path :: get_repository_path() . 'lib/content_object/' . $code . '/update/';
    }

    /**
     * Updates a given folder
     * 
     * @param $code String
     * @param $update_folder String
     *
     * @return boolean
     */
    function update_folder($code, $update_folder)
    {
        $updater = ContentObjectUpdater :: factory($code, $update_folder);
        
        if (! $updater->update())
        {
            return $this->get_parent()->action_failed('initilization', Translation :: get('ApplicationInitilizationFailed'));
        }
        
        $this->add_message($updater->retrieve_message());
        
        return $this->action_successful('initilization');
    
    }
}
?>