<?php
namespace admin;
use common\libraries\Utilities;
use common\libraries\WebApplication;
use common\libraries\Translation;
use common\libraries\Path;
use common\libraries\PatternMatchCondition;

use user\VisitTracker;
use user\UserManager;

use tracking\Tracker;

use reporting\ReportingData;
use reporting\ReportingFormatter;
use reporting\ReportingChartFormatter;

class AdminMostUsedWebApplicationsReportingBlock extends AdminReportingBlock
{

    public function count_data()
    {
        $reporting_data = new ReportingData();
        $reporting_data->set_rows(array(Translation :: get('NumberVisit')));
        
        $applications = WebApplication :: load_all(false);
        foreach ($applications as $application)
        {
            $visit_tracker = new VisitTracker();
            $condition = new PatternMatchCondition(VisitTracker :: PROPERTY_LOCATION, '*application=' . $application . '*');
            $count = $visit_tracker->count_tracker_items($condition);
            
            $reporting_data->add_category($application);
            $reporting_data->add_data_category_row($application, Translation :: get('Number', array(), Utilities :: COMMON_LIBRARIES), $count);
        }
        return $reporting_data;
    }

    public function retrieve_data()
    {
        return $this->count_data();
    }

    public function get_application()
    {
        return AdminManager :: APPLICATION_NAME;
    }

    public function get_available_displaymodes()
    {
        $modes = array();
        $modes[ReportingChartFormatter :: DISPLAY_PIE] = Translation :: get('Chart:Pie', null, Utilities :: COMMON_LIBRARIES);
        $modes[ReportingChartFormatter :: DISPLAY_BAR] = Translation :: get('Chart:Bar', null, Utilities :: COMMON_LIBRARIES);
        $modes[ReportingFormatter :: DISPLAY_TABLE] = Translation :: get('Table', array(), Utilities :: COMMON_LIBRARIES);
        $modes[ReportingFormatter :: DISPLAY_TEXT] = Translation :: get('Text', null, Utilities :: COMMON_LIBRARIES);
        return $modes;
    }
}
?>