<?php
namespace application\personal_calendar;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'PersonalCalendarBlock' => '/blocks/personal_calendar_block.class.php',
         'PersonalCalendarDay' => '/blocks/type/day.class.php',
         'PersonalCalendarMonth' => '/blocks/type/month.class.php',
         'PersonalCalendarConnector' => '/lib/personal_calendar_connector.class.php',
         'PersonalCalendarDataManager' => '/lib/personal_calendar_data_manager.class.php',
         'PersonalCalendarDataManagerInterface' => '/lib/personal_calendar_data_manager_interface.class.php',
         'PersonalCalendarEvent' => '/lib/personal_calendar_event.class.php',
         'PersonalCalendarEventParser' => '/lib/personal_calendar_event_parser.class.php',
         'PersonalCalendarPublication' => '/lib/personal_calendar_publication.class.php',
         'PersonalCalendarPublicationForm' => '/lib/personal_calendar_publication_form.class.php',
         'PersonalCalendarPublicationGroup' => '/lib/personal_calendar_publication_group.class.php',
         'PersonalCalendarPublicationUser' => '/lib/personal_calendar_publication_user.class.php',
         'PersonalCalendarRenderer' => '/lib/personal_calendar_renderer.class.php',
         'PersonalCalendarRights' => '/lib/personal_calendar_rights.class.php',
         'PersonalCalendarInternshipOrganizerConnector' => '/lib/connector/personal_calendar_internship_organizer_connector.class.php',
         'PersonalCalendarWeblcmsConnector' => '/lib/connector/personal_calendar_weblcms_connector.class.php',
         'Mdb2PersonalCalendarDataManager' => '/lib/data_manager/mdb2.class.php',
         'PersonalCalendarJumpForm' => '/lib/forms/personal_calendar_jump_form.class.php',
         'PersonalCalendarEventCalendarEventParser' => '/lib/personal_calendar_event_parser/personal_calendar_event_calendar_event_parser.class.php',
         'PersonalCalendarEventExternalCalendarParser' => '/lib/personal_calendar_event_parser/personal_calendar_event_external_calendar_parser.class.php',
         'PersonalCalendarEventTaskParser' => '/lib/personal_calendar_event_parser/personal_calendar_event_task_parser.class.php',
         'PersonalCalendarManager' => '/lib/personal_calendar_manager/personal_calendar_manager.class.php',
         'PersonalCalendarManagerAttachmentViewerComponent' => '/lib/personal_calendar_manager/component/attachment_viewer.class.php',
         'PersonalCalendarManagerBrowserComponent' => '/lib/personal_calendar_manager/component/browser.class.php',
         'PersonalCalendarManagerDeleterComponent' => '/lib/personal_calendar_manager/component/deleter.class.php',
         'PersonalCalendarManagerEditorComponent' => '/lib/personal_calendar_manager/component/editor.class.php',
         'PersonalCalendarManagerIcalExporterComponent' => '/lib/personal_calendar_manager/component/ical_exporter.class.php',
         'PersonalCalendarManagerIcalImporterComponent' => '/lib/personal_calendar_manager/component/ical_importer.class.php',
         'PersonalCalendarManagerPublisherComponent' => '/lib/personal_calendar_manager/component/publisher.class.php',
         'PersonalCalendarManagerRightsEditorComponent' => '/lib/personal_calendar_manager/component/rights_editor.class.php',
         'PersonalCalendarManagerViewerComponent' => '/lib/personal_calendar_manager/component/viewer.class.php',
         'PersonalCalendarPublisher' => '/lib/publisher/personal_calendar_publisher.class.php',
         'PersonalCalendarDayRenderer' => '/lib/renderer/personal_calendar_day_renderer.class.php',
         'PersonalCalendarListRenderer' => '/lib/renderer/personal_calendar_list_renderer.class.php',
         'PersonalCalendarMiniDayRenderer' => '/lib/renderer/personal_calendar_mini_day_renderer.class.php',
         'PersonalCalendarMiniMonthRenderer' => '/lib/renderer/personal_calendar_mini_month_renderer.class.php',
         'PersonalCalendarMonthRenderer' => '/lib/renderer/personal_calendar_month_renderer.class.php',
         'PersonalCalendarWeekRenderer' => '/lib/renderer/personal_calendar_week_renderer.class.php',
         'PersonalCalendarYearRenderer' => '/lib/renderer/personal_calendar_year_renderer.class.php',
         'PersonalCalendarPublicationRSS' => '/lib/rss/publication_rss.class.php',
         'PersonalCalendar110Updater' => '/lib/update/1.1.0/personal_calendar_110_updater.class.php',
         'PersonalCalendar120Updater' => '/lib/update/1.2.0/personal_calendar_120_updater.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'PersonalCalendarInstaller' => '/package/install/personal_calendar_installer.class.php',
         'PersonalCalendarPublicationChangesTracker' => '/trackers/personal_calendar_publication_changes_tracker.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>