<?php
namespace application\personal_calendar;

use common\libraries\DelegateComponent;

use repository\content_object\calendar_event\CalendarEvent;
use repository\content_object\task\Task;
use repository\content_object\external_calendar\ExternalCalendar;
use common\libraries\BreadcrumbTrail;
use common\extensions\repo_viewer\RepoViewer;
use common\extensions\repo_viewer\RepoViewerInterface;

/**
 * $Id: publisher.class.php 205 2009-11-13 12:57:33Z vanpouckesven $
 *
 * @package application.personal_calendar.personal_calendar_manager.component
 */

class PersonalCalendarManagerPublisherComponent extends PersonalCalendarManager implements RepoViewerInterface, DelegateComponent
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        if (! RepoViewer :: is_ready_to_be_published())
        {
            $repo_viewer = RepoViewer :: construct($this);
            $repo_viewer->run();
        }
        else
        {
            $publisher = new PersonalCalendarPublisher($this);
            $publisher->get_publications_form(RepoViewer :: get_selected_objects());
        }
    }

    function get_allowed_content_object_types()
    {
        return array(CalendarEvent :: get_type_name(), Task :: get_type_name(), ExternalCalendar :: get_type_name());
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add_help('personal_calendar_publisher');
    }

}
?>