<?php

namespace application\personal_calendar;

use common\libraries\DataClass;

/**
 * $Id: personal_calendar_publication_group.class.php 201 2009-11-13 12:34:51Z chellee $
 * @package application.personal_calendar
 */

class PersonalCalendarPublicationGroup extends DataClass
{
    const PROPERTY_PUBLICATION = 'publication_id';
    const PROPERTY_GROUP_ID = 'group_id';
    
    const TABLE_NAME = 'publication_group';
    
    /**
     * Get the default properties
     * @return array The property names.
     */
    static function get_default_property_names()
    {
        return array(self :: PROPERTY_PUBLICATION, self :: PROPERTY_GROUP_ID);
    }
    
    static function get_cacheable_property_names()
    {
        return array();
    }

    /**
     * Returns the publication of this PersonalCalendarPublicationGroup.
     * @return the publication.
     */
    function get_publication()
    {
        return $this->get_default_property(self :: PROPERTY_PUBLICATION);
    }

    /**
     * Sets the publication of this PersonalCalendarPublicationGroup.
     * @param publication
     */
    function set_publication($publication)
    {
        $this->set_default_property(self :: PROPERTY_PUBLICATION, $publication);
    }

    /**
     * Returns the group_id of this PersonalCalendarPublicationGroup.
     * @return the group_id.
     */
    function get_group_id()
    {
        return $this->get_default_property(self :: PROPERTY_GROUP_ID);
    }

    /**
     * Sets the group_id of this PersonalCalendarPublicationGroup.
     * @param group_id
     */
    function set_group_id($group_id)
    {
        $this->set_default_property(self :: PROPERTY_GROUP_ID, $group_id);
    }

    function delete()
    {
        $dm = PersonalCalendarDataManager :: get_instance();
        return $dm->delete_calendar_event_publication_group($this);
    }

    function create()
    {
        $dm = PersonalCalendarDataManager :: get_instance();
        return $dm->create_personal_calendar_publication_group($this);
    }

    function update()
    {
        $dm = PersonalCalendarDataManager :: get_instance();
        return $dm->update_calendar_event_publication_group($this);
    }

    public function get_data_manager()
    {
        return PersonalCalendarDataManager :: get_instance();
    }
    
    static function get_table_name()
    {
        return self :: TABLE_NAME;
    }
}

?>