<?php

namespace application\personal_calendar;

use common\libraries\DataClass;

/**
 * $Id: personal_calendar_publication_user.class.php 201 2009-11-13 12:34:51Z chellee $
 * @package application.personal_calendar
 */

/**
 * This class describes a ContentObjectPublicationUser data object
 *
 * @author Hans De Bisschop
 */
class PersonalCalendarPublicationUser extends DataClass
{
    /**
     * ContentObjectPublicationUser properties
     */
    const PROPERTY_PUBLICATION = 'publication_id';
    const PROPERTY_USER = 'user_id';
    
    const TABLE_NAME = 'publication_user';

    /**
     * Get the default properties
     * @return array The property names.
     */
    static function get_default_property_names()
    {
        return array(self :: PROPERTY_PUBLICATION, self :: PROPERTY_USER);
    }

    static function get_cacheable_property_names()
    {
        return array();
    }
    
    /**
     * Returns the publication of this ContentObjectPublicationUser.
     * @return the publication.
     */
    function get_publication()
    {
        return $this->get_default_property(self :: PROPERTY_PUBLICATION);
    }

    /**
     * Sets the publication of this ContentObjectPublicationUser.
     * @param publication
     */
    function set_publication($publication)
    {
        $this->set_default_property(self :: PROPERTY_PUBLICATION, $publication);
    }

    /**
     * Returns the user of this ContentObjectPublicationUser.
     * @return the user.
     */
    function get_user()
    {
        return $this->get_default_property(self :: PROPERTY_USER);
    }

    /**
     * Sets the user of this ContentObjectPublicationUser.
     * @param user
     */
    function set_user($user)
    {
        $this->set_default_property(self :: PROPERTY_USER, $user);
    }

    function delete()
    {
        $dm = PersonalCalendarDataManager :: get_instance();
        return $dm->delete_calendar_event_publication_user($this);
    }

    function create()
    {
        $dm = PersonalCalendarDataManager :: get_instance();
        return $dm->create_personal_calendar_publication_user($this);
    }

    function update()
    {
        $dm = PersonalCalendarDataManager :: get_instance();
        return $dm->update_calendar_event_publication_user($this);
    }

    public function get_data_manager()
    {
        return PersonalCalendarDataManager :: get_instance();
    }
    
    static function get_table_name()
    {
        return self :: TABLE_NAME;
    }
}

?>