<?php
namespace application\personal_messenger;

use common\libraries\WebApplication;

/**
 * * *************************************************************************** This block contains the values to
 * display the most recent discussions.
 *
 * @name Chamilo Personal Messenger > PersonalMessengerMostRecentDiscussions
 * @version 1.0.0
 * @author Stijn Van Hoecke ****************************************************************************
 */
class PersonalMessengerMostRecentDiscussions extends PersonalMessengerBlock
{

    /**
     * Inherited from PersonalMessengerBlock Main function to display content -> delegates to the function
     * display_messages.
     */
    function display_content()
    {
        return $this->display_messages();
    }

    /**
     * Specifies the folder to display.
     *
     * @return boolean
     */
    function get_folder()
    {
        return PersonalMessengerFolder :: DISCUSSIONS;
    }

    /**
     * Specifies if only new messages should be displayed.
     *
     * @return boolean
     */
    function new_only()
    {
        return false;
    }

    /**
     * Specifies if the content of the message should be displayed.
     *
     * @return boolean
     */
    function show_content()
    {
        return false;
    }

}

?>