<?php

namespace application\personal_messenger;

use common\libraries\AndCondition;
use common\libraries\EqualityCondition;

/** * ***************************************************************************
 * This component offers the functionality to delete a (series of) message(s).
 *
 * @name Chamilo Personal Messenger > PersonalMessengerManagerDeleterMessageComponent
 * @version 1.0.0
 * @author Stijn Van Hoecke
 * **************************************************************************** */
class PersonalMessengerManagerDeleterMessageComponent extends PersonalMessengerManagerDeleterComponent
{

    //**************************************************************************
    // INHERITED FUNCTIONS
    //**************************************************************************
    /**
     * Returns the object to delete.
     * @param $object_id The id of the object to delete
     * @return Message The discussion to delete
     */
    function get_object($object_id)
    {
        // construct the condition
        $conditions = array();
        $conditions[] = new EqualityCondition(
                        Message :: PROPERTY_ID,
                        $object_id
        );
        $conditions[] = new EqualityCondition(
                        Message :: PROPERTY_MESSAGE_AUTHOR_ID,
                        $this->get_user_id()
        );
        $condition = new AndCondition($conditions);

        // get the UserMessage
        return $this->retrieve_message($condition);
    }

}

?>