<?php

namespace application\personal_messenger;

use common\libraries\Application;
use common\libraries\BreadcrumbTrail;
use common\libraries\Breadcrumb;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Utilities;

/** * ***************************************************************************
 * This component offers the functionality to remove the block on a user (unignore)..
 *
 * @name Chamilo Personal Messenger > PersonalMessengerManagerUserUnignoreComponent
 * @version 1.0.0
 * @author Stijn Van Hoecke
 * **************************************************************************** */
class PersonalMessengerManagerUserUnignoreComponent extends PersonalMessengerManager
{

    //**************************************************************************
    // RUN
    //**************************************************************************
    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        // get the IDs
        $user_ids = Request :: get(self :: PARAM_USER_ID);

        $failures = $this->unignore_users($user_ids);

        // feedback
        if ($failures)
        {
            $feedback_message = Translation :: get(count($user_ids) == 1 ? 'UserIgnoreNotDeleted' : 'UserIgnoresNotDeleted');
        }
        else
        {
            $feedback_message = Translation :: get(count($user_ids) == 1 ? 'UserIgnoreDeleted' : 'UserIgnoresDeleted');
        }

        // go back
        $go_back_parameters = array();
        if (Request :: get(PersonalMessengerManager :: PARAM_REFERER))
        {
            $go_back_parameters[Application :: PARAM_ACTION] = Request :: get(self :: PARAM_REFERER);
            $go_back_parameters[self :: PARAM_MESSAGE_ID] = Request :: get(self :: PARAM_MESSAGE_ID);
        }
        else
        {
            $go_back_parameters[Application :: PARAM_ACTION] = self :: DEFAULT_ACTION;
        }

        $this->redirect($feedback_message, ($failures ? true : false), $go_back_parameters);
    }

}

?>