<?php

namespace application\portfolio;
use common\libraries\BreadcrumbTrail;
use common\libraries\Breadcrumb;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\Display;

use common\libraries\Request;
use repository\RepositoryDataManager;
use repository\content_object\handbook\PorfolioBuilderBrowserComponent;
use repository\content_object\portfolio\PortfolioBuilderBrowserComponent;

/**
 * Portfolio component which allows the user to do the builder actions on a
 * portfolio without leaving the portfolio app
 * 
 * @author Nathalie Blocry
 */
class PortfolioManagerPortfolioBuilderComponent extends PortfolioManager
{

    function run()
    {
        $manager = new PortfolioBuilderBrowserComponent($this);
        $manager->set_parameter(self :: PARAM_PARENT, Request :: get(self :: PARAM_PARENT));
        $manager->run();
    
    }

    function display_header()
    {
        Display :: small_header();
    }

    function display_footer()
    {
        Display :: small_footer();
    }

    function get_root_content_object()
    {
        $portfolio_id = Request :: get(self :: PARAM_PARENT);
        $portfolio = RepositoryDataManager :: get_instance()->retrieve_content_object($portfolio_id);
        return $portfolio;
    }

}
?>