<?php

namespace application\portfolio;
use common\libraries\DelegateComponent;

use common\libraries\BreadcrumbTrail;
use common\libraries\Breadcrumb;
use user\UserDataManager;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\extensions\repo_viewer\RepoViewer;

/**
 * Component to create a new portfolio_publication object
 * 
 * @author Sven Vanpoucke
 */
class PortfolioManagerPortfolioIntroductionCreatorComponent extends PortfolioManager implements DelegateComponent
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $trail = BreadcrumbTrail :: get_instance();
        $udm = UserDataManager :: get_instance();
        $user = $udm->retrieve_user($this->get_user_id());
        BreadcrumbTrail :: get_instance()->add(new Breadcrumb($this->get_url(array(
                PortfolioManager :: PARAM_ACTION => PortfolioManager :: ACTION_VIEW_PORTFOLIO, 
                PortfolioManager :: PARAM_PORTFOLIO_OWNER_ID => $this->get_user_id())), Translation :: get('ViewPortfolio', array('USER' => $user->get_fullname()))));
        BreadcrumbTrail :: get_instance()->add(new Breadcrumb(null, Translation :: get('ChangeIntro')));
        
        $form = new PortfolioIntroductionForm(PortfolioIntroductionForm :: TYPE_EDIT, $this->get_url(array(
                RepoViewer :: PARAM_ACTION => RepoViewer :: ACTION_PUBLISHER, RepoViewer :: PARAM_ID => $object)), $this->get_user());
        
        if ($form->validate())
        {
            $success = $form->create_portfolio_introduction();
            $this->redirect($success ? Translation :: get('ObjectCreated', array(
                    'OBJECT' => Translation :: get('PortfolioIntroduction')), Utilities :: COMMON_LIBRARIES) : Translation :: get('ObjectNotCreated', array(
                    'OBJECT' => Translation :: get('PortfolioIntroduction')), Utilities :: COMMON_LIBRARIES), ! $success, array(
                    PortfolioManager :: PARAM_ACTION => PortfolioManager :: ACTION_VIEW_PORTFOLIO, 
                    PortfolioManager :: PARAM_PORTFOLIO_OWNER_ID => $this->get_user_id()));
        }
        else
        {
            $html[] = $form->toHtml();
            
            $this->display_header();
            echo implode("\n", $html);
            $this->display_footer();
        }
    
    }
}
?>