<?php
namespace application\portfolio;

use common\libraries\WebApplicationInstaller;
use common\libraries\Translation;
use common\libraries\Utilities;

/**
 * This installer can be used to create the storage structure for the portfolio application.
 *
 * @author Sven Vanpoucke
 */
class PortfolioInstaller extends WebApplicationInstaller
{

    /**
     * Constructor
     */
    function __construct($values)
    {
        parent :: __construct($values, PortfolioDataManager :: get_instance());
    }

    function get_path()
    {
        return parent :: get_path();
    }

    /**
     * Runs the install-script.
     */
    function install_extra()
    {
        if (! parent :: install_extra())
        {
            return false;
        }

        if (! $this->create_default_location())
        {
            return false;
        }
        else
        {
            $this->add_message(self :: TYPE_NORMAL, Translation :: get('DefaultLocationCreated'), null,
                    Utilities :: COMMON_LIBRARIES);
        }

        return true;
    }

    /**
     * create a location with tree identifier 0 to apply default settings for the portfolio
     */
    function create_default_location()
    {
        return PortfolioRights :: create_default_location();
    }
}
?>