<?php
namespace application\weblcms\course;

use application\weblcms\WeblcmsDataManager;
use common\libraries\AndCondition;

/**
 * This class describes a browser for the subscribed courses
 *
 * @package \application\weblcms\course
 *         
 * @author Yannick & Tristan
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class CourseManagerBrowseSubscribedCoursesComponent extends CourseManagerBrowseSubscriptionCoursesComponent
{

    /**
     * **************************************************************************************************************
     * Inherited Functionality *
     * **************************************************************************************************************
     */
    
    /**
     * Returns the condition for the table
     *
     * @return \common\libraries\Condition
     */
    function get_object_table_condition($object_table_class_name)
    {
        $conditions = array();
        
        $parent_condition = parent :: get_object_table_condition($object_table_class_name);
        if ($parent_condition)
        {
            $conditions[] = $parent_condition;
        }
        
        $conditions[] = WeblcmsDataManager :: get_user_courses_condition($this->get_user());
        
        return new AndCondition($conditions);
    }

    /**
     * Returns the course table for this component
     *
     * @return CourseTable
     */
    protected function get_course_table()
    {
        return new SubscribedCourseTable($this);
    }
}
?>