<?php
namespace application\weblcms\course;

use common\libraries\NewObjectTableColumnModel;
use common\libraries\NewObjectTableColumnModelActionsColumnSupport;
use common\libraries\ObjectTableColumn;

/**
 * This class describes the column model for the course table
 *
 * @package \application\weblcms\course
 *         
 * @author Yannick & Tristan
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class CourseTableColumnModel extends NewObjectTableColumnModel implements NewObjectTableColumnModelActionsColumnSupport
{

    /**
     * **************************************************************************************************************
     * Inherited Functionality *
     * **************************************************************************************************************
     */
    
    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        $this->add_column(new ObjectTableColumn(Course :: PROPERTY_VISUAL_CODE));
        $this->add_column(new ObjectTableColumn(Course :: PROPERTY_TITLE));
        $this->add_column(new ObjectTableColumn(Course :: PROPERTY_TITULAR_ID, false));
        $this->add_column(new ObjectTableColumn(Course :: PROPERTY_COURSE_TYPE_ID));
    }
}
?>