<?php
namespace application\weblcms\course;

use common\libraries\NewObjectTableDataProvider;

/**
 * This class describes a data provider for the course table
 *
 * @package \application\weblcms\course
 *         
 * @author Yannick & Tristan
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class CourseTableDataProvider extends NewObjectTableDataProvider
{

    /**
     * **************************************************************************************************************
     * Inherited Functionality *
     * **************************************************************************************************************
     */
    
    /**
     * Retrieves the objects for this table
     *
     * @param $offset int           
     * @param $count int           
     * @param $order_property String           
     *
     * @return \common\libraries\ResultSet
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        
        return CourseDataManager :: get_instance()->retrieve_courses($this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Counts the number of objects for this table
     *
     * @return int
     */
    function get_object_count()
    {
        return CourseDataManager :: get_instance()->count_courses($this->get_condition());
    }
}
?>