<?php
namespace application\weblcms\course_type;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'CourseTypeManager' => '/lib/course_type_manager/course_type_manager.class.php',
         'CourseTypeManagerActivateComponent' => '/lib/course_type_manager/component/activate.class.php',
         'CourseTypeManagerBrowseComponent' => '/lib/course_type_manager/component/browse.class.php',
         'CourseTypeManagerChangeActivationComponent' => '/lib/course_type_manager/component/change_activation.class.php',
         'CourseTypeManagerCreateComponent' => '/lib/course_type_manager/component/create.class.php',
         'CourseTypeManagerDeactivateComponent' => '/lib/course_type_manager/component/deactivate.class.php',
         'CourseTypeManagerDeleteComponent' => '/lib/course_type_manager/component/delete.class.php',
         'CourseTypeManagerMoverComponent' => '/lib/course_type_manager/component/mover.class.php',
         'CourseTypeManagerUpdateComponent' => '/lib/course_type_manager/component/update.class.php',
         'CourseTypeManagerViewComponent' => '/lib/course_type_manager/component/view.class.php',
         'CourseTypeManagerCourseTypeFormActionComponent' => '/lib/course_type_manager/component/abstract/course_type_form_action.class.php',
         'CourseType' => '/lib/dataclass/course_type.class.php',
         'CourseTypeRelCourseSetting' => '/lib/dataclass/course_type_rel_course_setting.class.php',
         'CourseTypeRelCourseSettingValue' => '/lib/dataclass/course_type_rel_course_setting_value.class.php',
         'CourseTypeUserOrder' => '/lib/dataclass/course_type_user_order.class.php',
         'CourseTypeDataManager' => '/lib/data_manager/course_type_data_manager.class.php',
         'CourseTypeDataManagerInterface' => '/lib/data_manager/course_type_data_manager_interface.class.php',
         'Mdb2CourseTypeDataManager' => '/lib/data_manager/implementation/mdb2.class.php',
         'CourseTypeForm' => '/lib/form/course_type_form.class.php',
         'CourseTypeTable' => '/lib/table/course_type_table/course_type_table.class.php',
         'CourseTypeTableCellRenderer' => '/lib/table/course_type_table/course_type_table_cell_renderer.class.php',
         'CourseTypeTableColumnModel' => '/lib/table/course_type_table/course_type_table_column_model.class.php',
         'CourseTypeTableDataProvider' => '/lib/table/course_type_table/course_type_table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>