<?php
namespace application\weblcms\course_type;

use common\libraries\NewObjectTableDataProvider;
use common\libraries\ObjectTableOrder;

use application\weblcms\WeblcmsDataManager;

/**
 * This class describes a data provider for the course type table
 *
 * @package \application\weblcms\course_type
 *         
 * @author Yannick & Tristan
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class CourseTypeTableDataProvider extends NewObjectTableDataProvider
{

    /**
     * **************************************************************************************************************
     * Inherited Functionality *
     * **************************************************************************************************************
     */
    
    /**
     * Retrieves the objects for this table
     *
     * @param $offset int           
     * @param $count int           
     * @param $order_property String           
     *
     * @return \common\libraries\ResultSet
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property(new ObjectTableOrder(CourseType :: PROPERTY_DISPLAY_ORDER));
        
        return CourseTypeDataManager :: get_instance()->retrieve_course_types($this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Counts the number of objects for this table
     *
     * @return int
     */
    function get_object_count()
    {
        return CourseTypeDataManager :: get_instance()->count_course_types($this->get_condition());
    }
}
?>