<?php
namespace application\weblcms;

use common\libraries\Authentication;
use common\libraries\Utilities;
use common\libraries\Path;
use common\libraries\Translation;

/**
 * $Id: block_sort.php 227 2009-11-13 14:45:05Z kariboe $
 * 
 * @package application.weblcms.ajax
 */
$this_section = 'weblcms';

require_once dirname(__FILE__) . '/../../../../common/global.inc.php';

Utilities :: set_application($this_section);

function unserialize_jquery($jquery)
{
    $block_data = explode('&', $jquery);
    $blocks = array();
    
    foreach ($block_data as $block)
    {
        $block_split = explode('=', $block);
        $blocks[] = $block_split[1];
    }
    
    return $blocks;
}

if (Authentication :: is_valid())
{
    $section_id = explode($_POST['id']);
    $blocks = unserialize_jquery($_POST['order']);
    
    $wdm = WeblcmsDataManager :: get_instance();
    $wdm->change_module_course_section($source, $target);
    
    $i = 1;
    foreach ($blocks as $block_id)
    {
        $block = $wdm->retrieve_course_module($block_id);
        $block->set_sort($i);
        $block->update();
        $i ++;
    }
    
    $json_result['success'] = '1';
    $json_result['message'] = Translation :: get('ObjectAdded', array('OBJECT' => Translation :: get('Block')), Utilities :: COMMON_LIBRARIES);
}
else
{
    $json_result['success'] = '0';
    $json_result['message'] = Translation :: get('NotAllowed', null, Utilities :: COMMON_LIBRARIES);
}

// Return a JSON object
echo json_encode($json_result);
?>