<?php
namespace application\weblcms;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'WeblcmsAjaxCourseGroupsFeed' => '/ajax/course_groups_feed.class.php',
         'WeblcmsAjaxCourseUsersFeed' => '/ajax/course_users_feed.class.php',
         'WeblcmsAjaxPlatformGroupsFeed' => '/ajax/platform_groups_feed.class.php',
         'WeblcmsBlock' => '/blocks/weblcms_block.class.php',
         'WeblcmsBlockConnector' => '/blocks/weblcms_connector.class.php',
         'WeblcmsNewBlock' => '/blocks/weblcms_new_block.class.php',
         'WeblcmsAssignmentSubmissions' => '/blocks/type/assignment_submissions.class.php',
         'WeblcmsCourseList' => '/blocks/type/course_list.class.php',
         'WeblcmsCourseMenu' => '/blocks/type/course_menu.class.php',
         'WeblcmsEndingAssignments' => '/blocks/type/ending_assignments.class.php',
         'WeblcmsFilteredCourseList' => '/blocks/type/filtered_course_list.class.php',
         'WeblcmsNewAnnouncements' => '/blocks/type/new_announcements.class.php',
         'WeblcmsNewAssignments' => '/blocks/type/new_assignments.class.php',
         'WeblcmsNewDocuments' => '/blocks/type/new_documents.class.php',
         'ContentObjectPublication' => '/lib/content_object_publication.class.php',
         'ContentObjectPublicationBrowser' => '/lib/content_object_publication_browser.class.php',
         'ContentObjectPublicationFeedback' => '/lib/content_object_publication_feedback.class.php',
         'ContentObjectPublicationForm' => '/lib/content_object_publication_form.class.php',
         'ContentObjectPubFeedbackBrowser' => '/lib/content_object_pub_feedback_browser.class.php',
         'ContentObjectRepoViewer' => '/lib/content_object_repo_viewer.class.php',
         'CourseManagementRights' => '/lib/course_management_rights.class.php',
         'CourseSettingsController' => '/lib/course_settings_controller.class.php',
         'RightsCourseGroupEntity' => '/lib/rights_course_group_entity.class.php',
         'ToolListRenderer' => '/lib/tool_list_renderer.class.php',
         'WeblcmsDataManager' => '/lib/weblcms_data_manager.class.php',
         'WeblcmsDataManagerInterface' => '/lib/weblcms_data_manager_interface.class.php',
         'WeblcmsGradebookTreeMenuDataProvider' => '/lib/weblcms_gradebook_tree_menu_data_provider.class.php',
         'WeblcmsRights' => '/lib/weblcms_rights.class.php',
         'ContentObjectPublicationCategoryTree' => '/lib/browser/content_object_publication_category_tree.class.php',
         'ContentObjectPublicationDescriptionRenderer' => '/lib/browser/content_object_publication_description_renderer.class.php',
         'ContentObjectPublicationListRenderer' => '/lib/browser/content_object_publication_list_renderer.class.php',
         'PlatformGroupsTree' => '/lib/browser/platform_groups_tree.class.php',
         'PublicationCategoriesTree' => '/lib/browser/publication_categories_tree.class.php',
         'CalendarContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/calendar_content_object_publication_list_renderer.class.php',
         'ContentObjectPublicationDetailsRenderer' => '/lib/browser/list_renderer/content_object_publication_details_renderer.class.php',
         'DayCalendarContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/day_calendar_content_object_publication_list_renderer.class.php',
         'GalleryTableContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/gallery_table_content_object_publication_list_renderer.class.php',
         'ListContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/list_content_object_publication_list_renderer.class.php',
         'MiniMonthCalendarContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/mini_month_calendar_content_object_publication_list_renderer.class.php',
         'MonthCalendarContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/month_calendar_content_object_publication_list_renderer.class.php',
         'SlideshowContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/slideshow_content_object_publication_list_renderer.class.php',
         'TableContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/table_content_object_publication_list_renderer.class.php',
         'WeekCalendarContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/week_calendar_content_object_publication_list_renderer.class.php',
         'YearCalendarContentObjectPublicationListRenderer' => '/lib/browser/list_renderer/year_calendar_content_object_publication_list_renderer.class.php',
         'ObjectPublicationGalleryTable' => '/lib/browser/object_publication_gallery_table/object_publication_gallery_table.class.php',
         'ObjectPublicationGalleryTableCellRenderer' => '/lib/browser/object_publication_gallery_table/object_publication_gallery_table_cell_renderer.class.php',
         'ObjectPublicationGalleryTableDataProvider' => '/lib/browser/object_publication_gallery_table/object_publication_gallery_table_data_provider.class.php',
         'ObjectPublicationGalleryTablePropertyModel' => '/lib/browser/object_publication_gallery_table/object_publication_gallery_table_property_model.class.php',
         'ObjectPublicationTable' => '/lib/browser/object_publication_table/object_publication_table.class.php',
         'ObjectPublicationTableCellRenderer' => '/lib/browser/object_publication_table/object_publication_table_cell_renderer.class.php',
         'ObjectPublicationTableColumnModel' => '/lib/browser/object_publication_table/object_publication_table_column_model.class.php',
         'ObjectPublicationTableDataProvider' => '/lib/browser/object_publication_table/object_publication_table_data_provider.class.php',
         'ContentObjectPublicationCategory' => '/lib/category_manager/content_object_publication_category.class.php',
         'ContentObjectPublicationCategoryManager' => '/lib/category_manager/content_object_publication_category_manager.class.php',
         'CourseCategory' => '/lib/category_manager/course_category.class.php',
         'WeblcmsCategoryForm' => '/lib/category_manager/weblcms_category_form.class.php',
         'WeblcmsCategoryManager' => '/lib/category_manager/weblcms_category_manager.class.php',
         'AssessmentToolGradebookConnector' => '/lib/connector/assessment_tool_gradebook_connector.class.php',
         'LearningPathToolGradebookConnector' => '/lib/connector/learning_path_tool_gradebook_connector.class.php',
         'WeblcmsGradebookConnector' => '/lib/connector/weblcms_gradebook_connector.class.php',
         'CommonForm' => '/lib/course/common_form.class.php',
         'CommonRequest' => '/lib/course/common_request.class.php',
         'CourseCategoryCatalogMenu' => '/lib/course/course_category_catalog_menu.class.php',
         'CourseCategoryMenu' => '/lib/course/course_category_menu.class.php',
         'CourseChangeCourseTypeForm' => '/lib/course/course_change_course_type_form.class.php',
         'CourseCodeForm' => '/lib/course/course_code_form.class.php',
         'CourseCreateRequest' => '/lib/course/course_create_request.class.php',
         'CourseForm' => '/lib/course/course_form.class.php',
         'CourseImportForm' => '/lib/course/course_import_form.class.php',
         'CourseModule' => '/lib/course/course_module.class.php',
         'CourseModuleLastAccess' => '/lib/course/course_module_last_access.class.php',
         'CourseRequest' => '/lib/course/course_request.class.php',
         'CourseRequestForm' => '/lib/course/course_request_form.class.php',
         'CourseSection' => '/lib/course/course_section.class.php',
         'CourseToolRelCourseSection' => '/lib/course/course_tool_rel_course_section.class.php',
         'CourseUserCategory' => '/lib/course/course_user_category.class.php',
         'CourseUserCategoryForm' => '/lib/course/course_user_category_form.class.php',
         'CourseUserImportForm' => '/lib/course/course_user_import_form.class.php',
         'CourseUserRelationForm' => '/lib/course/course_user_relation_form.class.php',
         'RequestsTreeRenderer' => '/lib/course/requests_tree_renderer.class.php',
         'RightsTreeRenderer' => '/lib/course/rights_tree_renderer.class.php',
         'DefaultCourseCategoryTableCellRenderer' => '/lib/course/course_category_table/default_course_category_table_cell_renderer.class.php',
         'DefaultCourseCategoryTableColumnModel' => '/lib/course/course_category_table/default_course_category_table_column_model.class.php',
         'CourseListRenderer' => '/lib/course/course_list_renderer/course_list_renderer.class.php',
         'CourseTypeCourseListRenderer' => '/lib/course/course_list_renderer/course_type_course_list_renderer.class.php',
         'FilteredCourseListRenderer' => '/lib/course/course_list_renderer/filtered_course_list_renderer.class.php',
         'OpenClosedCourseTypeCourseListRenderer' => '/lib/course/course_list_renderer/open_closed_course_type_course_list_renderer.class.php',
         'OpenCourseTypeCourseListRenderer' => '/lib/course/course_list_renderer/open_course_type_course_list_renderer.class.php',
         'DefaultCourseRequestTableCellRenderer' => '/lib/course/course_request_table/default_course_request_table_cell_renderer.class.php',
         'DefaultCourseRequestTableColumnModel' => '/lib/course/course_request_table/default_course_request_table_column_model.class.php',
         'DefaultCourseSectionsTableCellRenderer' => '/lib/course/course_sections_table/default_course_sections_table_cell_renderer.class.php',
         'DefaultCourseSectionsTableColumnModel' => '/lib/course/course_sections_table/default_course_sections_table_column_model.class.php',
         'DefaultCourseTableCellRenderer' => '/lib/course/course_table/default_course_table_cell_renderer.class.php',
         'DefaultCourseTableColumnModel' => '/lib/course/course_table/default_course_table_column_model.class.php',
         'CoursesRightsEditorManager' => '/lib/courses_rights_editor/courses_rights_editor_manager.class.php',
         'CoursesRightsEditorManagerBrowserComponent' => '/lib/courses_rights_editor/component/browser.class.php',
         'CoursesRightsEditorManagerCourseGroupRightsSetterComponent' => '/lib/courses_rights_editor/component/course_group_rights_setter.class.php',
         'CoursesRightsEditorManagerGroupRightsSetterComponent' => '/lib/courses_rights_editor/component/group_rights_setter.class.php',
         'CoursesRightsEditorManagerInheritChangerComponent' => '/lib/courses_rights_editor/component/inherit_changer.class.php',
         'CoursesRightsEditorManagerTemplateRightsSetterComponent' => '/lib/courses_rights_editor/component/template_rights_setter.class.php',
         'CoursesRightsEditorManagerUserRightsSetterComponent' => '/lib/courses_rights_editor/component/user_rights_setter.class.php',
         'LocationCourseGroupBrowserTable' => '/lib/courses_rights_editor/component/location_course_group_browser/location_course_group_browser_table.class.php',
         'LocationCourseGroupBrowserTableCellRenderer' => '/lib/rights_entities/course_group/location_course_group_cell_renderer.class.php',
         'LocationCourseGroupBrowserTableColumnModel' => '/lib/rights_entities/course_group/location_course_group_column_model.class.php',
         'LocationCourseGroupBrowserTableDataProvider' => '/lib/courses_rights_editor/component/location_course_group_browser/location_course_group_browser_table_data_provider.class.php',
         'CourseGroup' => '/lib/course_group/course_group.class.php',
         'CourseGroupForm' => '/lib/course_group/course_group_form.class.php',
         'CourseGroupGroupRelation' => '/lib/course_group/course_group_group_relation.class.php',
         'CourseGroupRightLocation' => '/lib/course_group/course_group_right_location.class.php',
         'CourseGroupSubscriptionsForm' => '/lib/course_group/course_group_subscriptions_form.class.php',
         'CourseGroupUserRelation' => '/lib/course_group/course_group_user_relation.class.php',
         'CourseTypeForm' => '/lib/course_type/course_type_form.class.php',
         'CourseTypeSelectForm' => '/lib/course_type/course_type_select_form.class.php',
         'CourseTypeUserCategory' => '/lib/course_type/course_type_user_category.class.php',
         'CourseTypeUserCategoryRelCourse' => '/lib/course_type/course_type_user_category_rel_course.class.php',
         'CourseTypeUserCategoryRelCourseForm' => '/lib/course_type/course_type_user_category_rel_course_form.class.php',
         'HTML_QuickForm_Rule_Max_Members' => '/lib/course_type/max_members_rule.class.php',
         'CourseSetting' => '/lib/dataclass/course_setting.class.php',
         'CourseSettingDefaultValue' => '/lib/dataclass/course_setting_default_value.class.php',
         'CourseSettingRelation' => '/lib/dataclass/course_setting_relation.class.php',
         'CourseSettingValue' => '/lib/dataclass/course_setting_value.class.php',
         'CourseTool' => '/lib/dataclass/course_tool.class.php',
         'RightsLocationLockedRight' => '/lib/dataclass/rights_location_locked_right.class.php',
         'Mdb2WeblcmsDataManager' => '/lib/data_manager/mdb2.class.php',
         'CommonCourseForm' => '/lib/form/common_course_form.class.php',
         'CourseSettingsXmlFormParser' => '/lib/form/course_settings_xml_form_parser/course_settings_xml_form_parser.class.php',
         'CourseSettingsXmlFormParserResult' => '/lib/form/course_settings_xml_form_parser/course_settings_xml_form_parser_result.class.php',
         'CourseSettingsXmlFormParserSupport' => '/lib/interface/course_settings_xml_form_parser_support.class.php',
         'FormLockedSettingsSupport' => '/lib/interface/form_locked_settings_support.class.php',
         'ContentObjectPublisher' => '/lib/publisher/content_object_publisher.class.php',
         'CoursePlatformGroupEntity' => '/lib/rights_entities/course_platform_group_entity.class.php',
         'CourseUserEntity' => '/lib/rights_entities/course_user_entity.class.php',
         'CourseGroupEntity' => '/lib/rights_entities/new_course_group_entity.class.php',
         'WeblcmsPublicationRSS' => '/lib/rss/publication_rss.class.php',
         'Tool' => '/lib/tool/tool.class.php',
         'ToolComponent' => '/lib/tool/tool_component.class.php',
         'ToolInstaller' => '/lib/tool/tool_installer.class.php',
         'ToolComponentAttachmentViewerComponent' => '/lib/tool/component/attachment_viewer.class.php',
         'ToolComponentBrowserComponent' => '/lib/tool/component/browser.class.php',
         'ToolComponentCategoryManagerComponent' => '/lib/tool/component/category_manager.class.php',
         'ToolComponentCategoryMoverComponent' => '/lib/tool/component/category_mover.class.php',
         'ToolComponentComplexBuilderComponent' => '/lib/tool/component/complex_builder.class.php',
         'ToolComponentContentObjectUpdaterComponent' => '/lib/tool/component/content_object_updater.class.php',
         'ToolComponentDeleterComponent' => '/lib/tool/component/deleter.class.php',
         'ToolComponentEvaluateComponent' => '/lib/tool/component/evaluate.class.php',
         'ToolComponentHidePublicationComponent' => '/lib/tool/component/hide_publication.class.php',
         'ToolComponentIntroductionPublisherComponent' => '/lib/tool/component/introduction_publisher.class.php',
         'ToolComponentMoverComponent' => '/lib/tool/component/mover.class.php',
         'ToolComponentPublicationUpdaterComponent' => '/lib/tool/component/publication_updater.class.php',
         'ToolComponentPublisherComponent' => '/lib/tool/component/publisher.class.php',
         'ToolComponentReportingViewerComponent' => '/lib/tool/component/reporting_viewer.class.php',
         'ToolComponentRightsEditorComponent' => '/lib/tool/component/rights_editor.class.php',
         'ToolComponentShareContentObjectsComponent' => '/lib/tool/component/share_content_objects.class.php',
         'ToolComponentShowPublicationComponent' => '/lib/tool/component/show_publication.class.php',
         'ToolComponentToggleVisibilityComponent' => '/lib/tool/component/toggle_visibility.class.php',
         'ToolComponentToolEvaluateComponent' => '/lib/tool/component/tool_evaluate.class.php',
         'ToolComponentUpdaterComponent' => '/lib/tool/component/updater.class.php',
         'ToolComponentViewerComponent' => '/lib/tool/component/viewer.class.php',
         'FixedLocationToolListRenderer' => '/lib/tool_list_renderer/fixed_location_tool_list_renderer.class.php',
         'MenuToolListRenderer' => '/lib/tool_list_renderer/menu_tool_list_renderer.class.php',
         'ShortcutToolListRenderer' => '/lib/tool_list_renderer/shortcut_tool_list_renderer.class.php',
         'CourseValidator' => '/lib/validator/course_validator.class.php',
         'WeblcmsManager' => '/lib/weblcms_manager/weblcms_manager.class.php',
         'WeblcmsSearchForm' => '/lib/weblcms_manager/weblcms_search_form.class.php',
         'WeblcmsManagerAdminCourseManagerComponent' => '/lib/weblcms_manager/component/admin_course_manager.class.php',
         'WeblcmsManagerAdminRequestBrowserComponent' => '/lib/weblcms_manager/component/admin_request_browser.class.php',
         'WeblcmsManagerCourseCategoryManagerComponent' => '/lib/weblcms_manager/component/course_category_manager.class.php',
         'WeblcmsManagerCourseChangeCourseTypeComponent' => '/lib/weblcms_manager/component/course_change_course_type.class.php',
         'WeblcmsManagerCourseCodeSubscriberComponent' => '/lib/weblcms_manager/component/course_code_subscriber.class.php',
         'WeblcmsManagerCourseCreateRequestCreatorComponent' => '/lib/weblcms_manager/component/course_create_request_creator.class.php',
         'WeblcmsManagerCourseCreatorComponent' => '/lib/weblcms_manager/component/course_creator.class.php',
         'WeblcmsManagerCourseDeleterComponent' => '/lib/weblcms_manager/component/course_deleter.class.php',
         'WeblcmsManagerCourseImporterComponent' => '/lib/weblcms_manager/component/course_importer.class.php',
         'WeblcmsManagerCourseManagerComponent' => '/lib/weblcms_manager/component/course_manager.class.php',
         'WeblcmsManagerCourseRequestAllowComponent' => '/lib/weblcms_manager/component/course_request_allow.class.php',
         'WeblcmsManagerCourseRequestDeleterComponent' => '/lib/weblcms_manager/component/course_request_deleter.class.php',
         'WeblcmsManagerCourseRequestEditorComponent' => '/lib/weblcms_manager/component/course_request_editor.class.php',
         'WeblcmsManagerCourseRequestRefuseComponent' => '/lib/weblcms_manager/component/course_request_refuse.class.php',
         'WeblcmsManagerCourseRequestViewerComponent' => '/lib/weblcms_manager/component/course_request_viewer.class.php',
         'WeblcmsManagerCourseSubscribeRequestCreatorComponent' => '/lib/weblcms_manager/component/course_subscribe_request_creator.class.php',
         'WeblcmsManagerCourseTypeCoursesDeleterComponent' => '/lib/weblcms_manager/component/course_type_courses_deleter.class.php',
         'WeblcmsManagerCourseTypeManagerComponent' => '/lib/weblcms_manager/component/course_type_manager.class.php',
         'WeblcmsManagerCourseTypeSelectorComponent' => '/lib/weblcms_manager/component/course_type_selector.class.php',
         'WeblcmsManagerCourseUserImporterComponent' => '/lib/weblcms_manager/component/course_user_importer.class.php',
         'WeblcmsManagerCourseViewerComponent' => '/lib/weblcms_manager/component/course_viewer.class.php',
         'WeblcmsManagerGroupSubscribeComponent' => '/lib/weblcms_manager/component/group_subscribe.class.php',
         'WeblcmsManagerGroupUnsubscribeComponent' => '/lib/weblcms_manager/component/group_unsubscribe.class.php',
         'WeblcmsManagerGroupUsersSubscribeComponent' => '/lib/weblcms_manager/component/group_users_subscribe.class.php',
         'WeblcmsManagerHomeComponent' => '/lib/weblcms_manager/component/home.class.php',
         'WeblcmsManagerReportingComponent' => '/lib/weblcms_manager/component/reporting.class.php',
         'WeblcmsManagerSorterComponent' => '/lib/weblcms_manager/component/sorter.class.php',
         'AdminRequestBrowserTable' => '/lib/weblcms_manager/component/admin_request_browser/admin_request_browser_table.class.php',
         'AdminRequestBrowserTableCellRenderer' => '/lib/weblcms_manager/component/admin_request_browser/admin_request_browser_table_cell_renderer.class.php',
         'AdminRequestBrowserTableColumnModel' => '/lib/weblcms_manager/component/admin_request_browser/admin_request_browser_table_column_model.class.php',
         'AdminRequestBrowserTableDataProvider' => '/lib/weblcms_manager/component/admin_request_browser/admin_request_browser_table_data_provider.class.php',
         'CatalogCourseBrowserTable' => '/lib/weblcms_manager/component/catalog_course_browser/catalog_course_browser_table.class.php',
         'CatalogCourseBrowserTableCellRenderer' => '/lib/weblcms_manager/component/catalog_course_browser/catalog_course_browser_table_cell_renderer.class.php',
         'CatalogCourseBrowserTableColumnModel' => '/lib/weblcms_manager/component/catalog_course_browser/catalog_course_browser_table_column_model.class.php',
         'CatalogCourseBrowserTableDataProvider' => '/lib/weblcms_manager/component/catalog_course_browser/catalog_course_browser_table_data_provider.class.php',
         'WebServicesCourse' => '/lib/webservices/webservices_course.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'WeblcmsInstaller' => '/package/install/weblcms_installer.class.php',
         'WeblcmsSubmanagerInstaller' => '/package/install/weblcms_submanager_installer.class.php',
         'ReportingWeblcms' => '/reporting/reporting_weblcms.class.php',
         'WeblcmsCourseReportingBlock' => '/reporting/weblcms_course_reporting_block.class.php',
         'WeblcmsReportingBlock' => '/reporting/weblcms_reporting_block.class.php',
         'WeblcmsToolReportingBlock' => '/reporting/weblcms_tool_reporting_block.class.php',
         'WeblcmsAssessmentAttemptsUserReportingBlock' => '/reporting/blocks/weblcms_assessment_attempts_user_reporting_block.class.php',
         'WeblcmsAssessmentInformationReportingBlock' => '/reporting/blocks/weblcms_assessment_information_reporting_block.class.php',
         'WeblcmsAssessmentOverviewReportingBlock' => '/reporting/blocks/weblcms_assessment_overview_reporting_block.class.php',
         'WeblcmsAssessmentQuestionsReportingBlock' => '/reporting/blocks/weblcms_assessment_questions_reporting_block.class.php',
         'WeblcmsAssessmentQuestionsUsersReportingBlock' => '/reporting/blocks/weblcms_assessment_questions_users_reporting_block.class.php',
         'WeblcmsAssessmentQuestionAttemptsReportingBlock' => '/reporting/blocks/weblcms_assessment_question_attempts_reporting_block.class.php',
         'WeblcmsAssessmentQuestionAttemptsUserReportingBlock' => '/reporting/blocks/weblcms_assessment_question_attempts_user_reporting_block.class.php',
         'WeblcmsAssessmentQuestionUsersReportingBlock' => '/reporting/blocks/weblcms_assessment_question_users_reporting_block.class.php',
         'WeblcmsAssessmentReportingBlock' => '/reporting/blocks/weblcms_assessment_reporting_block.class.php',
         'WeblcmsAssessmentUsersReportingBlock' => '/reporting/blocks/weblcms_assessment_users_reporting_block.class.php',
         'WeblcmsAssessmentUserInformationReportingBlock' => '/reporting/blocks/weblcms_assessment_user_information_reporting_block.class.php',
         'WeblcmsAssessmentUserScoresReportingBlock' => '/reporting/blocks/weblcms_assessment_user_scores_reporting_block.class.php',
         'WeblcmsAssignmentCourseGroupsReportingBlock' => '/reporting/blocks/weblcms_assignment_course_groups_reporting_block.class.php',
         'WeblcmsAssignmentCourseGroupInformationReportingBlock' => '/reporting/blocks/weblcms_assignment_course_group_information_reporting_block.class.php',
         'WeblcmsAssignmentCourseGroupScoresReportingBlock' => '/reporting/blocks/weblcms_assignment_course_group_scores_reporting_block.class.php',
         'WeblcmsAssignmentGroupScoresReportingBlock' => '/reporting/blocks/weblcms_assignment_group_scores_reporting_block.class.php',
         'WeblcmsAssignmentInformationReportingBlock' => '/reporting/blocks/weblcms_assignment_information_reporting_block.class.php',
         'WeblcmsAssignmentPlatformGroupsReportingBlock' => '/reporting/blocks/weblcms_assignment_platform_groups_reporting_block.class.php',
         'WeblcmsAssignmentPlatformGroupInformationReportingBlock' => '/reporting/blocks/weblcms_assignment_platform_group_information_reporting_block.class.php',
         'WeblcmsAssignmentPlatformGroupScoresReportingBlock' => '/reporting/blocks/weblcms_assignment_platform_group_scores_reporting_block.class.php',
         'WeblcmsAssignmentReportingBlock' => '/reporting/blocks/weblcms_assignment_reporting_block.class.php',
         'WeblcmsAssignmentReportingManager' => '/reporting/blocks/weblcms_assignment_reporting_manager.class.php',
         'WeblcmsAssignmentSubmissionsGroupReportingBlock' => '/reporting/blocks/weblcms_assignment_submissions_group_reporting_block.class.php',
         'WeblcmsAssignmentSubmissionsReportingBlock' => '/reporting/blocks/weblcms_assignment_submissions_reporting_block.class.php',
         'WeblcmsAssignmentSubmissionsUserReportingBlock' => '/reporting/blocks/weblcms_assignment_submissions_user_reporting_block.class.php',
         'WeblcmsAssignmentSubmittersReportingBlock' => '/reporting/blocks/weblcms_assignment_submitters_reporting_block.class.php',
         'WeblcmsAssignmentSubmitterInformationReportingBlock' => '/reporting/blocks/weblcms_assignment_submitter_information_reporting_block.class.php',
         'WeblcmsAssignmentSubmitterSubmissionsReportingBlock' => '/reporting/blocks/weblcms_assignment_submitter_submissions_reporting_block.class.php',
         'WeblcmsAssignmentUsersReportingBlock' => '/reporting/blocks/weblcms_assignment_users_reporting_block.class.php',
         'WeblcmsAssignmentUserInformationReportingBlock' => '/reporting/blocks/weblcms_assignment_user_information_reporting_block.class.php',
         'WeblcmsAssignmentUserScoresReportingBlock' => '/reporting/blocks/weblcms_assignment_user_scores_reporting_block.class.php',
         'WeblcmsAverageExerciseScoreReportingBlock' => '/reporting/blocks/weblcms_average_exercise_score_reporting_block.class.php',
         'WeblcmsAverageLearningPathScoreReportingBlock' => '/reporting/blocks/weblcms_average_learning_path_score_reporting_block.class.php',
         'WeblcmsCoursesPerCategoryReportingBlock' => '/reporting/blocks/weblcms_courses_per_category_reporting_block.class.php',
         'WeblcmsCourseInformationReportingBlock' => '/reporting/blocks/weblcms_course_information_reporting_block.class.php',
         'WeblcmsCourseUserAssignmentInformationReportingBlock' => '/reporting/blocks/weblcms_course_user_assignment_information_reporting_block.class.php',
         'WeblcmsCourseUserExerciseInformationReportingBlock' => '/reporting/blocks/weblcms_course_user_exercise_information_reporting_block.class.php',
         'WeblcmsCourseUserLearningPathInformationReportingBlock' => '/reporting/blocks/weblcms_course_user_learning_path_information_reporting_block.class.php',
         'WeblcmsLastAccessReportingBlock' => '/reporting/blocks/weblcms_last_access_reporting_block.class.php',
         'WeblcmsLastAccessToToolsPlatformReportingBlock' => '/reporting/blocks/weblcms_last_access_to_tools_platform_reporting_block.class.php',
         'WeblcmsLastAccessToToolsReportingBlock' => '/reporting/blocks/weblcms_last_access_to_tools_reporting_block.class.php',
         'WeblcmsLastAccessToToolsUserReportingBlock' => '/reporting/blocks/weblcms_last_access_to_tools_user_reporting_block.class.php',
         'WeblcmsLearningPathAttemptsReportingBlock' => '/reporting/blocks/weblcms_learning_path_attempts_reporting_block.class.php',
         'WeblcmsLearningPathAttemptProgressDetailsReportingBlock' => '/reporting/blocks/weblcms_learning_path_attempt_progress_details_reporting_block.class.php',
         'WeblcmsLearningPathAttemptProgressInformationReportingBlock' => '/reporting/blocks/weblcms_learning_path_attempt_progress_information_reporting_block.class.php',
         'WeblcmsLearningPathAttemptProgressReportingBlock' => '/reporting/blocks/weblcms_learning_path_attempt_progress_reporting_block.class.php',
         'WeblcmsLearningPathProgressUsersReportingBlock' => '/reporting/blocks/weblcms_learning_path_progress_users_reporting_block.class.php',
         'WeblcmsLearningPathReportingBlock' => '/reporting/blocks/weblcms_learning_path_reporting_block.class.php',
         'WeblcmsMostActiveInactiveLastDetailReportingBlock' => '/reporting/blocks/weblcms_most_active_inactive_last_detail_reporting_block.class.php',
         'WeblcmsMostActiveInactiveLastPublicationReportingBlock' => '/reporting/blocks/weblcms_most_active_inactive_last_publication_reporting_block.class.php',
         'WeblcmsMostActiveInactiveLastVisitReportingBlock' => '/reporting/blocks/weblcms_most_active_inactive_last_visit_reporting_block.class.php',
         'WeblcmsNoOfCoursesByLanguageReportingBlock' => '/reporting/blocks/weblcms_no_of_courses_by_language_reporting_block.class.php',
         'WeblcmsNoOfCoursesReportingBlock' => '/reporting/blocks/weblcms_no_of_courses_reporting_block.class.php',
         'WeblcmsNoOfObjectsPerTypeReportingBlock' => '/reporting/blocks/weblcms_no_of_objects_per_type_reporting_block.class.php',
         'WeblcmsNoOfPublishedObjectsPerTypeReportingBlock' => '/reporting/blocks/weblcms_no_of_published_objects_per_type_reporting_block.class.php',
         'WeblcmsNoOfUsersSubscribedCourseReportingBlock' => '/reporting/blocks/weblcms_no_of_users_subscribed_course_reporting_block.class.php',
         'WeblcmsPublicationAccessReportingBlock' => '/reporting/blocks/weblcms_publication_access_reporting_block.class.php',
         'WeblcmsPublicationDetailReportingBlock' => '/reporting/blocks/weblcms_publication_detail_reporting_block.class.php',
         'WeblcmsPublicationUserAccessReportingBlock' => '/reporting/blocks/weblcms_publication_user_access_reporting_block.class.php',
         'WeblcmsToolPublicationsReportingBlock' => '/reporting/blocks/weblcms_tool_publications_reporting_block.class.php',
         'WeblcmsUsersTrackingReportingBlock' => '/reporting/blocks/weblcms_users_tracking_reporting_block.class.php',
         'WeblcmsUserInformationReportingBlock' => '/reporting/blocks/weblcms_user_information_reporting_block.class.php',
         'WeblcmsWikiMostEditedPageReportingBlock' => '/reporting/blocks/weblcms_wiki_most_edited_page_reporting_block.class.php',
         'WeblcmsWikiMostVisitedPageReportingBlock' => '/reporting/blocks/weblcms_wiki_most_visited_page_reporting_block.class.php',
         'WeblcmsWikiPageMostActiveUsersReportingBlock' => '/reporting/blocks/weblcms_wiki_page_most_active_users_reporting_block.class.php',
         'WeblcmsWikiPageUsersContributionsReportingBlock' => '/reporting/blocks/weblcms_wiki_page_users_contributions_reporting_block.class.php',
         'AssessmentAttemptsReportingTemplate' => '/reporting/templates/assessment_attempts_reporting_template.class.php',
         'AssessmentAttemptsUserReportingTemplate' => '/reporting/templates/assessment_attempts_user_reporting_template.class.php',
         'AssessmentQuestionAttemptsUserReportingTemplate' => '/reporting/templates/assessment_question_attempts_user_reporting_template.class.php',
         'AssessmentQuestionUsersReportingTemplate' => '/reporting/templates/assessment_question_users_reporting_template.class.php',
         'AssessmentScoresReportingTemplate' => '/reporting/templates/assessment_scores_reporting_template.class.php',
         'AssignmentScoresReportingTemplate' => '/reporting/templates/assignment_scores_reporting_template.class.php',
         'AssignmentSubmissionsReportingTemplate' => '/reporting/templates/assignment_submissions_reporting_template.class.php',
         'CourseAssignmentSubmittersReportingTemplate' => '/reporting/templates/course_assignment_submitters_reporting_template.class.php',
         'CourseDataReportingTemplate' => '/reporting/templates/course_data_reporting_template.class.php',
         'CourseStudentTrackerDetailReportingTemplate' => '/reporting/templates/course_student_tracker_detail_reporting_template.class.php',
         'CourseStudentTrackerReportingTemplate' => '/reporting/templates/course_student_tracker_reporting_template.class.php',
         'CourseSubmitterSubmissionsReportingTemplate' => '/reporting/templates/course_submitter_submissions_reporting_template.class.php',
         'CourseTrackerReportingTemplate' => '/reporting/templates/course_tracker_reporting_template.class.php',
         'LearningPathAttemptsReportingTemplate' => '/reporting/templates/learning_path_attempts_reporting_template.class.php',
         'LearningPathAttemptProgressDetailsReportingTemplate' => '/reporting/templates/learning_path_attempt_progress_details_reporting_template.class.php',
         'LearningPathAttemptProgressReportingTemplate' => '/reporting/templates/learning_path_attempt_progress_reporting_template.class.php',
         'LearningPathProgressReportingTemplate' => '/reporting/templates/learning_path_progress_reporting_template.class.php',
         'PublicationDetailReportingTemplate' => '/reporting/templates/publication_detail_reporting_template.class.php',
         'ToolPublicationsDetailReportingTemplate' => '/reporting/templates/tool_publications_detail_reporting_template.class.php',
         'WikiPageReportingTemplate' => '/reporting/templates/wiki_page_reporting_template.class.php',
         'WikiReportingTemplate' => '/reporting/templates/wiki_reporting_template.class.php',
         'CourseSettingsConnector' => '/settings/course_settings_connector.class.php',
         'WeblcmsAssessmentAttemptsTracker' => '/trackers/weblcms_assessment_attempts_tracker.class.php',
         'WeblcmsAssignmentSubmissionsTracker' => '/trackers/weblcms_assignment_submissions_tracker.class.php',
         'WeblcmsCourseChangesTracker' => '/trackers/weblcms_course_changes_tracker.class.php',
         'WeblcmsForumTopicViewsTracker' => '/trackers/weblcms_forum_topic_views_tracker.class.php',
         'WeblcmsLearningPathQuestionAttemptsTracker' => '/trackers/weblcms_learning_path_question_attempts_tracker.class.php',
         'WeblcmsLpiAttemptInteractionTracker' => '/trackers/weblcms_lpi_attempt_interaction_tracker.class.php',
         'WeblcmsLpiAttemptObjectiveTracker' => '/trackers/weblcms_lpi_attempt_objective_tracker.class.php',
         'WeblcmsLpiAttemptTracker' => '/trackers/weblcms_lpi_attempt_tracker.class.php',
         'WeblcmsLpAttemptTracker' => '/trackers/weblcms_lp_attempt_tracker.class.php',
         'WeblcmsPublicationChangesTracker' => '/trackers/weblcms_publication_changes_tracker.class.php',
         'WeblcmsQuestionAttemptsTracker' => '/trackers/weblcms_question_attempts_tracker.class.php',
         'WeblcmsSubmissionFeedbackTracker' => '/trackers/weblcms_submission_feedback_tracker.class.php',
         'WeblcmsSubmissionNoteTracker' => '/trackers/weblcms_submission_note_tracker.class.php',
         'WeblcmsSubmissionScoreTracker' => '/trackers/weblcms_submission_score_tracker.class.php',
         'WeblcmsSurveyParticipantMailTracker' => '/trackers/weblcms_survey_participant_mail_tracker.class.php',
         'WeblcmsSurveyParticipantTracker' => '/trackers/weblcms_survey_participant_tracker.class.php',
         'WeblcmsSurveyQuestionAnswerTracker' => '/trackers/weblcms_survey_question_answer_tracker.class.php',
         'ContentObjectPublicationCreateWebserviceHandler' => '/webservices/content_object_publication/create.class.php',
         'ContentObjectPublicationDeleteWebserviceHandler' => '/webservices/content_object_publication/delete.class.php',
         'ContentObjectPublicationGetWebserviceHandler' => '/webservices/content_object_publication/get.class.php',
         'ContentObjectPublicationGetListWebserviceHandler' => '/webservices/content_object_publication/get_list.class.php',
         'ContentObjectPublicationUpdateWebserviceHandler' => '/webservices/content_object_publication/update.class.php',
         'ContentObjectPublicationCategoryCreateWebserviceHandler' => '/webservices/content_object_publication_category/create.class.php',
         'ContentObjectPublicationCategoryDeleteWebserviceHandler' => '/webservices/content_object_publication_category/delete.class.php',
         'ContentObjectPublicationCategoryGetWebserviceHandler' => '/webservices/content_object_publication_category/get.class.php',
         'ContentObjectPublicationCategoryGetListWebserviceHandler' => '/webservices/content_object_publication_category/get_list.class.php',
         'ContentObjectPublicationCategoryUpdateWebserviceHandler' => '/webservices/content_object_publication_category/update.class.php',
         'CourseGetListWebserviceHandler' => '/webservices/course/get_list.class.php',
         'CourseGroupRelationCreateWebserviceHandler' => '/webservices/course_group_relation/create.class.php',
        #region peer assessment
        'WeblcmsPeerAssessmentGroupTracker' => '/trackers/weblcms_peer_assessment_group_tracker.class.php',
        'WeblcmsPeerAssessmentGroupSubscriptionTracker' => '/trackers/weblcms_peer_assessment_group_subscription_tracker.class.php',
        'WeblcmsPeerAssessmentAttemptTracker' => '/trackers/weblcms_peer_assessment_attempt_tracker.class.php',
        'WeblcmsPeerAssessmentAttemptStatusTracker' => '/trackers/weblcms_peer_assessment_attempt_status_tracker.class.php',
        'WeblcmsPeerAssessmentScoreTracker' => '/trackers/weblcms_peer_assessment_score_tracker.class.php',
        'WeblcmsPeerAssessmentFeedbackTracker' => '/trackers/weblcms_peer_assessment_feedback_tracker.class.php',
        'WeblcmsPeerAssessmentPublicationSettingsTracker' => '/trackers/weblcms_peer_assessment_publication_settings_tracker.class.php'
        #endregion peer assessment
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>