<?php
namespace application\weblcms;

use common\libraries\Block;
use common\libraries\WebApplication;
use common\libraries\EqualityCondition;
use common\libraries\AndCondition;
use common\libraries\ObjectTableOrder;
use user\LoginLogoutTracker;
use tracking\TrackingDataManager;


/**
 *
 * @author Hans De bisschop
 */

class WeblcmsBlock extends Block
{

    function get_last_login($user_id)
    {
        return $this->get_login_logout($user_id, 'login');
    }
    
    function get_last_logout($user_id)
    {
        return $this->get_login_logout($user_id, 'logout');
    }
    
    protected function get_login_logout($user_id, $type)
    {
        // Retrieve the last login
        $tracking_data_manager = TrackingDataManager :: get_instance();
        $conditions = array();
        $order_by = new ObjectTableOrder(LoginLogoutTracker :: PROPERTY_DATE, SORT_DESC);
        $conditions[] = new EqualityCondition(LoginLogoutTracker :: PROPERTY_USER_ID, $user_id);
        $conditions[] = new EqualityCondition(LoginLogoutTracker :: PROPERTY_TYPE, $type);
        $condition = new AndCondition($conditions);
        $trackers = $tracking_data_manager->retrieve_tracker_items(LoginLogoutTracker :: get_table_name(), $condition, 0, 1, $order_by, LoginLogoutTracker :: CLASS_NAME);
        $tracker = $trackers->next_result();
        if (is_null($tracker))
        {
            return '0';
        }
        return $tracker->get_date();
    }
}
?>