<?php
namespace application\weblcms;

/**
 * $Id: table_content_object_publication_list_renderer.class.php 216 2009-11-13
 * 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.browser.list_renderer
 */
/**
 * Renderer to display a sortable table with learning object publications.
 */
class TableContentObjectPublicationListRenderer extends ContentObjectPublicationListRenderer
{

    /**
     * Returns the HTML output of this renderer.
     *
     * @return string The HTML output
     */
    function as_html()
    {
        if (method_exists($this->get_tool_browser()->get_parent(), 'get_content_object_publication_table_cell_renderer'))
        {
            $object_publication_table_cell_renderer = $this->get_tool_browser()->get_parent()->get_content_object_publication_table_cell_renderer($this);
        }
        else
        {
            $object_publication_table_cell_renderer = null;
        }

        if (method_exists($this->get_tool_browser()->get_parent(), 'get_content_object_publication_table_column_model'))
        {
            $object_publication_table_column_model = $this->get_tool_browser()->get_parent()->get_content_object_publication_table_column_model();
        }
        else
        {
            $object_publication_table_column_model = null;
        }

        $table = new ObjectPublicationTable($this, $this->get_publication_conditions(), $object_publication_table_cell_renderer, $object_publication_table_column_model);
        return $table->as_html();
    }
}
?>