<?php
namespace application\weblcms;

use common\libraries\Utilities;
use common\libraries\EqualityCondition;
use common\libraries\Path;
use common\extensions\category_manager\PlatformCategory;

/**
 * $Id: course_category.class.php 216 2009-11-13 14:08:06Z kariboe $
 * 
 * @package application.lib.weblcms.category_manager
 */
/**
 *
 * @author Sven Vanpoucke
 */

class CourseCategory extends PlatformCategory
{
    const CLASS_NAME = __CLASS__;
    
    const PROPERTY_CODE = 'code';

    function get_code()
    {
        return $this->get_default_property(self :: PROPERTY_CODE);
    }
    
    function set_code($code)
    {
        $this->set_default_property(self :: PROPERTY_CODE, $code);
    }
    
    /**
     * Get the default properties of all contributions.
     * @return array The property titles.
     */
    static function get_default_property_names()
    {
        return parent :: get_default_property_names(array(self :: PROPERTY_CODE));
    }
    
    function create($create_in_batch = false)
    {
        $wdm = WeblcmsDataManager :: get_instance();
        
        $condition = new EqualityCondition(PlatformCategory :: PROPERTY_PARENT, $this->get_parent());
        $sort = $wdm->retrieve_max_sort_value(self :: get_table_name(), PlatformCategory :: PROPERTY_DISPLAY_ORDER, $condition);
        $this->set_display_order($sort + 1);
        
        return parent :: create();
    }

    /**
     * inherited
     */
    function get_data_manager()
    {
        return WeblcmsDataManager :: get_instance();
    }

    static function get_table_name()
    {
        return Utilities :: get_classname_from_namespace(self :: CLASS_NAME, true);
    }
}