<?php
namespace application\weblcms;

use common\libraries\AndCondition;
use common\libraries\EqualityCondition;
use common\libraries\OrCondition;

/**
 * Course list renderer to render the course list with tabs for the course types
 * (used in courses home, courses sorter) and only with open courses
 *
 * @author Sven Vanpoucke
 */
class OpenCourseTypeCourseListRenderer extends CourseTypeCourseListRenderer
{

    /**
     * Returns the conditions needed to retrieve the courses
     */
    function get_retrieve_courses_condition()
    {
        $conditions = array();
        $conditions[] = parent :: get_retrieve_courses_condition();
        $open_condition[] = new EqualityCondition(CourseSettings :: PROPERTY_ACCESS, CourseSettings :: ACCESS_OPEN, CourseSettings :: get_table_name());
        $open_condition[] = new EqualityCondition(CourseSettings :: PROPERTY_ACCESS, CourseSettings :: ACCESS_WORLD, CourseSettings :: get_table_name());
        $open_condition[] = new EqualityCondition(CourseSettings :: PROPERTY_ACCESS, CourseSettings :: ACCESS_PLATFORM, CourseSettings :: get_table_name());
        $conditions[] = new OrCondition($open_condition);

        return new AndCondition($conditions);
    }
}

?>