<?php

namespace application\weblcms;

use common\libraries\DataClass;
use common\libraries\Utilities;
/**
 * Relation class that links a tool to a section
 *
 * @author Pieterjan Broekaert Hogeschool Gent
 */
class CourseToolRelCourseSection extends DataClass
{
    
    /**
     * **************************************************************************************************************
     * Table Properties *
     * **************************************************************************************************************
     */
    
    const PROPERTY_TOOL_ID = 'tool_id';
    const PROPERTY_SECTION_ID = 'section_id';

    /**
     * Get the default properties.
     * 
     * @return array The property names.
     */
    static function get_default_property_names($extended_property_names = array())
    {
        return parent :: get_default_property_names(array(self :: PROPERTY_TOOL_ID, self :: PROPERTY_SECTION_ID));
    }
    
    // inherited
    public function get_data_manager()
    {
        return WeblcmsDataManager :: get_instance();
    }

    /**
     * Return table name
     * 
     * @return string
     */
    static function get_table_name()
    {
        return Utilities :: get_classname_from_namespace(self :: class_name(), true);
    }

    /**
     * Returns the tool_id property of this object
     *
     * @return integer
     */
    function get_tool_id()
    {
        return $this->get_default_property(self :: PROPERTY_TOOL_ID);
    }

    /**
     * Sets the course_id property of this object
     *
     * @param $course_id String           
     */
    function set_tool_id($tool_id)
    {
        $this->set_default_property(self :: PROPERTY_TOOL_ID, $tool_id);
    }

    /**
     * Returns the section_id property of this object
     *
     * @return integer
     */
    function get_section_id()
    {
        return $this->get_default_property(self :: PROPERTY_SECTION_ID);
    }

    /**
     * Sets the course_id property of this object
     *
     * @param $course_id String           
     */
    function set_section_id($section_id)
    {
        $this->set_default_property(self :: PROPERTY_SECTION_ID, $section_id);
    }
}

?>
