<?php

namespace application\weblcms;

use rights\RightsEntityInterface;
use common\libraries\EqualityCondition;
use rights\RightsLocationEntityRight;
use common\libraries\AndCondition;
use common\libraries\OrCondition;
/**
 * Description of rights_course_group_entity
 *
 * @author Pieterjan Broekaert
 */
class RightsCourseGroupEntity implements RightsEntityInterface
{
    const ENTITY_TYPE = 4;
    
    private $course_group_cache;
    private $course_id;
    
    private static $instance;

    function __construct($course_id)
    {
        $this->course_id = $course_id;
    }

    static function get_instance($course_id)
    {
        if (! isset(self :: $instance))
        {
            self :: $instance = new self($course_id);
        }
        return self :: $instance;
    }
    
    /*
     * retrieves the course groups the user belongs to
     */
    function get_entity_items($user_id)
    {
        if (is_null($this->course_group_cache[$user_id]))
        {
            $this->course_group_cache[$user_id] = WeblcmsDataManager :: get_user_course_groups($user_id, $this->course_id);
        }
        
        return $this->course_group_cache[$user_id];
    }

    function get_entity_type()
    {
        return RightsCourseGroupEntity :: ENTITY_TYPE;
    }

    function get_entity_right_location($right, $entity_id, $location_id)
    {
    }
}

?>
