<?php

namespace application\weblcms;

use common\libraries\Utilities;
use common\extensions\new_rights_editor_manager\LocationEntityBrowserTableCellRenderer;

/**
 * Cell renderer for the course group entity browser
 * 
 * @author Sven Vanpoucke
 */
class LocationCourseGroupBrowserTableCellRenderer extends LocationEntityBrowserTableCellRenderer
{

    /**
     * Renders the cell for the given column and course group
     *
     * @param $column LocationCourseGroupBrowserTableColumnModel           
     * @param $entity_item CourseGroup           
     * @return String
     */
    function render_cell($column, $entity_item)
    {
        switch ($column->get_name())
        {
            case CourseGroup :: PROPERTY_DESCRIPTION :
                $description = Utilities :: truncate_string($entity_item->get_description(), 50);
                return Utilities :: truncate_string($description);
            case LocationCourseGroupBrowserTableColumnModel :: COLUMN_USERS :
                return $entity_item->count_members();
            case LocationCourseGroupBrowserTableColumnModel :: COLUMN_SUBGROUPS :
                return $entity_item->count_children(true);
        }
        
        return parent :: render_cell($column, $entity_item);
    }
}

?>
