<?php
namespace application\weblcms;

use common\libraries\ObjectTableFormAction;
use common\libraries\ObjectTable;
use common\libraries\Translation;
use common\libraries\Utilities;


/**
 * Table to display a list of courses.
 * Display home and register actions if available.
 */
class CatalogCourseBrowserTable extends ObjectTable
{
    const DEFAULT_NAME = 'catalog_course_browser_table';

    /**
     * Constructor
     */
    function __construct($browser, $parameters, $condition, $target = '')
    {
        $model = new CatalogCourseBrowserTableColumnModel();
        $renderer = new CatalogCourseBrowserTableCellRenderer($browser, $target);
        $data_provider = new CatalogCourseBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, CatalogCourseBrowserTable :: DEFAULT_NAME, $model, $renderer);
        $actions = array();

        $actions[] = new ObjectTableFormAction(WeblcmsManager :: PARAM_REMOVE_SELECTED, Translation :: get('RemoveSelected', null, Utilities :: COMMON_LIBRARIES));
        $actions[] = new ObjectTableFormAction(WeblcmsManager :: PARAM_CHANGE_COURSE_TYPE_SELECTED_COURSES, Translation :: get('ChangeCourseTypeSelected'), false);

        $this->set_form_actions($actions);
        $this->set_default_row_count(10);
    }
}
?>