<?php
namespace application\weblcms;

use common\libraries\StaticTableColumn;
use common\libraries\ObjectTableColumn;
use application\weblcms\course\Course;

/**
 * Table column model for the course browser table
 */
class CatalogCourseBrowserTableColumnModel extends DefaultCourseTableColumnModel
{
    /**
     * The tables modification column
     */
    private static $modification_column;

    /**
     * Constructor
     */
    function __construct()
    {
        parent :: __construct();
        //$this->add_column(new ObjectTableColumn(Course :: PROPERTY_COURSE_TYPE_ID));
        $this->add_column(new ObjectTableColumn(Course :: PROPERTY_CATEGORY_ID));
        $this->add_column(new ObjectTableColumn(Course :: PROPERTY_TITULAR_ID));
        $this->set_default_order_column(0);
        $this->add_column(self :: get_modification_column());
    }

    /**
     * Gets the modification column
     * @return CourseTableColumn
     */
    static function get_modification_column()
    {
        if (! isset(self :: $modification_column))
        {
            self :: $modification_column = new StaticTableColumn('');
        }
        return self :: $modification_column;
    }
}
?>