<?php
namespace application\weblcms;

use common\libraries\ObjectTableDataProvider;

/**
 * Data provider for a repository browser table.
 *
 * This class implements some functions to allow repository browser tables to
 * retrieve information about the learning objects to display.
 */
class CatalogCourseBrowserTableDataProvider extends ObjectTableDataProvider
{

    /**
     * Constructor
     * 
     * @param $browser WeblcmsManagerComponent           
     * @param $condition Condition           
     */
    function __construct($browser, $condition)
    {
        parent :: __construct($browser, $condition);
    }

    /**
     * Gets the courses
     * 
     * @param $offset int           
     * @param $count int           
     * @param $order_property string           
     * @return ResultSet A set of matching courses.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        
        return $this->get_browser()->retrieve_courses($this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Gets the number of courses in the table
     * 
     * @return int
     */
    function get_object_count()
    {
        return $this->get_browser()->count_courses($this->get_condition());
    }
}
?>