<?php
namespace application\weblcms;

use common\libraries\Application;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Utilities;

/**
 * $Id: request.class.php 224 2010-04-06 14:40:30Z Yannick $
 *
 * @package applicatie.lib.weblcms.weblcms_manager.component
 */

class WeblcmsManagerCourseCreateRequestCreatorComponent extends WeblcmsManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $course_code = Request :: get(WeblcmsManager :: PARAM_COURSE);
        $course = $this->retrieve_course($course_code);
        $failures = 0;

        $trail = BreadcrumbTrail :: get_instance();

        $request = new CourseCreateRequest();
        $form = new CourseRequestForm(CourseRequestForm :: TYPE_CREATE, $this->get_url(array(
                WeblcmsManager :: PARAM_COURSE => $course_code)), $course, $this, $request);

        if ($form->validate())
        {
            $success_request = $form->create_request();
            $array_type = array();
            $array_type['go'] = WeblcmsManager :: ACTION_VIEW_WEBLCMS_HOME;
            $this->redirect(Translation :: get($success_request ? 'CourseCreateRequestSent' : 'CourseCreateRequestNotSent'), ($success_request ? false : true), $array_type, array(
                    WeblcmsManager :: PARAM_COURSE));
        }
        else
        {
            $this->display_header();
            $form->display();
            $this->display_footer();
        }
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {

        $breadcrumbtrail->add(new Breadcrumb($this->get_url(null, array(Application :: PARAM_ACTION)), Translation :: get('MyCourses')));
        $breadcrumbtrail->add(new Breadcrumb($this->get_url(), Translation :: get('Create', null, Utilities :: COMMON_LIBRARIES)));
        $breadcrumbtrail->add_help('weblcms_course_create_request');
    }

    function get_additional_parameters()
    {
        return array();
    }

}

?>