<?php
namespace application\weblcms;

use common\libraries\AdministrationComponent;
use common\libraries\DelegateComponent;

use application\weblcms\course\CourseManager;
use application\weblcms\course\CourseSubManagerSupport;

/**
 * This class represents a component that runs the course type submanager
 *
 * @package \application\weblcms\course
 *         
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class WeblcmsManagerCourseManagerComponent extends WeblcmsManager implements DelegateComponent, CourseSubManagerSupport
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        CourseManager :: launch($this);
    }

    /**
     * Redirects the submanager to another component after a quick create
     *
     * @param $succes boolean           
     * @param $message String           
     */
    public function redirect_after_quick_create($succes, $message)
    {
        $this->redirect($message, ! $succes, array(), array(self :: PARAM_ACTION, CourseManager :: PARAM_ACTION));
    }

    /**
     * Redirects the submanager to another component after a quick update
     *
     * @param boolean $succes
     * @param String $message
     */
    function redirect_after_quick_update($succes, $message)
    {
        $this->redirect_after_quick_create($succes, $message);
    }
}
?>