<?php

namespace application\weblcms;

/**
 * Abstract installer class to install submanager data tables, settings,
 * tracking, reporting, webservices
 *
 * @package application\weblcms
 * @author Sven Vanpoucke - Hogeschool Gent
 */
abstract class WeblcmsSubmanagerInstaller extends \common\libraries\package\Installer
{

    /**
     * Constructor
     */
    function __construct($values)
    {
        parent :: __construct($values, WeblcmsDataManager :: get_instance());
    }

    /**
     * **************************************************************************************************************
     * Inherited Functionality *
     * **************************************************************************************************************
     */
    
    /**
     * Installs the submanager
     *
     * @return boolean
     */
    function install()
    {
        if (! $this->install_storage_units())
        {
            return false;
        }
        
        if (! $this->install_extra())
        {
            return false;
        }
        
        return $this->installation_successful();
    }

    /**
     * **************************************************************************************************************
     * Abstract / Dummy Functionality *
     * **************************************************************************************************************
     */
    
    protected function install_extra()
    {
        return true;
    }
}

?>
