<?php
namespace application\weblcms;

use reporting\ReportingData;
use reporting\ReportingFormatter;
use common\libraries\Path;
use common\libraries\Translation;

class WeblcmsCourseInformationReportingBlock extends WeblcmsCourseReportingBlock
{

    public function count_data()
    {
        $reporting_data = new ReportingData();
        
        $wdm = WeblcmsDataManager :: get_instance();
        $course = $wdm->retrieve_course($this->get_course_id());
        // $arr[Translation :: get('Name')][] = $course->get_title();
        // $arr[Translation :: get('Titular')][] =
        // $course->get_titular_string();
        
        $reporting_data->set_categories(array(Translation :: get('Name'), Translation :: get('Titular')));
        $reporting_data->set_rows(array(Translation :: get('count')));
        
        $reporting_data->add_data_category_row(Translation :: get('Name'), Translation :: get('count'), $course->get_title());
        $reporting_data->add_data_category_row(Translation :: get('Titular'), Translation :: get('count'), $course->get_titular_string());
        
        return $reporting_data;
    }

    public function retrieve_data()
    {
        return $this->count_data();
    }

    public function get_available_displaymodes()
    {
        $modes = array();
        // $modes[ReportingFormatter::DISPLAY_TEXT] = Translation ::
        // get('Text');
        $modes[ReportingFormatter :: DISPLAY_TABLE] = Translation :: get('Table');
        return $modes;
    }
}
?>