<?php
namespace application\weblcms;

use application\weblcms\course\Course;
use application\weblcms\course\CourseDataManager;
use reporting\ReportingData;
use reporting\ReportingChartFormatter;
use reporting\ReportingFormatter;
use common\libraries\EqualityCondition;
use common\libraries\Path;
use common\libraries\Translation;

class WeblcmsCoursesPerCategoryReportingBlock extends WeblcmsCourseReportingBlock
{

    public function count_data()
    {
        $reporting_data = new ReportingData();
        $reporting_data->set_rows(array(Translation :: get('count')));
        $wdm = CourseDataManager :: get_instance();
        
        $categories = $wdm->retrieve_course_categories();
        
        while ($category = $categories->next_result())
        {
            $arr[$category->get_name()] = 0;
            $condition = new EqualityCondition(Course :: PROPERTY_CATEGORY_ID, $category->get_id());
            
            $reporting_data->add_category($category->get_name());
            $reporting_data->add_data_category_row($category->get_name(), Translation :: get('count'), $wdm->count_courses($condition));
        }
        
        return $reporting_data;
    }

    public function retrieve_data()
    {
        return $this->count_data();
    }

    public function get_available_displaymodes()
    {
        $modes = array();
        // $modes[ReportingFormatter::DISPLAY_TEXT] = Translation ::
        // get('Text');
        $modes[ReportingFormatter :: DISPLAY_TABLE] = Translation :: get('Table');
        $modes[ReportingChartFormatter :: DISPLAY_PIE] = Translation :: get('Chart:Pie');
        return $modes;
    }
}
?>