<?php
namespace application\weblcms;

use application\weblcms\course\CourseDataManager;
use reporting\ReportingData;
use reporting\ReportingChartFormatter;
use reporting\ReportingFormatter;
use common\libraries\Path;
use common\libraries\Translation;

class WeblcmsNoOfCoursesByLanguageReportingBlock extends WeblcmsCourseReportingBlock
{

    public function count_data()
    {
        $reporting_data = new ReportingData();
        $wdm = CourseDataManager :: get_instance();
        $arr = array();
        $courses = $wdm->retrieve_courses();
        while ($course = $courses->next_result())
        {
            // $lang = $course->get_language();
            if (/*array_key_exists($lang, $arr*/$lang = 'english')
            {
                $arr[$lang] ++;
            }
            else
            {
                $arr[$lang] = 1;
            }
        }
        $reporting_data->set_categories(array('english'));
        $reporting_data->set_rows(array(Translation :: get('count')));
        
        $reporting_data->add_data_category_row('english', Translation :: get('count'), $arr['english']);
        return $reporting_data;
    }

    public function retrieve_data()
    {
        return $this->count_data();
    }

    function get_application()
    {
        return WeblcmsManager :: APPLICATION_NAME;
    }

    public function get_available_displaymodes()
    {
        $modes = array();
        // $modes[ReportingFormatter::DISPLAY_TEXT] = Translation ::
        // get('Text');
        $modes[ReportingFormatter :: DISPLAY_TABLE] = Translation :: get('Table');
        $modes[ReportingChartFormatter :: DISPLAY_PIE] = Translation :: get('Chart:Pie');
        return $modes;
    }
}
?>