<?php
namespace application\weblcms;

use application\weblcms\tool\reporting\ReportingTool;
use common\libraries\Breadcrumb;
use common\libraries\Request;
use common\libraries\Utilities;
use reporting\ReportingTemplate;
use reporting\ReportingManager;
use reporting\Reporting;
use common\libraries\Translation;

/**
 * $Id: publication_detail_reporting_template.class.php 216 2009-11-13 14:08:06Z
 * kariboe $
 *
 * @package application.lib.weblcms.reporting.templates
 */
/**
 *
 * @author Michael Kyndt
 */
class PublicationDetailReportingTemplate extends ReportingTemplate
{

    function __construct($parent)
    {
        parent :: __construct($parent);
        
        $this->tool = Request :: get(ReportingTool :: PARAM_REPORTING_TOOL);
        $this->pid = Request :: get(WeblcmsManager :: PARAM_PUBLICATION);
        $wdm = WeblcmsDataManager :: get_instance();
        
        $this->add_reporting_block($this->get_publication_access());
        
        $custom_breadcrumbs = array();
        $params = array();
        $params[ReportingManager :: PARAM_TEMPLATE_ID] = Reporting :: get_name_registration(Utilities :: camelcase_to_underscores('ToolPublicationsDetailReportingTemplate'), WeblcmsManager :: APPLICATION_NAME)->get_id();
        $params[WeblcmsManager :: PARAM_PUBLICATION] = null;
        
        $object = $wdm->retrieve_content_object_publication($this->pid)->get_content_object();
        $custom_breadcrumbs[] = new Breadcrumb($this->get_url(), $object->get_title());
        $this->set_custom_breadcrumb_trail($custom_breadcrumbs);
    }

    function display_context()
    {
    
    }

    function get_application()
    {
        return WeblcmsManager :: APPLICATION_NAME;
    }

    function get_publication_access()
    {
        $course_weblcms_block = new WeblcmsPublicationAccessReportingBlock($this);
        
        $course_id = Request :: get(WeblcmsManager :: PARAM_COURSE);
        $user_id = Request :: get(WeblcmsManager :: PARAM_USERS);
        $reporting_tool = Request :: get(ReportingTool :: PARAM_REPORTING_TOOL);
        
        if ($course_id)
        {
            $this->set_parameter(WeblcmsManager :: PARAM_COURSE, $course_id);
        }
        if ($user_id)
        {
            $this->set_parameter(WeblcmsManager :: PARAM_USERS, $user_id);
        }
        if ($this->tool)
        {
            $this->set_parameter(ReportingTool :: PARAM_REPORTING_TOOL, $reporting_tool);
        }
        if ($this->pid)
        {
            $this->set_parameter(WeblcmsManager :: PARAM_PUBLICATION, $this->pid);
        }
        
        return $course_weblcms_block;
    }

}
?>