<?php
namespace application\weblcms;

use application\weblcms\tool\reporting\ReportingTool;
use common\libraries\Breadcrumb;
use common\libraries\Request;
use common\libraries\Utilities;
use reporting\ReportingTemplate;
use reporting\ReportingManager;
use reporting\Reporting;
use user\UserDataManager;
use common\libraries\Translation;

/**
 * $Id: tool_publications_detail_reporting_template.class.php 216 2009-11-13
 * 14:08:06Z kariboe $
 * 
 * @package application.lib.weblcms.reporting.templates
 */
/**
 *
 * @author Michael Kyndt
 */
class ToolPublicationsDetailReportingTemplate extends ReportingTemplate
{

    function __construct($parent)
    {
        parent :: __construct($parent);
        
        $this->tool = Request :: get(ReportingTool :: PARAM_REPORTING_TOOL);
        $this->user_id = Request :: get(WeblcmsManager :: PARAM_USERS);
        
        $this->add_reporting_block($this->get_tool_publications());
        
        $custom_breadcrumbs = array();
        if ($this->user_id)
        {
            $udm = UserDataManager :: get_instance();
            $user = $udm->retrieve_user($this->user_id);
            $params = array();
            $params[ReportingManager :: PARAM_TEMPLATE_ID] = Reporting :: get_name_registration(Utilities :: camelcase_to_underscores('CourseStudentTrackerDetailReportingTemplate'), WeblcmsManager :: APPLICATION_NAME)->get_id();
            $params[ReportingTool :: PARAM_REPORTING_TOOL] = null;
            $custom_breadcrumbs[] = new Breadcrumb($this->get_url($params), $user->get_fullname());
        }
        $tool_name = Translation :: get('TypeName', null, Tool :: get_tool_type_namespace($this->tool));
        $custom_breadcrumbs[] = new Breadcrumb($this->get_url(), $tool_name);
        $this->set_custom_breadcrumb_trail($custom_breadcrumbs);
    }

    function display_context()
    {
    
    }

    function get_application()
    {
        return WeblcmsManager :: APPLICATION_NAME;
    }

    function get_tool_publications()
    {
        $course_weblcms_block = new WeblcmsToolPublicationsReportingBlock($this);
        $course_weblcms_block->set_sorting(0);
        
        $course_id = Request :: get(WeblcmsManager :: PARAM_COURSE);
        if ($course_id)
        {
            $this->set_parameter(WeblcmsManager :: PARAM_COURSE, $course_id);
        }
        if ($this->user_id)
        {
            $this->set_parameter(WeblcmsManager :: PARAM_USERS, $this->user_id);
        }
        if ($this->tool)
        {
            $this->set_parameter(ReportingTool :: PARAM_REPORTING_TOOL, $this->tool);
        }
        return $course_weblcms_block;
    }
}
?>