<?php
namespace application\weblcms;

use reporting\ReportingTemplateRegistration;
use reporting\ReportingTemplate;
use common\libraries\Request;
use repository\ComplexDisplay;

/**
 * $Id: wiki_page_reporting_template.class.php 216 2009-11-13 14:08:06Z kariboe
 * $
 * 
 * @package application.lib.weblcms.reporting.templates
 */
/**
 *
 * @author Michael Kyndt
 */
class WikiPageReportingTemplate extends ReportingTemplate
{

    function __construct($parent, $id, $params)
    {
        parent :: __construct($parent);
        
        $cloi = Request :: get(ComplexDisplay :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID);
        if ($cloi)
        {
            $this->set_parameter(ComplexDisplay :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID, $cloi);
        }
        
        $this->add_reporting_block(new WeblcmsWikiPageMostActiveUsersReportingBlock($this));
        $this->add_reporting_block(new WeblcmsWikiPageUsersContributionsReportingBlock($this));
    }

    function display_context()
    {
        // publicatie, content_object, application ...
    }

    function get_application()
    {
        return WeblcmsManager :: APPLICATION_NAME;
    }

    /**
     *
     * @see ReportingTemplate -> get_properties()
     */
    public static function get_properties()
    {
        $properties[ReportingTemplateRegistration :: PROPERTY_TITLE] = 'WeblcmsWikiPageReportingTemplate';
        $properties[ReportingTemplateRegistration :: PROPERTY_PLATFORM] = 0;
        $properties[ReportingTemplateRegistration :: PROPERTY_DESCRIPTION] = 'WeblcmsWikiPageReportingTemplate';
        
        return $properties;
    }

    /**
 *
 * @see ReportingTemplate -> to_html()
 */
    /*
     * function to_html() { //template header $html[] = $this->get_header();
     * $html[] = $this->get_visible_reporting_blocks(); //template footer
     * $html[] = $this->get_footer(); return implode("\n", $html); }
     */
}
?>