<?php
namespace application\weblcms;

use common\libraries\Utilities;
use common\libraries\AndCondition;
use common\libraries\EqualityCondition;
use tracking\SimpleTracker;

/**
 *
 * @package application.lib.weblcms.trackers
 */

class WeblcmsSubmissionScoreTracker extends SimpleTracker
{
    const CLASS_NAME = __CLASS__;
    
    const PROPERTY_SCORE = 'score';
    const PROPERTY_SUBMISSION_ID = 'submission_id';
    const PROPERTY_CREATED = 'created';
    const PROPERTY_MODIFIED = 'modified';
    const PROPERTY_USER_ID = 'user_id';

    /**
     * Inherited
     * 
     * @see MainTracker :: track()
     */
    function validate_parameters(array $parameters = array())
    {
        $this->set_score($parameters[self :: PROPERTY_SCORE]);
        $this->set_submission_id($parameters[self :: PROPERTY_SUBMISSION_ID]);
        $this->set_created($parameters[self :: PROPERTY_CREATED]);
        $this->set_modified($parameters[self :: PROPERTY_MODIFIED]);
        $this->set_user_id($parameters[self :: PROPERTY_USER_ID]);
    }

    /**
     * Inherited
     */
    static function get_default_property_names()
    {
        return parent :: get_default_property_names(array(self :: PROPERTY_SCORE, self :: PROPERTY_SUBMISSION_ID, 
                self :: PROPERTY_CREATED, self :: PROPERTY_MODIFIED, self :: PROPERTY_USER_ID));
    }

    function get_score()
    {
        return $this->get_default_property(self :: PROPERTY_SCORE);
    }

    function set_score($score)
    {
        $this->set_default_property(self :: PROPERTY_SCORE, $score);
    }

    function get_submission_id()
    {
        return $this->get_default_property(self :: PROPERTY_SUBMISSION_ID);
    }

    function set_submission_id($submission_id)
    {
        $this->set_default_property(self :: PROPERTY_SUBMISSION_ID, $submission_id);
    }

    function get_created()
    {
        return $this->get_default_property(self :: PROPERTY_CREATED);
    }

    function set_created($created)
    {
        $this->set_default_property(self :: PROPERTY_CREATED, $created);
    }

    function get_modified()
    {
        return $this->get_default_property(self :: PROPERTY_MODIFIED);
    }

    function set_modified($modified)
    {
        $this->set_default_property(self :: PROPERTY_MODIFIED, $modified);
    }

    function get_user_id()
    {
        return $this->get_default_property(self :: PROPERTY_USER_ID);
    }

    function set_user_id($user_id)
    {
        $this->set_default_property(self :: PROPERTY_USER_ID, $user_id);
    }

    static function get_table_name()
    {
        return Utilities :: get_classname_from_namespace(self :: CLASS_NAME, true);
    }

}
?>