<?php

namespace application\weblcms;

use common\libraries\Translation;
use common\libraries\CreateObjectWebserviceHandler;
use common\libraries\DataClass;

class ContentObjectPublicationCreateWebserviceHandler extends CreateObjectWebserviceHandler
{

    function get_object()
    {
        return new ContentObjectPublication();
    }

    function get_object_translation()
    {
        return Translation :: get('ContentObjectPublication');
    }

    function manipulate_data($object, $extra_properties = null)
    {
        $object->set_publisher_id($this->get_user_id());
        $object->set_publication_date(time());
        $object->set_modified_date(time());
        return $object;
    }

    function is_allowed_to_create_object($object)
    {
        if ($this->get_user()->is_platform_admin())
        {
            return true;
        }
        return WeblcmsDataManager :: get_instance()->is_course_admin($object->get_course_id(), $this->get_user_id());
    }
}

?>
