<?php

namespace application\weblcms;

use common\libraries\Translation;
use common\libraries\GetObjectListWebserviceHandler;
use common\libraries\EqualityCondition;
use common\libraries\AndCondition;
use common\libraries\Request;

class ContentObjectPublicationCategoryGetListWebserviceHandler extends GetObjectListWebserviceHandler
{

    public function get_objects()
    {
        $course_id = Request :: get(ContentObjectPublicationCategory :: PROPERTY_COURSE);
        $tool = Request :: get(ContentObjectPublicationCategory :: PROPERTY_TOOL);
        $conditions = array();
        $conditions[] = new EqualityCondition(ContentObjectPublicationCategory :: PROPERTY_COURSE, $course_id);
        $conditions[] = new EqualityCondition(ContentObjectPublicationCategory :: PROPERTY_TOOL, $tool);
        $condition = new AndCondition($conditions);
        return WeblcmsDataManager :: get_instance()->retrieve_content_object_publication_categories($condition);
    }

    public function get_objects_translation()
    {
        return Translation :: get('ContentObjectPublicationCategories');
    }
}
?>
