<?php

namespace application\weblcms;

use common\libraries\Translation;
use common\libraries\WebserviceHandler;
use common\libraries\GetObjectListWebserviceHandler;
use common\libraries\AndCondition;
use common\libraries\EqualityCondition;
use common\libraries\OrCondition;
use common\libraries\InCondition;

class CourseGetListWebserviceHandler extends GetObjectListWebserviceHandler
{

    public function get_objects()
    {
        $user = $this->get_user();
        if (! $user->is_platform_admin())
        {
            $access_conditions = array();
            
            $user_access_condition = new AndCondition(array(
                    new EqualityCondition(CourseUserRelation :: PROPERTY_USER_ID, $user->get_id(), CourseUserRelation :: get_table_name()), 
                    new EqualityCondition(CourseUserRelation :: PROPERTY_STATUS, CourseUserRelation :: STATUS_TEACHER, CourseUserRelation :: get_table_name())));
            
            $access_conditions[] = $user_access_condition;
            
            $groups = $user->get_groups(true);
            
            if (count($groups) > 0)
            {
                $group_access_condition = new AndCondition(array(
                        new InCondition(CourseGroupRelation :: PROPERTY_GROUP_ID, $groups, CourseGroupRelation :: get_table_name()), 
                        new EqualityCondition(CourseGroupRelation :: PROPERTY_STATUS, CourseGroupRelation :: STATUS_TEACHER, CourseGroupRelation :: get_table_name())));
                
                $access_conditions[] = $group_access_condition;
            }
            
            if (count($access_conditions) > 1)
            {
                $condition = new OrCondition($access_conditions);
            }
            else
            {
                $condition = $access_conditions[0];
            }
        }
        
        return WeblcmsDataManager :: get_instance()->retrieve_user_courses($condition);
    }

    public function get_objects_translation()
    {
        return Translation :: get('Courses');
    }
}
?>
