<?php
namespace application\weblcms\tool\announcement;

use common\libraries\BreadcrumbTrail;
use common\libraries\Breadcrumb;
use common\libraries\NotAllowedException;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\DelegateComponent;

use application\weblcms\ToolComponent;
use application\weblcms\Tool;
use application\weblcms\WeblcmsRights;
use application\weblcms\WeblcmsDataManager;

class AnnouncementToolShareContentObjectsComponent extends AnnouncementTool implements DelegateComponent
{

    function run()
    {
        $publication_id = Request::get(Tool::PARAM_PUBLICATION_ID);
        $publication = WeblcmsDataManager :: get_instance()->retrieve_content_object_publication($publication_id);
        if($publication->get_content_object()->get_owner_id() != $this->get_user_id())
        {
            throw new NotAllowedException();
        }
        ToolComponent :: launch($this);
    }

    function get_additional_parameters()
    {
        return array(Tool :: PARAM_PUBLICATION_ID);
    }
}
?>