<?php

namespace application\weblcms\tool\assessment;

use common\libraries\ToolbarItem;
use common\libraries\Theme;
use common\libraries\Translation;

use application\weblcms\ObjectPublicationTableCellRenderer;
use application\weblcms\ObjectPublicationTableColumnModel;
use application\weblcms\Tool;

use repository\content_object\assessment\Assessment;
use repository\content_object\hotpotatoes\Hotpotatoes;
use repository\ContentObject;
use repository\DefaultContentObjectTableCellRenderer;

/**
 * $Id: assessment_cell_renderer.class.php 216 2009-11-13 14:08:06Z kariboe $
 * 
 * @package application.lib.weblcms.tool.assessment.component.assessment_browser
 */

/**
 * This class is a cell renderer for a publication candidate table
 */
class AssessmentCellRenderer extends ObjectPublicationTableCellRenderer
{
    
    /*
     * Inherited
     */
    
    function render_cell($column, $publication)
    {
        if ($column === ObjectPublicationTableColumnModel :: get_action_column())
        {
            $actions = $this->get_actions($publication);
            // $actions->prepend_item(new ToolbarItem(Translation ::
            // get('TakeAssessment'), Theme :: get_common_image_path() .
            // 'action_next.png', $this->table_renderer->get_url(array(Tool ::
            // PARAM_ACTION => AssessmentTool :: ACTION_TAKE_ASSESSMENT, Tool ::
            // PARAM_PUBLICATION_ID => $publication->get_id())), ToolbarItem ::
            // DISPLAY_ICON));
            return $actions->as_html();
        }
        
        switch ($column->get_name())
        {
            case Assessment :: PROPERTY_TYPE :
                $object = $publication->get_content_object();
                $type = Translation :: get('TypeName', ContentObject :: get_content_object_type_namespace($object->get_type()));
                
                if ($publication->is_hidden())
                {
                    return '<span style="color: gray">' . $type . '</span>';
                }
                else
                {
                    return $type;
                }
            case ContentObject :: PROPERTY_TITLE :
                
                if ($publication->get_content_object() instanceof Hotpotatoes)
                {
                    $details_url = $this->table_renderer->get_url(array(
                            Tool :: PARAM_PUBLICATION_ID => $publication->get_id(), 
                            Tool :: PARAM_ACTION => Tool :: ACTION_DISPLAY_COMPLEX_CONTENT_OBJECT));
                    return '<a href="' . $details_url . '">' . DefaultContentObjectTableCellRenderer :: render_cell($column, $publication->get_content_object()) . '</a>';
                }
        }
        
        return parent :: render_cell($column, $publication);
    }

}

?>
