<?php
namespace application\weblcms\tool\assessment;

use application\weblcms\WeblcmsDataManager;
use common\libraries\StaticTableColumn;
use common\libraries\ObjectTableColumnModel;
use common\libraries\Translation;
use application\weblcms\WeblcmsAssessmentAttemptsTracker;

/**
 * $Id: assessment_results_table_detail_column_model.class.php 216 2009-11-13
 * 14:08:06Z kariboe $
 * 
 * @package
 *          application.lib.weblcms.tool.assessment.component.assessment_results_table_admin
 */
/**
 * This class represents a column model for a publication candidate table
 */
class AssessmentResultsTableDetailColumnModel extends ObjectTableColumnModel
{
    /**
     * The column with the action buttons.
     */
    private static $action_column;
    private static $user_assessment;
    private static $table;

    /**
     * Constructor.
     */
    function __construct($user_assessment, $table)
    {
        self :: $user_assessment = $user_assessment;
        self :: $table = $table;
        parent :: __construct(self :: get_columns(), 1, SORT_ASC);
    }

    /**
     * Gets the columns of this table.
     * 
     * @return array An array of all columns in this table.
     * @see ContentObjectTableColumn
     */
    function get_columns()
    {
        $columns = array();
        $columns[] = new StaticTableColumn(Translation :: get(WeblcmsAssessmentAttemptsTracker :: PROPERTY_USER_ID));
        $columns[] = new StaticTableColumn(self::$table->get_start_date_column());
        $columns[] = new StaticTableColumn(self::$table->get_end_date_column());
        $columns[] = new StaticTableColumn(Translation :: get(WeblcmsAssessmentAttemptsTracker :: PROPERTY_TOTAL_SCORE));
        $columns[] = self :: get_action_column();
        return $columns;
    }

    /**
     * Gets the column wich contains the action buttons.
     * 
     * @return ContentObjectTableColumn The action column.
     */
    static function get_action_column()
    {
        if (! isset(self :: $action_column))
        {
            self :: $action_column = new StaticTableColumn(Translation :: get('Actions'));
        }
        return self :: $action_column;
    }
}
?>