<?php
namespace application\weblcms\tool\assessment;

use common\libraries\Toolbar;
use user\UserDataManager;
use common\libraries\Path;
use common\libraries\Translation;
use repository\DefaultContentObjectTableCellRenderer;

/**
 * $Id: survey_user_table_cell_renderer.class.php 216 2009-11-13 14:08:06Z
 * kariboe $
 * 
 * @package
 *          application.lib.weblcms.tool.assessment.component.assessment_survey_publisher.survey_user_table
 */

/**
 * This class is a cell renderer for a publication candidate table
 */
class SurveyUserTableCellRenderer extends DefaultContentObjectTableCellRenderer
{
    private $table_actions;
    private $browser;

    /**
     * Constructor.
     * 
     * @param $publish_url_format string
     *            URL for publishing the selected
     *            learning object.
     * @param $edit_and_publish_url_format string
     *            URL for editing and publishing
     *            the selected learning object.
     */
    function __construct($browser)
    {
        $this->table_actions = array();
        $this->browser = $browser;
    }
    
    /*
     * Inherited
     */
    function render_cell($column, $survey_invitation)
    {
        if ($column === SurveyUserTableColumnModel :: get_action_column())
        {
            return $this->get_actions($survey_invitation);
        }
        else
        {
            switch ($column->get_name())
            {
                case SurveyInvitation :: PROPERTY_USER_ID :
                    $user = UserDataManager :: get_instance()->retrieve_user($survey_invitation->get_user_id());
                    if ($user != null)
                        return $user->get_fullname();
                    else
                        return Translation :: get('Anonymous');
                
                case SurveyInvitation :: PROPERTY_EMAIL :
                    return $survey_invitation->get_email();
                case SurveyInvitation :: PROPERTY_VALID :
                    if ($survey_invitation->get_valid())
                        return 'Yes';
                    else
                        return 'No';
                default :
                    return '';
            }
        }
    }

    function get_actions($publication)
    {
        $actions = array();
        
        return new Toolbar();
    }

    /**
 * Gets the links to publish or edit and publish a learning object.
 * 
 * @param $content_object ContentObject
 *            The learning object for which the
 *            links should be returned.
 * @return string A HTML-representation of the links.
 */
    /*
     * private function get_publish_links($content_object) { $toolbar_data =
     * array(); $table_actions = $this->table_actions; foreach($table_actions as
     * $table_action) { $table_action['href'] = sprintf($table_action['href'],
     * $content_object->get_id()); $toolbar_data[] = $table_action; } //TODO USE
     * TOOLBAR return Utilitie :: build_toolbar($toolbar_data); }
     */
}
?>