<?php
namespace application\weblcms\tool\assignment;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'AssignmentTool' => '/lib/assignment_tool.class.php',
         'AssignmentToolAttachmentViewerComponent' => '/lib/component/attachment_viewer.class.php',
         'AssignmentToolBrowserComponent' => '/lib/component/browser.class.php',
         'AssignmentToolCategoryManagerComponent' => '/lib/component/category_manager.class.php',
         'AssignmentToolCategoryMoverComponent' => '/lib/component/category_mover.class.php',
         'AssignmentToolContentObjectUpdaterComponent' => '/lib/component/content_object_updater.class.php',
         'AssignmentToolDeleterComponent' => '/lib/component/deleter.class.php',
         'AssignmentToolFeedbackDeleterComponent' => '/lib/component/feedback_deleter.class.php',
         'AssignmentToolFeedbackUpdaterComponent' => '/lib/component/feedback_updater.class.php',
         'AssignmentToolHidePublicationComponent' => '/lib/component/hide_publication.class.php',
         'AssignmentToolIntroductionPublisherComponent' => '/lib/component/introduction_publisher.class.php',
         'AssignmentToolMoverComponent' => '/lib/component/mover.class.php',
         'AssignmentToolPublicationUpdaterComponent' => '/lib/component/publication_updater.class.php',
         'AssignmentToolPublisherComponent' => '/lib/component/publisher.class.php',
         'AssignmentToolReportingViewerComponent' => '/lib/component/reporting_viewer.class.php',
         'AssignmentToolRightsEditorComponent' => '/lib/component/rights_editor.class.php',
         'AssignmentToolShareContentObjectsComponent' => '/lib/component/share_content_objects.class.php',
         'AssignmentToolShowPublicationComponent' => '/lib/component/show_publication.class.php',
         'AssignmentToolStudentSubmissionsBrowserComponent' => '/lib/component/student_submissions_browser.class.php',
         'AssignmentToolSubmissionsBrowserComponent' => '/lib/component/submissions_browser.class.php',
         'AssignmentToolSubmissionsDownloaderComponent' => '/lib/component/submissions_downloader.class.php',
         'SubmissionsManager' => '/lib/component/submissions_manager.class.php',
         'AssignmentToolSubmissionDeleterComponent' => '/lib/component/submission_deleter.class.php',
         'AssignmentToolSubmissionFeedbackComponent' => '/lib/component/submission_feedback.class.php',
         'AssignmentToolSubmissionSubmitComponent' => '/lib/component/submission_submit.class.php',
         'AssignmentToolSubmissionViewerComponent' => '/lib/component/submission_viewer.class.php',
         'AssignmentToolSubmittersBrowserComponent' => '/lib/component/submitters_browser.class.php',
         'AssignmentToolToggleVisibilityComponent' => '/lib/component/toggle_visibility.class.php',
         'AssignmentToolViewerComponent' => '/lib/component/viewer.class.php',
         'AssignmentCellRenderer' => '/lib/component/assignment_browser/assignment_cell_renderer.class.php',
         'AssignmentColumnModel' => '/lib/component/assignment_browser/assignment_column_model.class.php',
         'SubmissionBrowserTableColumnModel' => '/lib/component/submission_browser/submission_browser_table_column_model.class.php',
         'SubmissionCourseGroupsBrowserTableDataProvider' => '/lib/component/submission_browser/submission_course_groups_browser_table_data_provider.class.php',
         'SubmissionGroupsBrowserTable' => '/lib/component/submission_browser/submission_groups_browser_table.class.php',
         'SubmissionGroupsBrowserTableCellRenderer' => '/lib/component/submission_browser/submission_groups_browser_table_cell_renderer.class.php',
         'SubmissionGroupsBrowserTableColumnModel' => '/lib/component/submission_browser/submission_groups_browser_table_column_model.class.php',
         'SubmissionGroupsBrowserTableDataProvider' => '/lib/component/submission_browser/submission_groups_browser_table_data_provider.class.php',
         'SubmissionUsersBrowserTable' => '/lib/component/submission_browser/submission_users_browser_table.class.php',
         'SubmissionUsersBrowserTableCellRenderer' => '/lib/component/submission_browser/submission_users_browser_table_cell_renderer.class.php',
         'SubmissionUsersBrowserTableDataProvider' => '/lib/component/submission_browser/submission_users_browser_table_data_provider.class.php',
         'SubmissionDetailFeedbackSection' => '/lib/component/submission_detail/submission_detail_feedback_section.class.php',
         'SubmissionDetailGeneralInfoSection' => '/lib/component/submission_detail/submission_detail_general_info_section.class.php',
         'SubmissionDetailNotesSection' => '/lib/component/submission_detail/submission_detail_notes_section.class.php',
         'SubmissionDetailScoreSection' => '/lib/component/submission_detail/submission_detail_score_section.class.php',
         'StudentSubmissionsBrowserOwnGroupsTable' => '/lib/component/submitter_submissions_browser/student_submissions_browser_own_groups_table.class.php',
         'StudentSubmissionsBrowserOwnGroupsTableCellRenderer' => '/lib/component/submitter_submissions_browser/student_submissions_browser_own_groups_table_cell_renderer.class.php',
         'StudentSubmissionsBrowserOwnGroupsTableColumnModel' => '/lib/component/submitter_submissions_browser/student_submissions_browser_own_groups_table_column_model.class.php',
         'StudentSubmissionsBrowserOwnGroupsTableDataProvider' => '/lib/component/submitter_submissions_browser/student_submissions_browser_own_groups_table_data_provider.class.php',
         'SubmitterGroupSubmissionsBrowserTable' => '/lib/component/submitter_submissions_browser/submitter_group_submissions_browser_table.class.php',
         'SubmitterGroupSubmissionsBrowserTableCellRenderer' => '/lib/component/submitter_submissions_browser/submitter_group_submissions_browser_table_cell_renderer.class.php',
         'SubmitterGroupSubmissionsBrowserTableColumnModel' => '/lib/component/submitter_submissions_browser/submitter_group_submissions_browser_table_column_model.class.php',
         'SubmitterGroupSubmissionsBrowserTableDataProvider' => '/lib/component/submitter_submissions_browser/submitter_group_submissions_browser_table_data_provider.class.php',
         'SubmitterSubmissionsTableColumnModel' => '/lib/component/submitter_submissions_browser/submitter_submissions_table_column_model.class.php',
         'SubmitterUserSubmissionsBrowserTable' => '/lib/component/submitter_submissions_browser/submitter_user_submissions_browser_table.class.php',
         'SubmitterUserSubmissionsBrowserTableCellRenderer' => '/lib/component/submitter_submissions_browser/submitter_user_submissions_browser_table_cell_renderer.class.php',
         'SubmitterUserSubmissionsBrowserTableDataProvider' => '/lib/component/submitter_submissions_browser/submitter_user_submissions_browser_table_data_provider.class.php',
         'SubmissionSubmitForm' => '/lib/forms/submission_submit_form.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>