<?php
namespace application\weblcms\tool\assignment;

use common\libraries\ObjectTableColumn;
use application\weblcms\ObjectPublicationTableColumnModel;
use repository\content_object\assignment\Assignment;

/**
 * $Id: assessment_column_model.class.php 216 2009-11-13 14:08:06Z kariboe $
 * 
 * @package application.lib.weblcms.tool.assessment.component.assessment_browser
 */

/**
 * This class is a cell renderer for a publication candidate table
 * 
 * @author Anthony Hurst (Hogeschool Gent)
 */
class AssignmentColumnModel extends ObjectPublicationTableColumnModel
{

    function __construct()
    {
        parent :: __construct($this->get_columns());
    }

    /**
     * Defines the columns visible in the table layout of the browser.
     * 
     * @return array The column definitions.
     */
    function get_columns()
    {
        $columns = parent :: get_basic_columns();
        $columns[] = new ObjectTableColumn(Assignment :: PROPERTY_END_TIME, false);
        $columns[] = new ObjectTableColumn(AssignmentTool :: PROPERTY_NUMBER_OF_SUBMISSIONS, false);
        $columns[] = parent :: get_action_column();
        $additional_columns = array();
        $additional_columns[] = new ObjectTableColumn(Assignment :: PROPERTY_ALLOW_GROUP_SUBMISSIONS, false);
        array_splice($columns, 1, 0, $additional_columns);
        
        return $columns;
    }
}
?>