<?php
namespace application\weblcms\tool\assignment;

use application\weblcms\Tool;
use application\weblcms\ToolComponent;
use common\extensions\category_manager\CategoryManager;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\DelegateComponent;
use common\libraries\Translation;

/**
 * CategoryManager component for the assignment tool.
 *
 * @author Bert De Clercq (Hogeschool Gent)
 * @author Anthony Hurst (Hogeschool Gent)
 */
class AssignmentToolCategoryManagerComponent extends AssignmentTool implements DelegateComponent
{

    /**
     * Launches the CategoryManager component.
     */
    function run()
    {
        ToolComponent :: launch($this);
    }

    /**
     * #Override
     * Returns additional parameters as an array.
     *
     * @return array The additional parameters
     */
    function get_additional_parameters()
    {
        return array(CategoryManager :: PARAM_CATEGORY_ID);
    }

}

?>
