<?php

namespace application\weblcms\tool\assignment;

use common\libraries\ObjectTableDataProvider;
use group\Group;
use group\GroupDataManager;
use application\weblcms\WeblcmsDataManager;
use common\libraries\ObjectTableOrder;

/**
 * @package application.weblcms.tool.assignment.php.component.submission_browser
 *
 * Data provider for a platform group submissions browser table.
 *
 * @author Joris Willems <joris.willems@gmail.com>
 * @author Alexander Van Paemel
 */
class SubmissionGroupsBrowserTableDataProvider extends ObjectTableDataProvider
{

    private $browser;
    private $condition;

    /**
     * Constructor
     * @param WeblcmsManagerComponent $browser
     */
    function __construct($browser, $condition = null)
    {
        parent :: __construct($browser);
        $this->browser = $browser;
        $this->condition = $condition;
    }

    function get_objects($offset, $count, $order_properties = null)
    {
        $wdm = WeblcmsDataManager :: get_instance();
        if(is_null($order_properties))
        {
            $order_properties = array();
        }
        elseif(!is_array($order_properties))
        {
            $order_properties = array($order_properties);
        }
        $order_properties[] = new ObjectTableOrder(Group :: PROPERTY_NAME, SORT_ASC, GroupDataManager::get_instance()->get_alias(Group::get_table_name()));
        return $wdm->retrieve_assignment_publication_target_platform_groups($this->browser->get_publication_id(), $this->browser->get_course_id(), 
                $offset, $count, $order_properties, $this->condition);
    }

    /**
     * Gets the number of platform groups in the table
     * @return int
     */
    function get_object_count()
    {
        return $this->get_objects()->size();
    }

}

?>