<?php

namespace application\weblcms\tool\assignment;

use application\weblcms\WeblcmsRights;
use common\libraries\ObjectTable;
use common\libraries\ObjectTableFormAction;
use common\libraries\ObjectTableFormActions;
use common\libraries\Translation;

/**
 *
 * @package application.weblcms.tool.assignment.php.component.submission_browser
 *         
 *          Table to browse a list of submitters with their number of
 *          submissions.
 *         
 * @author Joris Willems <joris.willems@gmail.com>
 * @author Alexander Van Paemel
 * @author Anthony Hurst (Hogeschool Gent)
 * @author Bert De Clercq (Hogeschool Gent)
 */
class SubmissionUsersBrowserTable extends ObjectTable
{
    
    const DEFAULT_NAME = 'submission_users_browser_table';

    /**
     * Constructor
     * 
     * @param $browser WeblcmsManagerComponent           
     */
    function __construct($browser, $condition)
    {
        $model = new SubmissionBrowserTableColumnModel();
        $data_provider = new SubmissionUsersBrowserTableDataProvider($browser, $condition);
        $cell_renderer = new SubmissionUsersBrowserTableCellRenderer($browser);
        parent :: __construct($data_provider, SubmissionUsersBrowserTable :: DEFAULT_NAME, $model, $cell_renderer);
        
        $actions = new ObjectTableFormActions(__NAMESPACE__, AssignmentTool :: PARAM_ACTION);
        if ($browser->is_allowed(WeblcmsRights :: EDIT_RIGHT))
        {
            $actions->add_form_action(new ObjectTableFormAction(AssignmentTool :: ACTION_DOWNLOAD_SUBMISSIONS, Translation :: get('DownloadSubmissionsSelected'), false));
            $this->set_form_actions($actions);
        }
    }

}

?>