<?php

namespace application\weblcms\tool\assignment;

use application\weblcms\WeblcmsDataManager;
use common\libraries\ObjectTableDataProvider;
use common\libraries\ObjectTableOrder;
use user\User;
use user\UserDataManager;

/**
 * @package application.weblcms.tool.assignment.php.component.submission_browser
 *
 * Data provider for a submitters browser table.
 *
 * @author Joris Willems <joris.willems@gmail.com>
 * @author Alexander Van Paemel
 */
class SubmissionUsersBrowserTableDataProvider extends ObjectTableDataProvider
{

    private $browser;
    private $condition;

    /**
     * Constructor
     * @param WeblcmsManagerComponent $browser
     */
    function __construct($browser, $condition = null)
    {
        parent :: __construct($browser);
        $this->browser = $browser;
        $this->condition = $condition;
    }

    function get_objects($offset, $count, $order_properties = null)
    {
        if(is_null($order_properties))
        {
            $order_properties = array();
        }
        elseif(!is_array($order_properties))
        {
            $order_properties = array($order_properties);
        }
        $order_properties[] = new ObjectTableOrder(User :: PROPERTY_LASTNAME, SORT_ASC, UserDataManager::get_instance()->get_alias(User::get_table_name()));
        $order_properties[] = new ObjectTableOrder(User :: PROPERTY_FIRSTNAME, SORT_ASC, UserDataManager::get_instance()->get_alias(User::get_table_name()));
        return WeblcmsDataManager::get_instance()->retrieve_assignment_publication_target_users($this->browser->get_publication_id(),
            $this->browser->get_course_id(), $offset, $count, $order_properties, $this->condition);
    }

    /**
     * Gets the number of users in the table
     * @return int
     */
    function get_object_count()
    {
        return $this->get_objects()->size();
    }

}

?>