<?php
namespace application\weblcms\tool\assignment;

use application\weblcms\WeblcmsAssignmentSubmissionsTracker;
use application\weblcms\WeblcmsManager;
use common\libraries\ObjectTableDataProvider;
use common\libraries\ObjectTableOrder;

/**
 * Description of student_submissions_browser_own_groups_table_data_provider
 *
 * @author Anthony Hurst (Hogeschool Gent)
 */
class StudentSubmissionsBrowserOwnGroupsTableDataProvider extends ObjectTableDataProvider
{
    private $browser;
    private $search_condition;
    private $table_conditions;

    public function __construct($browser, $search_condition, $table_conditions)
    {
        $this->browser = $browser;
        $this->search_condition = $search_condition;
        $this->table_conditions = $table_conditions;
    }

    public function get_object_count()
    {
        return $this->get_objects()->size();
    }

    public function get_objects($offset = null, $count = null, $order_property = null)
    {
        if (is_null($order_property))
        {
            $order_property = new ObjectTableOrder(WeblcmsAssignmentSubmissionsTracker :: PROPERTY_DATE_SUBMITTED);
        }
        return WeblcmsAssignmentSubmissionsTracker :: get_data(WeblcmsAssignmentSubmissionsTracker :: CLASS_NAME, WeblcmsManager :: APPLICATION_NAME, $this->table_conditions, $offset, $count, $order_property);
    }
}

?>
