<?php

namespace application\weblcms\tool\assignment;

use application\weblcms\WeblcmsRights;
use common\libraries\ObjectTable;
use common\libraries\ObjectTableFormAction;
use common\libraries\ObjectTableFormActions;
use common\libraries\Translation;

/**
 * Description of submitter_group_submissions_browser_table
 *
 * @author Anthony Hurst (Hogeschool Gent)
 * @author Bert De Clercq (Hogeschool Gent)
 */
class SubmitterGroupSubmissionsBrowserTable extends ObjectTable
{
    
    const DEFAULT_NAME = 'submitter_group_submissions_browser_table';

    function __construct($browser, $search_condition, $table_conditions)
    {
        $model = new SubmitterGroupSubmissionsBrowserTableColumnModel();
        $data_provider = new SubmitterGroupSubmissionsBrowserTableDataProvider($browser, $search_condition, $table_conditions);
        $cell_renderer = new SubmitterGroupSubmissionsBrowserTableCellRenderer($browser);
        parent :: __construct($data_provider, self :: DEFAULT_NAME, $model, $cell_renderer);
        
        $actions = new ObjectTableFormActions(__NAMESPACE__, AssignmentTool :: PARAM_ACTION);
        if ($browser->is_allowed(WeblcmsRights :: EDIT_RIGHT))
        {
            $actions->add_form_action(new ObjectTableFormAction(AssignmentTool :: ACTION_DOWNLOAD_SUBMISSIONS, Translation :: get('DownloadSelected'), false));
            $actions->add_form_action(new ObjectTableFormAction(AssignmentTool :: ACTION_DELETE_SUBMISSION, Translation :: get('DeleteSelected')));
        }
        $this->set_form_actions($actions);
    }

}

?>
