<?php
namespace application\weblcms\tool\assignment;

use application\weblcms\WeblcmsAssignmentSubmissionsTracker;
use application\weblcms\WeblcmsSubmissionScoreTracker;
use common\libraries\ObjectTableColumn;
use common\libraries\ObjectTableColumnModel;
use common\libraries\StaticTableColumn;
use common\libraries\Translation;

/**
 * Table column model for the submitter submissions browser table.
 *
 * @author Anthony Hurst (Hogeschool Gent)
 */
class SubmitterSubmissionsTableColumnModel extends ObjectTableColumnModel
{
    const PROPERTY_PUBLICATION_TITLE = 'PublicationTitle';
    const PROPERTY_CONTENT_OBJECT_DESCRIPTION = 'ContentObjectDescription';
    
    private static $action_column;

    function __construct()
    {
        parent :: __construct($this->get_columns(), 1, SORT_ASC);
    }

    /**
     * Defines the columns in the table.
     * 
     * @return ObjectTableColumn[] the defined columns.
     */
    function get_columns()
    {
        $columns = array();
        $columns[] = new ObjectTableColumn(self :: PROPERTY_PUBLICATION_TITLE, false);
        $columns[] = new ObjectTableColumn(self :: PROPERTY_CONTENT_OBJECT_DESCRIPTION, false);
        $columns[] = new ObjectTableColumn(WeblcmsAssignmentSubmissionsTracker :: PROPERTY_DATE_SUBMITTED, true);
        $columns[] = new ObjectTableColumn(WeblcmsSubmissionScoreTracker :: PROPERTY_SCORE, false);
        $columns[] = new ObjectTableColumn(AssignmentTool :: PROPERTY_NUMBER_OF_FEEDBACKS, false);
        $columns[] = self :: get_action_column();
        return $columns;
    }

    /**
     * Returns the action column.
     * 
     * @return type
     */
    static function get_action_column()
    {
        if (! isset(self :: $action_column))
            self :: $action_column = new StaticTableColumn(Translation :: get('Actions'));
        return self :: $action_column;
    }
}

?>
