<?php
namespace application\weblcms\tool\blog;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'BlogTool' => '/lib/blog_tool.class.php',
         'BlogToolBrowserComponent' => '/lib/component/browser.class.php',
         'BlogToolCategoryManagerComponent' => '/lib/component/category_manager.class.php',
         'BlogToolCategoryMoverComponent' => '/lib/component/category_mover.class.php',
         'BlogToolComplexBuilderComponent' => '/lib/component/complex_builder.class.php',
         'BlogToolComplexDisplayComponent' => '/lib/component/complex_display.class.php',
         'BlogToolContentObjectUpdaterComponent' => '/lib/component/content_object_updater.class.php',
         'BlogToolDeleterComponent' => '/lib/component/deleter.class.php',
         'BlogToolEvaluateComponent' => '/lib/component/evaluate.class.php',
         'BlogToolHidePublicationComponent' => '/lib/component/hide_publication.class.php',
         'BlogToolIntroductionPublisherComponent' => '/lib/component/introduction_publisher.class.php',
         'BlogToolMoverComponent' => '/lib/component/mover.class.php',
         'BlogToolPublicationUpdaterComponent' => '/lib/component/publication_updater.class.php',
         'BlogToolPublisherComponent' => '/lib/component/publisher.class.php',
         'BlogToolReportingViewerComponent' => '/lib/component/reporting_viewer.class.php',
         'BlogToolRightsEditorComponent' => '/lib/component/rights_editor.class.php',
         'BlogToolShareContentObjectsComponent' => '/lib/component/share_content_objects.class.php',
         'BlogToolShowPublicationComponent' => '/lib/component/show_publication.class.php',
         'BlogToolToggleVisibilityComponent' => '/lib/component/toggle_visibility.class.php',
         'BlogToolUpdaterComponent' => '/lib/component/updater.class.php',
         'BlogToolViewerComponent' => '/lib/component/viewer.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>