<?php
namespace application\weblcms\tool\chat;

use common\libraries\DelegateComponent;

use application\weblcms\WeblcmsDataManager;
use application\weblcms\WeblcmsRights;
use application\weblcms\Tool;
use common\libraries\Display;
use common\libraries\BreadcrumbTrail;
use common\libraries\Path;
use common\libraries\Translation;
use phpFreeChat;

/**
 * $Id: chat_viewer.class.php 216 2009-11-13 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.tool.chat.component
 */
require_once Path :: get_plugin_path() . '/phpfreechat/src/phpfreechat.class.php';

class ChatToolViewerComponent extends ChatTool implements DelegateComponent
{

    function run()
    {

        $course = $this->get_course();
        $user = $this->get_user();
        $course_rel_user = WeblcmsDataManager :: get_instance()->retrieve_course_user_relation($course->get_id(), $user->get_id());

        $params = array();

        if (($course_rel_user && $course_rel_user->get_status() == 1) || $user->is_platform_admin())
            $params["isadmin"] = true;

        $params["data_public_url"] = Path :: get(WEB_PATH) . 'files/logs/chat/data/public';
        $params["data_public_path"] = Path :: get(SYS_PATH) . 'files/logs/chat/data/public';
        $params["data_private_path"] = Path :: get(SYS_PATH) . 'files/logs/chat/data/private';
        $params["server_script_url"] = $_SERVER['REQUEST_URI'];
        $params["serverid"] = $course->get_id();
        $params["title"] = $course->get_title();
        $params["nick"] = $user->get_username();
        $params["frozen_nick"] = true;
        $params["channels"] = array($course->get_title());
        $params["max_channels"] = 1;
        $params["theme"] = "blune";
        $params["display_pfc_logo"] = false;
        $params["display_ping"] = false;
        $params["displaytabclosebutton"] = false;
        $params["btn_sh_whosonline"] = false;
        $params["btn_sh_smileys"] = false;
        $params["displaytabimage"] = false;

        $chat = new phpFreeChat($params);

        $trail = BreadcrumbTrail :: get_instance();

        $this->display_header();
        if (! function_exists('filemtime'))
            echo Translation :: get('FileMTimeWarning');

        $chat->printChat();
        $this->display_footer();
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add_help('weblcms_tool_chat_viewer');
    }

    function get_additional_parameters()
    {
        return array(Tool :: PARAM_PUBLICATION_ID);
    }

}
?>
