<?php
namespace application\weblcms\tool\course_group;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'CourseGroupMenu' => '/lib/course_group_menu.class.php',
         'CourseGroupTool' => '/lib/course_group_tool.class.php',
         'CourseGroupToolBrowserComponent' => '/lib/component/browser.class.php',
         'CourseGroupToolContentObjectUpdaterComponent' => '/lib/component/content_object_updater.class.php',
         'CourseGroupToolCreatorComponent' => '/lib/component/creator.class.php',
         'CourseGroupToolDeleterComponent' => '/lib/component/deleter.class.php',
         'CourseGroupToolEditorComponent' => '/lib/component/editor.class.php',
         'CourseGroupToolExporterComponent' => '/lib/component/exporter.class.php',
         'CourseGroupToolIntroductionPublisherComponent' => '/lib/component/introduction_publisher.class.php',
         'CourseGroupToolManageSubscriptionsComponent' => '/lib/component/manage_subscriptions.class.php',
         'CourseGroupToolSelfSubscriberComponent' => '/lib/component/self_subscriber.class.php',
         'CourseGroupToolSelfUnsubscriberComponent' => '/lib/component/self_unsubscriber.class.php',
         'CourseGroupToolSubscriptionsOverviewerComponent' => '/lib/component/subscriptions_overviewer.class.php',
         'CourseGroupToolUnsubscribeBrowserComponent' => '/lib/component/unsubscribe_browser.class.php',
         'CourseGroupToolUpdaterComponent' => '/lib/component/updater.class.php',
         'CourseGroupTable' => '/lib/component/course_group_table/course_group_table.class.php',
         'CourseGroupTableCellRenderer' => '/lib/component/course_group_table/course_group_table_cell_renderer.class.php',
         'CourseGroupTableColumn' => '/lib/component/course_group_table/course_group_table_column.class.php',
         'CourseGroupTableColumnModel' => '/lib/component/course_group_table/course_group_table_column_model.class.php',
         'CourseGroupTableDataProvider' => '/lib/component/course_group_table/course_group_table_data_provider.class.php',
         'DefaultCourseGroupTableCellRenderer' => '/lib/component/course_group_table/default_course_group_table_cell_renderer.class.php',
         'DefaultCourseGroupTableColumnModel' => '/lib/component/course_group_table/default_course_group_table_column_model.class.php',
         'CourseGroupsUsersBrowserTable' => '/lib/component/overview_browser/course_groups_users_browser_table.class.php',
         'CourseGroupsUsersBrowserTableCellRenderer' => '/lib/component/overview_browser/course_groups_users_browser_table_cell_renderer.class.php',
         'CourseGroupsUsersBrowserTableColumnModel' => '/lib/component/overview_browser/course_groups_users_browser_table_column_model.class.php',
         'CourseGroupsUsersBrowserTableDataProvider' => '/lib/component/overview_browser/course_groups_users_browser_table_data_provider.class.php',
         'UsersCourseGroupsBrowserTable' => '/lib/component/overview_browser/users_course_groups_browser_table.class.php',
         'UsersCourseGroupsBrowserTableDataProvider' => '/lib/component/overview_browser/users_course_groups_browser_table_data_provider.class.php',
         'CourseGroupSubscribedUserBrowserTable' => '/lib/component/user_table/course_group_subscribed_user_browser_table.class.php',
         'CourseGroupSubscribedUserBrowserTableCellRenderer' => '/lib/component/user_table/course_group_subscribed_user_browser_table_cell_renderer.class.php',
         'CourseGroupSubscribedUserBrowserTableColumnModel' => '/lib/component/user_table/course_group_subscribed_user_browser_table_column_model.class.php',
         'CourseGroupSubscribedUserBrowserTableDataProvider' => '/lib/component/user_table/course_group_subscribed_user_browser_table_data_provider.class.php',
         'CourseGroupUnsubscribedUserBrowserTable' => '/lib/component/user_table/course_group_unsubscribed_user_browser_table.class.php',
         'CourseGroupUnsubscribedUserBrowserTableCellRenderer' => '/lib/component/user_table/course_group_unsubscribed_user_browser_table_cell_renderer.class.php',
         'CourseGroupUnsubscribedUserBrowserTableColumnModel' => '/lib/component/user_table/course_group_unsubscribed_user_browser_table_column_model.class.php',
         'CourseGroupUnsubscribedUserBrowserTableDataprovider' => '/lib/component/user_table/course_group_unsubscribed_user_browser_table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>