<?php

namespace application\weblcms\tool\course_group;

use application\weblcms\CourseGroupForm;
use application\weblcms\CourseGroup;
use application\weblcms\WeblcmsRights;
use application\weblcms\Tool;
use common\libraries\Display;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\NotAllowedException;

/**
 * $Id: course_group_creator.class.php 216 2009-11-13 14:08:06Z kariboe $
 * 
 * @package application.lib.weblcms.tool.course_group.component
 */
class CourseGroupToolCreatorComponent extends CourseGroupTool
{
    
    private $action_bar;

    function run()
    {
        if (! $this->is_allowed(WeblcmsRights :: ADD_RIGHT))
        {
            throw new NotAllowedException();
        }
        
        $course_group_id = Request :: get(CourseGroupTool :: PARAM_COURSE_GROUP);
        
        $trail = BreadcrumbTrail :: get_instance();
        
        $course = $this->get_course();
        $course_group = new CourseGroup();
        $course_group->set_course_code($course->get_id());
        $course_group->set_parent_id($course_group_id);
        
        $param_add_course_group[Tool :: PARAM_ACTION] = CourseGroupTool :: ACTION_ADD_COURSE_GROUP;
        $param_add_course_group[CourseGroupTool :: PARAM_COURSE_GROUP] = $course_group_id;
        
        if ($_REQUEST['submit'] == 'AddTitles')
        {
            $form = new CourseGroupForm(CourseGroupForm :: TYPE_ADD_COURSE_GROUP_TITLES, $course_group, $this->get_url($param_add_course_group));
            if ($form->validate())
            {
                $form->add_titles();
            }
            else
            {
                $form = new CourseGroupForm(CourseGroupForm :: TYPE_CREATE, $course_group, $this->get_url($param_add_course_group));
            }
            $this->display_header();
            $form->display();
            $this->display_footer();
        }
        else
        {
            $form = new CourseGroupForm(CourseGroupForm :: TYPE_CREATE, $course_group, $this->get_url($param_add_course_group));
            
            if ($form->validate())
            {
                $succes = $form->create_course_group();
                
                if ($succes)
                {
                    $message = Translation :: get('ObjectCreated', array('OBJECT' => Translation :: get('CourseGroup')), Utilities :: COMMON_LIBRARIES);
                }
                else
                {
                    $message = Translation :: get('ObjectNotCreated', array(
                            'OBJECT' => Translation :: get('CourseGroup')), Utilities :: COMMON_LIBRARIES) . '<br />' . implode('<br />', $course_group->get_errors());
                }
                $this->redirect($message, ! $succes, array(
                        Tool :: PARAM_ACTION => CourseGroupTool :: ACTION_VIEW_GROUPS, 
                        CourseGroupTool :: PARAM_COURSE_GROUP => $course_group->get_parent_id()));
            }
            else
            {
                $this->display_header();
                $form->display();
                $this->display_footer();
            }
        }
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add_help('weblcms_course_group_creator');
    }

}

?>