<?php

namespace application\weblcms\tool\course_group;

use application\weblcms\CourseGroup;
use application\weblcms\WeblcmsDataManager;
use application\weblcms\WeblcmsRights;
use common\libraries\Display;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Utilities;
use application\weblcms\Tool;
use common\libraries\EqualityCondition;
use common\libraries\NotAllowedException;

/**
 * $Id: course_group_deleter.class.php 216 2009-11-13 14:08:06Z kariboe $
 * @package application.lib.weblcms.tool.course_group.component
 */
class CourseGroupToolDeleterComponent extends CourseGroupTool
{

    function run()
    {
        if (!$this->is_allowed(WeblcmsRights :: DELETE_RIGHT))
        {
            throw new NotAllowedException();
        }

        if (Request :: get(Tool :: PARAM_PUBLICATION_ID))
        {
            $publication_ids = Request :: get(Tool :: PARAM_PUBLICATION_ID);
        }
        else
        {
            $publication_ids = $_POST[Tool :: PARAM_PUBLICATION_ID];
        }

        if (!is_array($publication_ids))
        {
            $publication_ids = array($publication_ids);
        }

        $datamanager = WeblcmsDataManager :: get_instance();

        foreach ($publication_ids as $pid)
        {
            if ($publication = $datamanager->retrieve_content_object_publication($pid))
            {
                $publication->delete();
            }
        }


        $ids = Request :: get(CourseGroupTool :: PARAM_COURSE_GROUP);
        if ($ids)
        {
            if (!is_array($ids))
                $ids = array($ids);

            $wdm = WeblcmsDataManager :: get_instance();

            //Make the course group deletable
            foreach ($ids as $group_id)
            {
                $cg = $wdm->retrieve_course_group($group_id);
                if ($cg->get_document_category_id())
                {
                    $cat = $wdm->retrieve_content_object_publication_category($cg->get_document_category_id());
                    $cat->set_allow_change(1);
                    $cat->update();
                }
                $cg->delete();
                 //delete the course_group_group_relation if the relation does not contain any course groups
                $group_id = $cg->get_group_id();
                $cgr = $wdm->retrieve_course_group_group_relation($group_id);
                if($cgr)
                {
                    $course_groups = $cgr->count_course_groups();
                    if ($course_groups == 0){
                        $cgr->delete();
                        if ($cgr->get_document_publication_category_id())
                        {
                            $cat = $wdm->retrieve_content_object_publication_category($cgr->get_document_publication_category_id());
                            $cat->set_allow_change(1);
                            $cat->update();
                        }
                    }
                }
            }



            $message = Translation :: get('ObjectDeleted', array('OBJECT' => Translation::get('CourseGroup')), Utilities:: COMMON_LIBRARIES);
            $this->redirect($message, '', array('course_group' => null, CourseGroupTool :: PARAM_ACTION => null));
        }
//        else
//        {
//            Display :: error_message('NoObjectSelected');
//        }
        $this->redirect($message, '', array('course_group' => null, CourseGroupTool :: PARAM_ACTION => null));
    }

}

?>