<?php

namespace application\weblcms\tool\course_group;

use user\DefaultUserTableColumnModel;
use application\weblcms\WeblcmsManager;
use common\libraries\StaticTableColumn;
use common\libraries\ObjectTableColumn;
use user\User;
use common\libraries\Request;
use common\libraries\Path;
use application\weblcms\CourseGroup;
use common\libraries\Translation;
use common\libraries\Utilities;
use user\UserDataManager;
use common\libraries\ObjectTableColumnModel;


class CourseGroupsUsersBrowserTableColumnModel extends DefaultUserTableColumnModel
{
    const SUBSCRIPTION_STATUS = 'subscription_status';  // (!) SHOULD BE THE SAME VALUE AS THE MIN-FIELD IN MDB2 (retrieve_all_course_users)
    const SUBSCRIPTION_TYPE = 'subscription_type';  // (!) SHOULD BE THE SAME VALUE AS THE SUM-FIELD IN MDB2 (retrieve_all_course_users)
    const COURSE_GROUP_COLOMN = 'CourseGroup';

    //**************************************************************************
    // CONSTRUCTOR
    //**************************************************************************

    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        $user_alias = UserDataManager :: get_instance()->get_alias(User :: get_table_name());

        $this->add_column(new ObjectTableColumn(User :: PROPERTY_OFFICIAL_CODE, true, $user_alias, true));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_USERNAME, true, $user_alias, true));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_LASTNAME, true, $user_alias, true));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_FIRSTNAME, true, $user_alias, true));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_EMAIL, true, $user_alias, true));

        $column = new ObjectTableColumn(CourseGroup :: PROPERTY_ID, false);
        $column->set_title(Translation::get('CourseGroup'), Utilities :: COMMON_LIBRARIES);

        $this->add_column($column);

        return $columns;
    }

}

?>