<?php
namespace application\weblcms\tool\course_group;

use common\libraries\NewObjectTableDataProvider;
use application\weblcms\WeblcmsDataManager;

/**
 * Data provider for an all subscribed course_group user browser table, including users subscribed through (sub-)groups.
 */
class CourseGroupsUsersBrowserTableDataProvider extends NewObjectTableDataProvider
{
    // **************************************************************************
    // GENERAL FUNCTIONS
    // **************************************************************************
    /**
     * Gets the users.
     *
     * @param int $offset
     * @param int $max_objects
     * @param string $order_by
     * @return ResultSet A set of matching users.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);

        $course_group = WeblcmsDataManager :: get_instance()->retrieve_course_group(
                $this->get_object_table()->get_component()->get_table_course_group_id());
        return WeblcmsDataManager :: get_instance()->retrieve_course_group_users($course_group, $this->get_condition(), $offset,
                $count, $order_property);
    }

    /**
     * Gets the number of users.
     *
     * @return int
     */
    function get_object_count()
    {
        $course_group = WeblcmsDataManager :: get_instance()->retrieve_course_group(
                $this->get_object_table()->get_component()->get_table_course_group_id());
        return WeblcmsDataManager :: get_instance()->count_course_group_users($course_group, $this->get_condition());
    }
}

?>
