<?php

namespace application\weblcms\tool\course_group;

use common\libraries\NewObjectTableDataProvider;
use application\weblcms\WeblcmsDataManager;

/** * ***************************************************************************
 * Data provider for an all subscribed course_group user browser table, including users
 * subscribed through (sub-)groups.
 *
 * @author Shoira Mukhsinova
 * **************************************************************************** */
class UsersCourseGroupsBrowserTableDataProvider extends NewObjectTableDataProvider
{


    //**************************************************************************
    // GENERAL FUNCTIONS
    //**************************************************************************
    /**
     * Gets the users.
     * @param int $offset
     * @param int $max_objects
     * @param string $order_by
     * @return ResultSet A set of matching users.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);

        //TO: Get all the users subscribed in the course and get the corresponding course_groups they are subscribed to
        return WeblcmsDataManager :: get_instance()->retrieve_all_course_users($this->get_object_table()->get_component()->get_course_id(), $this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Gets the number of users.
     * @return int
     */
    function get_object_count()
    {

        return WeblcmsDataManager :: get_instance()->count_all_course_users($this->get_object_table()->get_component()->get_course_id(), $this->get_condition());
    }

}

?>
