<?php
namespace application\weblcms\tool\course_group;

use application\weblcms\WeblcmsRights;
use application\weblcms\Tool;
use application\weblcms\WeblcmsDataManager;

use common\libraries\Display;
use common\libraries\Translation;

/**
 * $Id: course_group_self_subscriber.class.php 216 2009-11-13 14:08:06Z kariboe $
 * @package application.lib.weblcms.tool.course_group.component
 */
class CourseGroupToolSelfSubscriberComponent extends CourseGroupTool
{
    private $action_bar;

    function run()
    {
        $course_group = $this->get_course_group();

        $course_group_ok = WeblcmsDataManager :: get_instance()->more_subscriptions_allowed_for_user_in_group(
            $course_group->get_group_id(), $this->get_user_id()
        );

        if ($course_group_ok)
        {
            $course_group->subscribe_users($this->get_user());
            $this->redirect(Translation :: get('UserSubscribed'), false, array(Tool :: PARAM_ACTION => CourseGroupTool :: ACTION_UNSUBSCRIBE, CourseGroupTool :: PARAM_COURSE_GROUP => $course_group->get_id()));
        }
        else
        {
            $this->redirect(Translation :: get('UserNotSubscribed'), true, array(Tool :: PARAM_ACTION => CourseGroupTool :: DEFAULT_ACTION, CourseGroupTool :: PARAM_COURSE_GROUP => $course_group->get_parent_id()));
        }
    }

}
?>