<?php
namespace application\weblcms\tool\course_group;

use application\weblcms\WeblcmsDataManager;
use common\libraries\NewObjectTableDataProvider;
use common\libraries\NewObjectTableSupport;

/**
 * $Id: course_group_subscribed_user_browser_table_data_provider.class.php 216
 * 2009-11-13 14:08:06Z kariboe $
 * 
 * @package application.lib.weblcms.tool.course_group.component.user_table
 */
class CourseGroupSubscribedUserBrowserTableDataProvider extends NewObjectTableDataProvider
{
    private $wdm;

    /**
     * Constructor
     * 
     * @param $browser WeblcmsManagerComponent           
     * @param $condition Condition           
     */
    function __construct($obj_table) 
    {
        parent :: __construct($obj_table); 
        $this->wdm = WeblcmsDataManager :: get_instance();
    }

    /**
     * Gets the users
     * 
     * @param $offset int           
     * @param $count int           
     * @param $order_property string           
     * @return ResultSet A set of matching learning objects.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        
        return $this->wdm->retrieve_course_group_users($this->get_object_table()->get_component()->get_course_group(), $this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Gets the number of users in the table
     * 
     * @return int
     */
    function get_object_count()
    {
        return $this->wdm->count_course_group_users($this->get_object_table()->get_component()->get_course_group(), $this->get_condition());
    }
}
?>