<?php
namespace application\weblcms\tool\course_sections;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'CourseSectionForm' => '/lib/course_section_form.class.php',
         'CourseSectionToolSelectorForm' => '/lib/course_section_tool_selector_form.class.php',
         'CourseSectionsTool' => '/lib/course_sections_tool.class.php',
         'CourseSectionsToolChangeSectionComponent' => '/lib/component/change_section.class.php',
         'CourseSectionsToolCreatorComponent' => '/lib/component/creator.class.php',
         'CourseSectionsToolDeleterComponent' => '/lib/component/deleter.class.php',
         'CourseSectionsToolMoverComponent' => '/lib/component/mover.class.php',
         'CourseSectionsToolToolSelectorComponent' => '/lib/component/tool_selector.class.php',
         'CourseSectionsToolUpdaterComponent' => '/lib/component/updater.class.php',
         'CourseSectionsToolViewerComponent' => '/lib/component/viewer.class.php',
         'CourseSectionsToolVisibilityChangerComponent' => '/lib/component/visibility_changer.class.php',
         'CourseSectionsBrowserTable' => '/lib/component/course_sections_browser/course_sections_browser_table.class.php',
         'CourseSectionsBrowserTableCellRenderer' => '/lib/component/course_sections_browser/course_sections_browser_table_cell_renderer.class.php',
         'CourseSectionsBrowserTableColumnModel' => '/lib/component/course_sections_browser/course_sections_browser_table_column_model.class.php',
         'CourseSectionsBrowserTableDataProvider' => '/lib/component/course_sections_browser/course_sections_browser_table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>