<?php
namespace application\weblcms\tool\course_sections;

use common\libraries\ObjectTableFormAction;
use common\libraries\ObjectTable;
use common\libraries\Translation;

/**
 * $Id: course_sections_browser_table.class.php 216 2009-11-13 14:08:06Z kariboe
 * $
 *
 * @package
 *          application.lib.weblcms.tool.course_sections.component.course_sections_browser
 */
/**
 * Table to display a set of courses.
 */
class CourseSectionsBrowserTable extends ObjectTable
{
    const DEFAULT_NAME = 'course_section_browser_table';

    /**
     * Constructor
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new CourseSectionsBrowserTableColumnModel();
        $renderer = new CourseSectionsBrowserTableCellRenderer($browser);
        $data_provider = new CourseSectionsBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, CourseSectionsBrowserTable :: DEFAULT_NAME, $model, $renderer);

        $actions = array();

        $actions[] = new ObjectTableFormAction(CourseSectionsTool :: PARAM_REMOVE_SELECTED, Translation :: get('RemoveSelected'));

        $actions[CourseSectionsTool :: PARAM_REMOVE_SELECTED] = Translation :: get('RemoveSelected');
        // $this->set_form_actions($actions);

        $this->set_default_row_count(20);
    }
}
?>