<?php
namespace application\weblcms\tool\description;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'DescriptionTool' => '/lib/description_tool.class.php',
         'DescriptionToolBrowserComponent' => '/lib/component/browser.class.php',
         'DescriptionToolContentObjectUpdaterComponent' => '/lib/component/content_object_updater.class.php',
         'DescriptionToolDeleterComponent' => '/lib/component/deleter.class.php',
         'DescriptionToolEvaluateComponent' => '/lib/component/evaluate.class.php',
         'DescriptionToolHidePublicationComponent' => '/lib/component/hide_publication.class.php',
         'DescriptionToolIntroductionPublisherComponent' => '/lib/component/introduction_publisher.class.php',
         'DescriptionToolMoverComponent' => '/lib/component/mover.class.php',
         'DescriptionToolPublicationUpdaterComponent' => '/lib/component/publication_updater.class.php',
         'DescriptionToolPublisherComponent' => '/lib/component/publisher.class.php',
         'DescriptionToolReportingViewerComponent' => '/lib/component/reporting_viewer.class.php',
         'DescriptionToolRightsEditorComponent' => '/lib/component/rights_editor.class.php',
         'DescriptionToolShareContentObjectsComponent' => '/lib/component/share_content_objects.class.php',
         'DescriptionToolShowPublicationComponent' => '/lib/component/show_publication.class.php',
         'DescriptionToolToggleVisibilityComponent' => '/lib/component/toggle_visibility.class.php',
         'DescriptionToolUpdaterComponent' => '/lib/component/updater.class.php',
         'DescriptionToolViewerComponent' => '/lib/component/viewer.class.php',
         'DescriptionBrowser' => '/lib/component/description_viewer/description_browser.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>