<?php
namespace application\weblcms\tool\forum;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'ForumTool' => '/lib/forum_tool.class.php',
         'ForumToolBrowserComponent' => '/lib/component/browser.class.php',
         'ForumToolCategoryManagerComponent' => '/lib/component/category_manager.class.php',
         'ForumToolCategoryMoverComponent' => '/lib/component/category_mover.class.php',
         'ForumToolChangeLockComponent' => '/lib/component/change_lock.class.php',
         'ForumToolComplexBuilderComponent' => '/lib/component/complex_builder.class.php',
         'ForumToolContentObjectUpdaterComponent' => '/lib/component/content_object_updater.class.php',
         'ForumToolDeleterComponent' => '/lib/component/deleter.class.php',
         'ForumToolEvaluateComponent' => '/lib/component/evaluate.class.php',
         'ForumToolForumSubscribeComponent' => '/lib/component/forum_subscribe.class.php',
         'ForumToolForumUnsubscribeComponent' => '/lib/component/forum_unsubscribe.class.php',
         'ForumToolIntroductionPublisherComponent' => '/lib/component/introduction_publisher.class.php',
         'ForumToolMoverComponent' => '/lib/component/mover.class.php',
         'ForumToolPublicationUpdaterComponent' => '/lib/component/publication_updater.class.php',
         'ForumToolPublisherComponent' => '/lib/component/publisher.class.php',
         'ForumToolRightsEditorComponent' => '/lib/component/rights_editor.class.php',
         'ForumToolShareContentObjectsComponent' => '/lib/component/share_content_objects.class.php',
         'ForumToolToggleVisibilityComponent' => '/lib/component/toggle_visibility.class.php',
         'ForumToolUpdaterComponent' => '/lib/component/updater.class.php',
         'ForumToolViewerComponent' => '/lib/component/viewer.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>