<?php

namespace application\weblcms\tool\forum;

use repository\content_object\forum\ForumSubscribe;
use repository\content_object\forum\ForumDataManager;
use repository\RepositoryDataManager;
use repository\ContentObject;

use application\weblcms\Tool;
use application\weblcms\WeblcmsRights;
use application\weblcms\WeblcmsDataManager;

use common\libraries\Request;
use common\libraries\WebApplication;
use common\libraries\Translation;
use common\libraries\Breadcrumb;
use common\libraries\Utilities;
use common\libraries\NotAllowedException;

/**
 * Class responsible for the creation of forum subscribes at application level.
 *
 * @author Mattias De Pauw - Hogeschool Gent
 * @author Maarten Volckaert - Hogeschool Gent
 */
class ForumToolForumSubscribeComponent extends ForumTool
{
    function run()
    {
        $this->publication_id = Request :: get(Tool :: PARAM_PUBLICATION_ID);

        $publication = WeblcmsDataManager :: get_instance()->retrieve_content_object_publication($this->publication_id);

        if (!$this->is_allowed(WeblcmsRights :: VIEW_RIGHT, $publication))
        {
            throw new NotAllowedException();
        }
        
        $succes = false;
        
        $object = RepositoryDataManager :: get_instance()->retrieve_content_object(Request :: get(ForumTool :: PARAM_FORUM_ID));

        $succes = ForumDataManager :: create_subscribe($this->get_user_id(), $object->get_id());
        if($succes)
        {
            $message = Translation :: get("SuccesSubscribe",null,ContentObject :: get_content_object_type_namespace('forum'));
        }else
        {
            $message = Translation :: get("UnSuccesSubscribe",null,ContentObject :: get_content_object_type_namespace('forum'));
        }
        $this->redirect($message, ($succes ? false : true ), array(
                    ForumTool :: PARAM_ACTION => ForumTool :: ACTION_BROWSE));
    }

    /*function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add(new Breadcrumb($this->get_url(array(
                ForumManager :: PARAM_ACTION => ForumManager :: ACTION_BROWSE)), Translation :: get('ForumManagerBrowserComponent')));
       //$breadcrumbtrail->add_help('forum_subscribe');
    }*/

    function get_additional_parameters()
    {
        return array(self :: PARAM_PUBLICATION_ID);
    }
}

?>