<?php

namespace application\weblcms\tool\forum;

use repository\content_object\forum\ForumSubscribe;
use repository\content_object\forum\ForumDataManager;
use repository\RepositoryDataManager;
use repository\ContentObject;

use application\weblcms\Tool;
use application\weblcms\WeblcmsRights;
use application\weblcms\WeblcmsDataManager;

use common\libraries\Request;
use common\libraries\WebApplication;
use common\libraries\Translation;
use common\libraries\Breadcrumb;
use common\libraries\Utilities;
use common\libraries\NotAllowedException;


/**
 * This represents the component for unsubscribing a forum at forum application level.
 *
 * @author Mattias De Pauw - Hogeschool Gent
 * @author Maarten Volckaert - Hogeschool Gent
 * ForumManagerForumUnsubscribeComponent
 */
class ForumToolForumUnsubscribeComponent extends ForumTool
{
    function run()
    {
        $this->publication_id = Request :: get(Tool :: PARAM_PUBLICATION_ID);

        $publication = WeblcmsDataManager :: get_instance()->retrieve_content_object_publication($this->publication_id);

        if (!$this->is_allowed(WeblcmsRights :: VIEW_RIGHT, $publication))
        {
            throw new NotAllowedException();
        }
        
        $succes = false;
        $subscribe_id = Request :: get(ForumTool :: PARAM_SUBSCRIBE_ID);
        
        if($subscribe_id)
        {
            $subscribe = ForumDataManager :: get_instance() ->retrieve_subscribe($subscribe_id);
            $succes = $subscribe->delete();
          $message = Translation :: get("SuccesUnSubscribe",null,ContentObject :: get_content_object_type_namespace('forum'));
        }
        else
        {
           $message = Translation :: get("UnSuccesUnSubscribe",null,ContentObject :: get_content_object_type_namespace('forum'));
        }
        

        $this->redirect($message, ($succes ? false : true ),
                array(ForumTool :: PARAM_ACTION => ForumTool :: ACTION_BROWSE));
    }
    
    function get_additional_parameters()
    {
        return array(self :: PARAM_PUBLICATION_ID);
    }
}

?>
