<?php
namespace application\weblcms\tool\forum;

use application\weblcms\Tool;
use common\libraries\Request;
use application\weblcms\ToolComponent;

use application\weblcms\WeblcmsRights;
use application\weblcms\WeblcmsDataManager;

use common\libraries\NotAllowedException;

use common\libraries\Translation;
use common\libraries\Utilities;
/**
 * this is the component for moving a forum in the list
 *
 * @author Mattias De Pauw
 */
class ForumToolMoverComponent extends ForumTool
{

    function run()
    {
        if ($this->is_allowed(EDIT_RIGHT))
        {
            $move = 0;
            
            if (Request :: get(Tool :: PARAM_MOVE_DIRECTION))
            {
                $move = Request :: get(Tool :: PARAM_MOVE_DIRECTION);
            }
            
            $forum_publication = WeblcmsDataManager :: get_instance()->retrieve_content_object_publication(Request :: get(ForumTool :: PARAM_PUBLICATION_ID));
            
            if ($forum_publication->move($move))
            {
                $message = Translation :: get('ObjectMoved', array(
                        'OBJECT' => Translation :: get('Forum', null, 'repository\content_object\forum')), Utilities :: COMMON_LIBRARIES);
            }
            else
            {
                $message = Translation :: get('ObjectNotMoved', array(
                        'OBJECT' => Translation :: get('Forum', null, 'repository\content_object\forum')), Utilities :: COMMON_LIBRARIES);
            }
            
            $this->redirect($message, false, array(ForumTool :: PARAM_ACTION => ForumTool :: ACTION_BROWSE));
        }
    
    }

    function get_move_direction()
    {
        return Request :: get(Tool :: PARAM_MOVE_DIRECTION);
    }
}
?>
