<?php
namespace application\weblcms\tool\geolocation;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'GeolocationTool' => '/lib/geolocation_tool.class.php',
         'GeolocationToolBrowserComponent' => '/lib/component/browser.class.php',
         'GeolocationToolContentObjectUpdaterComponent' => '/lib/component/content_object_updater.class.php',
         'GeolocationToolDeleterComponent' => '/lib/component/deleter.class.php',
         'GeolocationToolEvaluateComponent' => '/lib/component/evaluate.class.php',
         'GeolocationToolHidePublicationComponent' => '/lib/component/hide_publication.class.php',
         'GeolocationToolIntroductionPublisherComponent' => '/lib/component/introduction_publisher.class.php',
         'GeolocationToolMoverComponent' => '/lib/component/mover.class.php',
         'GeolocationToolPublicationUpdaterComponent' => '/lib/component/publication_updater.class.php',
         'GeolocationToolPublisherComponent' => '/lib/component/publisher.class.php',
         'GeolocationToolReportingViewerComponent' => '/lib/component/reporting_viewer.class.php',
         'GeolocationToolRightsEditorComponent' => '/lib/component/rights_editor.class.php',
         'GeolocationToolShareContentObjectsComponent' => '/lib/component/share_content_objects.class.php',
         'GeolocationToolShowPublicationComponent' => '/lib/component/show_publication.class.php',
         'GeolocationToolToggleVisibilityComponent' => '/lib/component/toggle_visibility.class.php',
         'GeolocationToolUpdaterComponent' => '/lib/component/updater.class.php',
         'GeolocationToolViewerComponent' => '/lib/component/viewer.class.php',
         'GeolocationBrowser' => '/lib/component/geolocation_browser/geolocation_browser.class.php',
         'GeolocationCellRenderer' => '/lib/component/geolocation_browser/geolocation_cell_renderer.class.php',
         'GeolocationDetailsRenderer' => '/lib/component/geolocation_browser/geolocation_details_renderer.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>