<?php
namespace application\weblcms\tool\glossary;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'GlossaryTool' => '/lib/glossary_tool.class.php',
         'GlossaryToolBrowserComponent' => '/lib/component/browser.class.php',
         'GlossaryToolComplexBuilderComponent' => '/lib/component/complex_builder.class.php',
         'GlossaryToolComplexDisplayComponent' => '/lib/component/complex_display.class.php',
         'GlossaryToolContentObjectUpdaterComponent' => '/lib/component/content_object_updater.class.php',
         'GlossaryToolDeleterComponent' => '/lib/component/deleter.class.php',
         'GlossaryToolEvaluateComponent' => '/lib/component/evaluate.class.php',
         'GlossaryToolHidePublicationComponent' => '/lib/component/hide_publication.class.php',
         'GlossaryToolIntroductionPublisherComponent' => '/lib/component/introduction_publisher.class.php',
         'GlossaryToolMoverComponent' => '/lib/component/mover.class.php',
         'GlossaryToolPublicationUpdaterComponent' => '/lib/component/publication_updater.class.php',
         'GlossaryToolPublisherComponent' => '/lib/component/publisher.class.php',
         'GlossaryToolReportingViewerComponent' => '/lib/component/reporting_viewer.class.php',
         'GlossaryToolRightsEditorComponent' => '/lib/component/rights_editor.class.php',
         'GlossaryToolShareContentObjectsComponent' => '/lib/component/share_content_objects.class.php',
         'GlossaryToolShowPublicationComponent' => '/lib/component/show_publication.class.php',
         'GlossaryToolToggleVisibilityComponent' => '/lib/component/toggle_visibility.class.php',
         'GlossaryToolUpdaterComponent' => '/lib/component/updater.class.php',
         'GlossaryToolViewerComponent' => '/lib/component/viewer.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>