<?php

namespace application\weblcms\tool\learning_path;

use common\libraries\ObjectTable;

/**
 * A table which contains the assessment attempts from a single assessment in the learning path.
 *
 * @author Bert De Clercq (Hogeschool Gent)
 */
class AssessmentResultsTable extends ObjectTable
{
    
    const DEFAULT_NAME = 'assessment_results_table';
    
    /**
     * Constructs the table with the assessment attempts.
     * 
     * @param type $parent The parent
     * @param type $condition The condition that determines which attempts to display.
     */
    function __construct($parent, $condition)
    {
        $data_provider = new AssessmentResultsTableDataProvider($parent, $condition);
        $column_model = new AssessmentResultsTableColumnModel();
        $cell_renderer = new AssessmentResultsTableCellRenderer($parent);
        parent :: __construct($data_provider, self :: DEFAULT_NAME, $column_model, $cell_renderer);
    }
    
}

?>
