<?php

namespace application\weblcms\tool\learning_path;

use common\libraries\ObjectTableColumnModel;
use common\libraries\StaticTableColumn;
use common\libraries\Translation;

/**
 * Defines the columns for the table.
 *
 * @author Bert De Clercq (Hogeschool Gent)
 */
class AssessmentResultsTableColumnModel extends ObjectTableColumnModel
{
    
    private static $action_column;
    
    /**
     * Constructs the column model
     */
    function __construct()
    {
        parent :: __construct(self :: get_columns(), 1, SORT_ASC);
    }
    
    /**
     * Returns the column for the model.
     * 
     * @return array The column
     */
    function get_columns()
    {
        $columns = array();
        
        $columns[] = new StaticTableColumn(Translation :: get('User'));
        $columns[] = new StaticTableColumn(Translation :: get('Date'));
        $columns[] = new StaticTableColumn(Translation :: get('Score'));
        $columns[] = new StaticTableColumn(Translation :: get('Time'));
        $columns[] = self :: get_action_column();
        
        return $columns;
    }
    
    /**
     * Returns the action column.
     * 
     * @return StaticTableColumn The action column
     */
    static function get_action_column()
    {
        if (!isset(self :: $action_column))
        {
            self :: $action_column = new StaticTableColumn(Translation :: get('Actions'));
        }
        
        return self :: $action_column;
    }
    
}

?>
