<?php
namespace application\weblcms\tool\learning_path;

use common\libraries\DelegateComponent;

use application\weblcms\Tool;
use common\libraries\ToolbarItem;
use common\libraries\Theme;
use application\weblcms\ToolComponent;
use common\libraries\Translation;
use application\weblcms\WeblcmsRights;

class LearningPathToolBrowserComponent extends LearningPathTool implements DelegateComponent
{

    function run()
    {
        ToolComponent :: launch($this);
    }

    function get_tool_actions()
    {
        if ($this->is_allowed(WeblcmsRights :: ADD_RIGHT))
        {
            $actions[] = new ToolbarItem(Translation :: get('ImportScorm'), Theme :: get_common_image_path() . 'action_import.png', $this->get_url(array(
                    Tool :: PARAM_ACTION => LearningPathTool :: ACTION_IMPORT_SCORM)));
        }
        
        return $actions;
    }

    function get_content_object_publication_table_cell_renderer($tool_browser)
    {
        return new LearningPathCellRenderer($tool_browser);
    }

    function get_content_object_publication_table_column_model()
    {
        return new LearningPathColumnModel();
    }

    function get_additional_parameters()
    {
        return array(self :: PARAM_BROWSE_PUBLICATION_TYPE);
    }
}
?>