<?php

namespace application\weblcms\tool\reporting;

use common\libraries\DelegateComponent;

use application\weblcms\WeblcmsManager;
use common\extensions\reporting_viewer\ReportingViewer;
use reporting\ReportingManager;
use common\libraries\Request;
use application\weblcms\WeblcmsRights;
use Exception;

/**
 * $Id: reporting_viewer.class.php 216 2009-11-13 14:08:06Z kariboe $
 * 
 * @package application.lib.weblcms.tool.reporting.component
 */

/**
 *
 * @author Michael Kyndt
 */
class ReportingToolViewerComponent extends ReportingTool implements DelegateComponent
{

    function run()
    {
        if (! $this->is_allowed(WeblcmsRights :: EDIT_RIGHT))
        {
            throw new Exception('not-allowed');
        }
        
        $rtv = ReportingViewer :: construct($this);
        
        $template_id = Request :: get(ReportingManager :: PARAM_TEMPLATE_ID);
        
        if (! isset($template_id))
        {
            $rtv->add_template_by_name('course_student_tracker_reporting_template', WeblcmsManager :: APPLICATION_NAME);
        }
        else
        {
            $rtv->add_template_by_id($template_id);
        }
        
        $rtv->show_all_blocks();
        $rtv->run();
    }
}

?>