<?php
namespace application\weblcms\tool\streaming_video;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'StreamingVideoTool' => '/lib/streaming_video_tool.class.php',
         'StreamingVideoToolBrowserComponent' => '/lib/component/browser.class.php',
         'StreamingVideoToolCategoryManagerComponent' => '/lib/component/category_manager.class.php',
         'StreamingVideoToolCategoryMoverComponent' => '/lib/component/category_mover.class.php',
         'StreamingVideoToolContentObjectUpdaterComponent' => '/lib/component/content_object_updater.class.php',
         'StreamingVideoToolDeleterComponent' => '/lib/component/deleter.class.php',
         'StreamingVideoToolEvaluateComponent' => '/lib/component/evaluate.class.php',
         'StreamingVideoToolHidePublicationComponent' => '/lib/component/hide_publication.class.php',
         'StreamingVideoToolIntroductionPublisherComponent' => '/lib/component/introduction_publisher.class.php',
         'StreamingVideoToolMoveDownComponent' => '/lib/component/mover.class.php',
         'StreamingVideoToolPublicationUpdaterComponent' => '/lib/component/publication_updater.class.php',
         'StreamingVideoToolPublisherComponent' => '/lib/component/publisher.class.php',
         'StreamingVideoToolReportingViewerComponent' => '/lib/component/reporting_viewer.class.php',
         'StreamingVideoToolRightsEditorComponent' => '/lib/component/rights_editor.class.php',
         'StreamingVideoToolShareContentObjectsComponent' => '/lib/component/share_content_objects.class.php',
         'StreamingVideoToolShowPublicationComponent' => '/lib/component/show_publication.class.php',
         'StreamingVideoToolToggleVisibilityComponent' => '/lib/component/toggle_visibility.class.php',
         'StreamingVideoToolUpdaterComponent' => '/lib/component/updater.class.php',
         'StreamingVideoToolViewerComponent' => '/lib/component/viewer.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>