<?php
namespace application\weblcms\tool\streaming_video;

use common\libraries\Categorizable;

use repository\content_object\youtube\Youtube;
use repository\content_object\mediamosa\Mediamosa;
use repository\content_object\dailymotion\Dailymotion;
use repository\content_object\vimeo\Vimeo;
use application\weblcms\ContentObjectPublicationListRenderer;
use application\weblcms\Tool;
use repository\RepositoryDataManager;

/**
 * $Id: announcement_tool.class.php 216 2009-11-13 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.tool.announcement.component
 */

/**
 * This tool allows a user to publish announcements in his or her course.
 */
class StreamingVideoTool extends Tool implements Categorizable
{
    
    private static $allowed_types = null;

    static function get_allowed_types()
    {
        // if (is_null(self :: $allowed_types))
        // {
        // // check which video repo's are installed and configured
        // $external_instances = RepositoryDataManager ::
        // get_instance()->retrieve_external_instances();
        return array(Youtube :: get_type_name(), Mediamosa :: get_type_name(), Dailymotion :: get_type_name(), 
                Vimeo :: get_type_name());
        // while ($external_instance = $external_instances->next_result())
        // {
        // if (in_array($external_instance->get_type(), $possible_types))
        // {
        // $types[$external_instance->get_type()] = 1;
        // }
        // }
        // self :: $allowed_types = array_keys($types);
        // }
        // return self :: $allowed_types;
    }

    function get_application_component_path()
    {
        return dirname(__FILE__) . '/component/';
    }

    function get_available_browser_types()
    {
        $browser_types = array();
        $browser_types[] = ContentObjectPublicationListRenderer :: TYPE_TABLE;
        $browser_types[] = ContentObjectPublicationListRenderer :: TYPE_GALLERY;
        $browser_types[] = ContentObjectPublicationListRenderer :: TYPE_SLIDESHOW;
        return $browser_types;
    }

    /**
     * Helper function for the SubManager class,
     * pending access to class constants via variables in PHP 5.3
     * e.g.
     * $name = $class :: DEFAULT_ACTION
     *
     * DO NOT USE IN THIS SUBMANAGER'S CONTEXT
     * Instead use:
     * - self :: DEFAULT_ACTION in the context of this class
     * - YourSubManager :: DEFAULT_ACTION in all other application classes
     */
    static function get_default_action()
    {
        return self :: DEFAULT_ACTION;
    }

    /**
     * Helper function for the SubManager class,
     * pending access to class constants via variables in PHP 5.3
     * e.g.
     * $name = $class :: PARAM_ACTION
     *
     * DO NOT USE IN THIS SUBMANAGER'S CONTEXT
     * Instead use:
     * - self :: PARAM_ACTION in the context of this class
     * - YourSubManager :: PARAM_ACTION in all other application classes
     */
    static function get_action_parameter()
    {
        return self :: PARAM_ACTION;
    }
}
?>