<?php
namespace application\weblcms\tool\user;

use user\DefaultUserTableColumnModel;
use application\weblcms\WeblcmsManager;
use common\libraries\StaticTableColumn;
use common\libraries\ObjectTableColumn;
use user\User;
use common\libraries\Request;
use common\libraries\Path;

/**
 * * ***************************************************************************
 * Table column model for an all course user browser table.
 *
 * @author Stijn Van Hoecke
 *
 *         ****************************************************************************
 */
class AllSubscribedUserBrowserTableColumnModel extends DefaultUserTableColumnModel
{
    const SUBSCRIPTION_STATUS = 'subscription_status'; // (!) SHOULD BE THE SAME
                                                       // VALUE AS THE MIN-FIELD
                                                       // IN MDB2
                                                       // (retrieve_all_course_users)
    const SUBSCRIPTION_TYPE = 'subscription_type'; // (!) SHOULD BE THE SAME
                                                   // VALUE AS THE SUM-FIELD IN
                                                   // MDB2
                                                   // (retrieve_all_course_users)
    const DEFAULT_ORDER_COLUMN_INDEX = 1;

    /**
     * The tables modification column.
     */
    private static $modification_column;

    /**
     * Initializes the columns for the table
     */
    function initialize_columns()
    {
        parent :: initialize_columns();
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_USERNAME));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_EMAIL));
        $this->add_column(new ObjectTableColumn(self :: SUBSCRIPTION_STATUS));
        $this->add_column(new ObjectTableColumn(self :: SUBSCRIPTION_TYPE, false));
        // $this->add_column(self :: get_modification_column());

    }

    /**
     * Gets the modification column
     *
     * @return ContentObjectTableColumn
     */
    static function get_modification_column()
    {
        if (! isset(self :: $modification_column))
        {
            self :: $modification_column = new StaticTableColumn('');
        }
        return self :: $modification_column;
    }
}
?>