<?php
namespace application\weblcms\tool\user;

use application\weblcms\tool\course_group\CourseGroupTool;

use common\libraries\Theme;

use group\GroupManager;

use user\UserDetails;
use user\UserGroups;
use application\weblcms\WeblcmsRights;
use application\weblcms\WeblcmsManager;
use application\weblcms\Tool;
use user\UserDataManager;
use common\libraries\Display;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\Request;
use common\libraries\Translation;

/**
 * $Id: user_details.class.php 216 2009-11-13 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.tool.user.component
 */
class UserToolDetailsComponent extends UserTool
{

    function run()
    {
        $trail = BreadcrumbTrail :: get_instance();
        
        $this->display_header();
        
        $udm = UserDataManager :: get_instance();
        if (Request :: get(WeblcmsManager :: PARAM_USERS))
        {
            $user = $udm->retrieve_user(Request :: get(WeblcmsManager :: PARAM_USERS));
            $details = new UserDetails($user);
            $groups = new UserGroups($user->get_id());
            $course_groups = new UserCourseGroups($user->get_id(), $this->get_course_id());
            
            echo $details->toHtml();
            echo $groups->toHtml();
            echo $course_groups->toHtml();
        
        }
        if (isset($_POST['user_id']))
        {
            foreach ($_POST['user_id'] as $index => $user_id)
            {
                $user = $udm->retrieve_user($user_id);
                $details = new UserDetails($user);
                $groups = new UserGroups($user->get_id());
                $course_groups = new UserCourseGroups($user->get_id(), $this->get_course_id());
                echo $details->toHtml();
                echo $groups->toHtml();
                echo $course_groups->toHtml();
            }
        }
        
        $this->display_footer();
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add_help('weblcms_user_details');
    }

    function get_additional_parameters()
    {
        return array(WeblcmsManager :: PARAM_USERS, UserTool :: PARAM_TAB);
    }

}

?>