<?php

namespace application\weblcms\tool\user;

use user\DefaultUserTableColumnModel;
use application\weblcms\WeblcmsManager;
use application\weblcms\WeblcmsDataManager;
use common\libraries\StaticTableColumn;
use common\libraries\ObjectTableColumn;
use user\User;
use common\libraries\Request;
use common\libraries\Path;
use group\DefaultGroupTableColumnModel;
use application\weblcms\course\CourseGroupRelation;

/**
 * * ***************************************************************************
 * Table column model for a direct subscribed course group browser table.
 *
 * @author Stijn Van Hoecke
 *
 *         ****************************************************************************
 */
class DirectSubscribedPlatformGroupBrowserTableColumnModel extends DefaultGroupTableColumnModel
{

    /**
     * The tables modification column.
     */
    private static $modification_column;

    // **************************************************************************
    // CONSTRUCTOR
    // **************************************************************************
    /**
     * Constructor
     */
    function __construct()
    {
        parent :: __construct();
        $this->add_column(new ObjectTableColumn(CourseGroupRelation :: PROPERTY_STATUS, true, WeblcmsDataManager :: get_instance()->get_alias(CourseGroupRelation :: get_table_name()), true));
        $this->add_column(self :: get_modification_column());
        $this->set_default_order_column(0); // name
    }

    /**
     * Gets the modification column
     *
     * @return ContentObjectTableColumn
     */
    static function get_modification_column()
    {
        if (! isset(self :: $modification_column))
        {
            self :: $modification_column = new StaticTableColumn('');
        }
        return self :: $modification_column;
    }

}

?>