<?php
namespace application\weblcms\tool\user;
use common\libraries\DataClassResultSetCache;

use common\libraries\DataClass;

use application\weblcms\WeblcmsDataManager;
use common\libraries\ObjectTableDataProvider;

/**
 * * ***************************************************************************
 * Data privider for a direct subscribed course group browser table.
 *
 * @author Stijn Van Hoecke
 *        
 *         ****************************************************************************
 */
class DirectSubscribedPlatformGroupBrowserTableDataProvider extends ObjectTableDataProvider
{

    /**
     * Constructor
     */
    function __construct($browser, $condition)
    {
        parent :: __construct($browser, $condition);
    }

    /**
     * Gets the groups
     * 
     * @param $offset int           
     * @param $count int           
     * @param $order_property string           
     * @return ResultSet A set of matching groups.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        DataClassResultSetCache::truncate('group\Group');
        return WeblcmsDataManager :: get_instance()->retrieve_groups_directly_subscribed_to_course($this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Counts the groups
     * 
     * @return int
     */
    function get_object_count()
    {
        return WeblcmsDataManager :: get_instance()->count_groups_directly_subscribed_to_course($this->get_condition());
    }
}
?>