<?php
namespace application\weblcms\tool\user;

use common\extensions\email_manager\EmailManager;

use application\weblcms\WeblcmsRights;
use application\weblcms\WeblcmsManager;
use application\weblcms\Tool;

use user\UserDataManager;

use common\libraries\Display;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\Request;
use common\libraries\Translation;

/**
 * $Id: user_details.class.php 216 2009-11-13 14:08:06Z kariboe $
 * 
 * @package application.lib.weblcms.tool.user.component
 */
class UserToolEmailerComponent extends UserTool
{

    function run()
    {
        
        $ids = Request :: get(WeblcmsManager :: PARAM_USERS);
        $udm = UserDataManager :: get_instance();
        
        if (! is_array($ids))
        {
            $ids = array($ids);
        }
        
        if (count($ids) > 0)
        {
            $failures = 0;
            
            foreach ($ids as $id)
            {
                $users[] = $udm->retrieve_user($id);
            }
            
            $manager = EmailManager :: construct($this);
            $manager->set_target_users($users);
            $manager->set_parameter(WeblcmsManager :: PARAM_USERS, $ids);
            $manager->run();
        
        }
        else
        {
            $this->display_error_page(htmlentities(Translation :: get('NoObjectSelected', array(
                    'OBJECT' => Translation :: get('User')))));
        }
    }

    function display_header($trail)
    {
        $ids = Request :: get(WeblcmsManager :: PARAM_USERS);
        
        $this->set_parameter(WeblcmsManager :: PARAM_USERS, null);
        
        $trail = BreadcrumbTrail :: get_instance();
        // $trail->add(new Breadcrumb($this->get_url(array(Tool :: PARAM_ACTION
        // => UserTool :: ACTION_UNSUBSCRIBE_USERS)), Translation ::
        // get('UserList')));
        $trail->add(new Breadcrumb($this->get_url(array(WeblcmsManager :: PARAM_USERS => $ids)), Translation :: get('EmailUsers')));
        $trail->add_help('courses user');
        
        return parent :: display_header();
    }

}
?>