<?php
namespace application\weblcms\tool\user;
use common\libraries\Utilities;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\ObjectTable;
use common\libraries\ObjectTableFormActions;
use common\libraries\ObjectTableFormAction;
use common\libraries\Path;

/**
 * * ***************************************************************************
 * Table to display the users inside a subscribed platform group.
 *
 * @author Stijn Van Hoecke
 *        
 *         ****************************************************************************
 */
class PlatformGroupRelUserBrowserTable extends ObjectTable
{
    const DEFAULT_ROW_COUNT = 20;

    /**
     * Constructor
     * 
     * @see ContentObjectTable::ContentObjectTable()
     */
    function __construct($browser, $parameters, $condition)
    {
        
        // model - cell renderer - data provider
        $model = new PlatformGroupRelUserBrowserTableColumnModel();
        $renderer = new PlatformGroupRelUserBrowserTableCellRenderer($browser);
        $data_provider = new PlatformGroupRelUserBrowserTableDataProvider($browser, $condition);
        
        // parent construct
        parent :: __construct($data_provider, Utilities :: get_classname_from_namespace(__CLASS__, true), $model, $renderer);
        
        // defaults
        $this->set_additional_parameters($parameters);
        $this->set_default_row_count(self :: DEFAULT_ROW_COUNT);
    }
}
?>