<?php
namespace application\weblcms\tool\user;
use group\GroupDataManager;
use common\libraries\ObjectTableDataProvider;

/**
 * * ***************************************************************************
 * Data provider for a platform group rel user browser table.
 *
 * @author Stijn Van Hoecke
 *        
 *         ****************************************************************************
 */
class PlatformGroupRelUserBrowserTableDataProvider extends ObjectTableDataProvider
{

    /**
     * Constructor
     */
    function __construct($browser, $condition)
    {
        parent :: __construct($browser, $condition);
    }

    /**
     * Gets the users
     * 
     * @param $offset int           
     * @param $count int           
     * @param $order_property string           
     * @return ResultSet A set of matching users.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return GroupDataManager :: get_instance()->retrieve_group_rel_users($this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Counts the users.
     * 
     * @return int
     */
    function get_object_count()
    {
        return GroupDataManager :: get_instance()->count_group_rel_users($this->get_condition());
    }
}
?>