<?php
namespace application\weblcms\tool\user;

use application\weblcms\WeblcmsManager;
use common\extensions\reporting_viewer\ReportingViewer;
use application\weblcms\Tool;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\Utilities;
use common\libraries\Request;
use common\libraries\DelegateComponent;
use common\libraries\Translation;

/**
 * $Id: user_details.class.php 216 2009-11-13 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.tool.user.component
 */
class UserToolReportingViewerComponent extends UserTool implements DelegateComponent
{

    function run()
    {
        BreadcrumbTrail :: get_instance()->add(new Breadcrumb($this->get_url(), Translation :: get('ReportingViewerComponent')));
        
        $template = Utilities :: camelcase_to_underscores('CourseStudentTrackerDetailReportingTemplate');
        $rtv = ReportingViewer :: construct($this);
        $rtv->add_template_by_name($template, WeblcmsManager :: APPLICATION_NAME);
        $rtv->show_all_blocks();
        $rtv->run();
    }

    function get_additional_parameters()
    {
        return array(Tool :: PARAM_PUBLICATION_ID, Tool :: PARAM_COMPLEX_ID, Tool :: PARAM_TEMPLATE_NAME);
    }

    function display_header($visible_tools)
    {
        parent :: display_header($visible_tools, false);
    }

}
?>