<?php
namespace application\weblcms\tool\user;
use group\GroupDataManager;
use common\libraries\ObjectTableDataProvider;

/**
 * * ***************************************************************************
 * Data privider for a course subgroup browser table.
 *
 * @author Stijn Van Hoecke
 *        
 *         ****************************************************************************
 */
class SubSubscribedPlatformGroupBrowserTableDataProvider extends ObjectTableDataProvider
{

    /**
     * Constructor
     */
    function __construct($browser, $condition)
    {
        parent :: __construct($browser, $condition);
    }

    /**
     * Gets the groups
     * 
     * @param $offset int           
     * @param $count int           
     * @param $order_property string           
     * @return ResultSet A set of matching groups.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return GroupDataManager :: get_instance()->retrieve_groups($this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Counts the groups
     * 
     * @return int
     */
    function get_object_count()
    {
        return GroupDataManager :: get_instance()->count_groups($this->get_condition());
    }
}
?>