<?php
namespace application\weblcms\tool\user;

use user\DefaultUserTableColumnModel;
use user\UserDataManager;
use application\weblcms\WeblcmsManager;
use application\weblcms\WeblcmsDataManager;
use common\libraries\StaticTableColumn;
use common\libraries\ObjectTableColumn;
use user\User;
use common\libraries\Request;
use common\libraries\Path;
use application\weblcms\course\CourseUserRelation;

/**
 * * ***************************************************************************
 * Table column model for a direct subscribed course user browser table, or
 * users
 * in a direct subscribed group.
 *
 * @author Stijn Van Hoecke
 *        
 *         ****************************************************************************
 */
class SubscribedUserBrowserTableColumnModel extends DefaultUserTableColumnModel
{
    
    const DEFAULT_ORDER_COLUMN_INDEX = 1;

    function initialize_columns()
    {
        $user_alias = UserDataManager :: get_instance()->get_alias(User :: get_table_name());
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_USERNAME, true, $user_alias, true));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_EMAIL, true, $user_alias, true));
        $this->add_column(new ObjectTableColumn(CourseUserRelation :: PROPERTY_STATUS, true, WeblcmsDataManager :: get_instance()->get_alias(CourseUserRelation :: get_table_name()), true));
    }

}
?>