<?php
namespace application\weblcms\tool\user;

use common\libraries\ObjectTableDataProvider;
use application\weblcms\WeblcmsDataManager;
use common\libraries\NewObjectTableDataProvider;

/**
 * * ***************************************************************************
 * Data provider for a direct subscribed course user browser table, or users
 * in a direct subscribed group.
 *
 * @author Stijn Van Hoecke
 *        
 *         ****************************************************************************
 */
class SubscribedUserBrowserTableDataProvider extends NewObjectTableDataProvider
{
    
    // **************************************************************************
    // GENERAL FUNCTIONS
    // **************************************************************************
    /**
     * Gets the users
     * 
     * @param $offset int           
     * @param $max_objects int           
     * @param $order_by string           
     * @return ResultSet A set of matching users.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return WeblcmsDataManager :: get_instance()->retrieve_users_directly_subscribed_to_course($this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Gets the number of users.
     * 
     * @return int
     */
    function get_object_count()
    {
        return WeblcmsDataManager :: get_instance()->count_users_directly_subscribed_to_course($this->get_condition());
    }
}
?>
