<?php
namespace application\weblcms\tool\user;

use group\DefaultGroupTableColumnModel;
use application\weblcms\WeblcmsManager;
use application\weblcms\course\CourseGroupRelation;
use common\libraries\StaticTableColumn;
use common\libraries\ObjectTableColumn;
use group\Group;
use common\libraries\Request;
use common\libraries\Path;

/**
 * * ***************************************************************************
 * Table column model for an unsubscribed course user browser table.
 *
 * @author Stijn Van Hoecke
 *
 *         ****************************************************************************
 */
class UnsubscribedGroupBrowserTableColumnModel extends DefaultGroupTableColumnModel
{
    /**
     * The tables modification column.
     */
    private static $modification_column;

    // **************************************************************************
    // CONSTRUCTOR
    // **************************************************************************
    /**
     * Constructor
     */
    function __construct()
    {
        parent :: __construct();
        $this->add_column(self :: get_modification_column());
        $this->set_default_order_column(1);
    }

    /**
     * Gets the modification column
     *
     * @return ContentObjectTableColumn
     */
    static function get_modification_column()
    {
        if (! isset(self :: $modification_column))
        {
            self :: $modification_column = new StaticTableColumn('');
        }
        return self :: $modification_column;
    }
}
?>