<?php
namespace application\weblcms\tool\user;

use common\libraries\ObjectTableDataProvider;
use group\GroupDataManager;

/**
 * * ***************************************************************************
 * Data provider for an unsubscribed course group browser table.
 *
 * @author Stijn Van Hoecke
 *        
 *         ****************************************************************************
 */
class UnsubscribedGroupBrowserTableDataProvider extends ObjectTableDataProvider
{
    
    // **************************************************************************
    // CONSTRUCTOR
    // **************************************************************************
    /**
     * Constructor
     * 
     * @param $browser WeblcmsManagerComponent           
     * @param $condition Condition           
     */
    function __construct($browser, $condition)
    {
        parent :: __construct($browser, $condition);
    }
    
    // **************************************************************************
    // GENERAL FUNCTIONS
    // **************************************************************************
    /**
     * Gets the groups
     * 
     * @param $offset int           
     * @param $max_objects int           
     * @param $order_by string           
     * @return ResultSet A set of matching groups.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return GroupDataManager :: get_instance()->retrieve_groups($this->get_condition(), $offset, $count, $order_property);
    }

    /**
     * Gets the number of groups.
     * 
     * @return int
     */
    function get_object_count()
    {
        return GroupDataManager :: get_instance()->count_groups($this->get_condition());
    }
}
?>
