<?php
namespace application\weblcms\tool\user;

use common\libraries\Request;
use common\libraries\Session;
use application\weblcms\WeblcmsManager;
use common\libraries\Display;
use common\libraries\Translation;
use common\libraries\Application;
use application\weblcms\Tool;

/**
 * Logs a teacher in/out of the student view.
 * 
 * @author Tom Goethals
 */
class UserToolViewAsComponent extends UserTool
{

    function run()
    {
        $view_as_user_id = Request :: get(WeblcmsManager :: PARAM_USERS);
        if (! isset($view_as_user_id))
        {
            // if the teacher is already logged in as another user, log him out
            // this time.
            
            Session :: unregister(Tool :: PARAM_VIEW_AS_ID);
            Session :: unregister(Tool :: PARAM_VIEW_AS_COURSE_ID);
            $this->redirect(Translation :: get('ViewAsOriginal'), false, array(
                    WeblcmsManager :: PARAM_TOOL => null, WeblcmsManager :: PARAM_TOOL_ACTION => null, 
                    WeblcmsManager :: PARAM_USERS => null));
            
        }
        else
        {
            if ($this->get_parent()->is_teacher())
            {
                Session :: register(Tool :: PARAM_VIEW_AS_ID, $view_as_user_id);
                Session :: register(Tool :: PARAM_VIEW_AS_COURSE_ID, Request :: get(WeblcmsManager :: PARAM_COURSE));
                $this->redirect(Translation :: get('ViewAsUser'), false, array(WeblcmsManager :: PARAM_TOOL => null, 
                    WeblcmsManager :: PARAM_TOOL_ACTION => null, WeblcmsManager :: PARAM_USERS => null));
            }
            else
            {
                Display :: not_allowed();
            }
        }
        
       
    }
}
?>
