<?php
namespace application\weblcms\tool\wiki;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'WikiTool' => '/lib/wiki_tool.class.php',
         'WikiToolBrowserComponent' => '/lib/component/browser.class.php',
         'WikiToolComplexBuilderComponent' => '/lib/component/complex_builder.class.php',
         'WikiToolComplexDisplayComponent' => '/lib/component/complex_display.class.php',
         'WikiToolContentObjectUpdaterComponent' => '/lib/component/content_object_updater.class.php',
         'WikiToolDeleterComponent' => '/lib/component/deleter.class.php',
         'WikiToolEvaluateComponent' => '/lib/component/evaluate.class.php',
         'WikiToolHidePublicationComponent' => '/lib/component/hide_publication.class.php',
         'WikiToolIntroductionPublisherComponent' => '/lib/component/introduction_publisher.class.php',
         'WikiToolMoverComponent' => '/lib/component/mover.class.php',
         'WikiToolPublicationUpdaterComponent' => '/lib/component/publication_updater.class.php',
         'WikiToolPublisherComponent' => '/lib/component/publisher.class.php',
         'WikiToolReportingViewerComponent' => '/lib/component/reporting_viewer.class.php',
         'WikiToolRightsEditorComponent' => '/lib/component/rights_editor.class.php',
         'WikiToolShareContentObjectsComponent' => '/lib/component/share_content_objects.class.php',
         'WikiToolShowPublicationComponent' => '/lib/component/show_publication.class.php',
         'WikiToolToggleVisibilityComponent' => '/lib/component/toggle_visibility.class.php',
         'WikiToolUpdaterComponent' => '/lib/component/updater.class.php',
         'WikiToolViewerComponent' => '/lib/component/viewer.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>