<?php
namespace common\extensions\category_manager;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'PlatformCategory' => '/lib/data_class/platform_category.class.php',
         'CategoryForm' => '/lib/form/category.class.php',
         'ImpactViewForm' => '/lib/form/impact_view.class.php',
         'CategoryVisibilitySupported' => '/lib/interface/category_visibility_supported.class.php',
         'ImpactViewSupport' => '/lib/interface/impact_view_support.class.php',
         'CategoryManager' => '/lib/manager/category_manager.class.php',
         'CategoryManagerComponent' => '/lib/manager/category_manager_component.class.php',
         'CategoryManagerAjaxCategoryDeleterComponent' => '/lib/manager/component/ajax_category_deleter.class.php',
         'CategoryManagerAjaxCategoryMoverComponent' => '/lib/manager/component/ajax_category_mover.class.php',
         'CategoryManagerBrowserComponent' => '/lib/manager/component/browser.class.php',
         'CategoryManagerCreatorComponent' => '/lib/manager/component/creator.class.php',
         'CategoryManagerDeleterComponent' => '/lib/manager/component/deleter.class.php',
         'CategoryManagerGeneralCategoriesCopierComponent' => '/lib/manager/component/general_categories_copier.class.php',
         'CategoryManagerImpactViewComponent' => '/lib/manager/component/impact_view.class.php',
         'CategoryManagerMoverComponent' => '/lib/manager/component/mover.class.php',
         'CategoryManagerParentChangerComponent' => '/lib/manager/component/parent_changer.class.php',
         'CategoryManagerUpdaterComponent' => '/lib/manager/component/updater.class.php',
         'CategoryManagerVisibilityTogglerComponent' => '/lib/manager/component/visibility_toggler.class.php',
         'CategoryMenu' => '/lib/menu/category.class.php',
         'CategoryBrowserTable' => '/lib/table/category/category_browser_table.class.php',
         'CategoryBrowserTableCellRenderer' => '/lib/table/category/category_browser_table_cell_renderer.class.php',
         'CategoryBrowserTableColumnModel' => '/lib/table/category/category_browser_table_column_model.class.php',
         'CategoryBrowserTableDataProvider' => '/lib/table/category/category_browser_table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>