<?php

namespace common\extensions\category_manager;

/**
 * Marker interface for categories that support changing their visibility.
 * @author Tom Goethals
 */
interface CategoryVisibilitySupported 
{
    
    function set_visibility($visibility);
    
    /**
     * @return True if the category is visible for everyone.
     */
    function get_visibility();
    
    /**
     * Simply toggles the visibility true <-> false. 
     */
    function toggle_visibility(); 
}
?>
