<?php
namespace common\extensions\external_repository_manager\implementation\dropbox;

use common\libraries\DelegateComponent;

use common\extensions\external_repository_manager\Component;

use common\libraries\Utilities;
use common\libraries\Redirect;
use common\libraries\Translation;

class ExporterComponent extends Manager implements DelegateComponent
{

    function run()
    {
        Component :: launch($this);
    }

    function export_external_repository_object($object)
    {
        $success = parent :: export_external_repository_object($object);
        if ($success)
        {
            $parameters = $this->get_parameters();
            $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = Manager :: ACTION_BROWSE_EXTERNAL_REPOSITORY;
            $this->redirect(Translation :: get('ObjectExported', null, Utilities :: COMMON_LIBRARIES), false, 
                    $parameters);
        }
        else
        {
            $parameters = $this->get_parameters();
            $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = Manager :: ACTION_EXPORT_EXTERNAL_REPOSITORY;
            $this->redirect(Translation :: get('ObjectFailedExported', null, Utilities :: COMMON_LIBRARIES), true, 
                    $parameters);
        }
    }

}
?>