<?php
namespace common\extensions\external_repository_manager\implementation\dropbox;

use common\libraries\Path;
use common\libraries\Redirect;
use common\libraries\Translation;
use common\libraries\Request;
use common\libraries\Application;

class NewFolderComponent extends Manager
{

    function run()
    {
        $form = new ExternalObjectForm(ExternalObjectForm :: TYPE_NEWFOLDER, $this->get_url(), $this);
        if ($form->validate())
        {
            $id = $form->create_folder();
            if (! is_null($id))
            {
                $parameters = $this->get_parameters();
                $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = Manager :: ACTION_BROWSE_EXTERNAL_REPOSITORY;
                $this->redirect('Folder is created', false, $parameters);
            }
            else
            {
                $parameters = $this->get_parameters();
                $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = Manager :: ACTION_NEWFOLDER_EXTERNAL_REPOSITORY;
                $this->redirect('Folder is not created', true, $parameters);
            }
        }
        else
        {
            $this->display_header();
            $form->display();
            $this->display_footer();
        }
    }
}
?>