<?php
namespace common\extensions\external_repository_manager\implementation\google_docs;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'GoogleDocsExternalRepositoryManager' => '/google_docs_external_repository_manager.class.php',
         'GoogleDocsExternalRepositoryManagerConnector' => '/google_docs_external_repository_manager_connector.class.php',
         'GoogleDocsExternalRepositoryManagerLoginComponent' => '/component/login.class.php',
         'GoogleDocsExternalRepositoryManagerLogoutComponent' => '/component/logout.class.php',
         'GoogleDocsExternalRepositoryTable' => '/component/google_docs_external_repository_table/google_docs_external_repository_table.class.php',
         'GoogleDocsExternalRepositoryTableColumnModel' => '/component/google_docs_external_repository_table/google_docs_external_repository_table_column_model.class.php',
         'DataConnector' => '/lib/data_connector.class.php',
         'ExternalObject' => '/lib/external_object.class.php',
         'ExternalObjectAcl' => '/lib/external_object_acl.class.php',
         'ExternalObjectDisplay' => '/lib/external_object_display.class.php',
         'ExternalObjectForm' => '/lib/form/external_object.class.php',
         'Manager' => '/lib/manager/manager.class.php',
         'BrowserComponent' => '/lib/manager/component/browser.class.php',
         'ExternalSyncerComponent' => '/lib/manager/component/external_syncer.class.php',
         'ImporterComponent' => '/lib/manager/component/importer.class.php',
         'InternalSyncerComponent' => '/lib/manager/component/internal_syncer.class.php',
         'NewFolderComponent' => '/lib/manager/component/new_folder.class.php',
         'UploaderComponent' => '/lib/manager/component/uploader.class.php',
         'ViewerComponent' => '/lib/manager/component/viewer.class.php',
         'ExternalObjectTable' => '/lib/table/external_object/table.class.php',
         'ExternalObjectTableCellRenderer' => '/lib/table/external_object/table_cell_renderer.class.php',
         'ExternalObjectTableColumnModel' => '/lib/table/external_object/table_column_model.class.php',
         'ExternalObjectTableDataProvider' => '/lib/table/external_object/table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php',
         'SettingsConnector' => '/settings/connector.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>