<?php
namespace common\extensions\external_repository_manager\implementation\google_docs;

use common\libraries\ObjectTable;
/**
 * Table to display a set of google_docs external repository objects.
 */

class GoogleDocsExternalRepositoryTable extends ObjectTable
{
    const DEFAULT_NAME = 'google_docs_external_repository_table';

    /**
     * Constructor
     *
     * @see ContentObjectTable::ContentObjectTable()
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new GoogleDocsExternalRepositoryTableColumnModel();
        $renderer = new GoogleDocsExternalRepositoryTableCellRenderer($browser);
        $data_provider = new GoogleDocsExternalRepositoryTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, self :: DEFAULT_NAME, $model, $renderer);

        $this->set_additional_parameters($parameters);
        $this->set_default_row_count(20);
    }
}
?>