<?php
namespace common\extensions\external_repository_manager\implementation\vimeo;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'DataConnector' => '/lib/data_connector.class.php',
         'ExternalObject' => '/lib/external_object.class.php',
         'ExternalObjectDisplay' => '/lib/external_object_display.class.php',
         'ExternalObjectForm' => '/lib/form/external_object.class.php',
         'Manager' => '/lib/manager/manager.class.php',
         'BrowserComponent' => '/lib/manager/component/browser.class.php',
         'ConfigurerComponent' => '/lib/manager/component/configurer.class.php',
         'DeleterComponent' => '/lib/manager/component/deleter.class.php',
         'EditorComponent' => '/lib/manager/component/editor.class.php',
         'ExporterComponent' => '/lib/manager/component/exporter.class.php',
         'ExternalSyncerComponent' => '/lib/manager/component/external_syncer.class.php',
         'ImporterComponent' => '/lib/manager/component/importer.class.php',
         'InternalSyncerComponent' => '/lib/manager/component/internal_syncer.class.php',
         'SelecterComponent' => '/lib/manager/component/selecter.class.php',
         'UploaderComponent' => '/lib/manager/component/uploader.class.php',
         'ViewerComponent' => '/lib/manager/component/viewer.class.php',
         'ExternalObjectTable' => '/lib/table/external_object/table.class.php',
         'ExternalObjectTableCellRenderer' => '/lib/table/external_object/table_cell_renderer.class.php',
         'ExternalObjectTableColumnModel' => '/lib/table/external_object/table_column_model.class.php',
         'ExternalObjectTableTableDataProvider' => '/lib/table/external_object/table_data_provider.class.php',
         'ExternalObjectGalleryObjectTable' => '/lib/table/external_object_gallery/gallery_table.class.php',
         'ExternalObjectGalleryObjectTableCellRenderer' => '/lib/table/external_object_gallery/gallery_table_cell_renderer.class.php',
         'ExternalObjectGalleryObjectTableDataProvider' => '/lib/table/external_object_gallery/gallery_table_data_provider.class.php',
         'ExternalObjectGalleryObjectTablePropertyModel' => '/lib/table/external_object_gallery/gallery_table_property_model.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php',
         'SettingsConnector' => '/settings/connector.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>