<?php
namespace common\extensions\external_repository_manager\implementation\vimeo;

use common\extensions\external_repository_manager\DefaultExternalObjectGalleryObjectTableCellRenderer;

use common\libraries\Utilities;
use common\libraries\Path;

class ExternalObjectGalleryObjectTableCellRenderer extends DefaultExternalObjectGalleryObjectTableCellRenderer
{

    function get_cell_content($object)
    {
        $html = array();
        $display = ExternalObjectDisplay :: factory($object);
        $html[] = '<h4>' . Utilities :: truncate_string($object->get_title(), 25) . '</h4>';
        $html[] = '<a href="' . $this->get_component()->get_external_repository_object_viewing_url($object) . '">' . $display->get_preview(
                true) . '</a>';
        
        if ($object->get_description())
        {
            $html[] = '<br/>';
            $html[] = '<i>' . Utilities :: truncate_string($object->get_description(), 100) . '</i>';
            $html[] = '<br/>';
        }
        
        return implode("\n", $html);
    }
}
?>