<?php
namespace common\extensions\external_repository_manager\implementation\youtube;

use common\libraries\Translation;

use common\libraries\Breadcrumb;

use common\libraries\BreadcrumbTrail;

use common\libraries\DelegateComponent;

use common\libraries\Path;
use common\libraries\Request;
use common\libraries\Redirect;

class EditorComponent extends Manager implements DelegateComponent
{

    function run()
    {
        if (! $this->get_external_repository()->get_user_setting('session_token'))
        {
            $this->not_allowed();
        }
        else
        {
            $id = Request :: get(Manager :: PARAM_EXTERNAL_REPOSITORY_ID);
            $form = new ExternalObjectForm(ExternalObjectForm :: TYPE_EDIT, $this->get_url(array(
                    Manager :: PARAM_EXTERNAL_REPOSITORY_ID => $id)), $this);
            
            $object = $this->retrieve_external_repository_object($id);
            BreadcrumbTrail :: get_instance()->add(new Breadcrumb(null, Translation :: get('EditorComponent', array(
                    'TITLE' => $object->get_title()), \common\extensions\external_repository_manager\Manager :: context())));
            
            $form->set_external_repository_object($object);
            
            if ($form->validate())
            {
                $success = $form->update_video_entry();
                
                $parameters = $this->get_parameters();
                $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = Manager :: ACTION_VIEW_EXTERNAL_REPOSITORY;
                $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_ID] = $object->get_id();
                
                if ($this->is_stand_alone())
                {
                    Redirect :: web_link(Path :: get(WEB_PATH) . 'common/launcher/index.php', $parameters);
                }
                else
                {
                    Redirect :: web_link(Path :: get(WEB_PATH) . 'index.php', $parameters);
                }
            }
            else
            {
                $this->display_header();
                $form->display();
                $this->display_footer();
            }
        }
    }
}
?>