<?php
namespace common\extensions\external_repository_manager\implementation\youtube;

use common\libraries\DelegateComponent;

use common\extensions\external_repository_manager\Component;

use common\libraries\Translation;
use common\libraries\Application;
use common\libraries\Utilities;

use repository\RepositoryManager;
use repository\ContentObject;
use repository\ExternalSync;
use repository\content_object\youtube\Youtube;

class ImporterComponent extends Manager implements DelegateComponent
{

    function run()
    {
        Component :: launch($this);
    }

    function import_external_repository_object($object)
    {
        $youtube = ContentObject :: factory(Youtube :: get_type_name());
        $youtube->set_title($object->get_title());
        $youtube->set_description($object->get_description());
        $youtube->set_owner_id($this->get_user_id());

        if ($youtube->create())
        {
            ExternalSync :: quicksave($youtube, $object, $this->get_external_repository()->get_id());
            $parameters = $this->get_parameters();
            $parameters[Application :: PARAM_ACTION] = RepositoryManager :: ACTION_BROWSE_CONTENT_OBJECTS;
            $this->redirect(Translation :: get('ObjectImported', null, Utilities :: COMMON_LIBRARIES), false,
                    $parameters,
                    array(Manager :: PARAM_EXTERNAL_REPOSITORY, Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION));
        }
        else
        {
            $parameters = $this->get_parameters();
            $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = Manager :: ACTION_VIEW_EXTERNAL_REPOSITORY;
            $parameters[Manager :: PARAM_EXTERNAL_REPOSITORY_ID] = $object->get_id();
            $this->redirect(Translation :: get('ObjectFailedImported', null, Utilities :: COMMON_LIBRARIES), true,
                    $parameters);
        }

    }
}
?>