<?php
namespace common\extensions\external_repository_manager\implementation\youtube;

use common\extensions\external_repository_manager\DefaultExternalObjectGalleryObjectTableCellRenderer;

use common\libraries\Utilities;
use common\libraries\Path;

class ExternalObjectGalleryObjectTableCellRenderer extends DefaultExternalObjectGalleryObjectTableCellRenderer
{

    function get_cell_content($object)
    {
        $html = array();
        $html[] = '<h4>' . Utilities :: truncate_string($object->get_title(), 25) . ' (' . Utilities :: format_seconds_to_minutes(
                $object->get_duration()) . ')</h4>';
        $html[] = '<a href="' . $this->get_component()->get_external_repository_object_viewing_url($object) . '"><img class="thumbnail" src="' . $object->get_thumbnail() . '"/></a> <br/>';
        $html[] = '<i>' . Utilities :: truncate_string($object->get_description(), 100) . '</i><br/>';
        return implode("\n", $html);
    }
}
?>