<?php
namespace common\extensions\external_repository_manager;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'DataConnector' => '/lib/data_connector.class.php',
         'ExternalObject' => '/lib/external_object.class.php',
         'ExternalObjectDisplay' => '/lib/external_object_display.class.php',
         'ExternalRepositoryManagerInstaller' => '/lib/external_repository_manager_installer.class.php',
         'ExternalRepositoryMenu' => '/lib/external_repository_menu.class.php',
         'ExternalRepositoryRenderer' => '/lib/external_repository_renderer.class.php',
         'SettingsForm' => '/lib/form/settings.class.php',
         'StreamingMediaExternalObject' => '/lib/general/streaming/streaming_media_external_object.class.php',
         'StreamingMediaExternalObjectDisplay' => '/lib/general/streaming/streaming_media_external_object_display.class.php',
         'StreamingMediaExternalObjectGalleryObjectTableCellRenderer' => '/lib/general/streaming/streaming_media_gallery_object_table_cell_renderer.class.php',
         'Component' => '/lib/manager/component.class.php',
         'Manager' => '/lib/manager/manager.class.php',
         'BrowserComponent' => '/lib/manager/component/browser.class.php',
         'ConfigurerComponent' => '/lib/manager/component/configurer.class.php',
         'DeleterComponent' => '/lib/manager/component/deleter.class.php',
         'ExporterComponent' => '/lib/manager/component/exporter.class.php',
         'ExternalSyncerComponent' => '/lib/manager/component/external_syncer.class.php',
         'ImporterComponent' => '/lib/manager/component/importer.class.php',
         'InternalSyncerComponent' => '/lib/manager/component/internal_syncer.class.php',
         'ViewerComponent' => '/lib/manager/component/viewer.class.php',
         'ExportContentObjectTable' => '/lib/manager/component/export_content_object_table/export_content_object_table.class.php',
         'ExportContentObjectTableCellRenderer' => '/lib/manager/component/export_content_object_table/export_content_object_table_cell_renderer.class.php',
         'ExportContentObjectTableColumnModel' => '/lib/manager/component/export_content_object_table/export_content_object_table_column_model.class.php',
         'ExportContentObjectTableDataProvider' => '/lib/manager/component/export_content_object_table/export_content_object_table_data_provider.class.php',
         'GalleryTableExternalRepositoryRenderer' => '/lib/renderer/gallery_table.class.php',
         'SlideshowExternalRepositoryRenderer' => '/lib/renderer/slideshow.class.php',
         'TableExternalRepositoryRenderer' => '/lib/renderer/table.class.php',
         'ExternalObjectTable' => '/lib/table/external_object.class.php',
         'ExternalObjectGalleryTable' => '/lib/table/external_object_gallery.class.php',
         'ExportTable' => '/lib/table/export/table.class.php',
         'ExportTableCellRenderer' => '/lib/table/export/table_cell_renderer.class.php',
         'ExportTableColumnModel' => '/lib/table/export/table_column_model.class.php',
         'ExportTableDataProvider' => '/lib/table/export/table_data_provider.class.php',
         'DefaultExternalObjectTableCellRenderer' => '/lib/table/external_object/default_table_cell_renderer.class.php',
         'DefaultExternalObjectTableColumnModel' => '/lib/table/external_object/default_table_column_model.class.php',
         'DefaultExternalObjectTableDataProvider' => '/lib/table/external_object/default_table_data_provider.class.php',
         'DefaultExternalObjectGalleryObjectTableCellRenderer' => '/lib/table/external_object_gallery/default_gallery_table_cell_renderer.class.php',
         'DefaultExternalObjectGalleryObjectTableDataProvider' => '/lib/table/external_object_gallery/default_gallery_table_data_provider.class.php',
         'DefaultExternalObjectGalleryObjectTablePropertyModel' => '/lib/table/external_object_gallery/default_gallery_table_property_model.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>