<?php
namespace common\extensions\external_repository_manager;

use common\libraries\ObjectTable;
/**
 * $Id: content_object_table.class.php 191 2009-11-13 11:50:28Z chellee $
 * 
 * @package application.common.repo_viewer.component.content_object_table
 */
/**
 * This class represents a table with learning objects which are candidates for publication.
 */
class ExportContentObjectTable extends ObjectTable
{
    const DEFAULT_NAME = 'video_content_object_table';

    /**
     * Constructor.
     * 
     * @param $owner int The id of the current user.
     * @param $types array The types of objects that can be published in current location.
     * @param $query string The search query, or null if none.
     * @param $publish_url_format string URL for publishing the selected learning object.
     * @param $edit_and_publish_url_format string URL for editing and publishing the selected learning object.
     * @see PublicationCandidateTableCellRenderer::PublicationCandidateTableCellRenderer()
     */
    function __construct($parent, $owner, $types, $query, $table_actions)
    {
        $data_provider = new ExportContentObjectTableDataProvider($owner, $types, $query, $parent);
        $column_model = new ExportContentObjectTableColumnModel();
        $cell_renderer = new ExportContentObjectTableCellRenderer($parent);
        parent :: __construct($data_provider, ExportContentObjectTable :: DEFAULT_NAME, $column_model, $cell_renderer);
        
        $this->set_form_actions($table_actions);
    }
}
?>