<?php
namespace common\extensions\external_repository_manager;

use common\libraries\AndCondition;

use common\libraries\NotCondition;

use common\libraries\EqualityCondition;

use common\libraries\OrCondition;

use repository\ContentObject;

use common\libraries\PatternMatchCondition;

use common\libraries\NewObjectTableSupport;

use common\libraries\DelegateComponent;

use common\libraries\Toolbar;

use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\ToolbarItem;
use common\libraries\Theme;
use common\libraries\Utilities;

use repository\content_object\document\Document;
use repository\RepositoryDataManager;

class ExporterComponent extends Component implements NewObjectTableSupport
{

    function run()
    {
        $external_repository_id = Request :: get(Manager :: PARAM_EXTERNAL_REPOSITORY_ID);
        if (isset($external_repository_id))
        {
            $object = RepositoryDataManager :: get_instance()->retrieve_content_object($external_repository_id);
            $success = $this->export_external_repository_object($object);
            if ($success)
            {
            
            }
        }
        else
        {
            $this->display_header();
            $table = new ExportTable($this);
            echo ($table->as_html());
            $this->display_footer();
        }
    }
    
    /*
     * (non-PHPdoc) @see
     * common\libraries.NewObjectTableSupport::get_object_table_condition()
     */
    public function get_object_table_condition($object_table_class_name)
    {
        $conditions = array();
        $type_conditions = array();
        
        $types = array(Document :: get_type_name());
        
        foreach ($types as $type)
        {
            $type_conditions[] = new EqualityCondition(ContentObject :: PROPERTY_TYPE, $type, ContentObject :: get_table_name());
        }
        
        $conditions[] = new OrCondition($type_conditions);
        
        if ($this->get_parent()->get_content_object_type_conditions())
        {
            $conditions[] = $this->get_parent()->get_content_object_type_conditions();
        }
        
        $conditions[] = new EqualityCondition(ContentObject :: PROPERTY_OWNER_ID, $this->get_user_id(), ContentObject :: get_table_name());
        $conditions[] = new EqualityCondition(ContentObject :: PROPERTY_STATE, ContentObject :: STATE_NORMAL, ContentObject :: get_table_name());
        
        return new AndCondition($conditions);
    }
}
?>