<?php
namespace common\extensions\external_repository_manager;

use repository\ContentObject;

use common\libraries\Utilities;
use common\libraries\Theme;
use common\libraries\Translation;
use common\libraries\ToolbarItem;
use common\libraries\NewObjectTableCellRenderer;
use common\libraries\NewObjectTableCellRendererActionsColumnSupport;
use common\libraries\Toolbar;

class ExportTableCellRenderer extends NewObjectTableCellRenderer implements 
        NewObjectTableCellRendererActionsColumnSupport
{

    public function render_cell($column, $object)
    {
        switch ($column->get_name())
        {
            case Theme :: get_common_image('action_category', 'png', Translation :: get('Type'), null, ToolbarItem :: DISPLAY_ICON) :
                return $object->get_icon_image(Theme :: ICON_MINI);
            case ContentObject :: PROPERTY_TITLE :
                return Utilities :: truncate_string($object->get_title(), 50);
            case ContentObject :: PROPERTY_DESCRIPTION :
                return Utilities :: htmlentities(Utilities :: truncate_string($object->get_description(), 50));
        }
        return parent :: render_cell($column, $object);
    }

    function get_object_actions($object)
    {
        $toolbar = new Toolbar();
        
        $toolbar->add_item(new ToolbarItem(Translation :: get('Export', null, Utilities :: COMMON_LIBRARIES), Theme :: get_common_image_path() . 'action_export.png', $this->get_component()->get_url(array(
                Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION => Manager :: ACTION_EXPORT_EXTERNAL_REPOSITORY, 
                Manager :: PARAM_EXTERNAL_REPOSITORY_ID => $object->get_id())), ToolbarItem :: DISPLAY_ICON));
        
        return $toolbar->as_html();
    }
}
?>
