<?php
namespace common\extensions\external_repository_manager;

use repository\ContentObject;

use common\libraries\Translation;
use common\libraries\ToolbarItem;
use common\libraries\Theme;
use common\libraries\StaticTableColumn;
use common\libraries\NewObjectTableColumnModelActionsColumnSupport;
use common\libraries\NewObjectTableColumnModel;
use common\libraries\ObjectTableColumn;

class ExportTableColumnModel extends NewObjectTableColumnModel implements 
        NewObjectTableColumnModelActionsColumnSupport
{

    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        $this->add_column(new StaticTableColumn(Theme :: get_common_image('action_category', 'png', Translation :: get('Type'), null, ToolbarItem :: DISPLAY_ICON)));
        $this->add_column(new ObjectTableColumn(ContentObject :: PROPERTY_TITLE));
        $this->add_column(new ObjectTableColumn(ContentObject :: PROPERTY_DESCRIPTION));
    }
}
?>