<?php
namespace common\extensions\external_repository_manager;

use common\libraries\DatetimeUtilities;
use common\libraries\Utilities;
use common\libraries\Theme;
use common\libraries\Translation;
use common\libraries\ToolbarItem;
use common\libraries\NewObjectTableCellRenderer;
use common\libraries\NewObjectTableCellRendererActionsColumnSupport;
use common\libraries\Toolbar;

class DefaultExternalObjectTableCellRenderer extends NewObjectTableCellRenderer implements 
        NewObjectTableCellRendererActionsColumnSupport
{

    public function render_cell($column, $object)
    {
        switch ($column->get_name())
        {
            case ExternalObject :: PROPERTY_TYPE :
                return $object->get_icon_image();
            case ExternalObject :: PROPERTY_TITLE :
                $title_short = Utilities :: truncate_string($object->get_title(), 50, false);
                return '<a href="' . htmlentities(
                        $this->get_component()->get_external_repository_object_viewing_url($object)) . '" title="' . $object->get_title() . '">' . $title_short . '</a>';
            case ExternalObject :: PROPERTY_DESCRIPTION :
                return Utilities :: truncate_string($object->get_description(), 50);
            case ExternalObject :: PROPERTY_CREATED :
                return DatetimeUtilities :: format_locale_date(null, $object->get_created());
        }
        return parent :: render_cell($column, $object);
    }

    function get_object_actions($object)
    {
        $toolbar = new Toolbar();
        $toolbar->add_items($this->get_component()->get_external_repository_object_actions($object));
        return $toolbar->as_html();
    }
}
?>