<?php

namespace common\extensions\feedback_manager;

use repository\ContentObjectDescriptionRenderer;

/**
 * This class renders the description of a given feedback object
 *
 * @author Sven Vanpoucke - Hogeschool Gent
 */
class FeedbackDescriptionRenderer extends ContentObjectDescriptionRenderer
{
    /****************************************************************************************************************
    * Inherited functionality											    *
    ****************************************************************************************************************/

    /**
     * Returns the attachment url
     *
     * @param ContentObject $attachment
     *
     * @return string
     */
    function get_content_object_display_attachment_url($attachment)
    {
        return $this->parent->get_url(array(
                FeedbackManager :: PARAM_ACTION => FeedbackManager:: ACTION_VIEW_ATTACHMENT,
                FeedbackManager :: PARAM_ATTACHMENT_ID => $attachment->get_id(),
                FeedbackManager :: PARAM_FEEDBACK_ID => $this->content_object->get_id()
        ));
    }
}

?>
