<?php
namespace common\extensions\invitation_manager;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'InvitationParameters' => '/lib/invitation_parameters.class.php',
         'Invitation' => '/lib/data_class/invitation.class.php',
         'InvitationForm' => '/lib/form/invitation_form.class.php',
         'InvitationSupport' => '/lib/interface/invitation_support.class.php',
         'InvitationManager' => '/lib/manager/invitation_manager.class.php',
         'InvitationManagerCreatorComponent' => '/lib/manager/component/creator.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>