<?php
namespace common\extensions\invitation_manager;

use common\libraries\Redirect;

use user\UserManager;

use common\libraries\Application;

use common\libraries\SubManager;
use common\libraries\Path;
use common\libraries\Translation;

/**
 * @author Hans De Bisschop
 */

class InvitationManager extends SubManager
{
    const CLASS_NAME = __CLASS__;
    
    const PARAM_ACTION = 'invitation_action';
    const PARAM_INVITATION_CODE = 'invitation_code';
    
    const ACTION_CREATE_INVITATIONS = 'create';

    function __construct($application)
    {
        parent :: __construct($application);
    }

    function run()
    {
        $action = $this->get_parameter(self :: PARAM_ACTION);
        
        switch ($action)
        {
            case self :: ACTION_CREATE_INVITATIONS :
                $component = $this->create_component('Creator');
                break;
            default :
                $component = $this->create_component('Creator');
                $this->set_parameter(self :: PARAM_ACTION, self :: ACTION_CREATE_INVITATIONS);
                break;
        }
        
        $component->run();
    }

    function get_application_component_path()
    {
        return Path :: get_common_extensions_path() . 'invitation_manager/php/component/';
    }

    function get_invitation_url(Invitation $invitation)
    {
        //	    $parameters[Application :: PARAM_APPLICATION] = UserManager :: APPLICATION_NAME;
        //        $parameters[Application :: PARAM_ACTION] = UserManager :: ACTION_REGISTER_INVITED_USER;
        $parameters[InvitationManager :: PARAM_INVITATION_CODE] = $invitation->get_code();
        $url = Path :: get(WEB_PATH) . Redirect :: get_link(null, $parameters);
        return $url;
    }

}
?>