<?php
namespace common\extensions\new_feedback_manager;

use admin\AdminDataManager;
use common\libraries\FormValidator;
use common\libraries\Translation;
use common\libraries\Utilities;
use repository\content_object\feedback\Feedback;
use admin\FeedbackPublication;

/**
 * Description of feeback_text_formclass
 *
 * @author pieter
 */

class FeedbackManagerForm extends FormValidator
{
    private $adm;
    
    const PROPERTY_TEXT = 'text';

    function __construct($action)
    {
        parent :: __construct('feedback_form', 'post', $action);
        $this->build_text_form();
    }

    function build_text_form()
    {
        $this->add_html_editor(self :: PROPERTY_TEXT, 'comment', 'required');
        $this->addRule(self :: PROPERTY_TEXT, Translation :: get('ThisFieldIsRequired', null, Utilities :: COMMON_LIBRARIES), 'required');
        $buttons[] = $this->createElement('style_submit_button', 'submit', Translation :: get('Save', null, Utilities :: COMMON_LIBRARIES), array(
                'class' => 'positive'));
        $buttons[] = $this->createElement('style_reset_button', 'reset', Translation :: get('Reset', null, Utilities :: COMMON_LIBRARIES), array(
                'class' => 'normal empty'));
        
        $this->addGroup($buttons, 'buttons', null, '&nbsp;', false);
    }

    function create_feedback($owner)
    {
        $feedback = new Feedback();
        
        $values = $this->exportValues(self :: PROPERTY_TEXT);
        $feedback->set_description($values[self :: PROPERTY_TEXT]);
        $feedback->set_title(Translation :: get('QuickFeedback'));
        $feedback->set_owner_id($owner);
        
        $feedback->set_parent_id(0);
        $feedback->set_icon(Feedback :: ICON_INFORMATIVE);
        $feedback->create();
        
        if ($feedback->create())
        {
            return $feedback;
        }
        else
        {
            return false;
        }
    }

}
?>