<?php
namespace common\extensions\new_feedback_manager;

use repository\ContentObjectForm;
use common\libraries\Request;
use repository\RepositoryDataManager;
use common\libraries\Path;
use admin\AdminDataManager;
use common\libraries\Translation;
/**
 * $Id: updater.class.php 191 2009-11-13 11:50:28Z chellee $
 * @package application.common.feedback_manager.component
 */

/**
 * Description of updaterclass
 *
 * @author pieter
 */

class FeedbackComponentUpdaterComponent extends FeedbackComponent
{

    function run()
    {
        $html = $this->as_html();

        $this->display_header();
        echo $html;
        $this->display_footer();
    }

    function as_html()
    {
        $id = Request :: get(FeedbackManager :: PARAM_FEEDBACK_ID);
        $feedback = $this->retrieve_feedback_publication($id);
        $rdm = RepositoryDataManager :: get_instance();
        $object = $rdm->retrieve_content_object($feedback->get_feedback_id());

        $parameters = $this->get_publication_parameters();
        $parameters[FeedbackManager :: PARAM_FEEDBACK_ID] = $id;
        $url = $this->get_url($parameters);
        $form = ContentObjectForm :: factory(ContentObjectForm :: TYPE_EDIT, $object, 'editfeedback', 'post', $url, null, null, false);

        if ($form->validate())
        {
            $success = $form->update_content_object();

            if ($form->is_version())
            {
                $feedback->set_feedback_id($object->get_latest_version_id());
                $feedback->update();
            }

            if ($success)
            {
                $feedback->set_modification_date(time());
                $feedback->update();
            }

            $parameters = $this->get_publication_parameters();
            $parameters[FeedbackManager :: PARAM_ACTION] = FeedbackManager :: ACTION_BROWSE;
            $this->redirect($success ? Translation :: get('FeedbackUpdated') : Translation :: get('FeedbackNotUpdated'), ! $success, $parameters);

        }
        else
        {
            $html[] = $form->toHtml();
            return implode('\n', $html);
        }
    }

}
?>