<?php
namespace common\extensions\new_feedback_manager;

use common\libraries\SubManager;
use common\libraries\Request;
use common\libraries\Utilities;

/**
 * Description of feedback_manager
 *
 */

abstract class FeedbackManager extends SubManager
{
    const PARAM_ACTION = 'feedback_action';
    const PARAM_FEEDBACK_ID = 'feedback_id';
    const PARAM_OLD_ACTION = 'previous_feedback_action';
    
    const ACTION_BROWSE = 'browser';
    const ACTION_CREATE = 'creator';
    const ACTION_UPDATE = 'updater';
    const ACTION_DELETE = 'deleter';
    
    const ACTION_BROWSE_ONLY = 'browse_only';
    const ACTION_CREATE_ONLY_FEEDBACK = 'create_only_feedback';
    
    const DEFAULT_ACTION = self :: ACTION_BROWSE;

    //    function __construct($application)
    //    {
    //        parent :: __construct($application);
    //
    //        $action = Request :: get(self :: PARAM_ACTION);
    //        $this->set_parameter(self :: PARAM_ACTION, $action);
    //    }
    

    static function launch($application, $type)
    {
        $class = Utilities :: get_namespace_from_object($application) . '\\' . Utilities :: underscores_to_camelcase($type) . 'FeedbackManager';
        
        parent :: launch($class, $application);
    }

    abstract function retrieve_feedback_publications();

    abstract function retrieve_feedback_publication($id);

    abstract function create_feedback_publication($object);

    abstract function get_publication_parameters();

    function add_actionbar_item($link)
    {
        $this->get_parent()->add_actionbar_item($link);
    }
}
?>