<?php
namespace common\extensions\new_rights_editor_manager;

use common\libraries\Utilities;
use common\libraries\Request;
use common\libraries\Translation;
use rights\RightsUtil;

/**
 * @author Sven Vanpoucke
 * @package application.common.rights_editor_manager.component
 */

class RightsEditorManagerEntityRightsSetterComponent extends RightsEditorManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $entity_item_id = Request :: get(self :: PARAM_ENTITY_ID);
        $right_id = Request :: get(self :: PARAM_RIGHT_ID);
        
        $entity_type = $this->get_selected_entity()->get_entity_type();
        
        $context = $this->get_context();
        $locations = $this->get_locations();
        
        $rights_util = RightsUtil :: get_instance();
        
        if (isset($entity_item_id) && isset($entity_type) && isset($right_id) && isset($locations) && count($locations) > 0)
        {
            foreach ($locations as $location)
            {
                $success = $rights_util->invert_location_entity_right($context, $right_id, $entity_item_id, $entity_type, $location->get_id());
            }
            
            $this->redirect(Translation :: get($success == true ? 'RightUpdated' : 'RightUpdateFailed'), ! $success, array_merge($this->get_parameters(), array(
                    self :: PARAM_ACTION => self :: ACTION_EDIT_ADVANCED_RIGHTS, self :: PARAM_ENTITY_ID => null, 
                    self :: PARAM_RIGHT_ID => null)));
        }
        else
        {
            $this->display_error_page(htmlentities(Translation :: get('NoObjectsSelected', null, Utilities :: COMMON_LIBRARIES)));
        }
    }

    function get_additional_parameters()
    {
        return array(self :: PARAM_ENTITY_TYPE, self :: PARAM_ENTITY_ID, self :: PARAM_RIGHT_ID);
    }
}
?>