<?php
namespace common\extensions\repo_viewer;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'RepoViewerInterface' => '/lib/interface/repo_viewer_interface.class.php',
         'RepoViewer' => '/lib/manager/repo_viewer.class.php',
         'RepoViewerBrowserComponent' => '/lib/manager/component/browser.class.php',
         'RepoViewerCreatorComponent' => '/lib/manager/component/creator.class.php',
         'RepoViewerImportedSelecterComponent' => '/lib/manager/component/imported_selecter.class.php',
         'RepoViewerImporterComponent' => '/lib/manager/component/importer.class.php',
         'RepoViewerViewerComponent' => '/lib/manager/component/viewer.class.php',
         'RepositoryCategoryMenu' => '/lib/menu/repository_category_menu.class.php',
         'RepositorySharedCategoryMenu' => '/lib/menu/repository_shared_category_menu.class.php',
         'ContentObjectTable' => '/lib/table/content_object/content_object_table.class.php',
         'ContentObjectTableCellRenderer' => '/lib/table/content_object/content_object_table_cell_renderer.class.php',
         'ContentObjectTableColumnModel' => '/lib/table/content_object/content_object_table_column_model.class.php',
         'ContentObjectTableDataProvider' => '/lib/table/content_object/content_object_table_data_provider.class.php',
         'ImportTable' => '/lib/table/import/import_table.class.php',
         'ImportTableCellRenderer' => '/lib/table/import/import_table_cell_renderer.class.php',
         'ImportTableColumnModel' => '/lib/table/import/import_table_column_model.class.php',
         'ImportTableDataProvider' => '/lib/table/import/import_table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>