<?php
namespace common\extensions\repo_viewer;

use repository\RepositoryRights;

use repository\ContentObjectRendition;
use repository\ContentObjectRenditionImplementation;

use common\libraries\Toolbar;
use common\libraries\BreadcrumbTrail;
use common\libraries\Breadcrumb;
use common\libraries\Translation;
use common\libraries\Theme;
use repository\RepositoryDataManager;
use common\libraries\Request;
use common\libraries\ToolbarItem;
use common\libraries\Utilities;

/**
 * $Id: viewer.class.php 191 2009-11-13 11:50:28Z chellee $
 * @package application.common.repo_viewer.component
 */

/**
 * This class represents a encyclopedia repo_viewer component which can be used
 * to preview a learning object in the learning object repo_viewer.
 */
class RepoViewerViewerComponent extends RepoViewer
{

    /*
	 * Inherited
	 */
    function run()
    {
        if (Request :: get(RepoViewer :: PARAM_ID))
        {
            $content_object = RepositoryDataManager :: get_instance()->retrieve_content_object(Request :: get(RepoViewer :: PARAM_ID));
            $toolbar = new Toolbar(Toolbar :: TYPE_HORIZONTAL);

            if ($content_object->has_right(RepositoryRights :: USE_RIGHT, $this->get_user_id()))
            {
	            $toolbar->add_item(new ToolbarItem(Translation :: get('Publish', null, Utilities :: COMMON_LIBRARIES), Theme :: get_common_image_path() . 'action_publish.png', $this->get_url(array_merge($this->get_parameters(), array(
	                    RepoViewer :: PARAM_ACTION => RepoViewer :: ACTION_PUBLISHER,
	                    RepoViewer :: PARAM_ID => $content_object->get_id())), false)));
            }

            if ($content_object->has_right(RepositoryRights :: COLLABORATE_RIGHT, $this->get_user_id()))
            {
	            $toolbar->add_item(new ToolbarItem(Translation :: get('EditAndPublish'), Theme :: get_common_image_path() . 'action_editpublish.png', $this->get_url(array_merge($this->get_parameters(), array(
	                    RepoViewer :: PARAM_ACTION => RepoViewer :: ACTION_CREATOR,
	                    RepoViewer :: PARAM_EDIT_ID => $content_object->get_id())))));
            }

            $this->display_header();

            echo ContentObjectRenditionImplementation :: launch($content_object, ContentObjectRendition :: FORMAT_HTML, ContentObjectRendition :: VIEW_FULL, $this);
            echo $toolbar->as_html();
            echo '<div class="clear"></div>';
            $this->display_footer();
        }
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add_help('repo_viewer_viewer');
        $breadcrumbtrail->add(new Breadcrumb($this->get_url(array(
                RepoViewer :: PARAM_ACTION => RepoViewer :: ACTION_BROWSER)), Translation :: get('RepoViewerBrowserComponent')));
    }

    function get_additional_parameters()
    {
        return array(RepoViewer :: PARAM_ID);
    }
}
?>