<?php
namespace common\extensions\repo_viewer;

use repository\DefaultContentObjectTableCellRenderer;
use common\libraries\Toolbar;
use common\libraries\ToolbarItem;
use common\libraries\Theme;
use common\libraries\Translation;
use common\libraries\Utilities;
use repository\ContentObject;
use repository\RepositoryRights;
/**
 * $Id: content_object_table_cell_renderer.class.php 191 2009-11-13 11:50:28Z chellee $
 * @package application.common.repo_viewer.component.content_object_table
 */
/**
 * This class is a cell renderer for a publication candidate table
 */
class ContentObjectTableCellRenderer extends DefaultContentObjectTableCellRenderer
{
    private $browser;

    /**
     * Constructor.
     */
    function __construct($browser)
    {
        $this->browser = $browser;
    }

    /*
	 * Inherited
	 */
    function render_cell($column, $content_object)
    {
        if ($column === ContentObjectTableColumnModel :: get_action_column())
        {
            return $this->get_actions($content_object);
        }
        return parent :: render_cell($column, $content_object);
    }

    function get_actions(ContentObject $content_object)
    {
        return $this->browser->get_default_browser_actions($content_object)->as_html();
    }
}
?>