<?php
namespace common\extensions\repo_viewer;

use common\libraries\NewObjectTableFormActionsSupport;
use common\libraries\NewObjectTable;
use common\libraries\Utilities;
use common\libraries\Translation;
use common\libraries\ObjectTableFormAction;
use common\libraries\ObjectTableFormActions;

class ImportTable extends NewObjectTable implements NewObjectTableFormActionsSupport
{
    const TABLE_IDENTIFIER = RepoViewer :: PARAM_ID;
    const DEFAULT_ROW_COUNT = 20;

    function get_implemented_form_actions()
    {
        $actions = new ObjectTableFormActions(__NAMESPACE__, RepoViewer :: PARAM_ACTION);

        if ($this->get_component()->get_maximum_select() != RepoViewer :: SELECT_SINGLE)
        {
            $actions->add_form_action(
                    new ObjectTableFormAction(RepoViewer :: ACTION_PUBLISHER, Translation :: get('PublishSelected'),
                            false));
        }

        return $actions;
    }
}
?>