<?php
namespace common\extensions\repo_viewer;

use common\libraries\DatetimeUtilities;
use repository\ContentObject;
use common\libraries\Utilities;
use common\libraries\Theme;
use common\libraries\Translation;
use common\libraries\ToolbarItem;
use common\libraries\NewObjectTableCellRenderer;
use common\libraries\NewObjectTableCellRendererActionsColumnSupport;
use common\libraries\Toolbar;

class ImportTableCellRenderer extends NewObjectTableCellRenderer implements
        NewObjectTableCellRendererActionsColumnSupport
{

    public function render_cell($column, $object)
    {
        switch ($column->get_name())
        {
            case ContentObject :: PROPERTY_ID :
                return $object->get_id();
            case ContentObject :: PROPERTY_TYPE :
                return $object->get_icon_image(Theme :: ICON_MINI);
            case ContentObject :: PROPERTY_TITLE :
                return Utilities :: truncate_string($object->get_title(), 50);
            case ContentObject :: PROPERTY_DESCRIPTION :
                return Utilities :: htmlentities(Utilities :: truncate_string($object->get_description(), 50));
        }
        return parent :: render_cell($column, $object);
    }

    function get_object_actions($object)
    {
        return $this->get_component()->get_default_browser_actions($object)->as_html();
    }
}
?>
