<?php
namespace common\extensions\rights_editor_manager;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'RightsEditorManager' => '/lib/manager/rights_editor_manager.class.php',
         'RightsEditorManagerAdvancedRightsEditorComponent' => '/lib/manager/component/advanced_rights_editor.class.php',
         'RightsEditorManagerGroupRightsSetterComponent' => '/lib/manager/component/group_rights_setter.class.php',
         'RightsEditorManagerInheritChangerComponent' => '/lib/manager/component/inherit_changer.class.php',
         'RightsEditorManagerTemplateRightsSetterComponent' => '/lib/manager/component/template_rights_setter.class.php',
         'RightsEditorManagerUserRightsSetterComponent' => '/lib/manager/component/user_rights_setter.class.php',
         'LocationGroupBrowserTable' => '/lib/manager/component/location_group_browser/location_group_browser_table.class.php',
         'LocationGroupBrowserTableCellRenderer' => '/lib/manager/component/location_group_browser/location_group_browser_table_cell_renderer.class.php',
         'LocationGroupBrowserTableColumnModel' => '/lib/manager/component/location_group_browser/location_group_browser_table_column_model.class.php',
         'LocationGroupBrowserTableDataProvider' => '/lib/manager/component/location_group_browser/location_group_browser_table_data_provider.class.php',
         'LocationTemplateBrowserTable' => '/lib/manager/component/location_template_browser/location_template_browser_table.class.php',
         'LocationTemplateBrowserTableCellRenderer' => '/lib/manager/component/location_template_browser/location_template_browser_table_cell_renderer.class.php',
         'LocationTemplateBrowserTableColumnModel' => '/lib/manager/component/location_template_browser/location_template_browser_table_column_model.class.php',
         'LocationTemplateBrowserTableDataProvider' => '/lib/manager/component/location_template_browser/location_template_browser_table_data_provider.class.php',
         'LocationUserBrowserTable' => '/lib/manager/component/location_user_browser/location_user_browser_table.class.php',
         'LocationUserBrowserTableCellRenderer' => '/lib/manager/component/location_user_browser/location_user_browser_table_cell_renderer.class.php',
         'LocationUserBrowserTableColumnModel' => '/lib/manager/component/location_user_browser/location_user_browser_table_column_model.class.php',
         'LocationUserBrowserTableDataProvider' => '/lib/manager/component/location_user_browser/location_user_browser_table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>