<?php
use common\libraries\Path;
use common\libraries\Utilities;
use common\libraries\Session;
use common\libraries\SessionHandler;

/**
 * Set up the environment. Do not make any call to the DB - which happen to be somwhat slow. Those are done in
 * conf.inc.php. Recommendation: - standard pages should include global.inc.php - pages requiring a lighter/faster entry
 * point call include this file and make another include to conf later on when this becomes required.
 *
 * @package common
 */

// This path will be useful to include the other intialisation files
require_once __DIR__ . '/libraries/php/shared/utilities.class.php';

// include the main Chamilo platform configuration file
$main_configuration_file_path = __DIR__ . '/configuration/configuration.php';
if (file_exists($main_configuration_file_path))
{
    require_once ($main_configuration_file_path);
}
else
{
    die(Utilities :: get_global_error_message());
}

// Add the path to the pear packages to the include path
require_once __DIR__ . '/libraries/php/shared/filesystem/path.class.php';

ini_set('include_path',
        realpath(Path :: get_plugin_path() . 'pear') . PATH_SEPARATOR . realpath(
                Path :: get_plugin_path() . 'google/library'));

set_exception_handler('\common\libraries\Utilities::handle_exception');
set_error_handler('\common\libraries\Utilities::handle_error');

Utilities :: register_autoload();

// Start session
Session :: start(true);
?>