<?php
namespace common\libraries\form;

/*
 * Class for a container on a form Abstract class Container Is had the same functions as an element storage to store his
 * elements
 */
abstract class Container extends Element
{
    private $append;
    private $element_storage;

    /*
     * Constructor
     */
    public function __construct($name, $label = null, $append = false)
    {
        parent :: __construct($name, null, $label);
        $this->append = $append;
        $this->element_storage = new ElementStorage();
    }

    function get_append()
    {
        return $this->append;
    }

    function set_append($append)
    {
        $this->append = $append;
    }

    /*
     * Add element to the form
     */
    function add_element($element)
    {
        $element->set_parent($this);
        $this->element_storage->add_element($element);
    }

    /*
     * Retrieve element from the form
     */
    function retrieve_element($element)
    {
        return $this->element_storage->retrieve_element($element);
    }

    /*
     * Delete element from the form
     */
    function delete_element($element)
    {
        $element->set_parent(null);
        $this->element_storage->delete_element($element);
    }

    /*
     * Get the element storage of the form
     */
    function get_element_storage()
    {
        return $this->element_storage;
    }

    /*
     * This functions checks if the values of the elements in the container are valid
     */
    public function is_valid()
    {
        $valid = true;

        foreach ($this->get_element_storage()->get_elements() as $element)
        {
            if (! $element->is_valid())
            {
                $this->elementerror .= $element->get_errors() . '<br/>';
                $valid = false;
            }
        }

        return $valid;
    }

    function render()
    {
        $renderer = $this->get_renderer() ? $this->get_renderer() : new DefaultContainerRenderer($this);
        return $renderer->render();
    }
}
?>