<?php
namespace common\libraries\form;
/*
 * Class to create an image, it inherits from Element class
 */

class Image extends Element
{

    const TEMPLATE = '<img src="{SOURCE}"{ATTRIBUTES}>';

    /*
     * Constructor for the Image class
     */
    public function __construct($name, $value, $label, $source)
    {
        // call constructor of Element class
        parent :: __construct($name, $value, $label);
        $this->source = $source;
    }

    /*
     * Returns the HTML of the created Image
     */
    public function html()
    {
        $parameters = array();
        $parameters['SOURCE'] = $this->get_source();

        $attributes = $this->get_attribute_storage()->get_attributes();
        if ($attributes)
        {
            $parameters['ATTRIBUTES'] = ' ' . $attributes;
        }

        return Renderer :: process(self :: TEMPLATE, $parameters);
    }

    function get_source()
    {
        return $this->source;
    }
}
?>