<?php
namespace common\libraries\form;
/*
 * Class to create a textfield, it inherits from Element class
 */

class Text extends Element
{

    const TEMPLATE = '<input type="text" name="{NAME}" id="{ID}" value="{VALUE}"{ATTRIBUTES}>';

    /*
     * Returns the HTML of the created textfield
     */
    public function html()
    {
        $parameters = array();

        if (isset($_POST[$this->get_name()]))
        {
            $parameters['VALUE'] = htmlspecialchars($this->get_value());
        }
        else
        {
            $parameters['VALUE'] = $this->value;
        }

        $parameters['NAME'] = $this->get_fully_qualified_name();
        $parameters['ID'] = $this->get_fully_qualified_id();

        $attributes = $this->get_attribute_storage()->get_attributes();
        if ($attributes)
        {
            $parameters['ATTRIBUTES'] = ' ' . $attributes;
        }

        return Renderer :: process(self :: TEMPLATE, $parameters);
    }
}
?>