<?php
namespace common\libraries\form;
/*
 * Class to create a textarea
 */
class TextArea extends Element
{
    const TEMPLATE = '<textarea name="{NAME}" id="{ID}"{ATTRIBUTES}>{VALUE}</textarea>';

    function html()
    {
        $parameters = array();

        if (isset($_POST[$this->get_name()]))
        {
            $parameters['VALUE'] = htmlspecialchars($this->get_value());
        }
        else
        {
            $parameters['VALUE'] = '';
        }

        $parameters['NAME'] = $this->get_fully_qualified_name();
        $parameters['ID'] = $this->get_fully_qualified_id();

        $attributes = $this->get_attribute_storage()->get_attributes();
        if ($attributes)
        {
            $parameters['ATTRIBUTES'] = ' ' . $attributes;
        }

        return Renderer :: process(self :: TEMPLATE, $parameters);
    }
}
?>