<?php
namespace common\libraries\form;
/*
 * Class to create a upload field
 */
class Upload extends Element
{
    const TEMPLATE = '<input type="file" name="{NAME}" id="{ID}">';

    protected $target; // Path where the uploaded file has to be moved to

    public function __construct($name, $label, $target = null)
    {
        parent :: __construct($name, null, $label);
        $this->target = $target;
    }

    /*
     * This function returns the HTML of the created uploadfield
     */
    public function html()
    {
        $parameters = array();
        $parameters['NAME'] = $this->get_fully_qualified_name();
        $parameters['ID'] = $this->get_fully_qualified_id();
        return Renderer :: process(self :: TEMPLATE, $parameters);
    }

    /*
     * This function checks if the uploaded file is valid
     */
    public function is_valid()
    {
        if (! empty($_FILES[$this->name]))
        {
            $valid = true;
            foreach ($this->get_rule_storage()->get_rules() as $rule)
            {
                $valid = $rule->control($_FILES[$this->name]['name']);
                if (! $valid)
                {
                    $this->elementerror .= $rule->get_message() . '<br/>';
                    $valid = false;
                    break;
                }
            }
            return $valid;
        }
        else
            return true;
    }

    public function get_file()
    {
        if (isset($_FILES[$this->name]))
        {
            return $_FILES[$this->name];
        }
    }
}
?>