<?php
namespace common\libraries\form;
/*
 * Class to render the elements that were added to the form
 */

use common\libraries\Theme;

class DefaultFieldsetRenderer extends DefaultContainerRenderer
{

    function get_default_template()
    {
        $html = array();
        
        $html[] = '<div>';
        $html[] = '    <fieldset>';
        $html[] = '        <legend>{LABEL}</legend>';
        $html[] = '        <div>';
        $html[] = '            {ELEMENTS}';
        $html[] = '        </div>';
        $html[] = '        <div>';
        $html[] = '            {ERRORS}';
        $html[] = '        </div>';
        $html[] = '        <div class="clear">&nbsp;</div>';
        $html[] = '    </fieldset>';
        $html[] = '    <div class="clear">&nbsp;</div>';
        $html[] = '</div>';
        
        return implode("\n", $html);
    }

    function get_parameters()
    {
        $parameters = array();
        
        $elements = array();
        $element_storage = $this->get_element()->get_element_storage();
        
        foreach ($element_storage->get_elements() as $element)
        {
            // if ($this->get_element()->get_append())
            // {
            // if ($element instanceof Container && $element->get_append() == false)
            // {
            // $element->set_name($this->get_element()->get_name());
            // $element->set_append(true);
            // }
            // else
            // {
            // $element->set_name($this->get_element()->get_name() . '[' . $element->get_name() . ']');
            // }
            // }
            $elements[] = $element->render();
        }
        
        $parameters['ELEMENTS'] = implode("\n", $elements);
        
        $parameters['LABEL'] = $this->get_element()->get_label();
        $parameters['ERROR'] = $this->get_element()->get_errors();
        
        return $parameters;
    }

}
?>