<?php
namespace common\libraries\form;

class ActionStorage
{
    private $actions;

    public function __construct($controller)
    {
        $this->actions = array();
    }

    public function add_action($action)
    {
        if (! is_null($action))
        {
            array_push($this->actions, $action);
        }
    }
    
    /*
     * Delete an actions from the actionstorage
     */
    public function delete_action($action)
    {
        if (! is_null($action))
        {
            for($i = 0; $i < count($this->actions); $i ++)
            {
                if ($this->actions[$i] === $action)
                    unset($this->actions[$i]);
            }
        }
    }
    
    /*
     * Retrieve a certain actions from the actionstorage
     */
    public function retrieve_action($action)
    {
        $object = null;
        if (! is_null($action))
        {
            foreach ($this->actions as $value)
            {
                if ($value->get_name() == $action)
                    $object = $value;
            }
        }
        return $object;
    }
    
    /*
     * Get the array of the actions that were addded to the form
     */
    public function get_actions()
    {
        return $this->actions;
    }
}
?>