<?php
namespace common\libraries\package;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'Action' => '/lib/action.class.php',
         'Activator' => '/lib/action/activator.class.php',
         'Deactivator' => '/lib/action/deactivator.class.php',
         'Installer' => '/lib/action/installer.class.php',
         'NotAllowed' => '/lib/interface/not_allowed.interface.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>