<?php
namespace common\libraries\package;

use common\libraries\Translation;
use common\libraries\CommonDataManager;
use common\libraries\Registration;

use admin\AdminDataManager;

abstract class Deactivator extends Action
{

    function get_data_manager()
    {
        return $this->data_manager;
    }

    function run()
    {
        $registration = CommonDataManager :: get_registration(self :: context());

        if ($registration->is_active())
        {
            $registration->set_status(Registration :: STATUS_INACTIVE);

            if (! $registration->update())
            {
                return $this->failed(Translation :: get('DeactivationFailed'));
            }
            else
            {
                $this->add_message(self :: TYPE_NORMAL, Translation :: get('DeactivationSuccessful'));
            }

            return $this->successful();
        }
        else
        {
            return $this->failed(Translation :: get('PackageAlreadyInactive'));
        }
    }

    /**
     * Creates an application-specific installer.
     *
     * @param $context string The namespace of the package for which we want to start the installer.
     * @param $values string The form values passed on by the wizard.
     */
    static function factory($context)
    {
        $class = $context . '\Deactivator';
        return new $class();
    }

}
?>