<?php
namespace common\libraries;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/shared/util/various/autoloader_utilities.class.php',
         'CommonDataManager' => '/lib/data_manager.class.php',
         'Registration' => '/lib/data_class/registration.class.php',
         'Setting' => '/lib/data_class/setting.class.php',
         'DoctrineDataManager' => '/lib/data_manager/doctrine.class.php',
         'Mdb2DataManager' => '/lib/data_manager/mdb2.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php',
         'Application' => '/shared/application.class.php',
         'ApplicationComponent' => '/shared/application_component.class.php',
         'BasicApplication' => '/shared/basic_application.class.php',
         'Block' => '/shared/block.class.php',
         'BlockConnectorBase' => '/shared/block_connector_base.class.php',
         'CoreApplication' => '/shared/core_application.class.php',
         'CoreApplicationComponent' => '/shared/core_application_component.class.php',
         'LauncherApplication' => '/shared/launcher_application.class.php',
         'Redirect' => '/shared/redirect.class.php',
         'ResourceManager' => '/shared/resource_manager.class.php',
         'SubManager' => '/shared/sub_manager.class.php',
         'SubManagerComponent' => '/shared/sub_manager_component.class.php',
         'Updater' => '/shared/updater.class.php',
         'Utilities' => '/shared/utilities.class.php',
         'WebApplication' => '/shared/web_application.class.php',
         'WebApplicationComponent' => '/shared/web_application_component.class.php',
         'WebApplicationInstaller' => '/shared/web_application_installer.class.php',
         'AjaxManager' => '/shared/ajax/ajax_manager.class.php',
         'CommonAjaxGroupsFeed' => '/shared/ajax/groups_feed.class.php',
         'JsonAjaxResult' => '/shared/ajax/json_ajax_result.class.php',
         'Authentication' => '/shared/authentication/authentication.class.php',
         'ExternalAuthentication' => '/shared/authentication/external_authentication.class.php',
         'CasAuthentication' => '/shared/authentication/cas/cas_authentication.class.php',
         'CasPassword' => '/shared/authentication/cas/cas_password/cas_password.class.php',
         'DefaultCasPassword' => '/shared/authentication/cas/cas_password/type/default_cas_password.class.php',
         'LdapCasPassword' => '/shared/authentication/cas/cas_password/type/ldap_cas_password.class.php',
         'MysqlCasPassword' => '/shared/authentication/cas/cas_password/type/mysql_cas_password.class.php',
         'WebserviceCasPassword' => '/shared/authentication/cas/cas_password/type/webservice_cas_password.class.php',
         'InvitationAuthentication' => '/shared/authentication/invitation/invitation_authentication.class.php',
         'LdapAuthentication' => '/shared/authentication/ldap/ldap_authentication.class.php',
         'LdapParser' => '/shared/authentication/ldap/ldap_parser.class.php',
         'PlatformAuthentication' => '/shared/authentication/platform/platform_authentication.class.php',
         'SecurityTokenAuthentication' => '/shared/authentication/security_token/security_token_authentication.class.php',
         'ShibbolethAuthentication' => '/shared/authentication/shibboleth/shibboleth_authentication.class.php',
         'CalendarTable' => '/shared/calendar/calendar_table.class.php',
         'DayCalendar' => '/shared/calendar/day_calendar.class.php',
         'MiniDayCalendar' => '/shared/calendar/mini_day_calendar.class.php',
         'MiniMonthCalendar' => '/shared/calendar/mini_month_calendar.class.php',
         'MiniWeekCalendar' => '/shared/calendar/mini_week_calendar.class.php',
         'MonthCalendar' => '/shared/calendar/month_calendar.class.php',
         'WeekCalendar' => '/shared/calendar/week_calendar.class.php',
         'YearCalendar' => '/shared/calendar/year_calendar.class.php',
         'AggregateCondition' => '/shared/condition/aggregate_condition.class.php',
         'AndCondition' => '/shared/condition/and_condition.class.php',
         'ComparisonCondition' => '/shared/condition/comparison_condition.class.php',
         'Condition' => '/shared/condition/condition.class.php',
         'EqualityCondition' => '/shared/condition/equality_condition.class.php',
         'InequalityCondition' => '/shared/condition/inequality_condition.class.php',
         'InCondition' => '/shared/condition/in_condition.class.php',
         'MultipleAggregateCondition' => '/shared/condition/multiple_aggregate_condition.class.php',
         'NotCondition' => '/shared/condition/not_condition.class.php',
         'OrCondition' => '/shared/condition/or_condition.class.php',
         'PatternMatchCondition' => '/shared/condition/pattern_match_condition.class.php',
         'SubselectCondition' => '/shared/condition/subselect_condition.class.php',
         'FixedPropertyConditionVariable' => '/shared/condition/variable/fixed_property.class.php',
         'OperationConditionVariable' => '/shared/condition/variable/operation.class.php',
         'PropertyConditionVariable' => '/shared/condition/variable/property.class.php',
         'StaticConditionVariable' => '/shared/condition/variable/static.class.php',
         'ConditionVariable' => '/shared/condition/variable/variable.class.php',
         'Configuration' => '/shared/configuration/configuration.class.php',
         'LocalSetting' => '/shared/configuration/local_setting.class.php',
         'PlatformSetting' => '/shared/configuration/platform_setting.class.php',
         'CssUtilities' => '/shared/css/css_utilities.class.php',
         'DatetimeUtilities' => '/shared/datetime/datetime_utilities.class.php',
         'Timer' => '/shared/datetime/timer.class.php',
         'DebugUtilities' => '/shared/debug/debug_utilities.class.php',
         'Diagnoser' => '/shared/diagnoser/diagnoser.class.php',
         'DiagnoserCellRenderer' => '/shared/diagnoser/diagnoser_cellrenderer.class.php',
         'NotAllowedException' => '/shared/exceptions/not_allowed_exception.class.php',
         'NoObjectSelectedException' => '/shared/exceptions/no_object_selected_exception.class.php',
         'ObjectNotExistException' => '/shared/exceptions/object_not_exist_exception.class.php',
         'ParameterNotDefinedException' => '/shared/exceptions/parameter_not_defined_exception.class.php',
         'Export' => '/shared/export/export.class.php',
         'CsvExport' => '/shared/export/csv/csv_export.class.php',
         'ExcelExport' => '/shared/export/excel/excel_export.class.php',
         'ExcelLayout' => '/shared/export/layout/excel_layout.class.php',
         'OdsExport' => '/shared/export/ods/ods_export.class.php',
         'PdfExport' => '/shared/export/pdf/pdf_export.class.php',
         'XmlExport' => '/shared/export/xml/xml_export.class.php',
         'FedoraProxy' => '/shared/fedora/fedora_proxy.class.php',
         'fedora_fs_access_right' => '/shared/fedora/fs/fedora_fs_access_right.class.php',
         'fedora_fs_base' => '/shared/fedora/fs/fedora_fs_base.class.php',
         'fedora_fs_datastream' => '/shared/fedora/fs/fedora_fs_datastream.class.php',
         'fedora_fs_folder' => '/shared/fedora/fs/fedora_fs_folder.class.php',
         'fedora_fs_history' => '/shared/fedora/fs/fedora_fs_history.class.php',
         'fedora_fs_itql_query' => '/shared/fedora/fs/fedora_fs_itql_query.class.php',
         'fedora_fs_lastobjects' => '/shared/fedora/fs/fedora_fs_lastobjects.class.php',
         'fedora_fs_mystuff' => '/shared/fedora/fs/fedora_fs_mystuff.class.php',
         'fedora_fs_object' => '/shared/fedora/fs/fedora_fs_object.class.php',
         'fedora_fs_search' => '/shared/fedora/fs/fedora_fs_search.class.php',
         'fedora_fs_search_by_id' => '/shared/fedora/fs/fedora_fs_search_by_id.class.php',
         'fedora_fs_sparql_query' => '/shared/fedora/fs/fedora_fs_sparql_query.class.php',
         'fedora_fs_store' => '/shared/fedora/fs/fedora_fs_store.class.php',
         'fedora_fs_subject' => '/shared/fedora/fs/fedora_fs_subject.class.php',
         'FoxmlReader' => '/shared/fedora/reader/foxml_reader.class.php',
         'FedoraXmlReader' => '/shared/fedora/reader/xml_reader.class.php',
         'FedoraXmlReaderTopDownIterator' => '/shared/fedora/reader/xml_reader.class.php',
         'FedoraXmlReaderEmpty' => '/shared/fedora/reader/xml_reader_empty.class.php',
         'IteratorEmpty' => '/shared/fedora/reader/xml_reader_empty.class.php',
         'RestClient' => '/shared/webservice/rest/client/rest_client.class.php',
         'RestConfig' => '/shared/fedora/rest/rest_config.class.php',
         'RestProxyBase' => '/shared/fedora/rest/rest_proxy_base.class.php',
         'RestResult' => '/shared/webservice/rest/client/rest_result.class.php',
         'FoxmlWriter' => '/shared/fedora/writer/foxml_writer.class.php',
         'IdFactory' => '/shared/fedora/writer/id_factory.class.php',
         'XmlWriterBase' => '/shared/fedora/writer/xml_writer_base.class.php',
         'Filecompression' => '/shared/filecompression/filecompression.class.php',
         'PclzipFilecompression' => '/shared/filecompression/pclzip/pclzip_filecompression.class.php',
         'Filesystem' => '/shared/filesystem/filesystem.class.php',
         'FileLogger' => '/shared/filesystem/file_logger.class.php',
         'FileProperties' => '/shared/filesystem/file_properties.class.php',
         'Path' => '/shared/filesystem/path.class.php',
         'WebpageProperties' => '/shared/filesystem/webpage_properties.class.php',
         'Hashing' => '/shared/hashing/hashing.class.php',
         'Haval256Hashing' => '/shared/hashing/haval256/haval256_hashing.class.php',
         'Md5Hashing' => '/shared/hashing/md5/md5_hashing.class.php',
         'Sha1Hashing' => '/shared/hashing/sha1/sha1_hashing.class.php',
         'Sha512Hashing' => '/shared/hashing/sha512/sha512_hashing.class.php',
         'WhirlpoolHashing' => '/shared/hashing/whirlpool/whirlpool_hashing.class.php',
         'Banner' => '/shared/html/banner.class.php',
         'BbcodeParser' => '/shared/html/bbcode_parser.class.php',
         'Breadcrumb' => '/shared/html/breadcrumb.class.php',
         'BreadcrumbTrail' => '/shared/html/breadcrumb_trail.class.php',
         'Display' => '/shared/html/display.class.php',
         'Footer' => '/shared/html/footer.class.php',
         'Header' => '/shared/html/header.class.php',
         'Html5Format' => '/shared/html/html5_format.class.php',
         'Html5MediaValidator' => '/shared/html/html5_media_validator.class.php',
         'MessageLogger' => '/shared/html/message_logger.class.php',
         'NotificationMessage' => '/shared/html/notification_message.class.php',
         'Text' => '/shared/html/text.class.php',
         'ActionBarRenderer' => '/shared/html/action_bar/action_bar_renderer.class.php',
         'ActionBarSearchForm' => '/shared/html/action_bar/action_bar_search_form.class.php',
         'ConditionProperty' => '/shared/html/action_bar/condition_property.class.php',
         'FormValidator' => '/shared/html/formvalidator/form_validator.class.php',
         'FormValidatorHtmlEditor' => '/shared/html/formvalidator/form_validator_html_editor.class.php',
         'FormValidatorHtmlEditorOptions' => '/shared/html/formvalidator/form_validator_html_editor_options.class.php',
         'FormValidatorHtmlEditorTemplates' => '/shared/html/formvalidator/form_validator_html_editor_templates.class.php',
         'FormValidatorPage' => '/shared/html/formvalidator/form_validator_page.class.php',
         'FormValidatorTab' => '/shared/html/formvalidator/form_validator_tab.class.php',
         'WizardPageValidator' => '/shared/html/formvalidator/wizard_page_validator.class.php',
         'SettingsXmlFormParser' => '/shared/html/formvalidator/dynamic_form_building/settings_xml_form_parser.class.php',
         'XmlFormParser' => '/shared/html/formvalidator/dynamic_form_building/xml_form_parser.class.php',
         'XmlFormParserResult' => '/shared/html/formvalidator/dynamic_form_building/xml_form_parser_result.class.php',
         'XmlFormParserValidationRule' => '/shared/html/formvalidator/dynamic_form_building/xml_form_parser_validation_rule.class.php',
         'AdvancedElementFinderElement' => '/shared/html/formvalidator/Element/advanced_element_finder/advanced_element_finder_element.class.php',
         'AdvancedElementFinderElements' => '/shared/html/formvalidator/Element/advanced_element_finder/advanced_element_finder_elements.class.php',
         'AdvancedElementFinderElementType' => '/shared/html/formvalidator/Element/advanced_element_finder/advanced_element_finder_element_type.class.php',
         'AdvancedElementFinderElementTypes' => '/shared/html/formvalidator/Element/advanced_element_finder/advanced_element_finder_element_types.class.php',
         'FormValidatorCkeditorHtmlEditor' => '/shared/html/formvalidator/html_editor/ckeditor_html_editor.class.php',
         'FormValidatorTinymceHtmlEditor' => '/shared/html/formvalidator/html_editor/tinymce_html_editor.class.php',
         'HtmlEditorProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/html_editor_processor.class.php',
         'HtmlEditorCkeditorAudioProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_audio_processor.class.php',
         'HtmlEditorCkeditorChamiloProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_chamilo_processor.class.php',
         'HtmlEditorCkeditorDailymotionProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_dailymotion_processor.class.php',
         'HtmlEditorCkeditorFlashProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_flash_processor.class.php',
         'HtmlEditorCkeditorFlashVideoProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_flash_video_processor.class.php',
         'HtmlEditorCkeditorHandbookItemProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_handbook_item_processor.class.php',
         'HtmlEditorCkeditorImageProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_image_processor.class.php',
         'HtmlEditorCkeditorVideoProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_video_processor.class.php',
         'HtmlEditorCkeditorVimeoProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_vimeo_processor.class.php',
         'HtmlEditorCkeditorYoutubeProcessor' => '/shared/html/formvalidator/html_editor/file_browser/processor/ckeditor/html_editor_ckeditor_youtube_processor.class.php',
         'HtmlEditorRepoViewer' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/html_editor_repo_viewer.class.php',
         'HtmlEditorChamiloRepoViewer' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/html_editor_chamilo_repo_viewer.class.php',
         'HtmlEditorChamiloRepoViewerBrowserComponent' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/component/browser.class.php',
         'HtmlEditorChamiloRepoViewerCreatorComponent' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/component/creator.class.php',
         'HtmlEditorChamiloRepoViewerImportedSelecterComponent' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/component/imported_selecter.class.php',
         'HtmlEditorChamiloRepoViewerImporterComponent' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/component/importer.class.php',
         'HtmlEditorChamiloRepoViewerViewerComponent' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/component/viewer.class.php',
         'ImageContentObjectTable' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/component/content_object_table/image_content_object_table.class.php',
         'ImageContentObjectTableCellRenderer' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/component/content_object_table/image_content_object_table_cell_renderer.class.php',
         'ImageContentObjectTableColumnModel' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/component/content_object_table/image_content_object_table_column_model.class.php',
         'ImageContentObjectTableDataProvider' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/chamilo/component/content_object_table/image_content_object_table_data_provider.class.php',
         'HtmlEditorHandbookItemRepoViewer' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/handbook_item/html_editor_handbook_item_repo_viewer.class.php',
         'HtmlEditorHandbookItemRepoViewerBrowserComponent' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/handbook_item/component/browser.class.php',
         'HtmlEditorHandbookItemRepoViewerCreatorComponent' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/handbook_item/component/creator.class.php',
         'HtmlEditorHandbookItemRepoViewerViewerComponent' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/handbook_item/component/viewer.class.php',
         'HandbookItemContentObjectTable' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/handbook_item/component/content_object_table/handbook_item_content_object_table.class.php',
         'HandbookItemContentObjectTableCellRenderer' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/handbook_item/component/content_object_table/handbook_item_content_object_table_cell_renderer.class.php',
         'HandbookItemContentObjectTableColumnModel' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/handbook_item/component/content_object_table/handbook_item_content_object_table_column_model.class.php',
         'HandbookItemContentObjectTableDataProvider' => '/shared/html/formvalidator/html_editor/file_browser/repo_viewer/handbook_item/component/content_object_table/handbook_item_content_object_table_data_provider.class.php',
         'FormValidatorCkeditorHtmlEditorOptions' => '/shared/html/formvalidator/html_editor_options/ckeditor_html_editor_options.class.php',
         'FormValidatorTinymceHtmlEditorOptions' => '/shared/html/formvalidator/html_editor_options/tinymce_html_editor_options.class.php',
         'FormValidatorCkeditorHtmlEditorTemplates' => '/shared/html/formvalidator/html_editor_templates/ckeditor_html_editor_templates.class.php',
         'FormValidatorTinymceHtmlEditorTemplates' => '/shared/html/formvalidator/html_editor_templates/tinymce_html_editor_templates.class.php',
         'ChamiloTemplate' => '/shared/html/layout/chamilo_template.class.php',
         'ChamiloTemplateCompiler' => '/shared/html/layout/chamilo_template_compiler.class.php',
         'Phpbb2TemplateWrapper' => '/shared/html/layout/phpbb2_template_wrapper.class.php',
         'TemplateCache' => '/shared/html/layout/template_cache.class.php',
         'Theme' => '/shared/html/layout/theme.class.php',
         'ThemeManager' => '/shared/html/layout/theme_manager.class.php',
         'DatabaseTemplateCache' => '/shared/html/layout/template_cache/database_template_cache.class.php',
         'FileTemplateCache' => '/shared/html/layout/template_cache/file_template_cache.class.php',
         'CollapsedTreeMenuRenderer' => '/shared/html/menu/collapsed_tree_menu_renderer.class.php',
         'DragAndDropTreeMenuRenderer' => '/shared/html/menu/drag_and_drop_tree_menu_renderer.class.php',
         'OptionsMenuRenderer' => '/shared/html/menu/options_menu_renderer.class.php',
         'TreeMenuRenderer' => '/shared/html/menu/tree_menu_renderer.class.php',
         'XmlTreeMenuRenderer' => '/shared/html/menu/xml_tree_menu_renderer.class.php',
         'DynamicContentMenu' => '/shared/html/menu/dynamic_content_menu/dynamic_content_menu.class.php',
         'DynamicContentMenuItem' => '/shared/html/menu/dynamic_content_menu/dynamic_content_menu_item.class.php',
         'FormDynamicContentMenu' => '/shared/html/menu/dynamic_content_menu/form_dynamic_content_menu.class.php',
         'FormDynamicContentMenuItem' => '/shared/html/menu/dynamic_content_menu/form_dynamic_content_menu_item.class.php',
         'GenericTree' => '/shared/html/menu/tree_menu/generic_tree.class.php',
         'GenericTreeInterface' => '/shared/html/menu/tree_menu/generic_tree_interface.class.php',
         'TreeMenu' => '/shared/html/menu/tree_menu/tree_menu.class.php',
         'TreeMenuDataProvider' => '/shared/html/menu/tree_menu/tree_menu_data_provider.class.php',
         'TreeMenuItem' => '/shared/html/menu/tree_menu/tree_menu_item.class.php',
         'Panel' => '/shared/html/splitpanel/panel.class.php',
         'SplitPanelRenderer' => '/shared/html/splitpanel/split_panel_renderer.class.php',
         'GalleryTable' => '/shared/html/table/gallery_table.class.php',
         'GalleryTableFromArray' => '/shared/html/table/gallery_table.class.php',
         'PropertiesTable' => '/shared/html/table/properties_table.class.php',
         'SimpleTable' => '/shared/html/table/simple_table.class.php',
         'SortableTable' => '/shared/html/table/sortable_table.class.php',
         'SortableTableFromArray' => '/shared/html/table/sortable_table.class.php',
         'StaticTableColumn' => '/shared/html/table/static_table_column.class.php',
         'TableColumn' => '/shared/html/table/table_column.class.php',
         'TableSort' => '/shared/html/table/table_sort.class.php',
         'GalleryObjectTable' => '/shared/html/table/gallery_object_table/gallery_object_table.class.php',
         'GalleryObjectTableCellRenderer' => '/shared/html/table/gallery_object_table/gallery_object_table_cell_renderer.class.php',
         'GalleryObjectTableDataProvider' => '/shared/html/table/gallery_object_table/gallery_object_table_data_provider.class.php',
         'GalleryObjectTableProperty' => '/shared/html/table/gallery_object_table/gallery_object_table_property.class.php',
         'GalleryObjectTablePropertyModel' => '/shared/html/table/gallery_object_table/gallery_object_table_property_model.class.php',
         'NewGalleryObjectTable' => '/shared/html/table/new_gallery_object_table/new_gallery_object_table.class.php',
         'NewGalleryObjectTableCellRenderer' => '/shared/html/table/new_gallery_object_table/new_gallery_object_table_cell_renderer.class.php',
         'NewGalleryObjectTableCellRendererActionsSupport' => '/shared/html/table/new_gallery_object_table/new_gallery_object_table_cell_renderer_actions_support.class.php',
         'NewGalleryObjectTableDataProvider' => '/shared/html/table/new_gallery_object_table/new_gallery_object_table_data_provider.class.php',
         'NewGalleryObjectTableOrderDirectionProhibition' => '/shared/html/table/new_gallery_object_table/new_gallery_object_table_order_direction_prohibition.class.php',
         'NewGalleryObjectTablePropertyModel' => '/shared/html/table/new_gallery_object_table/new_gallery_object_table_property_model.class.php',
         'NewGalleryObjectTableSupport' => '/shared/html/table/new_gallery_object_table/new_gallery_object_table_support.class.php',
         'NewObjectTable' => '/shared/html/table/new_object_table/new_object_table.class.php',
         'NewObjectTableAjaxSupport' => '/shared/html/table/new_object_table/new_object_table_ajax_support.class.php',
         'NewObjectTableCellRenderer' => '/shared/html/table/new_object_table/new_object_table_cell_renderer.class.php',
         'NewObjectTableColumnModel' => '/shared/html/table/new_object_table/new_object_table_column_model.class.php',
         'NewObjectTableDataProvider' => '/shared/html/table/new_object_table/new_object_table_data_provider.class.php',
         'NewObjectTableFormActionsSupport' => '/shared/html/table/new_object_table/new_object_table_form_actions_support.class.php',
         'NewObjectTablePageSelectionProhibition' => '/shared/html/table/new_object_table/new_object_table_page_selection_prohibition.class.php',
         'NewObjectTableSupport' => '/shared/html/table/new_object_table/new_object_table_support.class.php',
         'NewObjectTableActionsColumn' => '/shared/html/table/new_object_table/actions_column/new_object_table_actions_column.class.php',
         'NewObjectTableCellRendererActionsColumnSupport' => '/shared/html/table/new_object_table/actions_column/new_object_table_cell_renderer_actions_column_support.class.php',
         'NewObjectTableColumnModelActionsColumnSupport' => '/shared/html/table/new_object_table/actions_column/new_object_table_column_model_actions_column_support.class.php',
         'ObjectTable' => '/shared/html/table/object_table/object_table.class.php',
         'ObjectTableCellRenderer' => '/shared/html/table/object_table/object_table_cell_renderer.class.php',
         'ObjectTableColumn' => '/shared/html/table/object_table/object_table_column.class.php',
         'ObjectTableColumnModel' => '/shared/html/table/object_table/object_table_column_model.class.php',
         'ObjectTableDataProvider' => '/shared/html/table/object_table/object_table_data_provider.class.php',
         'ObjectTableFormAction' => '/shared/html/table/object_table/object_table_form_action.class.php',
         'ObjectTableFormActions' => '/shared/html/table/object_table/object_table_form_actions.class.php',
         'ObjectTableOrder' => '/shared/html/table/object_table/object_table_order.class.php',
         'DynamicAction' => '/shared/html/tabs/dynamic_action.class.php',
         'DynamicActionsTab' => '/shared/html/tabs/dynamic_actions_tab.class.php',
         'DynamicContentTab' => '/shared/html/tabs/dynamic_content_tab.class.php',
         'DynamicFormElementsTab' => '/shared/html/tabs/dynamic_form_elements_tab.class.php',
         'DynamicFormTab' => '/shared/html/tabs/dynamic_form_tab.class.php',
         'DynamicFormTabsRenderer' => '/shared/html/tabs/dynamic_form_tabs_renderer.class.php',
         'DynamicSearchAction' => '/shared/html/tabs/dynamic_search_action.class.php',
         'DynamicTab' => '/shared/html/tabs/dynamic_tab.class.php',
         'DynamicTabsRenderer' => '/shared/html/tabs/dynamic_tabs_renderer.class.php',
         'DynamicVisualTab' => '/shared/html/tabs/dynamic_visual_tab.class.php',
         'DynamicVisualTabsRenderer' => '/shared/html/tabs/dynamic_visual_tabs_renderer.class.php',
         'Toolbar' => '/shared/html/toolbar/toolbar.class.php',
         'ToolbarItem' => '/shared/html/toolbar/toolbar_item.class.php',
         'HttpHeader' => '/shared/http/http_header.class.php',
         'IcalRecurrence' => '/shared/ical/ical_recurrence.class.php',
         'ImageManipulation' => '/shared/image_manipulation/image_manipulation.class.php',
         'GdImageManipulation' => '/shared/image_manipulation/gd/gd_image_manipulation.class.php',
         'Import' => '/shared/import/import.class.php',
         'Ceo' => '/shared/ims/chamilo/ceo.class.php',
         'Chamilo' => '/shared/ims/chamilo/chamilo.class.php',
         'Log' => '/shared/ims/chamilo/log.class.php',
         'OnlineLog' => '/shared/ims/chamilo/log.class.php',
         'EmptyLog' => '/shared/ims/chamilo/log.class.php',
         'ObjectCache' => '/shared/ims/chamilo/object_cache.class.php',
         'BufferedObjectExport' => '/shared/ims/chamilo/export/buffered_object_export.class.php',
         'EmptyObjectExport' => '/shared/ims/chamilo/export/empty_object_export.class.php',
         'ObjectExportFactory' => '/shared/ims/chamilo/export/object_export_factory.class.php',
         'ObjectExportSettings' => '/shared/ims/chamilo/export/object_export_settings.class.php',
         'BufferedObjectImport' => '/shared/ims/chamilo/import/buffered_object_import.class.php',
         'EmptyObjectImport' => '/shared/ims/chamilo/import/empty_object_import.class.php',
         'ObjectImportFactory' => '/shared/ims/chamilo/import/object_import_factory.class.php',
         'ObjectImportSettings' => '/shared/ims/chamilo/import/object_import_settings.class.php',
         'ImsIdFactory' => '/shared/ims/common/ims_id_factory.class.php',
         'ImsXmlReader' => '/shared/ims/common/reader/ims_xml_reader.class.php',
         'ImsXmlReaderTopDownIterator' => '/shared/ims/common/reader/ims_xml_reader.class.php',
         'ImsXmlReaderEmpty' => '/shared/ims/common/reader/ims_xml_reader_empty.class.php',
         'ImsIteratorEmpty' => '/shared/ims/common/reader/ims_xml_reader_empty.class.php',
         'ImsXmlWriter' => '/shared/ims/common/writer/ims_xml_writer.class.php',
         'LomWriter' => '/shared/ims/common/writer/lom_writer.class.php',
         'Cp' => '/shared/ims/cp/cp.class.php',
         'ImscpManifestReader' => '/shared/ims/cp/reader/imscp_manifest_reader.class.php',
         'ImscpObjectReader' => '/shared/ims/cp/reader/imscp_object_reader.class.php',
         'ImscpManifestWriter' => '/shared/ims/cp/writer/imscp_manifest_writer.class.php',
         'ImscpObjectWriter' => '/shared/ims/cp/writer/imscp_object_writer.class.php',
         'DebugUtil2' => '/shared/ims/lib/debug_util.class.php',
         'FileUtil' => '/shared/ims/lib/file_util.class.php',
         'MathML' => '/shared/ims/lib/math_ml.class.php',
         'shape' => '/shared/ims/lib/shape.class.php',
         'Wildcard' => '/shared/ims/lib/wildcard.class.php',
         'Xhtml' => '/shared/ims/lib/xhtml.class.php',
         'Qti' => '/shared/ims/qti/qti.class.php',
         'QtiEmptyResourceManager' => '/shared/ims/qti/qti_empty_resource_manager.class.php',
         'QtiExportResourceManager' => '/shared/ims/qti/qti_export_resource_manager.class.php',
         'QtiImportResourceManager' => '/shared/ims/qti/qti_import_resource_manager.class.php',
         'QtiInterpreter' => '/shared/ims/qti/qti_interpreter.class.php',
         'QtiPartialRenderer' => '/shared/ims/qti/qti_partial_renderer.class.php',
         'QtiRendererBase' => '/shared/ims/qti/qti_renderer_base.class.php',
         'QtiResourceManagerBase' => '/shared/ims/qti/qti_resource_manager_base.class.php',
         'QtiImportStrategyBase' => '/shared/ims/qti/import_strategy/qti_import_strategy_base.class.php',
         'QtiImportStrategyChain' => '/shared/ims/qti/import_strategy/qti_import_strategy_chain.class.php',
         'QtiImportStrategyEmpty' => '/shared/ims/qti/import_strategy/qti_import_strategy_empty.class.php',
         'QtiImportStrategyFailover' => '/shared/ims/qti/import_strategy/qti_import_strategy_failover.class.php',
         'QtiImportStrategyGeneric' => '/shared/ims/qti/import_strategy/qti_import_strategy_generic.class.php',
         'QtiImportStrategyText' => '/shared/ims/qti/import_strategy/qti_import_strategy_text.class.php',
         'QtiMoodleReimportStrategy' => '/shared/ims/qti/import_strategy/qti_moodle_reimport_strategy.class.php',
         'ImsQtiReader' => '/shared/ims/qti/reader/ims_qti_reader.class.php',
         'ImsQtiWriter' => '/shared/ims/qti/writer/ims_qti_writer.class.php',
         'AdministrationComponent' => '/shared/interface/administration_component.class.php',
         'AttachmentSupport' => '/shared/interface/attachment_support.class.php',
         'Autosavable' => '/shared/interface/autosavable.class.php',
         'Categorizable' => '/shared/interface/categorizable.class.php',
         'ChangeablePassword' => '/shared/interface/changeable_password.class.php',
         'ChangeableUsername' => '/shared/interface/changeable_username.class.php',
         'ComplexContentObjectDisclosure' => '/shared/interface/complex_content_object_disclosure.class.php',
         'ComplexContentObjectSupport' => '/shared/interface/complex_content_object_support.class.php',
         'ComplexMenuSupport' => '/shared/interface/complex_menu_support.class.php',
         'DelegateComponent' => '/shared/interface/delegate_component.class.php',
         'ForcedVersionSupport' => '/shared/interface/forced_version_support.class.php',
         'Hashable' => '/shared/interface/hashable.class.php',
         'HelperContentObjectSupport' => '/shared/interface/helper_content_object_support.class.php',
         'Includeable' => '/shared/interface/includeable.class.php',
         'NoContextComponent' => '/shared/interface/no_context_component.class.php',
         'UserRegistrationSupport' => '/shared/interface/user_registration_support.class.php',
         'Versionable' => '/shared/interface/versionable.class.php',
         'JavascriptUtilities' => '/shared/javascript/javascript_utilities.class.php',
         'AttachmentViewerLauncher' => '/shared/launcher/attachment_viewer/attachment_viewer_launcher.class.php',
         'ComplexBuilderLauncher' => '/shared/launcher/complex_builder/complex_builder_launcher.class.php',
         'ComplexDisplayPreviewLauncher' => '/shared/launcher/complex_display_preview/complex_display_preview_launcher.class.php',
         'ExternalRepositoryLauncher' => '/shared/launcher/external_repository/external_repository_launcher.class.php',
         'HtmlEditorFileLauncher' => '/shared/launcher/html_editor_file/html_editor_file_launcher.class.php',
         'RepoViewerLauncher' => '/shared/launcher/repo_viewer/repo_viewer_launcher.class.php',
         'VideoConferencingLauncher' => '/shared/launcher/video_conferencing/video_conferencing_launcher.class.php',
         'Mail' => '/shared/mail/mail.class.php',
         'DefaultMail' => '/shared/mail/default/default_mail.class.php',
         'PhpmailerMail' => '/shared/mail/phpmailer/phpmailer_mail.class.php',
         'MimeUtil' => '/shared/mime/mime_util.class.php',
         'PublicationRSS' => '/shared/rss/publication_rss.class.php',
         'RSSEngine' => '/shared/rss/rss_engine.class.php',
         'BasicRSS' => '/shared/rss/builders/basic_rss.class.php',
         'CombinedRSS' => '/shared/rss/builders/combined_rss.class.php',
         'Channel' => '/shared/rss/objects/channel.class.php',
         'CombinedChannel' => '/shared/rss/objects/combined_channel.class.php',
         'RSSStream' => '/shared/rss/objects/rss_stream.class.php',
         'Security' => '/shared/security/security.class.php',
         'Cookie' => '/shared/session/cookie.class.php',
         'Request' => '/shared/session/request.class.php',
         'Session' => '/shared/session/session.class.php',
         'SessionHandler' => '/shared/session/session_handler.class.php',
         'ArrayResultSet' => '/shared/storage/array_result_set.class.php',
         'ConditionTranslator' => '/shared/storage/condition_translator.class.php',
         'ConditionVariableTranslator' => '/shared/storage/condition_variable_translator.class.php',
         'DataManager' => '/shared/storage/data_manager.class.php',
         'DataManagerInterface' => '/shared/storage/data_manager_interface.class.php',
         'DataSourceName' => '/shared/storage/data_source_name.class.php',
         'NestedTreeNode' => '/shared/storage/nested_tree_node.class.php',
         'NewConditionTranslator' => '/shared/storage/new_condition_translator.class.php',
         'ResultSet' => '/shared/storage/result_set.class.php',
         'StorageAliasGenerator' => '/shared/storage/storage_alias_generator.class.php',
         'CompositeDataClass' => '/shared/storage/data_class/composite_data_class.class.php',
         'DataClass' => '/shared/storage/data_class/data_class.class.php',
         'DataClassCache' => '/shared/storage/data_class/data_class_cache.class.php',
         'DataClassNoResultException' => '/shared/storage/data_class/data_class_no_result_exception.class.php',
         'DataClassParameters' => '/shared/storage/data_class/data_class_parameters.class.php',
         'DataClassResultSet' => '/shared/storage/data_class/data_class_result_set.class.php',
         'DataClassCountCache' => '/shared/storage/data_class/cache/count.class.php',
         'DataClassCountGroupedCache' => '/shared/storage/data_class/cache/count_grouped.class.php',
         'DataClassDistinctCache' => '/shared/storage/data_class/cache/distinct.class.php',
         'DataClassResultCache' => '/shared/storage/data_class/cache/result.class.php',
         'DataClassResultSetCache' => '/shared/storage/data_class/cache/result_set.class.php',
         'ManyToManyForeignObjectsParameters' => '/shared/storage/data_class/foreign_objects/parameters/many_to_many.class.php',
         'ManyToOneForeignObjectsParameters' => '/shared/storage/data_class/foreign_objects/parameters/many_to_one.class.php',
         'OneToManyForeignObjectsParameters' => '/shared/storage/data_class/foreign_objects/parameters/one_to_many.class.php',
         'OneToOneForeignObjectsParameters' => '/shared/storage/data_class/foreign_objects/parameters/one_to_one.class.php',
         'DataClassCountParameters' => '/shared/storage/data_class/parameters/count.class.php',
         'DataClassCountDistinctParameters' => '/shared/storage/data_class/parameters/count_distinct.class.php',
         'DataClassCountGroupedParameters' => '/shared/storage/data_class/parameters/count_grouped.class.php',
         'DataClassDistinctParameters' => '/shared/storage/data_class/parameters/distinct.class.php',
         'DataClassPropertyParameters' => '/shared/storage/data_class/parameters/property.class.php',
         'DataClassRetrieveParameters' => '/shared/storage/data_class/parameters/retrieve.class.php',
         'DataClassRetrievesParameters' => '/shared/storage/data_class/parameters/retrieves.class.php',
         'DoctrineConditionTranslator' => '/shared/storage/implementation/doctrine/condition_translator.class.php',
         'DoctrineConditionVariableTranslator' => '/shared/storage/implementation/doctrine/condition_variable_translator.class.php',
         'DoctrineConnection' => '/shared/storage/implementation/doctrine/connection.class.php',
         'DoctrineDatabase' => '/shared/storage/implementation/doctrine/database.class.php',
         'DoctrineDataSourceName' => '/shared/storage/implementation/doctrine/data_source_name.class.php',
         'DoctrineResultSet' => '/shared/storage/implementation/doctrine/result_set.class.php',
         'DoctrineAggregateConditionTranslator' => '/shared/storage/implementation/doctrine/condition/aggregate_condition.class.php',
         'DoctrineAndConditionTranslator' => '/shared/storage/implementation/doctrine/condition/and_condition.class.php',
         'DoctrineEqualityConditionTranslator' => '/shared/storage/implementation/doctrine/condition/equality_condition.class.php',
         'DoctrineInequalityConditionTranslator' => '/shared/storage/implementation/doctrine/condition/inequality_condition.class.php',
         'DoctrineInConditionTranslator' => '/shared/storage/implementation/doctrine/condition/in_condition.class.php',
         'DoctrineNotConditionTranslator' => '/shared/storage/implementation/doctrine/condition/not_condition.class.php',
         'DoctrineOrConditionTranslator' => '/shared/storage/implementation/doctrine/condition/or_condition.class.php',
         'DoctrinePatternMatchConditionTranslator' => '/shared/storage/implementation/doctrine/condition/pattern_match_condition.class.php',
         'DoctrineSubselectConditionTranslator' => '/shared/storage/implementation/doctrine/condition/subselect_condition.class.php',
         'DoctrineFixedPropertyConditionVariableTranslator' => '/shared/storage/implementation/doctrine/condition_variable/fixed_property.class.php',
         'DoctrineOperationConditionVariableTranslator' => '/shared/storage/implementation/doctrine/condition_variable/operation.class.php',
         'DoctrinePropertyConditionVariableTranslator' => '/shared/storage/implementation/doctrine/condition_variable/property.class.php',
         'DoctrineStaticConditionVariableTranslator' => '/shared/storage/implementation/doctrine/condition_variable/static.class.php',
         'Mdb2ConditionTranslator' => '/shared/storage/implementation/mdb2/condition_translator.class.php',
         'Mdb2ConditionVariableTranslator' => '/shared/storage/implementation/mdb2/condition_variable_translator.class.php',
         'Mdb2Connection' => '/shared/storage/implementation/mdb2/connection.class.php',
         'Mdb2Database' => '/shared/storage/implementation/mdb2/database.class.php',
         'Mdb2DataSourceName' => '/shared/storage/implementation/mdb2/data_source_name.class.php',
         'Mdb2ResultSet' => '/shared/storage/implementation/mdb2/result_set.class.php',
         'DatabaseBackup' => '/shared/storage/implementation/mdb2/backup/database_backup.class.php',
         'MysqlBackup' => '/shared/storage/implementation/mdb2/backup/types/mysql_backup.class.php',
         'Mdb2AggregateConditionTranslator' => '/shared/storage/implementation/mdb2/condition/aggregate_condition.class.php',
         'Mdb2AndConditionTranslator' => '/shared/storage/implementation/mdb2/condition/and_condition.class.php',
         'Mdb2EqualityConditionTranslator' => '/shared/storage/implementation/mdb2/condition/equality_condition.class.php',
         'Mdb2InequalityConditionTranslator' => '/shared/storage/implementation/mdb2/condition/inequality_condition.class.php',
         'Mdb2InConditionTranslator' => '/shared/storage/implementation/mdb2/condition/in_condition.class.php',
         'Mdb2NotConditionTranslator' => '/shared/storage/implementation/mdb2/condition/not_condition.class.php',
         'Mdb2OrConditionTranslator' => '/shared/storage/implementation/mdb2/condition/or_condition.class.php',
         'Mdb2PatternMatchConditionTranslator' => '/shared/storage/implementation/mdb2/condition/pattern_match_condition.class.php',
         'Mdb2SubselectConditionTranslator' => '/shared/storage/implementation/mdb2/condition/subselect_condition.class.php',
         'Mdb2FixedPropertyConditionVariableTranslator' => '/shared/storage/implementation/mdb2/condition_variable/fixed_property.class.php',
         'Mdb2OperationConditionVariableTranslator' => '/shared/storage/implementation/mdb2/condition_variable/operation.class.php',
         'Mdb2PropertyConditionVariableTranslator' => '/shared/storage/implementation/mdb2/condition_variable/property.class.php',
         'Mdb2StaticConditionVariableTranslator' => '/shared/storage/implementation/mdb2/condition_variable/static.class.php',
         'SimpleTemplate' => '/shared/string/simple_template.class.php',
         'StringUtilities' => '/shared/string/string_utilities.class.php',
         'CacheData' => '/shared/system_cache/cache_data.class.php',
         'CacheDataTransient' => '/shared/system_cache/cache_data_transient.class.php',
         'CacheSynch' => '/shared/system_cache/cache_synch.class.php',
         'ClientCache' => '/shared/system_cache/client_cache.class.php',
         'ExitAction' => '/shared/system_cache/exit_action.class.php',
         'FileCache' => '/shared/system_cache/file_cache.class.php',
         'ResourceCache' => '/shared/system_cache/resource_cache.class.php',
         'SystemCache' => '/shared/system_cache/system_cache.class.php',
         'Test' => '/shared/test/test.class.php',
         'CheckSourceCodeTest' => '/shared/test/acceptance/check_source_code_test.class.php',
         'DataClassIntegrationTestCase' => '/shared/test/integration/data_class_integration_test_case.class.php',
         'DataClassUnitTestCase' => '/shared/test/unit/data_class_unit_test_case.class.php',
         'DataClassTest' => '/shared/test/unit/storage/data_class_test.class.php',
         'Translation' => '/shared/translation/translation.class.php',
         'application_generator\MyTemplate' => '/shared/util/application_generator/my_template.class.php',
         'application_generator\AutoloaderGenerator' => '/shared/util/application_generator/autoloader_generator/autoloader_generator.class.php',
         'application_generator\ComponentGenerator' => '/shared/util/application_generator/component_generator/component_generator.class.php',
         'application_generator\DataClassGenerator' => '/shared/util/application_generator/data_class_generator/data_class_generator.class.php',
         'application_generator\DataManagerGenerator' => '/shared/util/application_generator/data_manager_generator/data_manager_generator.class.php',
         'application_generator\FormGenerator' => '/shared/util/application_generator/form_generator/form_generator.class.php',
         'application_generator\InstallGenerator' => '/shared/util/application_generator/install_generator/install_generator.class.php',
         'application_generator\ManagerGenerator' => '/shared/util/application_generator/manager_generator/manager_generator.class.php',
         'application_generator\PackageInfoGenerator' => '/shared/util/application_generator/package_info_generator/package_info_generator.class.php',
         'application_generator\RightsGenerator' => '/shared/util/application_generator/rights_generator/rights_generator.class.php',
         'application_generator\SortableTableGenerator' => '/shared/util/application_generator/sortable_table_generator/sortable_table_generator.class.php',
         'content_object_generator\MyTemplate' => '/shared/util/content_object_generator/my_template.class.php',
         'content_object_generator\AdditionalClassGenerator' => '/shared/util/content_object_generator/additional_class_generator/additional_class_generator.class.php',
         'content_object_generator\DataClassGenerator' => '/shared/util/content_object_generator/data_class_generator/data_class_generator.class.php',
         'content_object_generator\FormGenerator' => '/shared/util/content_object_generator/form_generator/form_generator.class.php',
         'content_object_generator\PackageInfoGenerator' => '/shared/util/content_object_generator/package_info_generator/package_info_generator.class.php',
         'data_class_generator\MyTemplate' => '/shared/util/data_class_generator/my_template.class.php',
         'data_class_generator\DataClassGenerator' => '/shared/util/data_class_generator/data_class_generator/data_class_generator.class.php',
         'RssIconGenerator' => '/shared/util/rss_icon_generator/rss_icon_generator.class.php',
         'AutoloaderUtilities' => '/shared/util/various/autoloader_utilities.class.php',
         'CodeUtilities' => '/shared/util/various/code_utilities.class.php',
         'Validator' => '/shared/validator/validator.class.php',
         'Webservice' => '/shared/webservice/webservice.class.php',
         'WebserviceAuthentication' => '/shared/webservice/authentication/webservice_authentication.class.php',
         'ChamiloWebserviceAuthentication' => '/shared/webservice/authentication/chamilo/chamilo_webservice_authentication.class.php',
         'DigestWebserviceAuthentication' => '/shared/webservice/authentication/digest/digest_webservice_authentication.class.php',
         'OauthWebserviceAuthentication' => '/shared/webservice/authentication/oauth/oauth_webservice_authentication.class.php',
         'ChamiloRestServer' => '/shared/webservice/rest/chamilo_rest_server.class.php',
         'NoAuthenticationWebservice' => '/shared/webservice/rest/no_authentication_webservice.class.php',
         'RestMessageRenderer' => '/shared/webservice/rest/rest_message_renderer.class.php',
         'RestServer' => '/shared/webservice/rest/rest_server.class.php',
         'SuccessRestMessage' => '/shared/webservice/rest/success_rest_message.class.php',
         'WebserviceHandler' => '/shared/webservice/rest/webservice_handler.class.php',
         'RestAuthentication' => '/shared/webservice/rest/client/rest_authentication.class.php',
         'RestData' => '/shared/webservice/rest/client/rest_data.class.php',
         'CurlBasicRestAuthentication' => '/shared/webservice/rest/client/authentication/curl/curl_basic_rest_authentication.class.php',
         'CurlDigestRestAuthentication' => '/shared/webservice/rest/client/authentication/curl/curl_digest_rest_authentication.class.php',
         'CurlRestClient' => '/shared/webservice/rest/client/client/curl_rest_client.class.php',
         'FormRestData' => '/shared/webservice/rest/client/data/form_data.class.php',
         'PlainRestData' => '/shared/webservice/rest/client/data/plain_data.class.php',
         'UrlRestData' => '/shared/webservice/rest/client/data/url_data.class.php',
         'HtmlRestResult' => '/shared/webservice/rest/client/result/html_rest_result.class.php',
         'JsonRestResult' => '/shared/webservice/rest/client/result/json_rest_result.class.php',
         'PlainRestResult' => '/shared/webservice/rest/client/result/plain_rest_result.class.php',
         'XmlRestResult' => '/shared/webservice/rest/client/result/xml_rest_result.class.php',
         'PearRestClient' => '/shared/webservice/rest/client/type/pear_rest_client.class.php',
         'CreateObjectWebserviceHandler' => '/shared/webservice/rest/handler/create_object_webservice_handler.class.php',
         'DeleteObjectWebserviceHandler' => '/shared/webservice/rest/handler/delete_object_webservice_handler.class.php',
         'GetObjectListWebserviceHandler' => '/shared/webservice/rest/handler/get_object_list_webservice_handler.class.php',
         'GetObjectWebserviceHandler' => '/shared/webservice/rest/handler/get_object_webservice_handler.class.php',
         'UpdateObjectWebserviceHandler' => '/shared/webservice/rest/handler/update_object_webservice_handler.class.php',
         'HtmlRestMessageRenderer' => '/shared/webservice/rest/rest_message_renderer/html_rest_message_renderer.class.php',
         'JsonRestMessageRenderer' => '/shared/webservice/rest/rest_message_renderer/json_rest_message_renderer.class.php',
         'PlainRestMessageRenderer' => '/shared/webservice/rest/rest_message_renderer/plain_rest_message_renderer.class.php',
         'XmlRestMessageRenderer' => '/shared/webservice/rest/rest_message_renderer/xml_rest_message_renderer.class.php',
         'SoapNusoapWebservice' => '/shared/webservice/soap/nusoap/soap_nusoap_webservice.class.php',
         'XMLUtilities' => '/shared/xml/xml_utilities.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>