<?php
namespace common\libraries;

/**
 * A ConditionVariable that describes a static value
 *
 * @author Hans De Bisschop
 * @package common.libraries
 */
class StaticConditionVariable extends ConditionVariable
{
    /**
     * A static value that should remain unchanged in the Condition
     *
     * @var string
     */
    private $value;

    /**
     *
     * @param $value string
     */
    function __construct($value)
    {
        $this->value = $value;
    }

    /**
     * Get the static value
     *
     * @return string
     */
    public function get_value()
    {
        return $this->value;
    }

    /**
     * Set the static value
     *
     * @param $value string
     */
    public function set_value($value)
    {
        $this->value = $value;
    }

}

?>