<?php
namespace common\libraries;

use PHPExcel;
use PHPExcel_IOFactory;
use reporting\ReportingManager;
/**
 * $Id: excel_export.class.php 128 2010-05-21 13:56:20Z David Hosse $
 * @package common.export.excel
 */
require_once Path :: get_plugin_path() . 'phpexcel/PHPExcel.php';

/**
 * Exports data to Pdf
 */
class PdfExport extends Export
{
    const EXPORT_TYPE = 'pdf';

    public function render_data()
    {
        $pdf = new PHPExcel_Writer_PDF();

        header('Content-Type: application/pdf');
        header('Content-Disposition: attachment;filename="' . $this->get_filename() . '"');
        header('Cache-Control: max-age=0');
        $objWriter = PHPExcel_IOFactory :: createWriter($pdf, 'PDF');
        return $objWriter->save('php://output');

    }

    function transcode_string($string)
    {
        $stripped_answer = trim(strip_tags(html_entity_decode($string, ENT_QUOTES, 'UTF-8')));
        $stripped_answer = str_replace(html_entity_decode('&nbsp;', ENT_COMPAT, 'UTF-8'), ' ', $stripped_answer);
        $stripped_answer = preg_replace('/[ \n\r\t]{2,}/', ' ', $stripped_answer);
        return $stripped_answer;

     //        return iconv('UTF-8', 'ISO-8859-1//TRANSLIT', $stripped_answer);


    }

    function get_type()
    {
        return self :: EXPORT_TYPE;
    }
}
?>