<?php
namespace common\libraries;

use user\User;
use user\UserDataManager;
use menu\MenuRenderer;
use user\UserManager;

/**
 * $Id: banner.class.php 179 2009-11-12 13:51:39Z vanpouckesven $
 *
 * @package common.html
 */

/**
 * Class to display the banner of a HTML-page
 */
class Banner
{

    /**
     * Displays the banner.
     */
    public function display()
    {
        echo $this->toHtml();
    }

    /**
     * Creates the HTML output for the banner.
     */
    public function toHtml()
    {
        $output = array();

        if (Authentication :: is_valid())
        {
            $user = \user\DataManager :: retrieve_by_id(User :: CLASS_NAME, Session :: get_user_id());
        }

        if (! is_null(Session :: get('_as_admin')))
        {
            $link = Redirect :: get_link(UserManager :: APPLICATION_NAME, array(
                    Application :: PARAM_ACTION => UserManager :: ACTION_ADMIN_USER), array(), false, Redirect :: TYPE_CORE);
            $output[] = '<div id="emulator">' . Translation :: get('LoggedInAsUser', null, UserManager :: APPLICATION_NAME) . ' ' . $user->get_fullname() . ' <a href="' . $link . '">' . Translation :: get('Back', null, Utilities :: COMMON_LIBRARIES) . '</a></div>';
        }

        $output[] = '<a name="top"></a>';
        $output[] = '<div id="header">  <!-- header section start -->';
        $output[] = '<div id="header1"> <!-- top of banner with institution name/hompage link -->';
        $output[] = '<div class="banner"><a href="' . Path :: get(WEB_PATH) . 'index.php" target="_top"><span class="logo">' . PlatformSetting :: get('site_name', 'admin') . '</span></a></div>';

        if (Authentication :: is_valid())
        {
            $output[] = '<div class="applications">';
            $output[] = MenuRenderer :: as_html(MenuRenderer :: TYPE_MINI_BAR, $user);
            $output[] = '<div class="clear">&nbsp;</div>';
            $output[] = '</div>';
            $output[] = '<div class="clear">&nbsp;</div>';
        }

        $output[] = '</div> <!-- end of #header1 -->';

        $breadcrumbtrail = BreadcrumbTrail :: get_instance();
        if ($breadcrumbtrail->size() > 0)
        {
            $output[] = '<div id="trailbox">';

            $output[] = $breadcrumbtrail->render();

            $output[] = '<div class="clear">&nbsp;</div>';
            $output[] = '</div>';
        }

        $output[] = '<div class="clear">&nbsp;</div>';
        $output[] = '</div> <!-- end of the whole #header section -->';

        return implode("\n", $output);
    }
}
?>