<?php
namespace common\libraries;

/**
 * Class to determine the types for an advanced element finder
 * @author Sven Vanpoucke
 */
class AdvancedElementFinderElementTypes
{
    private $types;

    function __construct($types)
    {
        $this->set_types($types);
    }

    // Setters and getters


    function set_types($types)
    {
        $this->types = $types;
    }

    function get_types()
    {
        return $this->types;
    }

    // Helper functions


    /**
     * Adds an element type to the types list
     * @param AdvancedElementFinderElementType $type
     */
    function add_element_type(AdvancedElementFinderElementType $type)
    {
        if (! $type instanceof AdvancedElementFinderElementType)
        {
            return false;
        }

        $this->types[] = $type;
    }

    /**
     * Renders the types as an array
     * @return Array
     */
    function as_array()
    {
        $array = array();

        $types = $this->get_types();

        foreach ($types as $type)
        {
            $array[] = $type->as_array();
        }

        return $array;
    }
}

?>
