<?php
namespace common\libraries;

use common\extensions\repo_viewer\RepoViewer;

class ImageContentObjectTable extends ObjectTable
{
    const DEFAULT_NAME = 'image_content_object_table';

    /**
     * Constructor.
     * @param int $owner The id of the current user.
     * @param array $types The types of objects that can be published in current
     * location.
     * @param string $query The search query, or null if none.
     * @param string $publish_url_format URL for publishing the selected
     * learning object.
     * @param string $edit_and_publish_url_format URL for editing and publishing
     * the selected learning object.
     * @see PublicationCandidateTableCellRenderer::PublicationCandidateTableCellRenderer()
     */
    function __construct($parent, $owner, $types, $query, $table_actions)
    {
        $data_provider = new ImageContentObjectTableDataProvider($owner, $types, $query, $parent);
        $column_model = new ImageContentObjectTableColumnModel();
        $cell_renderer = new ImageContentObjectTableCellRenderer($parent);
        parent :: __construct($data_provider, ImageContentObjectTable :: DEFAULT_NAME, $column_model, $cell_renderer);
        
        if ($parent->get_maximum_select() != RepoViewer :: SELECT_SINGLE)
        {
            $actions = array();
            $actions[] = new ObjectTableFormAction(RepoViewer :: PARAM_PUBLISH_SELECTED, Translation :: get('PublishSelected', null, Utilities :: COMMON_LIBRARIES), false);
        }
        
        $this->set_form_actions($actions);
    }
}
?>