<?php
namespace common\libraries;

use common\extensions\repo_viewer\ContentObjectTableDataProvider;
use repository\RepositoryDataManager;
use repository\content_object\document\Document;

class ImageContentObjectTableDataProvider extends ContentObjectTableDataProvider
{

    /**
     * Constructor.
     * @param int $owner The user id of the current active user.
     * @param array $types The possible types of learning objects which can be
     * selected.
     * @param string $query The search query.
     */
    function __construct($owner, $types, $query = null, $parent)
    {
        parent :: __construct($owner, $types, $query, $parent);
    }

    /*
	 * Inherited
	 */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        $dm = RepositoryDataManager :: get_instance();

        if (! $this->get_parent()->is_shared_object_browser())
        {
            return $dm->retrieve_active_content_objects($this->get_condition(), $order_property, $offset, $count);
        }
        else
        {
            return $dm->retrieve_shared_content_objects($this->get_condition(), $offset, $count, $order_property);
        }
    }

    /*
	 * Inherited
	 */
    function get_object_count()
    {
        $dm = RepositoryDataManager :: get_instance();
        
        if (! $this->get_parent()->is_shared_object_browser())
        {
            return $dm->count_active_content_objects($this->get_condition());
        }
        else
        {
            return $dm->count_shared_content_objects($this->get_condition());
        }
    }

//    function get_type_conditions()
//    {
//        $image_types = Document :: get_image_types();
//        $image_conditions = array();
//        foreach ($image_types as $image_type)
//        {
//            $image_conditions[] = new PatternMatchCondition(Document :: PROPERTY_FILENAME, '*.' . $image_type, Document :: get_type_name());
//        }
//        
//        return new OrCondition($image_conditions);
//    }
}
?>