<?php
namespace common\libraries;

use repository\ContentObject;

use repository\RepositoryDataManager;

use repository\content_object\document\Document;

use common\extensions\repo_viewer\RepoViewer;

class HtmlEditorChamiloRepoViewer extends HtmlEditorRepoViewer
{

    function __construct($parent, $types, $maximum_select = RepoViewer :: SELECT_MULTIPLE, $excluded_objects = array(), $parse_input = true)
    {
        parent :: __construct($parent, $types, $maximum_select, $excluded_objects, $parse_input);
    }

    function get_application_component_path()
    {
        return dirname(__FILE__) . '/component/';
    }

    static function get_allowed_content_object_types()
    {
        // FIXME this is a cyclic dependency to content_object/Document
        $types = array();

        $active_types = RepositoryDataManager :: get_registered_types(true);
        foreach ($active_types as $active_type)
        {
        	$namespace = ContentObject :: type_to_class($active_type);

            if (in_array('common\libraries\Includeable', (array) class_implements($namespace)))
            {
                $types[] = $active_type;
            }

        }
        return $types;
    }

    function get_types()
    {
        return array();
    }
}
?>