<?php
namespace common\libraries;

use common\extensions\repo_viewer\ContentObjectTableCellRenderer;
use repository\ContentObject;
use common\extensions\repo_viewer\ContentObjectTableColumnModel;

/**
 * $Id: handbook_item_content_object_table_cell_renderer.class.php 191 2009-11-13 11:50:28Z chellee $
 * @package application.common.repo_viewer.component.content_object_table
 */
/**
 * This class is a cell renderer for a publication candidate table
 */
class HandbookItemContentObjectTableCellRenderer extends ContentObjectTableCellRenderer
{

    /**
     * Gets the default columns for this model
     * @return ContentObjectTableColumn[]
     */
    private static function get_columns()
    {

    }

    function render_cell($column, $content_object)
    {
        $rdm = \repository\RepositoryDataManager :: get_instance();
        $co_id = $content_object->get_reference();
        $co = $rdm->retrieve_content_object($co_id);

        switch ($column->get_name())
        {
            case ContentObject :: PROPERTY_ID :
                return $content_object->get_id();
            case ContentObject :: PROPERTY_TYPE :
                return $content_object->get_icon_image();
            case ContentObject :: PROPERTY_TITLE :
                return Utilities :: truncate_string($co->get_title(), 50);
            case ContentObject :: PROPERTY_DESCRIPTION :
                return Utilities :: truncate_string($co->get_description(), 50);
            case Translation :: get('Publish', null, Utilities :: COMMON_LIBRARIES) :
                //                return 'test2';
                return $this->get_publish_links($content_object);
            default :
                return '&nbsp;';
        }
    }
}
?>