<?php
namespace common\libraries;

abstract class NewGalleryObjectTableDataProvider
{
    /**
     *
     * @var NewObjectTable
     */
    private $object_table;

    /**
     *
     * @param $object_table NewObjectTable
     */
    function __construct($object_table)
    {
        $this->object_table = $object_table;
    }

    function get_condition()
    {
        return $this->get_object_table()->get_condition();
    }

    /**
     *
     * @return \common\libraries\NewObjectTable
     */
    function get_object_table()
    {
        return $this->object_table;
    }

    /**
     *
     * @param $order_property unknown_type
     * @return multitype:ObjectTableOrder
     */
    function get_order_property($order_property)
    {
        if (is_null($order_property))
        {
            $order_property = array();
        }
        elseif (! is_array($order_property))
        {
            $order_property = array($order_property);
        }
        
        return $order_property;
    }

    /**
     *
     * @param $offset int
     * @param $count int
     * @param $order_property multitype:ObjectTableOrder
     */
    abstract function get_objects($offset, $count, $order_property = null);

    abstract function get_object_count();
}
?>