<?php
namespace common\libraries;

use repository\ContentObjectRendition;
use repository\ContentObjectRenditionImplementation;

use repository\RepositoryManager;
use repository\RepositoryDataManager;
use repository\ContentObject;

class AttachmentViewerLauncher extends LauncherApplication
{
    const APPLICATION_NAME = 'attachment_viewer';

    function __construct($user)
    {
        parent :: __construct($user);
    }

    function run()
    {
        $this->display_header();
        
        $object_id = Request :: get(RepositoryManager :: PARAM_CONTENT_OBJECT_ID);
        if ($object_id)
        {
            $object = RepositoryDataManager :: get_instance()->retrieve_content_object($object_id);
            if ($object)
            {
                $security_code = Request :: get(ContentObject :: PARAM_SECURITY_CODE);
                if ($object->calculate_security_code() == $security_code)
                {
            		echo ContentObjectRenditionImplementation :: launch($object, ContentObjectRendition :: FORMAT_HTML, ContentObjectRendition :: VIEW_FULL, $this);
     			}
                else
                {
                    $this->display_error_message('SecurityCodeNotValid');
                }
            }
            else
            {
                $this->display_error_message('NotFound');
            }
        }
        else
        {
            $this->display_error_message('NoObjectSelected');
        }
        
        $this->display_footer();
    }

    public function get_link($parameters = array (), $filter = array(), $encode_entities = false, $application_type = Redirect :: TYPE_APPLICATION)
    {
        // Use this untill PHP 5.3 is available
    // Then use get_class($this) :: APPLICATION_NAME
    // and remove the get_application_name function();
    //$application = $this->get_application_name();
    //return Redirect :: get_link($application, $parameters, $filter, $encode_entities, $application_type);
    }

    function get_application_name()
    {
        return self :: APPLICATION_NAME;
    }
    
    function get_content_object_display_attachment_url()
    {}
}
?>