<?php

namespace common\libraries;

use PHPMailer;

/**
 * $Id: phpmailer_mail.class.php 128 2009-11-09 13:13:20Z vanpouckesven $
 *
 * @package common.mail.phpmailer
 */
require_once Path :: get_plugin_path() . 'phpmailer/class.phpmailer.php';

/**
 * This class implements the abstract Mail class and uses the phpmailer project to send the emails.
 */
class PhpmailerMail extends Mail
{

    function send()
    {
        global $phpmailer_config;
        require_once (dirname(__FILE__) . '/phpmailer.conf.php');
        $mail = new PHPMailer();
        $mail->isHtml(true);
        $mail->CharSet = 'utf-8';
        $mail->Mailer = $phpmailer_config['SMTP_MAILER'];
        $mail->Host = $phpmailer_config['SMTP_HOST'];
        $mail->Port = $phpmailer_config['SMTP_PORT'];
        if ($phpmailer_config['SMTP_AUTH'])
        {
            $mail->SMTPAuth = 1;
            $mail->Username = $phpmailer_config['SMTP_USER'];
            $mail->Password = $phpmailer_config['SMTP_PASS'];
        }

        $mail->Priority = 3; // 5=low, 1=high
        $mail->AddCustomHeader('Errors-To: ' . $phpmailer_config['SMTP_FROM_EMAIL']);

        $mail->SMTPKeepAlive = true;

        if (! is_null($this->get_from()))
        {
            $mail->From = $this->get_from_email();
            $mail->Sender = $this->get_from_email();
            $mail->FromName = $this->get_from_name();
            $mail->AddCustomHeader('Return-Path: <' . $this->get_from_email() . '>');
        }

        if (! is_null($this->get_reply()))
        {

            $mail->AddReplyTo($this->get_reply_email(), $this->get_reply_name());
            $mail->AddCustomHeader('Return-Path: <' . $this->get_reply_email() . '>');
        }
        else
        {
            $mail->From = $phpmailer_config['SMTP_FROM_EMAIL'];
            $mail->Sender = $phpmailer_config['SMTP_FROM_EMAIL'];
            $mail->FromName = $phpmailer_config['SMTP_FROM_NAME'];
        }

        foreach ($this->get_embedded_images() as $i => $fn)
        {
            $parts = split('/', $fn);
            // only use actual file name as alias
            $mail->AddEmbeddedImage($fn, $i, $parts[count($parts) - 1]);
        }

        foreach ($this->get_attachments() as $fn => $alias)
        {
            $mail->AddAttachment($fn, $alias);
        }

        $mail->Body = $this->get_message();
        $mail->Subject = $this->get_subject();

        foreach ($this->get_to() as $index => $recipient)
        {
            $mail->AddAddress($recipient, $recipient);
        }

        if (! $mail->Send())
        {
            return false;
        }
        $mail->ClearAddresses();
        return true;
    }

}

?>
