<?php
namespace common\libraries;

/**
 *
 * @package common.libraries
 * @author Hans De Bisschop
 */
abstract class ConditionVariableTranslator
{
    private $condition_translator;

    private $condition_variable;

    /**
     *
     * @param $condition_variable \common\libraries\ConditionVariable
     */
    function __construct(ConditionTranslator $condition_translator, ConditionVariable $condition_variable)
    {
        $this->condition_translator = $condition_translator;
        $this->condition_variable = $condition_variable;
    }

    function get_condition_variable()
    {
        return $this->condition_variable;
    }

    function get_condition_translator()
    {
        return $this->condition_translator;
    }

    abstract function translate();

    static function factory(ConditionTranslator $condition_translator, ConditionVariable $condition_variable)
    {
        $type = $condition_translator->get_data_manager()->get_type();
        $class = __NAMESPACE__ . '\\' . Utilities :: underscores_to_camelcase($type) . Utilities :: get_classname_from_object($condition_variable) . 'Translator';

        return new $class($condition_translator, $condition_variable);
    }

    static function render(ConditionTranslator $condition_translator, ConditionVariable $condition_variable)
    {
        return static :: factory($condition_translator, $condition_variable)->translate();
    }

}
?>