<?php

namespace common\libraries;

/**
 * This class represents the parameters to retrieve (a) foreign object(s) in a one to many relation
 * 
 * @package common\libraries
 * @authro Sven Vanpoucke - Hogeschool Gent
 */
class OneToManyForeignObjectsParameters extends ForeignObjectsParameters
{
    /**
     * **************************************************************************************************************
     * Inherited Functionality
     * **************************************************************************************************************
     */
    
    /**
     * Returns the condition for the foreign objects retrieval 
     * 
     * @return Condition
     */
    public function get_condition()
    {
	return new EqualityCondition($this->get_foreign_key(), $this->get_base_object()
		->get_default_property(DataClass :: PROPERTY_ID));
    }
    
    /**
     * Sets the foreign key
     * If no foreign key is given, the foreign key is generated using the base class table name
     * 
     * @param int $foreign_key 
     */
    public function set_foreign_key($foreign_key)
    {
	if(is_null($foreign_key))
	{
	    $foreign_key = $this->generate_key($base_object->get_table_name());
	}
	
	parent :: set_foreign_key($foreign_key);
    }

}

?>
