<?php
namespace common\libraries;

use Exception;

/**
 *
 * @package common.libraries.storage.doctrine
 * @author Hans De Bisschop
 */

class DoctrineInConditionTranslator extends NewConditionTranslator
{

    function translate()
    {
        $values = $this->get_condition()->get_values();

        if (! is_array($values))
        {
            $values = array($values);
        }

        if (count($values) > 0)
        {
            $where_clause = array();
            $where_clause[] = ConditionVariableTranslator :: render($this, $this->get_condition()->get_name()) . ' IN (';

            $placeholders = array();
            foreach ($values as $value)
            {
                $placeholders[] = $this->get_data_manager()->quote($value);
            }

            $where_clause[] = implode(',', $placeholders);
            $where_clause[] = ')';
            return implode('', $where_clause);
        }
        else
        {
            return 'true = false';
        }
    }
}
?>