<?php
namespace common\libraries;

class DoctrineDataSourceName extends DataSourceName
{
    /*
     * (non-PHPdoc) @see common\libraries.DataSourceName::get_implemented_driver()
     */
    function get_implemented_driver()
    {
        switch ($this->get_driver())
        {
            case self :: DRIVER_OCI8 :
                return self :: DRIVER_OCI8;
                break;
            case self :: DRIVER_PGSQL :
                return 'pdo_pgsql';
                break;
            case self :: DRIVER_SQLITE :
                return 'pdo_sqlite';
                break;
            case self :: DRIVER_MYSQL :
                return 'pdo_mysql';
                break;
            case self :: DRIVER_MSSQL :
                return 'pdo_sqlsrv';
                break;
            case self :: DRIVER_IBM_DB2 :
                return 'ibm_db2';
                break;
            case self :: DRIVER_IBM :
                return 'pdo_ibm';
                break;
            case self :: DRIVER_OCI :
                return 'pdo_oci';
                break;
            // Deprecated option for backwards compatibility with older configuration files
            case 'mysqli' :
                return 'pdo_mysql';
                break;
            default :
                throw new \Exception('The requested driver (' . $this->get_driver() . ') is not available in Doctrine. Please provide a driver for Doctrine or choose another implementation');
                break;
        }

    }

}

?>