<?php
namespace common\libraries;

use Exception;

/**
 *
 * @package common.libraries.storage.mdb2
 * @author Hans De Bisschop
 */

class Mdb2SubselectConditionTranslator extends NewConditionTranslator
{

    function translate()
    {
        $string = array();

        $string[] = ConditionVariableTranslator :: render($this, $this->get_condition()->get_name());
        $string[] = 'IN (';

        $string[] = 'SELECT';
        $string[] = ConditionVariableTranslator :: render($this, $this->get_condition()->get_value());
        $string[] = 'FROM';

        $class = $this->get_condition()->get_value()->get_class();
        $table = $class :: get_table_name();
        $alias = StorageAliasGenerator :: get_instance()->get_data_class_alias($class);
        $namespace = Utilities :: get_namespace_from_classname($class);
        $datamanager_class = $namespace . '\\DataManager';

        $string[] = $datamanager_class :: get_instance()->escape_table_name($table);
        $string[] = 'AS';
        $string[] = $alias;

        if ($this->get_condition()->get_condition())
        {
            $string[] = 'WHERE ';
            $string[] = NewConditionTranslator :: render($this->get_data_manager(), $this->get_condition()->get_condition());
        }

        $string[] = ')';

        return implode(' ', $string);

    }

}
?>