<?php
namespace common\libraries;

/**
 * Translation of ConditionVariables in the context of an MDB2-based storage layer
 *
 * @package common.libraries
 * @author Hans De Bisschop
 */
class Mdb2OperationConditionVariableTranslator extends Mdb2ConditionVariableTranslator
{

    function translate()
    {
        $strings = array();

        $strings[] = '(';
        $strings[] = static :: render($this->get_condition_translator(), $this->get_condition_variable()->get_left());

        switch ($this->get_condition_variable()->get_operator())
        {
            case OperationConditionVariable :: ADDITION :
                $strings[] = '+';
                break;
            case OperationConditionVariable :: DIVISION :
                $strings[] = '/';
                break;
            case OperationConditionVariable :: MINUS :
                $strings[] = '-';
                break;
            case OperationConditionVariable :: MULTIPLICATION :
                $strings[] = '*';
                break;
        }

        $strings[] = static :: render($this->get_condition_translator(), $this->get_condition_variable()->get_right());
        $strings[] = ')';

        return implode(' ', $strings);
    }
}
?>