<?php
namespace common\libraries;

/**
 *
 * @package common.libraries.storage
 * @author Hans De Bisschop
 */
abstract class NewConditionTranslator
{
    private $data_manager;

    private $condition;

    function __construct(DataManager $data_manager, Condition $condition)
    {
        $this->data_manager = $data_manager;
        $this->condition = $condition;
    }

    function get_data_manager()
    {
        return $this->data_manager;
    }

    function get_condition()
    {
        return $this->condition;
    }

    abstract function translate();

    static function factory(DataManager $data_manager, Condition $condition)
    {
        $type = $data_manager->get_type();
        $class = __NAMESPACE__ . '\\' . Utilities :: underscores_to_camelcase($type) . Utilities :: get_classname_from_object($condition) . 'Translator';

        return new $class($data_manager, $condition);
    }

    static function render(DataManager $data_manager, Condition $condition)
    {
        return static :: factory($data_manager, $condition)->translate();
    }
}
?>