<?php
namespace common\libraries;

/**
 * This abstract test case is used for all the testcases of dataclasses. It tests the default property names function.
 *
 * @author Sven Vanpoucke - Hogeschool Gent
 */
abstract class DataClassTest extends Test
{
    /****************************************************************************************************************
    * Test functionality                                                                                            *
    ****************************************************************************************************************/

    /**
     * Tests the get default property names method
     */
    public function test_get_default_property_names()
    {
        $data_class_object = $this->get_data_class_object();

        $reflection_class = new \ReflectionClass($data_class_object);
        $constants = $reflection_class->getConstants();

        $number_of_constants = 0;

        foreach($constants as $constant_name => $constant_value)
        {
            if(strpos($constant_name, 'PROPERTY') === 0)
            {
                $number_of_constants++;
            }
        }

        $this->assertEquals($number_of_constants, count($data_class_object->get_default_property_names()));
    }

    /****************************************************************************************************************
    * Abstract functionality                                                                                        *
    ****************************************************************************************************************/

    /**
     * Returns the object for the current tested dataclass
     *
     * @return DataClass
     */
    abstract protected function get_data_class_object();
}
