<?php
namespace common\libraries;

abstract class RestAuthentication
{
    private $client;

    const TYPE_DIGEST = 'digest';
    const TYPE_BASIC = 'basic';

    function __construct(RestClient $client)
    {
        $this->client = $client;
    }

    static function factory(RestClient $client, $type)
    {
        $mode = $client->get_mode();
        $rest_authentication_class_file = dirname(__FILE__) . '/authentication/' . $mode . '/' . $mode . '_' . $type . '_rest_authentication.class.php';
        $rest_authentication_class = __NAMESPACE__ . '\\' . Utilities :: underscores_to_camelcase($mode . '_' . $type) . 'RestAuthentication';
        return new $rest_authentication_class($client);
    }

    function get_client()
    {
        return $this->client;
    }

    abstract function authenticate();
}
?>