<?php
namespace common\libraries;

abstract class RestData
{
    private $data;

    const TYPE_FORM = 'form';
    const TYPE_URL = 'url';
    const TYPE_PLAIN = 'plain';

    function __construct($data)
    {
        $this->data = $data;
    }

    static function factory($content_type, $data)
    {
        $rest_data_class_file = dirname(__FILE__) . '/data/' . $content_type . '_data.class.php';
        $rest_data__class = __NAMESPACE__ . '\\' . Utilities :: underscores_to_camelcase($content_type) . 'RestData';
        return new $rest_data__class($data);
    }

    /**
     *
     * @return the $data
     */
    public function get_data()
    {
        return $this->data;
    }

    /**
     *
     * @param $data the $data to set
     */
    public function set_data($data)
    {
        $this->data = $data;
    }

    abstract function prepare();
}
?>