<?php

namespace common\libraries;

/**
 * Abstract class for webservice handlers
 * Keeps track of the user
 */
abstract class WebserviceHandler
{
    const PROPERTIES = 'properties';
    const PROPERTIES_EXTRA = 'extra_properties';
    /**
     * Keeps track of the user
     * @var User
     */
    private $user;
    
    /**
     * The id that can be needed to execute a webservice on a single object
     * @var Int
     */
    private $id;
    
    /**
     * The extra data that can be needed to execute a webservice
     */
    private $data;

    /**
     * Gets the user
     * @return User
     */
    function get_user()
    {
        return $this->user;
    }

    /**
     * Returns the id of the active user
     * @return int
     */
    function get_user_id()
    {
        if ($this->user)
        {
            return $this->user->get_id();
        }
        
        return 0;
    }

    /**
     * Sets the user
     * @param User $user
     */
    function set_user(User $user)
    {
        $this->user = $user;
    }

    /**
     * Returns the id
     * @return int
     */
    function get_id()
    {
        return $this->id;
    }

    /**
     * Sets the id
     * @param int $id
     */
    function set_id($id)
    {
        $this->id = $id;
    }

    /**
     * Returns the data
     * @return array
     */
    function get_data()
    {
        return $this->data;
    }

    /**
     * Sets the data
     * @param array $data
     */
    function set_data(array $data)
    {
        $this->data = $data;
    }

    abstract function run();
}

?>
