<?php
namespace context_linker;

use common\libraries\Configuration;
use metadata\MetadataDataManager;
use common\libraries\Translation;

/**
 * $Id: settings_metadata_connector.class.php 211 2009-11-13 13:28:39Z vanpouckesven $
 * @package metadata.settings
 */

/**
 * Simple connector class to facilitate rendering settings forms by
 * preprocessing data from the datamanagers to a simple array format.
 * @author Hans De Bisschop
 */

class SettingsConnector
{

    function retrieve_elements()
    {
        $elements = MetadataDataManager :: get_instance()->retrieve_metadata_elements();

        if($elements->size())
        {
            while($element = $elements->next_result())
            {
                $elem[$element->get_id()] = $element->get_ns_prefix() . ':' . $element->get_name();
            }
        }
        else
        {
            $elem[0] = Translation :: get('NoElementSelected');
        }
        return $elem;
    }


}
?>