<?php
namespace core\lynx\manager;

use common\libraries\Theme;

use common\libraries\Utilities;

use core\lynx\Action;
use common\libraries\package\Deactivator;
use common\libraries\Translation;

set_time_limit(0);
class PackageDeactivator extends Action
{

    function run()
    {
        $deactivator = Deactivator :: factory($this->get_package()->get_context());
        if (! $deactivator->run())
        {
            $this->add_message($deactivator->retrieve_message());
            $title = Translation :: get('Failed', null, Utilities:: get_namespace_parent(__NAMESPACE__));
            $image = Theme :: get_image_path(Utilities:: get_namespace_parent(__NAMESPACE__)) . 'package_action/failed.png';
            return $this->action_failed($title, $image);
            
        }
        else
        {
            $this->add_message($deactivator->retrieve_message());
            $title = Translation :: get('Finished', null, Utilities:: get_namespace_parent(__NAMESPACE__));
            $image = Theme :: get_image_path(Utilities:: get_namespace_parent(__NAMESPACE__)) . 'package_action/finished.png';
            return $this->action_successful($title, $image);
        }
    }
}
?>