<?php
namespace core\lynx\manager;

use common\libraries\NotAllowedException;
use common\libraries\package\NotAllowed;
use common\libraries\Theme;
use common\libraries\ToolbarItem;
use common\libraries\Toolbar;
use common\libraries\Translation;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\DelegateComponent;
use common\libraries\Request;

class DeactivatorComponent extends Manager implements DelegateComponent
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $context = Request :: get(self :: PARAM_CONTEXT);
        $deactivator = new PackageDeactivator($context);

        BreadcrumbTrail :: get_instance()->add(
                new Breadcrumb(null,
                        Translation :: get('DeactivatingPackage',
                                array('PACKAGE' => Translation :: get('TypeName', null, $this->context)))));

        if ($deactivator instanceof NotAllowed)
        {
            throw new NotAllowedException();
        }

        $this->display_header();
        $deactivator->run();

        $toolbar = new Toolbar();
        $toolbar->add_item(
                new ToolbarItem(Translation :: get('BackToPackageOVerview'),
                        Theme :: get_common_image_path() . 'action_back.png',
                        $this->get_url(array(self :: PARAM_ACTION => self :: ACTION_BROWSE))));
        echo $toolbar->as_html();

        $this->display_footer();
    }
}
?>