<?php
namespace core\lynx\package;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'DataManager' => '/lib/data_manager.class.php',
         'DataManagerInterface' => '/lib/data_manager_interface.class.php',
         'Info' => '/lib/info.class.php',
         'Package' => '/lib/data_class/package.class.php',
         'DoctrineDataManager' => '/lib/data_manager/doctrine.class.php',
         'Mdb2DataManager' => '/lib/data_manager/mdb2.class.php',
         'Cycle' => '/lib/properties/cycle.class.php',
         'Author' => '/lib/properties/authors/author.class.php',
         'Authors' => '/lib/properties/authors/authors.class.php',
         'Dependencies' => '/lib/properties/dependencies/dependencies.class.php',
         'DependencyVerifier' => '/lib/properties/dependencies/dependency_verifier.class.php',
         'Dependency' => '/lib/properties/dependencies/dependency/dependency.class.php',
         'Version' => '/lib/properties/dependencies/dependency/version.class.php',
         'ExtensionsDependency' => '/lib/properties/dependencies/dependency/type/extensions.class.php',
         'RegistrationDependency' => '/lib/properties/dependencies/dependency/type/registration.class.php',
         'ServerDependency' => '/lib/properties/dependencies/dependency/type/server.class.php',
         'SettingsDependency' => '/lib/properties/dependencies/dependency/type/settings.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>