<?php
namespace core\lynx;

use common\libraries\Theme;

use common\libraries\CommonDataManager;
use common\libraries\Translation;

use admin\AdminDataManager;

use common\libraries\CoreApplication;

class Manager extends CoreApplication
{
    const APPLICATION_NAME = 'lynx';

    const ACTION_BROWSE = 'browser';
    const ACTION_INSTALL = 'installer';

    const DEFAULT_ACTION = self :: ACTION_BROWSE;

    /**
     * Helper function for the Application class, pending access to class constants via variables in PHP 5.3 e.g. $name
     * = $class :: APPLICATION_NAME DO NOT USE IN THIS APPLICATION'S CONTEXT Instead use: - self :: APPLICATION_NAME in
     * the context of this class - YourApplicationManager :: APPLICATION_NAME in all other application classes
     */
    function get_application_name()
    {
        return self :: APPLICATION_NAME;
    }

    /**
     * Helper function for the Application class, pending access to class constants via variables in PHP 5.3 e.g. $name
     * = $class :: DEFAULT_ACTION DO NOT USE IN THIS APPLICATION'S CONTEXT Instead use: - self :: DEFAULT_ACTION in the
     * context of this class - YourApplicationManager :: DEFAULT_ACTION in all other application classes
     */
    function get_default_action()
    {
        return self :: DEFAULT_ACTION;
    }

    static function get_installable_application_packages($include_installed = false)
    {
        $package_list = new PackageList(self :: context(), Translation :: get('TypeName', null, __NAMESPACE__), Theme :: get_image_path() . 'logo/16.png');

        if (! CommonDataManager :: get_registration(\core\lynx\manager\Manager :: context()) || $include_installed)
        {
            $package_list->add_package(\core\lynx\manager\Manager :: context());
        }

        if (! CommonDataManager :: get_registration('core\lynx\package') || $include_installed)
        {
            $package_list->add_package('core\lynx\package');
        }

        return $package_list;
    }
}
?>