<?php
namespace core\lynx\remote;

use common\libraries\Registration;

use common\libraries\Toolbar;
use common\libraries\ToolbarItem;
use common\libraries\Theme;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\NewObjectTableCellRenderer;
use common\libraries\NewObjectTableCellRendererActionsColumnSupport;

class RemoteTableCellRenderer extends NewObjectTableCellRenderer implements
        NewObjectTableCellRendererActionsColumnSupport
{

    function render_cell($column, $registration)
    {
        switch ($column->get_name())
        {
            case Registration :: PROPERTY_NAME :
                return Translation :: get('TypeName', null, $registration->get_context());
        }

        return parent :: render_cell($column, $registration);
    }

    /**
     * Returns the actions toolbar
     *
     * @param $course Course
     * @return String
     */
    public function get_object_actions($registration)
    {
        $toolbar = new Toolbar();

        $toolbar->add_item(
                new ToolbarItem(Translation :: get('ViewPackageDetails'),
                        Theme :: get_common_image_path() . 'action_details.png',
                        $this->get_component()->get_url(
                                array(Manager :: PARAM_ACTION => Manager :: ACTION_VIEW, Manager :: PARAM_CONTEXT => $registration->get_context())),
                        ToolbarItem :: DISPLAY_ICON));

//         if (! $registration->is_up_to_date())
//         {
//             $toolbar->add_item(
//                     new ToolbarItem(Translation :: get('Update', array(), Utilities :: COMMON_LIBRARIES),
//                             Theme :: get_common_image_path() . 'action_update.png',
//                             $this->get_component()->get_url(
//                                     array(Manager :: PARAM_ACTION => Manager :: ACTION_UPDATE, Manager :: PARAM_REGISTRATION => $registration->get_id(), Manager :: PARAM_INSTALL_TYPE => Manager :: INSTALL_REMOTE)),
//                             ToolbarItem :: DISPLAY_ICON));
//         }
//         else
//         {
//             $toolbar->add_item(
//                     new ToolbarItem(Translation :: get('PackageIsAlreadyUpToDate'),
//                             Theme :: get_common_image_path() . 'action_update_na.png', '', ToolbarItem :: DISPLAY_ICON));
//         }

        if ($registration->is_active())
        {
            $toolbar->add_item(
                    new ToolbarItem(Translation :: get('Deactivate', array(), Utilities :: COMMON_LIBRARIES),
                            Theme :: get_common_image_path() . 'action_deactivate.png',
                            $this->get_component()->get_url(
                                    array(Manager :: PARAM_ACTION => Manager :: ACTION_DEACTIVATE, Manager :: PARAM_REGISTRATION => $registration->get_id())),
                            ToolbarItem :: DISPLAY_ICON));
        }
        else
        {
            $toolbar->add_item(
                    new ToolbarItem(Translation :: get('Activate', array(), Utilities :: COMMON_LIBRARIES),
                            Theme :: get_common_image_path() . 'action_activate.png',
                            $this->get_component()->get_url(
                                    array(Manager :: PARAM_ACTION => Manager :: ACTION_ACTIVATE, Manager :: PARAM_REGISTRATION => $registration->get_id())),
                            ToolbarItem :: DISPLAY_ICON));

        }

//         $toolbar->add_item(
//                 new ToolbarItem(Translation :: get('Deinstall', array(), Utilities :: COMMON_LIBRARIES),
//                         Theme :: get_common_image_path() . 'action_deinstall.png',
//                         $this->get_component()->get_url(
//                                 array(Manager :: PARAM_ACTION => Manager :: ACTION_REMOVE, Manager :: PARAM_SECTION => $registration->get_type(), Manager :: PARAM_PACKAGE => $registration->get_id())),
//                         ToolbarItem :: DISPLAY_ICON, true));

        return $toolbar->as_html();
    }
}
?>