<?php
namespace core\lynx\remote;

use common\libraries\CommonDataManager;
use common\libraries\DataClassCountParameters;
use common\libraries\DataClassRetrievesParameters;
use common\libraries\NewObjectTableDataProvider;

use common\libraries\Registration;
use admin\AdminDataManager;

class RemoteTableDataProvider extends NewObjectTableDataProvider
{

    /**
     * Retrieves the objects for this table
     *
     * @param $offset int
     * @param $count int
     * @param $order_property String
     *
     * @return \common\libraries\ResultSet
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        $parameters = new DataClassRetrievesParameters($this->get_condition(), $count, $offset, $order_property);
        return CommonDataManager :: retrieves(Registration :: class_name(), $parameters);

    }

    /**
     * Counts the number of objects for this table
     *
     * @return int
     */
    function get_object_count()
    {
        $parameters = new DataClassCountParameters($this->get_condition());
        return CommonDataManager :: count(Registration :: class_name(), $parameters);
    }
}
?>