<?php
namespace group;

use user\User;
use common\libraries\NewObjectTableDataProvider;
use common\libraries\DataClassRetrievesParameters;
use common\libraries\DataClassCountParameters;

/**
 * $Id: subscribe_user_browser_table_data_provider.class.php 224 2009-11-13 14:40:30Z kariboe $
 * @package groups.lib.group_manager.component.subscribe_user_browser
 */
/**
 * Data provider for a repository browser table.
 *
 * This class implements some functions to allow repository browser tables to
 * retrieve information about the learning objects to display.
 */
class SubscribeUserBrowserTableDataProvider extends NewObjectTableDataProvider
{
    private $udm;

    /**
     * Constructor
     * @param WeblcmsComponent $browser
     * @param Condition $condition
     */
    function __construct($object_table)
    {
        parent :: __construct($object_table);
    }

    /**
     * Gets the users
     * @param int $offset
     * @param int $count
     * @param string $order_property
     * @return ResultSet A set of matching learning objects.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        
        return \user\DataManager :: retrieves(
            User :: class_name(), 
            new DataClassRetrievesParameters($this->get_condition(), $count, $offset, $order_property)
        );
    }

    /**
     * Gets the number of users in the table
     * @return int
     */
    function get_object_count()
    {
        return \user\DataManager :: count(
            User :: class_name(),
            new DataClassCountParameters($this->get_condition())
        );
    }
}
?>