<?php
namespace help;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'HelpDataManager' => '/lib/help_data_manager.class.php',
         'HelpDataManagerInterface' => '/lib/help_data_manager_interface.class.php',
         'HelpItem' => '/lib/help_item.class.php',
         'HelpRights' => '/lib/help_rights.class.php',
         'Mdb2HelpDataManager' => '/lib/data_manager/mdb2.class.php',
         'HelpItemForm' => '/lib/forms/help_item_form.class.php',
         'DefaultHelpItemTableCellRenderer' => '/lib/help_item_table/default_help_item_table_cell_renderer.class.php',
         'DefaultHelpItemTableColumnModel' => '/lib/help_item_table/default_help_item_table_column_model.class.php',
         'HelpManager' => '/lib/help_manager/help_manager.class.php',
         'HelpManagerBrowserComponent' => '/lib/help_manager/component/browser.class.php',
         'HelpManagerRightsEditorComponent' => '/lib/help_manager/component/rights_editor.class.php',
         'HelpManagerUpdaterComponent' => '/lib/help_manager/component/updater.class.php',
         'HelpItemBrowserTable' => '/lib/help_manager/component/help_item_browser_table/help_item_browser_table.class.php',
         'HelpItemBrowserTableCellRenderer' => '/lib/help_manager/component/help_item_browser_table/help_item_browser_table_cell_renderer.class.php',
         'HelpItemBrowserTableColumnModel' => '/lib/help_manager/component/help_item_browser_table/help_item_browser_table_column_model.class.php',
         'HelpItemBrowserTableDataProvider' => '/lib/help_manager/component/help_item_browser_table/help_item_browser_table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'HelpInstaller' => '/package/install/help_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>