<?php
namespace home;

use common\libraries\Translation;
use common\libraries\Session;
use common\libraries\AjaxManager;
use common\libraries\PlatformSetting;
use common\libraries\JsonAjaxResult;

/**
 *
 * @package home.ajax
 * @author Hans De Bisschop
 */

class HomeAjaxBlockMove extends AjaxManager
{
    const PARAM_COLUMN = 'column';
    const PARAM_BLOCK = 'block';

    /*
     * (non-PHPdoc) @see common\libraries.AjaxManager::required_parameters()
     */
    function required_parameters()
    {
        return array(self :: PARAM_COLUMN, self :: PARAM_BLOCK);
    }

    /*
     * (non-PHPdoc) @see common\libraries.AjaxManager::run()
     */
    function run()
    {
        $user_id = DataManager :: determine_user_id();

        if ($user_id === false)
        {
            JsonAjaxResult :: not_allowed();
        }

        $block = DataManager :: retrieve(HomeBlock :: class_name(), intval($this->get_parameter(self :: PARAM_BLOCK)));

        if ($block->get_user() == $user_id)
        {
            $block->set_column($this->get_parameter(self :: PARAM_COLUMN));

            if ($block->update())
            {
                JsonAjaxResult :: success();
            }
            else
            {
                JsonAjaxResult :: general_error(Translation :: get('BlockNotMovedToTab'));
            }
        }
        else
        {
            JsonAjaxResult :: not_allowed();
        }
    }
}
?>