<?php
namespace home;

use common\libraries\Translation;
use common\libraries\Session;
use common\libraries\Authentication;
use common\libraries\PlatformSetting;
use common\libraries\AjaxManager;
use common\libraries\JsonAjaxResult;

/**
 *
 * @package home.ajax
 * @author Hans De Bisschop
 */

class HomeAjaxColumnDelete extends AjaxManager
{
    const PARAM_COLUMN = 'column';

    /*
     * (non-PHPdoc) @see common\libraries.AjaxManager::required_parameters()
     */
    function required_parameters()
    {
        return array(self :: PARAM_COLUMN);
    }

    /*
     * (non-PHPdoc) @see common\libraries.AjaxManager::run()
     */
    function run()
    {
        $user_id = DataManager :: determine_user_id();

        if ($user_id === false)
        {
            JsonAjaxResult :: not_allowed();
        }

        $column = DataManager :: retrieve(HomeColumn :: class_name(), intval($this->get_parameter(self :: PARAM_COLUMN)));

        if ($column->get_user() == $user_id)
        {
            if ($column->delete())
            {
                JsonAjaxResult :: success();
            }
            else
            {
                JsonAjaxResult :: general_error(Translation :: get('ColumnNotDeleted'));
            }
        }
        else
        {
            JsonAjaxResult :: not_allowed();
        }
    }
}
?>