<?php
namespace home;

use common\libraries\Translation;
use common\libraries\Session;
use common\libraries\JsonAjaxResult;
use common\libraries\PlatformSetting;
use common\libraries\AjaxManager;

/**
 *
 * @package home.ajax
 * @author Hans De Bisschop
 */

class HomeAjaxTabEdit extends AjaxManager
{
    const PARAM_TAB = 'tab';
    const PARAM_TITLE = 'title';

    /*
     * (non-PHPdoc) @see common\libraries.AjaxManager::required_parameters()
     */
    function required_parameters()
    {
        return array(self :: PARAM_TAB, self :: PARAM_TITLE);
    }

    /*
     * (non-PHPdoc) @see common\libraries.AjaxManager::run()
     */
    function run()
    {
        $user_id = DataManager :: determine_user_id();

        if ($user_id === false)
        {
            JsonAjaxResult :: not_allowed();
        }

        $tab = intval($this->get_parameter(self :: PARAM_TAB));
        $title = $this->get_parameter(self :: PARAM_TITLE);

        $tab = DataManager :: retrieve(HomeTab :: class_name(), $tab);

        if ($tab->get_user() == $user_id)
        {
            $tab->set_title($title);
            if ($tab->update())
            {
                JsonAjaxResult :: success();
            }
            else
            {
                JsonAjaxResult :: general_error(Translation :: get('TabNotUpdated'));
            }
        }
        else
        {
            JsonAjaxResult :: not_allowed();
        }
    }
}
?>