<?php
namespace home;

use common\libraries\Translation;
use common\libraries\Theme;
use common\libraries\CoreApplication;
use common\libraries\StringUtilities;
use common\libraries\Block;
use common\libraries\Application;

use home\HomeManager;

use repository\RepositoryDataManager;
use repository\ContentObjectBlock;
use common\libraries\Request;


/**
 * A "Static" block. I.e. a block that display the title and description of an object.
 * Usefull to display free html text.
 *
 * @copyright (c) 2011 University of Geneva
 * @license GNU General Public License - http://www.gnu.org/copyleft/gpl.html
 * @author laurent.opprecht@unige.ch
 * @package home.block
 */
class HomePublish extends Block
{

    function display_content()
    {
        $user = $this->get_user();
        $sid = $user ? $user->get_security_token() : 0;
        $parameters = array('view_type' => 'my_chamilo_os', 'timestamp' => time(), 'sid' => $sid);
        $url = $this->get_url($parameters);
        $module_path = Theme :: get_image_path() . 'os_module.png';

        $protocol = Request :: server('SERVER_PROTOCOL') == 'HTTPS/1.1' ? 'https://' : 'http://';
        $server = Request :: server('HTTP_HOST');
        $url = $protocol . $server . $url;
        $url_encoded = urlencode($url);
        $url = htmlentities($url);
        //Request::


        return <<<EOT
        <a href="http://fusion.google.com/add?source=atgs&amp;moduleurl={$url_encoded}">
            <img src="http://buttons.googlesyndication.com/fusion/add.gif" border="0" alt="Add to Google" />
        </a>
        <a href="{$url}">
            <img src="$module_path" border="0" alt="Module" width="24" />
        </a>
EOT;
    }

    function is_visible()
    {
        return true; //i.e.display on homepage when anonymous
    }

}

?>