<?php
namespace home;

use common\libraries\DataClass;

/**
 * @package home.lib
 */

class HomeBlockRegistration extends DataClass
{
    const CLASS_NAME = __CLASS__;
    const TABLE_NAME = 'block_registration';
    
    const PROPERTY_CONTEXT = 'context';
    const PROPERTY_BLOCK = 'block';

    /**
     * Get the default properties of all user course categories.
     * @return multitype:string The property names.
     */
    static function get_default_property_names()
    {
        return parent :: get_default_property_names(array(self :: PROPERTY_CONTEXT, self :: PROPERTY_BLOCK));
    }

    /* (non-PHPdoc)
     * @see common\libraries.DataClass::get_data_manager()
     */
    function get_data_manager()
    {
        return HomeDataManager :: get_instance();
    }

    /**
     * @return string
     */
    function get_context()
    {
        return $this->get_default_property(self :: PROPERTY_CONTEXT);
    }

    function set_context($context)
    {
        $this->set_default_property(self :: PROPERTY_CONTEXT, $context);
    }

    /**
     * @return string
     */
    function get_block()
    {
        return $this->get_default_property(self :: PROPERTY_BLOCK);
    }

    function set_block($block)
    {
        $this->set_default_property(self :: PROPERTY_BLOCK, $block);
    }

    /**
     * @return string
     */
    static function get_table_name()
    {
        return self :: TABLE_NAME;
    }
}
?>