<?php
namespace home;
use common\libraries\Application;
use common\libraries\Translation;
use common\libraries\Request;
use common\libraries\AdministrationComponent;
use common\libraries\BreadcrumbTrail;
/**
 * $Id: configurer.class.php 227 2009-11-13 14:45:05Z kariboe $
 * @package home.lib.home_manager.component
 */
/**
 * Repository manager component to edit an existing learning object.
 */
class HomeManagerConfigurerComponent extends HomeManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $id = Request :: get(HomeManager :: PARAM_HOME_ID);
        
        if ($id)
        {
            $url = $this->get_url();
            
            $object = $this->retrieve_home_block($id);
            
            if ($object->is_configurable())
            {
                $form = new HomeBlockConfigForm($object, $url);
                
                if ($form->validate())
                {
                    $success = $form->update_block_config();
                    $this->redirect($success);
                }
                else
                {
                    $this->display_header();
                    $form->display();
                    $this->display_footer();
                }
            }
            else
            {
                $this->display_header();
                $this->display_warning_message(Translation :: get('NothingToConfigure'));
                $this->display_footer();
            }
        }
        else
        {
            $this->display_error_page(htmlentities(Translation :: get('NoHomeBlockSelected')));
        }
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add_help('home_configurer');
    }

    function get_additional_parameters()
    {
        return array(HomeManager :: PARAM_HOME_ID);
    }
}
?>