<?php
use common\libraries\FileProperties;

use common\libraries\Request;
use common\libraries\WebApplication;
use common\libraries\CoreApplication;
use common\libraries\Utilities;
use common\libraries\Authentication;
use common\libraries\Session;
use common\libraries\Application;
use common\libraries\Display;

use user\User;
use home\HomeManager;
/**
 * This script will load the requested application and launch it.
 */
try
{
    require_once dirname(__FILE__) . '/common/common.inc.php';

    if (! Request :: get(Application :: PARAM_APPLICATION))
    {
        Request :: set_get(Application :: PARAM_APPLICATION, HomeManager :: APPLICATION_NAME);
    }

    $application_name = Request :: get(Application :: PARAM_APPLICATION);
    $this_section = $application_name;

    // If application path doesn't exist, block the user
    if (! WebApplication :: is_active(WebApplication :: determine_namespace($application_name))
            && ! CoreApplication :: is_active($application_name))
    {
        Display :: not_allowed();
    }

    Utilities :: set_application($this_section);

    if (Authentication :: is_valid())
    {
        $user = \user\DataManager :: retrieve_by_id(User :: CLASS_NAME, Session :: get_user_id());

        if (! $user instanceof User)
        {
            $user = Authentication :: as_anonymous_user();
        }
    }
    else
    {
        $user = Authentication :: as_anonymous_user();
        if (! $user instanceof User)
        {
            Display :: not_allowed();
        }
    }

    // Launch application
    try
    {
        Application :: launch($application_name, $user);
    }
    catch (Exception $exception)
    {
        Display :: error_page($exception->getMessage());
    }
}
catch (Exception $exception)
{
    Display :: error_message($exception->getMessage());
}
?>