<?php
namespace install;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'CommandLineInstaller' => '/lib/command_line_installer.class.php',
         'DataManagerInterface' => '/lib/data_manager_interface.class.php',
         'Factory' => '/lib/factory.class.php',
         'InstallationPlatformSettings' => '/lib/installation_platform_settings.class.php',
         'Installer' => '/lib/installer.class.php',
         'InstallerConfig' => '/lib/installer_config.class.php',
         'InstallerObserver' => '/lib/installer_observer.class.php',
         'InstallerObservers' => '/lib/installer_observers.class.php',
         'InstallerStepResult' => '/lib/installer_step_result.class.php',
         'Mdb2InstallDataManager' => '/lib/data_manager/mdb2.class.php',
         'InstallManager' => '/lib/install_manager/install_manager.class.php',
         'InstallManagerInstallerComponent' => '/lib/install_manager/component/installer.class.php',
         'InstallWizard' => '/lib/install_manager/component/inc/install_wizard.class.php',
         'ApplicationInstallWizardPage' => '/lib/install_manager/component/inc/wizard/application.class.php',
         'ContentObjectInstallWizardPage' => '/lib/install_manager/component/inc/wizard/content_object.class.php',
         'DatabaseInstallWizardPage' => '/lib/install_manager/component/inc/wizard/database.class.php',
         'ValidateDatabaseConnection' => '/lib/install_manager/component/inc/wizard/database.class.php',
         'InstallWizardDisplay' => '/lib/install_manager/component/inc/wizard/display.class.php',
         'ExternalInstanceInstallWizardPage' => '/lib/install_manager/component/inc/wizard/external_instance.class.php',
         'LanguageInstallWizardPage' => '/lib/install_manager/component/inc/wizard/language.class.php',
         'LicenseInstallWizardPage' => '/lib/install_manager/component/inc/wizard/license.class.php',
         'OverviewInstallWizardPage' => '/lib/install_manager/component/inc/wizard/overview.class.php',
         'InstallWizardPage' => '/lib/install_manager/component/inc/wizard/page.class.php',
         'PreconfiguredInstallWizardPage' => '/lib/install_manager/component/inc/wizard/preconfigured.class.php',
         'InstallWizardProcess' => '/lib/install_manager/component/inc/wizard/process.class.php',
         'RequirementsInstallWizardPage' => '/lib/install_manager/component/inc/wizard/requirements.class.php',
         'SettingsInstallWizardPage' => '/lib/install_manager/component/inc/wizard/settings.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>