<?php
namespace install;

use common\libraries\Utilities;

class Factory
{

    public function build_installer(InstallerConfig $config)
    {
        $data_manager = $this->build_data_manager($config);
        return new Installer($config, $data_manager);
    }

    public function build_config_from_array(array $values)
    {
        $res = new InstallerConfig();
        $res->load_array($values);
        return $res;
    }

    public function build_installer_from_array(array $values)
    {
        $config = $this->build_config_from_array($values);
        return $this->build_installer($config);
    }

    public function build_data_manager(InstallerConfig $config)
    {
        $type = $config->get_storage_type();
        require_once __DIR__ . '/data_manager/' . strtolower($type) . '.class.php';
        $class = __NAMESPACE__ . '\\' . Utilities :: underscores_to_camelcase($type) . 'InstallDataManager';
        $res = new $class();
        $res->set_installer_config($config);
        return $res;
    }

}

