<?php

namespace install;

interface InstallerObserver
{

    function before_install();

    function before_preprod();

    function preprod_db_created(InstallerStepResult $result);

    function preprod_config_file_written(InstallerStepResult $result);

    function after_preprod();

    function before_core_applications_install();

    function after_core_applications_install();

    function before_core_applications_configuration();

    function after_core_applications_configuration();

    function before_optional_applications_install();

    function after_optional_applications_install();

    function before_optional_applications_configuration();

    function after_optional_applications_configuration();

    function before_application_install($application);

    function after_application_install(InstallerStepResult $result);

    function before_content_objects_install();

    function before_content_object_install($content_object);

    function after_content_object_install(InstallerStepResult $result);

    function after_content_objects_install();

    function before_additional_packages_install();

    function before_additional_package_install($context);

    function after_additional_package_install(InstallerStepResult $result);

    function after_additional_packages_install();

    function before_post_process();

    function before_post_process_for_application($application);

    function after_post_process_for_application(InstallerStepResult $result);

    function after_post_process();

    function before_filesystem_prepared();

    function after_filesystem_prepared(InstallerStepResult $result);

    function after_install();

}

