<?php
namespace menu;

use common\libraries\Path;
use common\libraries\ResultSet;


class DatabaseItemResultSet extends ResultSet
{
    private $data_manager;
   
    private $handle;
   
    private $single_type;

    function __construct($data_manager, $handle, $single_type)
    {
        $this->data_manager = $data_manager;
        $this->handle = $handle;
        $this->single_type = $single_type;
    }

    /*
	 * Inherited
	 */
    function next_result($map_to_object = true)
    {
        //dump($this->handle);
        if ($record = $this->handle->fetchRow(MDB2_FETCHMODE_ASSOC))
        {
            return $this->data_manager->record_to_item($record, $this->single_type);
        }
        return null;
    }

    /*
	 * Inherited
	 */
    function size()
    {
        return $this->handle->numRows();
    }

    /*
	 * Inherited
	 */
    function skip($count)
    {
        for($i = 0; $i < $count; $i ++)
        {
            $this->handle->fetchRow();
        }
    }
}
?>