<?php
namespace menu;

use common\libraries\Utilities;

use common\libraries\WebApplication;

use common\libraries\Translation;

class ApplicationItemForm extends ItemForm
{

    function build_form()
    {
        $this->addElement('category', Translation :: get('Properties'));
        $this->addElement('checkbox', ApplicationItem :: PROPERTY_USE_TRANSLATION, Translation :: get('UseTranslation'));
        $this->addElement('select', ApplicationItem :: PROPERTY_APPLICATION, Translation :: get('Application'), $this->get_applications());
        $this->addRule(ApplicationItem :: PROPERTY_APPLICATION, Translation :: get('ThisFieldIsRequired'), 'required');
        $this->addElement('category');
    }

    function build_creation_form()
    {
        parent :: build_creation_form();
        $this->build_form();
    }

    function build_editing_form()
    {
        parent :: build_editing_form();
        $this->build_form();
    }

    function setDefaults($defaults = array ())
    {
        $item = $this->get_item();
        
        $defaults[ApplicationItem :: PROPERTY_APPLICATION] = $item->get_application();
        $defaults[ApplicationItem :: PROPERTY_USE_TRANSLATION] = $item->get_use_translation();
        
        parent :: setDefaults($defaults);
    }

    function get_applications()
    {
        $items = WebApplication :: load_all(false);
        $applications = array();
        
        foreach ($items as $item)
        {
            $applications[$item] = Translation :: get('TypeName', null, WebApplication :: determine_namespace($item));
        }
        return $applications;
    }
}
?>