<?php
namespace menu;

/**
 *
 * @author Hans De Bisschop
 */
use common\libraries\Translation;
use common\libraries\ObjectTableOrder;
use common\libraries\EqualityCondition;
use common\libraries\WebApplication;
use common\libraries\Header;

class MiniBarCategoryItemRenderer extends ItemRenderer
{

    function render()
    {
        $html = array();
        $current_section = Header :: get_section();

        $sub_html = array();
        $selected = $this->get_item()->is_selected();
        if ($this->get_item()->has_children())
        {
            $sub_html[] = '<ul>';
            foreach ($this->get_item()->get_children() as $child)
            {
                $sub_html[] = ItemRenderer :: as_html($this->get_menu_renderer(), $child);
            }
            $sub_html[] = '</ul>';
            $sub_html[] = '<!--[if lte IE 6]></td></tr></table></a><![endif]-->';
        }

        $html[] = '<ul>';

        $html[] = '<li' . ($selected ? ' class="current"' : '') . '>';
        $html[] = '<a ' . ($selected ? ' class="current"' : '') . 'href="#">' . $this->get_item()->get_titles()->get_translation(Translation :: get_instance()->get_language());

        $html[] = '<!--[if IE 7]><!--></a><!--<![endif]-->';
        $html[] = '<!--[if lte IE 6]><table><tr><td><![endif]-->';

        $html[] = implode("\n", $sub_html);

        $html[] = '</li>';
        $html[] = '</ul>';

        return implode("\n", $html);
    }
}

?>
