<?php
namespace menu;

/**
 * @author Hans De Bisschop
 */
use common\libraries\Translation;

use common\libraries\BasicApplication;

use common\libraries\WebApplication;

use common\libraries\Header;

class SiteMapApplicationItemRenderer extends SiteMapItemRenderer
{
    function get_item_url()
    {
        $application = $this->get_item()->get_application();
        
        if (WebApplication :: is_application($application) && ! WebApplication :: is_active($application))
        
        {
            return;
        }
        
        if ($application == 'root')
        {
            $url = 'index.php';
        }
        else
        {
            $url = 'index.php?application=' . $this->get_item()->get_application();
        }
        
        $html = array();
        if ($this->get_item()->get_use_translation())
        {
            $title = Translation :: get('TypeName', null, BasicApplication :: determine_namespace($this->get_item()->get_application()));
        }
        else
        {
            $title = $this->get_item()->get_titles()->get_translation(Translation :: get_instance()->get_language());
        }
        
        $html[] = '<a href="' . $url . '">' . $title;
        
        $html[] = '</a>';
        
        return implode("\n", $html);
    }
}

?>
