<?php
namespace menu;

use common\libraries\ArrayResultSet;
use common\libraries\ResultSet;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\DataClass;
use common\libraries\EqualityCondition;

class ItemTitles
{
    const CLASS_NAME = __CLASS__;

    private $titles_by_isocode = array();
    private $titles = array();

    function __construct($titles)
    {
        if ($titles instanceof ArrayResultSet)
        {
            while ($title = $titles->next_result())
            {
                $this->titles[] = $title;
                $this->titles_by_isocode[$title->get_isocode()] = $title;
            }
        }
    }

    /**
     * @return the $titles_by_isocode
     */
    public function get_titles_by_isocode()
    {
        return $this->titles_by_isocode;
    }

    /**
     * @param field_type $titles_by_isocode
     */
    public function set_titles_by_isocode($titles_by_isocode)
    {
        $this->titles_by_isocode = $titles_by_isocode;
    }

    /**
     * @return the $titles
     */
    public function get_titles()
    {
        return $this->titles;
    }

    /**
     * @param field_type $titles
     */
    public function set_titles($titles)
    {
        $this->titles = $titles;
    }

    function get_title_by_isocode($isocode)
    {
        return $this->titles_by_isocode[$isocode];
    }

    function get_translation($isocode, $fallback = true)
    {
        $title = $this->get_title_by_isocode($isocode);
        if (! $title instanceof ItemTitle && $fallback)
        {
            $title = $this->get_title(0);
        }
        if (! $title instanceof ItemTitle)
        {
            return '';
        }
        return $title->get_title();
    }

    function get_current_translation()
    {
        return $this->get_translation(Translation :: get_instance()->get_language());
    }

    function get_title($sort)
    {
        return $this->titles[$sort];
    }

    function add($title)
    {
        $this->titles[] = $title;
        $this->titles_by_isocode[$title->get_isocode()] = $title;
    }

}
?>