<?php
namespace menu;
use common\libraries\Breadcrumb;

use common\libraries\BreadcrumbTrail;

use common\libraries\DelegateComponent;

use common\libraries\StringUtilities;

use common\libraries\Text;

use common\libraries\Request;

use common\libraries\Translation;
use common\libraries\Utilities;

class MenuManagerCreatorComponent extends MenuManager implements DelegateComponent
{

    function run()
    {
        $this->check_allowed();

        $type = Request :: get(MenuManager :: PARAM_TYPE);
        if ($type)
        {
            BreadcrumbTrail :: get_instance()->add(new Breadcrumb(null, Translation :: get('Add' . Utilities :: get_package_name_from_namespace($type))));

            $item = new $type();
            $item_form = ItemForm :: factory(ItemForm :: TYPE_CREATE, $item, $this->get_url(array(
                    MenuManager :: PARAM_TYPE => $type)));

            if ($item_form->validate())
            {
                $values = $item_form->exportValues();
                foreach ($item->get_default_property_names() as $property)
                {
                    $item->set_default_property($property, $values[$property]);
                }

                foreach ($item->get_additional_property_names() as $property)
                {
                    $item->set_additional_property($property, $values[$property]);
                }

                $item_titles = new ItemTitles();
                foreach ($values[ItemTitle :: PROPERTY_TITLE] as $isocode => $title)
                {
                    if (! StringUtilities :: is_null_or_empty($title, true))
                    {
                        $item_title = new ItemTitle();
                        $item_title->set_title($title);
                        $item_title->set_isocode($isocode);
                        $item_titles->add($item_title);
                    }
                }

                $item->set_titles($item_titles);
                $success = $item->create();

                if ($success)
                {
                    $message = Translation :: get('ObjectCreated', array(
                            'OBJECT' => Translation :: get('MenuManagerItem')), Utilities :: COMMON_LIBRARIES);
                }
                else
                {
                    $message = Translation :: get('ObjectNotCreated', array(
                            'OBJECT' => Translation :: get('MenuManagerItem')), Utilities :: COMMON_LIBRARIES);
                }

                $this->redirect($message, ($success ? false : true), array(
                        MenuManager :: PARAM_ACTION => MenuManager :: ACTION_BROWSE,
                        MenuManager :: PARAM_PARENT => $item->get_parent()));
            }
            else
            {
                $this->display_header();
                $item_form->display();
                $this->display_footer();
            }
        }
    }
}

?>