<?php
namespace metadata;

use common\libraries\Path;
use common\libraries\Request;
use common\libraries\EqualityCondition;
use common\libraries\Configuration;
use common\libraries\Utilities;

require_once dirname(__FILE__) . '/../../../common/global.inc.php';

$mdm = MetadataDataManager :: get_instance();

$condition = new EqualityCondition(MetadataElement :: PROPERTY_NAMESPACE,
        Request :: post(MetadataElement :: PROPERTY_NAMESPACE));

// property types are retrieved according to display order
$elements = $mdm->retrieve_metadata_elements($condition);

$types = array();

$metadata_element_values = get_metadata_element_values_for_content_object(Request :: post('object_id'),
        Request :: post('object_type'));
$focus_isset = false;

while ($element = $elements->next_result())
{
    $focus = false;

    // give focus to the first element in the display_order that isn't linked
    if (! array_key_exists($element->get_id(), $metadata_element_values) && $focus_isset == false)
    {
        $focus = true;
        $focus_isset = true;
    }
    $types[$element->get_id()] = array($element->get_name(), $focus);
}

echo json_encode($types);

/**
 * gets element values
 *
 * @param $object_id int
 * @param $object_type int content_object, user, group
 * @return Array $element_values[element_value_id] = true
 */
function get_metadata_element_values_for_content_object($object_id, $object_type)
{
    // get element_values linked to object
    $constant_string = Utilities :: underscores_to_camelcase($object_type) . 'MetadataElementValue::PROPERTY_' .\strtoupper(
            $object_type) . '_ID';
    // $id = \constant($constant_string); //?not working ?

    $condition = new EqualityCondition($object_type . '_id', $object_id);
    $function = 'retrieve_' . $object_type . '_metadata_element_values';

    $mdm = MetadataDataManager :: get_instance();

    $values = $mdm->$function($condition);

    while ($value = $values->next_result())
    {
        $element_values[$value->get_element_id()] = true;
    }
    return $element_values;
}
?>
