<?php
namespace metadata;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'ContentObjectMetadataElementValue' => '/lib/content_object_metadata_element_value.class.php',
         'ContentObjectPropertyMetadata' => '/lib/content_object_property_metadata.class.php',
         'GroupMetadataElementValue' => '/lib/group_metadata_element_value.class.php',
         'MetadataAttribute' => '/lib/metadata_attribute.class.php',
         'MetadataAttributeAssociation' => '/lib/metadata_attribute_association.class.php',
         'MetadataAttributeValue' => '/lib/metadata_attribute_value.class.php',
         'MetadataDataManager' => '/lib/metadata_data_manager.class.php',
         'MetadataDataManagerInterface' => '/lib/metadata_data_manager_interface.class.php',
         'MetadataDefaultValue' => '/lib/metadata_default_value.class.php',
         'MetadataElement' => '/lib/metadata_element.class.php',
         'MetadataElementNesting' => '/lib/metadata_element_nesting.class.php',
         'MetadataElementValue' => '/lib/metadata_element_value.class.php',
         'MetadataNamespace' => '/lib/metadata_namespace.class.php',
         'MetadataRights' => '/lib/metadata_rights.class.php',
         'UserMetadataElementValue' => '/lib/user_metadata_element_value.class.php',
         'Mdb2MetadataDataManager' => '/lib/data_manager/mdb2.class.php',
         'MetadataCpoExport' => '/lib/export/cpo/cpo_export.class.php',
         'ContentObjectMetadataEditorForm' => '/lib/forms/content_object_metadata_editor_form.class.php',
         'ContentObjectPropertyMetadataForm' => '/lib/forms/content_object_property_metadata_form.class.php',
         'GroupMetadataEditorForm' => '/lib/forms/group_metadata_editor_form.class.php',
         'MetadataAssociationsForm' => '/lib/forms/metadata_associations_form.class.php',
         'MetadataAttributeForm' => '/lib/forms/metadata_attribute_form.class.php',
         'MetadataDefaultValueForm' => '/lib/forms/metadata_default_value_form.class.php',
         'MetadataElementForm' => '/lib/forms/metadata_element_form.class.php',
         'MetadataForm' => '/lib/forms/metadata_form.class.php',
         'MetadataNamespaceForm' => '/lib/forms/metadata_namespace_form.class.php',
         'UploadForm' => '/lib/forms/upload_form.class.php',
         'UserMetadataEditorForm' => '/lib/forms/user_metadata_editor_form.class.php',
         'MetadataImportForm' => '/lib/import/metadata_import_form.class.php',
         'MetadataCpoImport' => '/lib/import/cpo/cpo_import.class.php',
         'MetadataManager' => '/lib/metadata_manager/metadata_manager.class.php',
         'MetadataManagerContentObjectMetadataAttributeValueDeleterComponent' => '/lib/metadata_manager/component/content_object_metadata_attribute_value_deleter.class.php',
         'MetadataManagerContentObjectMetadataEditorComponent' => '/lib/metadata_manager/component/content_object_metadata_editor.class.php',
         'MetadataManagerContentObjectMetadataElementValuesBrowserComponent' => '/lib/metadata_manager/component/content_object_metadata_element_values_browser.class.php',
         'MetadataManagerContentObjectMetadataElementValueDeleterComponent' => '/lib/metadata_manager/component/content_object_metadata_element_value_deleter.class.php',
         'MetadataManagerContentObjectPropertyMetadatasBrowserComponent' => '/lib/metadata_manager/component/content_object_property_metadatas_browser.class.php',
         'MetadataManagerContentObjectPropertyMetadataCreatorComponent' => '/lib/metadata_manager/component/content_object_property_metadata_creator.class.php',
         'MetadataManagerContentObjectPropertyMetadataDeleterComponent' => '/lib/metadata_manager/component/content_object_property_metadata_deleter.class.php',
         'MetadataManagerContentObjectPropertyMetadataUpdaterComponent' => '/lib/metadata_manager/component/content_object_property_metadata_updater.class.php',
         'MetadataManagerGroupMetadataEditorComponent' => '/lib/metadata_manager/component/group_metadata_editor.class.php',
         'MetadataManagerGroupMetadataElementValueDeleterComponent' => '/lib/metadata_manager/component/group_metadata_element_value_deleter.class.php',
         'MetadataManagerGroupMetadataElementValuesBrowserComponent' => '/lib/metadata_manager/component/group_metadata_property_values_browser.class.php',
         'MetadataManagerMetadataAssociationsEditorComponent' => '/lib/metadata_manager/component/metadata_associations_editor.class.php',
         'MetadataManagerMetadataAttributesBrowserComponent' => '/lib/metadata_manager/component/metadata_attributes_browser.class.php',
         'MetadataManagerMetadataAttributeCreatorComponent' => '/lib/metadata_manager/component/metadata_attribute_creator.class.php',
         'MetadataManagerMetadataAttributeDeleterComponent' => '/lib/metadata_manager/component/metadata_attribute_deleter.class.php',
         'MetadataManagerMetadataAttributeUpdaterComponent' => '/lib/metadata_manager/component/metadata_attribute_updater.class.php',
         'MetadataManagerMetadataDefaultValuesBrowserComponent' => '/lib/metadata_manager/component/metadata_default_values_browser.class.php',
         'MetadataManagerMetadataDefaultValueCreatorComponent' => '/lib/metadata_manager/component/metadata_default_value_creator.class.php',
         'MetadataManagerMetadataDefaultValueDeleterComponent' => '/lib/metadata_manager/component/metadata_default_value_deleter.class.php',
         'MetadataManagerMetadataDefaultValueImporterComponent' => '/lib/metadata_manager/component/metadata_default_value_importer.class.php',
         'MetadataManagerMetadataDefaultValueUpdaterComponent' => '/lib/metadata_manager/component/metadata_default_value_updater.class.php',
         'MetadataManagerMetadataElementsBrowserComponent' => '/lib/metadata_manager/component/metadata_elements_browser.class.php',
         'MetadataManagerMetadataElementCreatorComponent' => '/lib/metadata_manager/component/metadata_element_creator.class.php',
         'MetadataManagerMetadataElementDeleterComponent' => '/lib/metadata_manager/component/metadata_element_deleter.class.php',
         'MetadataManagerMetadataElementMoverComponent' => '/lib/metadata_manager/component/metadata_element_mover.class.php',
         'MetadataManagerMetadataElementUpdaterComponent' => '/lib/metadata_manager/component/metadata_element_updater.class.php',
         'MetadataManagerMetadataExporterComponent' => '/lib/metadata_manager/component/metadata_exporter.class.php',
         'MetadataManagerMetadataImporterComponent' => '/lib/metadata_manager/component/metadata_importer.class.php',
         'MetadataManagerMetadataNamespacesBrowserComponent' => '/lib/metadata_manager/component/metadata_namespaces_browser.class.php',
         'MetadataManagerMetadataNamespaceCreatorComponent' => '/lib/metadata_manager/component/metadata_namespace_creator.class.php',
         'MetadataManagerMetadataNamespaceDeleterComponent' => '/lib/metadata_manager/component/metadata_namespace_deleter.class.php',
         'MetadataManagerMetadataNamespaceUpdaterComponent' => '/lib/metadata_manager/component/metadata_namespace_updater.class.php',
         'MetadataManagerMetadataQuickEditComponent' => '/lib/metadata_manager/component/metadata_quick_edit.class.php',
         'MetadataManagerMetadataTypesBrowserComponent' => '/lib/metadata_manager/component/metadata_types_browser.class.php',
         'MetadataManagerUserMetadataEditorComponent' => '/lib/metadata_manager/component/user_metadata_editor.class.php',
         'MetadataManagerUserMetadataElementValuesBrowserComponent' => '/lib/metadata_manager/component/user_metadata_element_values_browser.class.php',
         'MetadataManagerUserMetadataElementValueDeleterComponent' => '/lib/metadata_manager/component/user_metadata_element_value_deleter.class.php',
         'ContentObjectMetadataElementValueBrowserTable' => '/lib/metadata_manager/component/content_object_metadata_element_value_browser/content_object_metadata_element_value_browser_table.class.php',
         'ContentObjectMetadataElementValueBrowserTableCellRenderer' => '/lib/metadata_manager/component/content_object_metadata_element_value_browser/content_object_metadata_element_value_browser_table_cell_renderer.class.php',
         'ContentObjectMetadataElementValueBrowserTableColumnModel' => '/lib/metadata_manager/component/content_object_metadata_element_value_browser/content_object_metadata_element_value_browser_table_column_model.class.php',
         'ContentObjectMetadataElementValueBrowserTableDataProvider' => '/lib/metadata_manager/component/content_object_metadata_element_value_browser/content_object_metadata_element_value_browser_table_data_provider.class.php',
         'ContentObjectPropertyMetadataBrowserTable' => '/lib/metadata_manager/component/content_object_property_metadata_browser/content_object_property_metadata_browser_table.class.php',
         'ContentObjectPropertyMetadataBrowserTableCellRenderer' => '/lib/metadata_manager/component/content_object_property_metadata_browser/content_object_property_metadata_browser_table_cell_renderer.class.php',
         'ContentObjectPropertyMetadataBrowserTableColumnModel' => '/lib/metadata_manager/component/content_object_property_metadata_browser/content_object_property_metadata_browser_table_column_model.class.php',
         'ContentObjectPropertyMetadataBrowserTableDataProvider' => '/lib/metadata_manager/component/content_object_property_metadata_browser/content_object_property_metadata_browser_table_data_provider.class.php',
         'GroupMetadataElementValueBrowserTable' => '/lib/metadata_manager/component/group_metadata_element_value_browser/group_metadata_element_value_browser_table.class.php',
         'GroupMetadataElementValueBrowserTableCellRenderer' => '/lib/metadata_manager/component/group_metadata_element_value_browser/group_metadata_element_value_browser_table_cell_renderer.class.php',
         'GroupMetadataElementValueBrowserTableColumnModel' => '/lib/metadata_manager/component/group_metadata_element_value_browser/group_metadata_element_value_browser_table_column_model.class.php',
         'GroupMetadataElementValueBrowserTableDataProvider' => '/lib/metadata_manager/component/group_metadata_element_value_browser/group_metadata_element_value_browser_table_data_provider.class.php',
         'MetadataAttributeBrowserTable' => '/lib/metadata_manager/component/metadata_attribute_browser/metadata_attribute_browser_table.class.php',
         'MetadataAttributeBrowserTableCellRenderer' => '/lib/metadata_manager/component/metadata_attribute_browser/metadata_attribute_browser_table_cell_renderer.class.php',
         'MetadataAttributeBrowserTableColumnModel' => '/lib/metadata_manager/component/metadata_attribute_browser/metadata_attribute_browser_table_column_model.class.php',
         'MetadataAttributeBrowserTableDataProvider' => '/lib/metadata_manager/component/metadata_attribute_browser/metadata_attribute_browser_table_data_provider.class.php',
         'MetadataDefaultValueBrowserTable' => '/lib/metadata_manager/component/metadata_default_value_browser/metadata_default_value_browser_table.class.php',
         'MetadataDefaultValueBrowserTableCellRenderer' => '/lib/metadata_manager/component/metadata_default_value_browser/metadata_default_value_browser_table_cell_renderer.class.php',
         'MetadataDefaultValueBrowserTableColumnModel' => '/lib/metadata_manager/component/metadata_default_value_browser/metadata_default_value_browser_table_column_model.class.php',
         'MetadataDefaultValueBrowserTableDataProvider' => '/lib/metadata_manager/component/metadata_default_value_browser/metadata_default_value_browser_table_data_provider.class.php',
         'MetadataElementBrowserTable' => '/lib/metadata_manager/component/metadata_element_browser/metadata_element_browser_table.class.php',
         'MetadataElementBrowserTableCellRenderer' => '/lib/metadata_manager/component/metadata_element_browser/metadata_element_browser_table_cell_renderer.class.php',
         'MetadataElementBrowserTableColumnModel' => '/lib/metadata_manager/component/metadata_element_browser/metadata_element_browser_table_column_model.class.php',
         'MetadataElementBrowserTableDataProvider' => '/lib/metadata_manager/component/metadata_element_browser/metadata_element_browser_table_data_provider.class.php',
         'MetadataNamespaceBrowserTable' => '/lib/metadata_manager/component/metadata_namespace_browser/metadata_namespace_browser_table.class.php',
         'MetadataNamespaceBrowserTableCellRenderer' => '/lib/metadata_manager/component/metadata_namespace_browser/metadata_namespace_browser_table_cell_renderer.class.php',
         'MetadataNamespaceBrowserTableColumnModel' => '/lib/metadata_manager/component/metadata_namespace_browser/metadata_namespace_browser_table_column_model.class.php',
         'MetadataNamespaceBrowserTableDataProvider' => '/lib/metadata_manager/component/metadata_namespace_browser/metadata_namespace_browser_table_data_provider.class.php',
         'UserMetadataElementValueBrowserTable' => '/lib/metadata_manager/component/user_metadata_element_value_browser/user_metadata_element_value_browser_table.class.php',
         'UserMetadataElementValueBrowserTableCellRenderer' => '/lib/metadata_manager/component/user_metadata_element_value_browser/user_metadata_element_value_browser_table_cell_renderer.class.php',
         'UserMetadataElementValueBrowserTableColumnModel' => '/lib/metadata_manager/component/user_metadata_element_value_browser/user_metadata_element_value_browser_table_column_model.class.php',
         'UserMetadataElementValueBrowserTableDataProvider' => '/lib/metadata_manager/component/user_metadata_element_value_browser/user_metadata_element_value_browser_table_data_provider.class.php',
         'DefaultContentObjectPropertyMetadataTableCellRenderer' => '/lib/tables/content_object_property_metadata_table/default_content_object_property_metadata_table_cell_renderer.class.php',
         'DefaultContentObjectPropertyMetadataTableColumnModel' => '/lib/tables/content_object_property_metadata_table/default_content_object_property_metadata_table_column_model.class.php',
         'DefaultMetadataAttributeTableCellRenderer' => '/lib/tables/metadata_attribute_table/default_metadata_attribute_table_cell_renderer.class.php',
         'DefaultMetadataAttributeTableColumnModel' => '/lib/tables/metadata_attribute_table/default_metadata_attribute_table_column_model.class.php',
         'DefaultMetadataDefaultValueTableCellRenderer' => '/lib/tables/metadata_default_value_table/default_metadata_default_value_table_cell_renderer.class.php',
         'DefaultMetadataDefaultValueTableColumnModel' => '/lib/tables/metadata_default_value_table/default_metadata_default_value_table_column_model.class.php',
         'DefaultMetadataElementTableCellRenderer' => '/lib/tables/metadata_element_table/default_metadata_element_table_cell_renderer.class.php',
         'DefaultMetadataElementTableColumnModel' => '/lib/tables/metadata_element_table/default_metadata_element_table_column_model.class.php',
         'DefaultMetadataElementValueTableCellRenderer' => '/lib/tables/metadata_element_value_table/default_metadata_element_value_table_cell_renderer.class.php',
         'DefaultMetadataElementValueTableColumnModel' => '/lib/tables/metadata_element_value_table/default_metadata_element_value_table_column_model.class.php',
         'DefaultMetadataNamespaceTableCellRenderer' => '/lib/tables/metadata_namespace_table/default_metadata_namespace_table_cell_renderer.class.php',
         'DefaultMetadataNamespaceTableColumnModel' => '/lib/tables/metadata_namespace_table/default_metadata_namespace_table_column_model.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'MetadataInstaller' => '/package/install/metadata_installer.class.php',
         'SettingsConnector' => '/settings/connector.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>