<?php
namespace metadata;
use common\libraries\DataClass;
use common\libraries\Utilities;

class MetadataDefaultValue extends DataClass
{
    const PROPERTY_ELEMENT_ID = 'element_id';
    const PROPERTY_ATTRIBUTE_ID = 'attribute_id';
    const PROPERTY_VALUE = 'value';
    
    const CLASS_NAME = __CLASS__;

    /**
     * Get the default properties
     * @return array The property names.
     */
    static function get_default_property_names()
    {
        return array(self :: PROPERTY_ID, self :: PROPERTY_ELEMENT_ID, self :: PROPERTY_ATTRIBUTE_ID, 
                self :: PROPERTY_VALUE);
    }

    function get_data_manager()
    {
        return MetadataDataManager :: get_instance();
    }

    /**
     * Returns the element_id of this MetadataDefaultValue.
     * @return the element_id.
     */
    function get_element_id()
    {
        return $this->get_default_property(self :: PROPERTY_ELEMENT_ID);
    }

    /**
     * Sets the element_id of this MetadataDefaultValue.
     * @param element_id
     */
    function set_element_id($element_id)
    {
        $this->set_default_property(self :: PROPERTY_ELEMENT_ID, $element_id);
    }

    /**
     * Returns the value of this MetadataDefaultValue.
     * @return the value.
     */
    function get_value()
    {
        return $this->get_default_property(self :: PROPERTY_VALUE);
    }

    /**
     * Sets the value of this MetadataDefaultValue.
     * @param value
     */
    function set_value($value)
    {
        $this->set_default_property(self :: PROPERTY_VALUE, $value);
    }

    /**
     * Returns the attribute_id of this MetadataAttributeValue.
     * @return the attribute_id.
     */
    function get_attribute_id()
    {
        return $this->get_default_property(self :: PROPERTY_ATTRIBUTE_ID);
    }

    /**
     * Sets the attribute_id of this MetadataAttributeValue.
     * @param attribute_id
     */
    function set_attribute_id($attribute_id)
    {
        $this->set_default_property(self :: PROPERTY_ATTRIBUTE_ID, $attribute_id);
    }

    static function get_table_name()
    {
        return Utilities :: camelcase_to_underscores(Utilities :: get_classname_from_namespace(self :: CLASS_NAME));
    }
}

?>
