<?php
namespace metadata;

use common\libraries\ObjectTable;
/**
 * Table to display a list of metadata_element_values
 *
 * @author Jens Vanderheyden
 */
class ContentObjectMetadataElementValueBrowserTable extends ObjectTable
{
    const DEFAULT_NAME = 'content_object_metadata_element_value_browser_table';

    /**
     * Constructor
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new ContentObjectMetadataElementValueBrowserTableColumnModel();
        $renderer = new ContentObjectMetadataElementValueBrowserTableCellRenderer($browser);
        $data_provider = new ContentObjectMetadataElementValueBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, self :: DEFAULT_NAME, $model, $renderer);
        $this->set_additional_parameters($parameters);
        $actions = array();

        $this->set_form_actions($actions);
        $this->set_default_row_count(20);
    }
}
?>