<?php
namespace metadata;

use common\libraries\Translation;
use common\libraries\Request;
use common\libraries\Utilities;

/**
 * Component to delete metadata_element_values objects
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */
class MetadataManagerContentObjectMetadataElementValueDeleterComponent extends MetadataManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $id = $_GET[MetadataManager :: PARAM_METADATA_PROPERTY_VALUE];
        $fail = false;
        
        if (! empty($id))
        {
            $content_object_metadata_element_value = $this->retrieve_content_object_metadata_element_value($id);
            
            if (! $content_object_metadata_element_value->delete())
            {
                $message = 'ObjectNotDeleted';
                $fail = true;
            }
            else
            {
                $message = 'ObjectDeleted';
            }
            
            $this->redirect(Translation :: get($message, array('OBJECT' => Translation :: get('MetadataElementValue')), Utilities :: COMMON_LIBRARIES), ($fail ? true : false), array(
                    MetadataManager :: PARAM_ACTION => MetadataManager :: ACTION_EDIT_CONTENT_OBJECT_METADATA, 
                    MetadataManager :: PARAM_CONTENT_OBJECT => Request :: get(MetadataManager :: PARAM_CONTENT_OBJECT)));
        }
        else
        {
            $this->display_error_page(htmlentities(Translation :: get('NoObjectsSelected', array(
                    'OBJECT' => Translation :: get('MetadataElementValue')), Utilities :: COMMON_LIBRARIES)));
        }
    }
}
?>