<?php
namespace metadata;

use common\libraries\ObjectTable;

/**
 * Table to display a list of content_object_property_metadatas
 *
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */
class ContentObjectPropertyMetadataBrowserTable extends ObjectTable
{
    const DEFAULT_NAME = 'content_object_property_metadata_browser_table';

    /**
     * Constructor
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new ContentObjectPropertyMetadataBrowserTableColumnModel();
        $renderer = new ContentObjectPropertyMetadataBrowserTableCellRenderer($browser);
        $data_provider = new ContentObjectPropertyMetadataBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, self :: DEFAULT_NAME, $model, $renderer);
        $this->set_additional_parameters($parameters);
        $actions = array();

        $this->set_form_actions($actions);
        $this->set_default_row_count(20);
    }
}
?>