<?php
namespace metadata;

use common\libraries\StaticTableColumn;
use common\libraries\ObjectTableColumn;
use group\DefaultGroupTableColumnModel;
use common\libraries\Path;

/**
 * Table column model for the metadata_element_value browser table
 *
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */

class GroupMetadataElementValueBrowserTableColumnModel extends DefaultGroupTableColumnModel
{
    /**
     * The tables modification column
     */
    private static $modification_column;

    /**
     * Constructor
     */
    function __construct()
    {
        $this->add_column(new ObjectTableColumn(GroupMetadataElementValue :: PROPERTY_GROUP_ID));
        parent :: __construct();
        $this->set_default_order_column(1);
        $this->add_column(self :: get_modification_column());
    }

    /**
     * Gets the modification column
     *
     * @return ContentObjectTableColumn
     */
    static function get_modification_column()
    {
        if (! isset(self :: $modification_column))
        {
            self :: $modification_column = new StaticTableColumn('');
        }
        return self :: $modification_column;
    }
}
?>