<?php
namespace metadata;

use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\BreadcrumbTrail;
use common\libraries\Breadcrumb;
use common\libraries\Redirect;
use common\libraries\DynamicTabsRenderer;
use admin\AdminManager;
/**
 * Component to edit an existing metadata_attribute_association object
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */
class MetadataManagerMetadataAssociationsEditorComponent extends MetadataManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $metadata_element = $this->retrieve_metadata_element(Request :: get(MetadataManager :: PARAM_METADATA_ELEMENT));

        $form = new MetadataAssociationsForm(MetadataAssociationsForm :: TYPE_EDIT, $metadata_element, $this->get_url(array(
                MetadataManager :: PARAM_METADATA_ELEMENT => $metadata_element->get_id())), $this->get_user(), $this);

        if ($form->validate())
        {
            $success = $form->update_associations();
            $this->redirect($success ? Translation :: get('ObjectUpdated', array(
                    'OBJECT' => Translation :: get('MetadataAttributeAssociation')), Utilities :: COMMON_LIBRARIES) : Translation :: get('ObjectNotUpdated', array(
                    'OBJECT' => Translation :: get('MetadataAttributeAssociation')), Utilities :: COMMON_LIBRARIES), ! $success, array(
                    MetadataManager :: PARAM_ACTION => MetadataManager :: ACTION_BROWSE_METADATA_ELEMENTS));
        }
        else
        {
            $trail = BreadcrumbTrail :: get_instance();

            $trail->add(new BreadCrumb(Redirect :: get_link(AdminManager :: APPLICATION_NAME, array(
                    AdminManager :: PARAM_ACTION => AdminManager :: ACTION_ADMIN_BROWSER), array(), false, Redirect :: TYPE_CORE), Translation :: get('Admin')));
            $trail->add(new BreadCrumb(Redirect :: get_link(AdminManager :: APPLICATION_NAME, array(
                    AdminManager :: PARAM_ACTION => AdminManager :: ACTION_ADMIN_BROWSER,
                    DynamicTabsRenderer :: PARAM_SELECTED_TAB => MetadataManager :: APPLICATION_NAME), array(), false, Redirect :: TYPE_CORE), Translation :: get('Metadata')));
            $trail->add(new BreadCrumb($this->get_url(array(
                    MetadataManager :: PARAM_ACTION => MetadataManager :: ACTION_BROWSE_METADATA_ELEMENTS)), Translation :: get('BrowseObjects', array(
                    'OBJECTS' => Translation :: get('MetadataElements')), Utilities :: COMMON_LIBRARIES)));
            $trail->add(new BreadCrumb($this->get_url(), Translation :: get('EditAssociations')));

            $this->display_header();
            $form->display();
            $this->display_footer();
        }
    }
}
?>