<?php
namespace metadata;

use common\libraries\ObjectTable;

/**
 * Table to display a list of metadata_attributes
 *
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */
class MetadataAttributeBrowserTable extends ObjectTable
{
    const DEFAULT_NAME = 'metadata_attribute_browser_table';

    /**
     * Constructor
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new MetadataAttributeBrowserTableColumnModel();
        $renderer = new MetadataAttributeBrowserTableCellRenderer($browser);
        $data_provider = new MetadataAttributeBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, self :: DEFAULT_NAME, $model, $renderer);
        $this->set_additional_parameters($parameters);
        $actions = array();

        $this->set_form_actions($actions);
        $this->set_default_row_count(20);
    }
}
?>