<?php
namespace metadata;

use common\libraries\Translation;
use common\libraries\Utilities;

/**
 * Component to delete metadata_attributes objects
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */
class MetadataManagerMetadataAttributeDeleterComponent extends MetadataManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $id = $_GET[MetadataManager :: PARAM_METADATA_ATTRIBUTE];
        $fail = false;
        
        if (! empty($id))
        {
            
            $metadata_attribute = $this->retrieve_metadata_attribute($id);
            
            if (! $metadata_attribute->delete())
            {
                $fail = true;
                
                $message = 'ObjectNotDeleted';
                if ($metadata_attribute->has_errors())
                    $message .= implode("\n", $metadata_attribute->get_errors());
            }
            else
            {
                $message = 'ObjectDeleted';
            }
            
            $this->redirect(Translation :: get($message, array('OBJECT' => Translation :: get('MetadataAttribute')), Utilities :: COMMON_LIBRARIES), ($fail ? true : false), array(
                    MetadataManager :: PARAM_ACTION => MetadataManager :: ACTION_BROWSE_METADATA_ATTRIBUTES));
        }
        else
        {
            $this->display_error_page(htmlentities(Translation :: get('NoObjectSelected', array(
                    'OBJECT' => Translation :: get('MetadataAttribute')), Utilities :: COMMON_LIBRARIES)));
        }
    }
}
?>