<?php
namespace metadata;

use common\libraries\Translation;
use common\libraries\Request;
use common\libraries\Utilities;

/**
 * Component to delete metadata_default_values objects
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */
class MetadataManagerMetadataDefaultValueImporterComponent extends MetadataManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        if (! $element_id = Request :: get(MetadataManager :: PARAM_METADATA_ELEMENT))
        {
            exit(Translation :: get('NoObjectSelected', array('OBJECT' => Translation :: get('MetadataElement')), Utilities :: COMMON_LIBRARIES));
        }
        
        //$metadata_element = $this->retrieve_metadata_element($element_id);
        

        $form = new UploadForm($this->get_url(array(
                MetadataManager :: PARAM_METADATA_ELEMENT => Request :: get(MetadataManager :: PARAM_METADATA_ELEMENT))));
        
        if ($form->validate())
        {
            if (isset($_FILES['File']))
            {
                if (is_uploaded_file($_FILES['File']['tmp_name']))
                {
                    $handle = fopen($_FILES['File']['tmp_name'], 'r');
                    $out = '<h3>' . Translation :: get('Import', null, Utilities :: COMMON_LIBRARIES) . '</h3>';
                    while (($data = fgetcsv($handle, 1000, ";")) !== FALSE)
                    {
                        $num = count($data);
                        
                        $metadata_default_value = new MetadataDefaultValue();
                        $metadata_default_value->set_element_id($element_id);
                        $metadata_default_value->set_value($data[0]);
                        //if(isset($data[1])) $metadata_default_value->set_attribute_id ($data[1]);
                        

                        if ($metadata_default_value->create())
                        {
                            $out .= '<p>' . Translation :: get('ObjectCreated', array(
                                    'OBJECT' => Translation :: get('MetadataDefaultValue')), Utilities :: COMMON_LIBRARIES) . ' ' . $data[0] . '</p>' . "\n";
                        }
                        else
                        {
                            $out .= '<p>' . Translation :: get('ObjectNotCreated', array(
                                    'OBJECT' => Translation :: get('MetadataDefaultValue')), Utilities :: COMMON_LIBRARIES) . ' ' . $data[0] . '</p>' . "\n";
                        }
                    
                    }
                    fclose($handle);
                }
                else
                {
                    $out = Translation :: get('NoFileUploaded', null, Utilities :: COMMON_LIBRARIES);
                }
            
            }
            else
            {
                $out = Translation :: get('NoFileUploaded', null, Utilities :: COMMON_LIBRARIES);
            }
            $this->display_header();
            echo $out;
            $this->display_footer();
        }
        else
        {
            $this->display_header();
            $form->display();
            $this->display_footer();
        }
    
    }
}
?>