<?php
namespace metadata;
use common\libraries\Request;
use common\extensions\repo_viewer\RepoViewer;
use common\libraries\BreadcrumbTrail;
use common\libraries\Breadcrumb;
use user\UserDataManager;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\EqualityCondition;
use common\libraries\Filesystem;
use common\libraries\Path;

/**
 * Component to export metadata
 */
class MetadataManagerMetadataExporterComponent extends MetadataManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $exporter = new MetadataCpoExport();

        $path = $exporter->export_metadata();

        Filesystem :: copy_file($path, Path :: get(SYS_TEMP_PATH) . $this->get_user_id() . '/metadata.cpo', true);
        $webpath = Path :: get(WEB_TEMP_PATH) . $this->get_user_id() . '/metadata.cpo';

        $this->display_header();
        $this->display_message(
                '<a href="' . $webpath . '">' . Translation :: get('Download', null, Utilities :: COMMON_LIBRARIES) . '</a>');
        $this->display_footer();

    }

}
?>