<?php
namespace metadata;
use common\libraries\ObjectTableColumnModel;
use common\libraries\ObjectTableColumn;

/**
 * Default column model for the metadata_element table
 *
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */
class DefaultMetadataElementTableColumnModel extends ObjectTableColumnModel
{
    /**
     * Constructor
     */
    const COLUMN_PREFIX = 'ns_prefix';

    function __construct()
    {
        parent :: __construct(self :: get_default_columns(), 1);
    }

    /**
     * Gets the default columns for this model
     * @return Array(ObjectTableColumn)
     */
    private static function get_default_columns()
    {
        $columns = array();
        
        //$columns[] = new ObjectTableColumn(MetadataElement :: PROPERTY_ID);
        $columns[] = new ObjectTableColumn(self :: COLUMN_PREFIX, false);
        $columns[] = new ObjectTableColumn(MetadataElement :: PROPERTY_NAME);
        
        return $columns;
    }
}
?>