<?php
namespace metadata;

use common\libraries\ObjectTableColumn;
use common\libraries\ObjectTableColumnModel;

/**
 * Default column model for the metadata_element_value table
 *
 * @author Sven Vanpoucke
 * @author Jens Vanderheyden
 */
class DefaultMetadataElementValueTableColumnModel extends ObjectTableColumnModel
{

    /**
     * Constructor
     */
    function __construct()
    {
        parent :: __construct(self :: get_default_columns(), 1);
    }

    /**
     * Gets the default columns for this model
     * @return Array(ObjectTableColumn)
     */
    private static function get_default_columns()
    {
        $columns = array();
        
        //$columns[] = new ObjectTableColumn(MetadataElementValue :: PROPERTY_CONTENT_OBJECT_ID);
        $columns[] = new ObjectTableColumn(MetadataElementValue :: PROPERTY_ELEMENT_ID);
        $columns[] = new ObjectTableColumn(MetadataElementValue :: PROPERTY_VALUE);
        
        return $columns;
    }
}
?>