<?php
namespace metadata;
require_once dirname(__FILE__) . '/../../../common/global.inc.php';

$mdm = MetadataDataManager :: get_instance();
$attributes = $mdm->retrieve_metadata_attributes();
$attributeArray = array();

while ($attribute = $attributes->next_result())
{
    $attributeArray[$attribute->get_id()] = $attribute;
}

$properties = $mdm->retrieve_metadata_elements();

header('Content-Type: text/xml');
echo '<?xml version="1.0" encoding="UTF-8"?>', "\n", '<tree>', "\n";
dump_attribute_tree($attributeArray);
dump_property_tree($properties);
echo '</tree>';

function dump_attribute_tree($attributes)
{
    echo '<node id="metadata_attribute" classes="category unlinked" title="attributes">', "\n";
    foreach ($attributes as $id => $attribute)
    {
        $prefix = (! is_null($attribute->get_ns_prefix())) ? $attribute->get_ns_prefix() . ':' : '';
        $name = $attribute->get_name();

        echo '<leaf id="attributes_' . $attribute->get_id() . '" classes="type type_cda_language" title="' . $prefix . $name . '" description=""/>' . "\n";
    }
    echo '</node>', "\n";
}

function dump_property_tree($properties)
{
    echo '<node id="metadata_attribute" classes="category unlinked" title="elements">', "\n";
    while ($property = $properties->next_result())
    {
        echo '<leaf id="properties_' . $property->get_id() . '" classes="type type_cda_language" title="' . $property->get_ns_prefix() . ':' . $property->get_name() . '" description=""/>' . "\n";
    }
    echo '</node>', "\n";
}

function display_attribute($attribute)
{
    // $ns_prefix = (empty($attribute->get_ns_prefix())) ? '' : $attribute->get_ns_prefix() . ':';
    return $ns_prefix . $attribute->get_value();
}
?>
