<?php

namespace migration;

use common\libraries\Text;
use repository\RepositoryDataManager;
use repository\content_object\Document;
use repository\RepositoryManager;
use DOMDocument;
use common\libraries\Path;
use DOMElement;




/**
 * Implementation of the dokeos 185 text field parser to parse flash files from the given field
 * @author Sven Vanpoucke
 *
 */
class Dokeos185FlashHtmTextFieldParser extends Dokeos185TextFieldParser
{

    function parse($text_field)
    {
        $dom_document = new DOMDocument();
        $dom_document->loadHTML($text_field);
        $tags = $dom_document->getElementsByTagname('script');

        foreach ($tags as $tag)
        {               
            
            $script = $tag->nodeValue;
            preg_match('/"(.*.swf)/', $script, $flash);
            $flash_filename = $flash[1];                                 
     
            if ($flash_filename)
            {
                $document = RepositoryDataManager :: get_document_by_filename($flash_filename);

                if($document)
                {
                    $this->add_included_object($document->get_id());

                    $url = RepositoryManager :: get_document_downloader_url($document->get_id());

                    $embed_element = $dom_document->createElement('embed');
                    $embed_element->setAttribute('border', 0);
                    $embed_element->setAttribute('style', 'border: 1px solid grey;');
                    $embed_element->setAttribute('name', 'plugin');
                    $embed_element->setAttribute('width', '100%');
                    $embed_element->setAttribute('height', '500');
                    $embed_element->setAttribute('type', 'application/x-shockwave-flash');
                    $embed_element->setAttribute('src', $url . '&display=1');

                    $tag->parentNode->replaceChild($embed_element, $tag);
                    $text_field = $dom_document->saveHTML();
                }
            }
        }               

        return $text_field;
    }

}