<?php

namespace application\weblcms;

use common\libraries\EqualityCondition;
use common\libraries\ObjectTableOrder;

ini_set("memory_limit", "-1");
set_time_limit(0);

require_once dirname(__FILE__) . '/../../../common/global.inc.php';

$dm = WeblcmsDataManager :: get_instance();

$condition = new EqualityCondition(ContentObjectPublicationCategory :: PROPERTY_TOOL, 'document');

$order_properties = array();
$order_properties[] = new ObjectTableOrder(ContentObjectPublicationCategory :: PROPERTY_COURSE);
$order_properties[] = new ObjectTableOrder(ContentObjectPublicationCategory :: PROPERTY_PARENT);
$order_properties[] = new ObjectTableOrder(ContentObjectPublicationCategory :: PROPERTY_DISPLAY_ORDER);

$categories = $dm->retrieve_content_object_publication_categories($condition, null, null, $order_properties);

$current_course_id = null;
$current_category_id = null;

while ($category = $categories->next_result())
{
    $course_id = $category->get_course();
    $category_id = $category->get_parent();

    if ($current_course_id != $course_id || $current_category_id != $category_id)
    {
	$counter = 1;
	$current_category_id = $category_id;
	$current_course_id = $course_id;
    }

    $category->set_display_order($counter);
    $category->update();

    $counter++;
}
?>
