<?php
namespace application\weblcms;

use common\libraries\EqualityCondition;
use common\libraries\ObjectTableOrder;

ini_set("memory_limit", "-1");
set_time_limit(0);

require_once dirname(__FILE__) . '/../../../common/global.inc.php';

$dm = WeblcmsDataManager :: get_instance();

//$condition = new EqualityCondition(ContentObjectPublication :: PROPERTY_TOOL, 'document');
$order_properties = array();
$order_properties[] = new ObjectTableOrder(ContentObjectPublication :: PROPERTY_COURSE_ID);
$order_properties[] = new ObjectTableOrder(ContentObjectPublication :: PROPERTY_TOOL);
$order_properties[] = new ObjectTableOrder(ContentObjectPublication :: PROPERTY_CATEGORY_ID);
$order_properties[] = new ObjectTableOrder(ContentObjectPublication :: PROPERTY_ID);

$publications = $dm->retrieve_content_object_publications($condition, $order_properties);

$current_course_id = null;
$current_category_id = null;
$current_tool = null;

while($publication = $publications->next_result())
{
    $course_id = $publication->get_course_id();
    $category_id = $publication->get_category_id();
    $tool = $publication->get_tool();
    
    if($current_course_id != $course_id || $current_tool != $tool || $current_category_id != $category_id)
    {
	$counter = 1;
	$current_category_id = $category_id;
	$current_course_id = $course_id;
	$current_tool = $tool;
    }

    $publication->set_display_order_index($counter);
    $publication->update();

    $counter++;
}

?>
