<?php
namespace reporting;

use common\libraries\Utilities;
/**
 * $Id: reporting_exporter.class.php 215 2009-11-13 14:07:59Z vanpouckesven $
 *
 * @package reporting.lib
 * @author Michael Kyndt
 */

abstract class ReportingExporter
{

    private $template;

    public function __construct($template)
    {
        $this->template = $template;
    }

    public static function factory($type, $template)
    {
        $class = __NAMESPACE__ . '\\' . 'Reporting' . Utilities :: underscores_to_camelcase($type) . 'Exporter';

        return new $class($template);
    }

    function get_file_name()
    {
        return $this->get_template()->get_name() . date('_Y-m-d_H-i-s');
    }

    abstract function export();

    abstract function save();

    function get_template()
    {
        return $this->template;
    }

    function set_template($template)
    {
        $this->template = $template;
    }
}
?>