<?php
namespace repository\content_object\assessment;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'AssessmentAjaxHint' => '/ajax/hint.class.php',
         'AssessmentDifference' => '/lib/difference.class.php',
         'AssessmentDifferenceDisplay' => '/lib/difference_display.class.php',
         'AssessmentDisplay' => '/lib/display.class.php',
         'AssessmentBuilder' => '/lib/builder/assessment_builder.class.php',
         'AssessmentBuilderAssessmentMergerComponent' => '/lib/builder/component/assessment_merger.class.php',
         'AssessmentBuilderBrowserComponent' => '/lib/builder/component/browser.class.php',
         'AssessmentBuilderCreatorComponent' => '/lib/builder/component/creator.class.php',
         'AssessmentBuilderDeleterComponent' => '/lib/builder/component/deleter.class.php',
         'AssessmentBuilderMoverComponent' => '/lib/builder/component/mover.class.php',
         'AssessmentBuilderPreviewComponent' => '/lib/builder/component/preview.class.php',
         'AssessmentBuilderQuestionSelecterComponent' => '/lib/builder/component/question_selecter.class.php',
         'AssessmentBuilderUpdaterComponent' => '/lib/builder/component/updater.class.php',
         'AssessmentBuilderViewerComponent' => '/lib/builder/component/viewer.class.php',
         'ObjectBrowserTable' => '/lib/builder/component/assessment_merger/object_browser_table.class.php',
         'ObjectBrowserTableCellRenderer' => '/lib/builder/component/assessment_merger/object_browser_table_cell_renderer.class.php',
         'ObjectBrowserTableColumnModel' => '/lib/builder/component/assessment_merger/object_browser_table_column_model.class.php',
         'ObjectBrowserTableDataProvider' => '/lib/builder/component/assessment_merger/object_browser_table_data_provider.class.php',
         'AssessmentBrowserTableCellRenderer' => '/lib/builder/component/browser/assessment_browser_table_cell_renderer.class.php',
         'AssessmentBrowserTableColumnModel' => '/lib/builder/component/browser/assessment_browser_table_column_model.class.php',
         'AssessmentComplexDisplay' => '/lib/complex_display/assessment_complex_display.class.php',
         'AssessmentComplexDisplayPreview' => '/lib/complex_display/assessment_complex_display_preview.class.php',
         'AssessmentComplexDisplaySupport' => '/lib/complex_display/assessment_complex_display_support.class.php',
         'FeedbackDisplayConfiguration' => '/lib/complex_display/feedback_display_configuration.class.php',
         'AssessmentComplexDisplayAssessmentViewerComponent' => '/lib/complex_display/component/assessment_viewer.class.php',
         'AssessmentComplexDisplayResultsViewerComponent' => '/lib/complex_display/component/results_viewer.class.php',
         'QuestionResultDisplay' => '/lib/complex_display/component/result_viewer/question_result_display.class.php',
         'AssessmentMatchingQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/assessment_matching_question_result_display.class.php',
         'AssessmentMatchNumericQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/assessment_match_numeric_question_result_display.class.php',
         'AssessmentMatchTextQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/assessment_match_text_question_result_display.class.php',
         'AssessmentMatrixQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/assessment_matrix_question_result_display.class.php',
         'AssessmentMultipleChoiceQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/assessment_multiple_choice_question_result_display.class.php',
         'AssessmentOpenQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/assessment_open_question_result_display.class.php',
         'AssessmentRatingQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/assessment_rating_question_result_display.class.php',
         'AssessmentSelectQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/assessment_select_question_result_display.class.php',
         'FillInBlanksQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/fill_in_blanks_question_result_display.class.php',
         'HotspotQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/hotspot_question_result_display.class.php',
         'MatchQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/match_question_result_display.class.php',
         'OrderingQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_result_display/ordering_question_result_display.class.php',
         'AssessmentResultProcessor' => '/lib/complex_display/component/viewer/assessment_result_processor.class.php',
         'AssessmentResultViewerForm' => '/lib/complex_display/component/viewer/assessment_result_viewer_form.class.php',
         'AssessmentViewerForm' => '/lib/complex_display/component/viewer/assessment_viewer_form.class.php',
         'AssessmentViewerWizard' => '/lib/complex_display/component/viewer/assessment_viewer_wizard.class.php',
         'AssessmentViewerWizardDisplay' => '/lib/complex_display/component/viewer/wizard/assessment_viewer_wizard_display.class.php',
         'AssessmentViewerWizardPage' => '/lib/complex_display/component/viewer/wizard/assessment_viewer_wizard_page.class.php',
         'AssessmentViewerWizardProcess' => '/lib/complex_display/component/viewer/wizard/assessment_viewer_wizard_process.class.php',
         'QuestionsAssessmentViewerWizardPage' => '/lib/complex_display/component/viewer/wizard/questions_assessment_viewer_wizard_page.class.php',
         'AssessmentQuestionResultDisplay' => '/lib/complex_display/component/viewer/wizard/inc/assessment_question_result_display.class.php',
         'QuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display.class.php',
         'ScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator.class.php',
         'AssessmentMatchingQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/assessment_matching_question.class.php',
         'AssessmentMatchNumericQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/assessment_match_numeric_question.class.php',
         'AssessmentMatchTextQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/assessment_match_text_question.class.php',
         'AssessmentMatrixQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/assessment_matrix_question.class.php',
         'AssessmentMultipleChoiceQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/assessment_multiple_choice_question.class.php',
         'AssessmentOpenQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/assessment_open_question.class.php',
         'AssessmentRatingQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/assessment_rating_question.class.php',
         'AssessmentSelectQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/assessment_select_question.class.php',
         'FillInBlanksQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/fill_in_blanks_question.class.php',
         'HotspotQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/hotspot_question.class.php',
         'MatchQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/match_question.class.php',
         'OrderingQuestionDisplay' => '/lib/complex_display/component/viewer/wizard/inc/question_display/ordering_question.class.php',
         'AssessmentMatchingScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/assessment_matching_score_calculator.class.php',
         'AssessmentMatchNumericScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/assessment_match_numeric_score_calculator.class.php',
         'AssessmentMatchTextScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/assessment_match_text_score_calculator.class.php',
         'AssessmentMatrixScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/assessment_matrix_score_calculator.class.php',
         'AssessmentMultipleChoiceScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/assessment_multiple_choice_score_calculator.class.php',
         'AssessmentOpenScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/assessment_open_score_calculator.class.php',
         'AssessmentRatingScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/assessment_rating_score_calculator.class.php',
         'AssessmentSelectScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/assessment_select_score_calculator.class.php',
         'FillInBlanksScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/fill_in_blanks_score_calculator.class.php',
         'HotspotScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/hotspot_score_calculator.class.php',
         'MatchScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/match_score_calculator.class.php',
         'OrderingScoreCalculator' => '/lib/complex_display/component/viewer/wizard/inc/score_calculator/ordering_score_calculator.class.php',
         'DummyAssessmentAttemptsTracker' => '/lib/complex_display/preview/dummy_assessment_attempts_tracker.class.php',
         'DummyQuestionAttemptsTracker' => '/lib/complex_display/preview/dummy_question_attempts_tracker.class.php',
         'ComplexAssessment' => '/lib/data_class/complex_content_object_item.class.php',
         'Assessment' => '/lib/data_class/content_object.class.php',
         'ComplexAssessmentForm' => '/lib/form/complex_content_object_item.class.php',
         'AssessmentForm' => '/lib/form/content_object.class.php',
         'ExportImplementation' => '/lib/implementation/export.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/assessment_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>