<?php
namespace repository\content_object\assessment;

use common\libraries\Translation;
use common\libraries\ObjectTable;
use common\libraries\ObjectTableFormAction;
use common\libraries\Utilities;
use common\libraries\ObjectTableFormActions;
use common\libraries\Request;

/**
 * $Id: object_browser_table.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_builder.assessment.component.assessment_merger
 */
/**
 * Table to display a set of learning objects.
 */
class ObjectBrowserTable extends ObjectTable
{
    const DEFAULT_NAME = 'repository_browser_table';

    /**
     * Constructor
     * @see ContentObjectTable::ContentObjectTable()
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new ObjectBrowserTableColumnModel();
        $renderer = new ObjectBrowserTableCellRenderer($browser);
        $data_provider = new ObjectBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, Utilities :: get_classname_from_namespace(__CLASS__, true), $model, $renderer);
        
        $actions = new ObjectTableFormActions(__NAMESPACE__, AssessmentBuilder :: PARAM_BUILDER_ACTION);
        $actions->add_form_action(new ObjectTableFormAction(AssessmentBuilder :: ACTION_SELECT_QUESTIONS, Translation :: get('AddSelectedQuestions'), false));
        $this->set_form_actions($actions);
        
        $this->set_additional_parameters($parameters);
        $this->set_default_row_count(20);
    }

    static function handle_table_action()
    {
        $class = Utilities :: get_classname_from_namespace(__CLASS__, true);
        $ids = self :: get_selected_ids($class);
        Request :: set_get(AssessmentBuilder :: PARAM_QUESTION_ID, $ids);
    }
}
?>