<?php
namespace repository\content_object\assessment;

use common\libraries\Translation;
use common\libraries\Theme;

use repository\content_object\fill_in_blanks_question\FillInBlanksQuestionAnswer;
use repository\content_object\fill_in_blanks_question\FillInBlanksQuestion;

/**
 * $Id: fill_in_blanks_question_result_display.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_display.assessment.component.result_viewer.question_result_display
 */

class FillInBlanksQuestionResultDisplay extends QuestionResultDisplay
{

    function display_question_result()
    {
        $question = $this->get_question();
        $answer_text = $question->get_answer_text();
        $answer_text = nl2br($answer_text);

        $matches = array();
        preg_match_all(FillInBlanksQuestionAnswer :: QUESTIONS_REGEX, $answer_text, $matches);
        $matches = $matches[0];
        $answers = $this->get_answers();
        
        foreach ($matches as $i => $match)
        {
            $correct = $question->is_correct($i, $answers[$i]);
            $correct_answer = substr($match, 1, strlen($match) - 2);
            
            switch ($correct)
            {
                case FillInBlanksQuestion :: MARK_MAX :
                    if ($answers[$i] == null)
                    {
                        $answers[$i] = '<img src="' . Theme :: get_image_path() . 'answer_correct.png" />';
                    }
                    $my_answer = '<span style="color: green;" >' . $answers[$i] . '</span>';
                    break;
                case FillInBlanksQuestion :: MARK_CORRECT :
                    if ($answers[$i] == null)
                    {
                        $answers[$i] = '<img src="' . Theme :: get_image_path() . 'answer_warning.png" />';
                    }
                    $my_answer = '<span style="color: orange;" >' . $answers[$i] . '</span>';
                    break;
                case FillInBlanksQuestion :: MARK_WRONG :
                    if ($answers[$i] == null)
                    {
                        $answers[$i] = Translation :: get('NoAnswer');
                    }
                    $my_answer = '<span style="color: red;" >' . $answers[$i] . '</span>';
                    break;
            }

            $answer_text = str_replace($match, $my_answer . ' / <span style="color: blue" >' . $correct_answer . '</span>', $answer_text);
        }
        
        $html[] = '<div style="border-left: 1px solid #B5CAE7; border-right: 1px solid#B5CAE7; padding: 10px;">';
        $html[] = $answer_text . '</div>';
        
        return implode("\n", $html);
    }

}
?>