<?php
namespace repository\content_object\assessment;

use common\libraries\Translation;

/**
 * $Id: ordering_question_result_display.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_display.assessment.component.result_viewer.question_result_display
 */

class OrderingQuestionResultDisplay extends QuestionResultDisplay
{

    function display_question_result()
    {
        $html[] = '<table class="data_table take_assessment">';
        $html[] = '<thead>';
        $html[] = '<tr>';
        $html[] = '<th>' . Translation :: get('YourOrder') . '</th>';
        $html[] = '<th>' . Translation :: get('CorrectOrder') . '</th>';
        $html[] = '<th>' . Translation :: get('Answer') . '</th>';
        $html[] = '</tr>';
        $html[] = '</thead>';
        $html[] = '<tbody>';
        
        $answers = $this->get_question()->get_options();
        $user_answers = $this->get_answers();
        
        foreach ($answers as $i => $answer)
        {
            $html[] = '<tr class="' . ($i % 2 == 0 ? 'row_even' : 'row_odd') . '">';
            if($user_answers[$i + 1] == -1)
            {
                $html[] = '<td>' . Translation::get('NoAnswer') . '</td>';
            }
            else
            {
                $html[] = '<td>' . $user_answers[$i + 1] . '</td>';
            }
            $html[] = '<td>' . $answer->get_order() . '</td>';
            $html[] = '<td>' . $answer->get_value() . '</td>';
            $html[] = '</tr>';
        }
        
        $html[] = '</tbody>';
        $html[] = '</table>';
        
        return implode("\n", $html);
    }
}
?>