<?php
namespace repository\content_object\assessment;

use repository\ContentObjectResourceRenderer;
use common\libraries\Translation;

/**
 * $Id: matching_question_result_display.class.php 200 2009-11-13 12:30:04Z kariboe $
 *
 * @package repository.lib.complex_display.assessment.component.viewer.wizard.inc.question_result_display
 */
class AssessmentMatchingQuestionResultDisplay extends AssessmentQuestionResultDisplay
{

    function get_question_result()
    {
        $labels = array('A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S',
                'T', 'U', 'V', 'W', 'X', 'Y', 'Z');

        $html = array();
        $html[] = '<table class="data_table take_assessment">';
        $html[] = '<thead>';
        $html[] = '<tr>';
        $html[] = '<th class="list"></th>';
        $html[] = '<th>' . Translation :: get('PossibleMatches') . '</th>';
        $html[] = '</tr>';
        $html[] = '</thead>';
        $html[] = '<tbody>';

        $label = 'A';
        $matches = $this->get_question()->get_matches();
        foreach ($matches as $i => $match)
        {
            $html[] = '<tr class="' . ($i % 2 == 0 ? 'row_even' : 'row_odd') . '">';
            $html[] = '<td>' . $label . '</td>';

            $object_renderer = new ContentObjectResourceRenderer(
                    $this->get_assessment_result_processor()->get_assessment_viewer(), $match);
            $html[] = '<td>' . $object_renderer->run() . '</td>';
            $html[] = '</tr>';
            $label ++;
        }

        $html[] = '</tbody>';
        $html[] = '</table>';

        $html[] = '<table class="data_table take_assessment">';
        $html[] = '<thead>';
        $html[] = '<tr>';
        $html[] = '<th>' . Translation :: get('YourMatch') . '</th>';
        $html[] = '<th>' . Translation :: get('Correct') . '</th>';
        $html[] = '<th>' . Translation :: get('Option') . '</th>';

        if ($this->get_assessment_result_processor()->get_assessment_viewer()->display_textual_feedback())
        {
            $html[] = '<th>' . Translation :: get('Feedback') . '</th>';
        }

        $html[] = '</tr>';
        $html[] = '</thead>';
        $html[] = '<tbody>';

        $answers = $this->get_answers();

        $options = $this->get_question()->get_options();
        foreach ($options as $i => $option)
        {
            $html[] = '<tr class="' . ($i % 2 == 0 ? 'row_even' : 'row_odd') . '">';

            if ($answers[$i] == - 1)
            {
                $html[] = '<td>' . Translation :: get('NoAnswer') . '</td>';
            }
            else
            {
                $html[] = '<td>' . $labels[$answers[$i]] . '</td>';
            }

            $html[] = '<td>' . $labels[$option->get_match()] . '</td>';

            $object_renderer = new ContentObjectResourceRenderer(
                    $this->get_assessment_result_processor()->get_assessment_viewer(), $option->get_value());
            $html[] = '<td>' . $object_renderer->run() . '</td>';

            if ($this->get_assessment_result_processor()->get_assessment_viewer()->display_textual_feedback())
            {
                $object_renderer = new ContentObjectResourceRenderer(
                        $this->get_assessment_result_processor()->get_assessment_viewer(), $option->get_feedback());
                $html[] = '<td>' . $object_renderer->run() . '</td>';
            }

            $html[] = '</tr>';
        }

        $html[] = '</tbody>';
        $html[] = '</table>';

        return implode("\n", $html);
    }
}
?>