<?php
namespace repository\content_object\assessment;

use repository\ContentObjectResourceRenderer;
use common\libraries\Translation;

/**
 * $Id: assessment_select_question_result_display.class.php 200 2009-11-13 12:30:04Z kariboe $
 *
 * @package repository.lib.complex_display.assessment.component.viewer.wizard.inc.question_result_display
 */
class AssessmentSelectQuestionResultDisplay extends AssessmentQuestionResultDisplay
{

    private static $ANSWER_NO_ANSWER;

    function get_question_result()
    {
        if (is_null(self :: $ANSWER_NO_ANSWER))
        {
            self :: $ANSWER_NO_ANSWER = Translation :: get('NoAnswer');
        }
        $html = array();
        $html[] = '<table class="data_table take_assessment">';
        $html[] = '<thead>';
        $html[] = '<tr>';
        $html[] = '<th class="list">' . Translation :: get('Choice') . '</th>';
        $html[] = '<th class="list">' . Translation :: get('Correct') . '</th>';
        $html[] = '<th class="list">' . Translation :: get('Answer') . '</th>';
        if ($this->get_assessment_result_processor()->get_assessment_viewer()->display_textual_feedback())
        {
            $html[] = '<th class="list">' . Translation :: get('Feedback') . '</th>';
        }
        $html[] = '</tr>';
        $html[] = '</thead>';
        $html[] = '<tbody>';
        $type = $this->get_question()->get_answer_type();
        $answers = $this->get_answers();

        if ($type == 'radio')
        {
            // $options[-1] = self::$ANSWER_NO_ANSWER;
            foreach ($this->get_question()->get_options() as $i => $option)
            {
                $options[$i] = $option;
            }
        }
        else
        {
            $options = $this->get_question()->get_options();
        }

        foreach ($options as $i => $option)
        {
            $html[] = '<tr class="' . ($i % 2 == 0 ? 'row_even' : 'row_odd') . '">';

            if ($type == 'radio')
            {
                if ($answers[0] == $i)
                {
                    $selected = " checked ";
                }
                else
                {
                    $selected = "";
                }

                $html[] = '<td>' . '<input type="radio" name="yourchoice_' . $this->get_complex_content_object_question()->get_id() . '" value="' . $i . '" disabled' . $selected . '/>' . '</td>';
            }
            else
            {
                if (in_array($i, $answers[0]))
                {
                    $selected = " checked ";
                }
                else
                {
                    $selected = "";
                }

                $html[] = '<td>' . '<input type="checkbox" name="yourchoice' . $i . '" disabled' . $selected . '/>' . '</td>';
            }

            if ($option == self :: $ANSWER_NO_ANSWER || ! $option->is_correct())
            {
                $selected = "";
            }
            else
            {
                $selected = " checked ";
            }

            if ($type == 'radio')
            {
                $html[] = '<td>' . '<input type="radio" name="correctchoice_' . $this->get_complex_content_object_question()->get_id() . '" value="' . $i . '" disabled' . $selected . '/>' . '</td>';
            }
            else
            {
                $html[] = '<td>' . '<input type="checkbox" name="correctchoice_' . $i . '" disabled' . $selected . '/>' . '</td>';
            }

            if ($option == self :: $ANSWER_NO_ANSWER)
            {
                $html[] = '<td>' . self :: $ANSWER_NO_ANSWER . '</td>';
            }
            else
            {
                $html[] = '<td>' . $option->get_value() . '</td>';
            }

            if ($this->get_assessment_result_processor()->get_assessment_viewer()->display_textual_feedback())
            {
                if ($option == self :: $ANSWER_NO_ANSWER)
                {
                    $html[] = '<td>&nbsp;</td>';
                }
                else
                {
                    $object_renderer = new ContentObjectResourceRenderer(
                            $this->get_assessment_result_processor()->get_assessment_viewer(), $option->get_feedback());

                    $html[] = '<td>' . $object_renderer->run() . '</td>';
                }
            }
            $html[] = '</tr>';
        }

        $html[] = '</tbody>';
        $html[] = '</table>';

        return implode("\n", $html);
    }
}
?>