<?php
namespace repository\content_object\assessment;

use repository\ContentObjectResourceRenderer;
use common\libraries\Translation;

/**
 * $Id: ordering_question_result_display.class.php 200 2009-11-13 12:30:04Z kariboe $
 *
 * @package repository.lib.complex_display.assessment.component.viewer.wizard.inc.question_result_display
 */
class OrderingQuestionResultDisplay extends AssessmentQuestionResultDisplay
{

    function get_question_result()
    {
        $html[] = '<table class="data_table take_assessment">';
        $html[] = '<thead>';
        $html[] = '<tr>';
        $html[] = '<th>' . Translation :: get('YourOrder') . '</th>';
        $html[] = '<th>' . Translation :: get('CorrectOrder') . '</th>';
        $html[] = '<th>' . Translation :: get('Answer') . '</th>';
        $html[] = '</tr>';
        $html[] = '</thead>';
        $html[] = '<tbody>';

        $answers = $this->get_question()->get_options();
        $user_answers = $this->get_answers();

        foreach ($answers as $i => $answer)
        {
            $html[] = '<tr class="' . ($i % 2 == 0 ? 'row_even' : 'row_odd') . '">';
            if ($user_answers[$i + 1] == - 1)
            {
                $html[] = '<td>' . Translation :: get('NoAnswer') . '</td>';
            }
            else
            {
                $html[] = '<td>' . $user_answers[$i + 1] . '</td>';
            }
            $html[] = '<td>' . $answer->get_order() . '</td>';

            $object_renderer = new ContentObjectResourceRenderer($this->get_assessment_result_processor()->get_assessment_viewer(),
                    $answer->get_value());

            $html[] = '<td>' . $object_renderer->run() . '</td>';
            $html[] = '</tr>';
        }

        $html[] = '</tbody>';
        $html[] = '</table>';

        return implode("\n", $html);
    }
}
?>