<?php
namespace repository\content_object\assessment_match_numeric_question;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'AssessmentMatchNumericQuestionAjaxHint' => '/ajax/hint.class.php',
         'AssessmentMatchNumericQuestionDifference' => '/lib/difference.class.php',
         'AssessmentMatchNumericQuestionDifferenceDisplay' => '/lib/difference_display.class.php',
         'AssessmentMatchNumericQuestionDisplay' => '/lib/display.class.php',
         'ComplexAssessmentMatchNumericQuestion' => '/lib/data_class/complex_content_object_item.class.php',
         'AssessmentMatchNumericQuestion' => '/lib/data_class/content_object.class.php',
         'AssessmentMatchNumericQuestionOption' => '/lib/data_class/option.class.php',
         'ComplexAssessmentMatchNumericQuestionForm' => '/lib/form/complex_content_object_item.class.php',
         'AssessmentMatchNumericQuestionForm' => '/lib/form/content_object.class.php',
         'ExportImplementation' => '/lib/implementation/export.class.php',
         'ImportImplementation' => '/lib/implementation/import.class.php',
         'RenditionImplementation' => '/lib/implementation/rendition.class.php',
         'CpoImportImplementation' => '/lib/implementation/import/cpo.class.php',
         'HtmlRenditionImplementation' => '/lib/implementation/rendition/html.class.php',
         'HtmlDescriptionRenditionImplementation' => '/lib/implementation/rendition/html/description.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/assessment_match_numeric_question_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>