<?php
namespace repository\content_object\assessment_multiple_choice_question;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'AssessmentMultipleChoiceQuestionAjaxHint' => '/ajax/hint.class.php',
         'AssessmentMultipleChoiceQuestionDifference' => '/lib/difference.class.php',
         'AssessmentMultipleChoiceQuestionDifferenceDisplay' => '/lib/difference_display.class.php',
         'AssessmentMultipleChoiceQuestionDisplay' => '/lib/display.class.php',
         'ComplexAssessmentMultipleChoiceQuestion' => '/lib/data_class/complex_content_object_item.class.php',
         'AssessmentMultipleChoiceQuestion' => '/lib/data_class/content_object.class.php',
         'AssessmentMultipleChoiceQuestionOption' => '/lib/data_class/option.class.php',
         'ComplexAssessmentMultipleChoiceQuestionForm' => '/lib/form/complex_content_object_item.class.php',
         'AssessmentMultipleChoiceQuestionForm' => '/lib/form/content_object.class.php',
         'ExportImplementation' => '/lib/implementation/export.class.php',
         'ImportImplementation' => '/lib/implementation/import.class.php',
         'RenditionImplementation' => '/lib/implementation/rendition.class.php',
         'QtiExportImplementation' => '/lib/implementation/export/qti.class.php',
         'QtiDefaultExportImplementation' => '/lib/implementation/export/qti/default.class.php',
         'CpoImportImplementation' => '/lib/implementation/import/cpo.class.php',
         'HtmlRenditionImplementation' => '/lib/implementation/rendition/html.class.php',
         'HtmlDescriptionRenditionImplementation' => '/lib/implementation/rendition/html/description.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/assessment_multiple_choice_question_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>