<?php
namespace repository\content_object\blog_item;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'BlogItemDifference' => '/lib/difference.class.php',
         'BlogItemDifferenceDisplay' => '/lib/difference_display.class.php',
         'BlogItemDisplay' => '/lib/display.class.php',
         'ComplexBlogItem' => '/lib/data_class/complex_content_object_item.class.php',
         'BlogItem' => '/lib/data_class/content_object.class.php',
         'ComplexBlogItemForm' => '/lib/form/complex_content_object_item.class.php',
         'BlogItemForm' => '/lib/form/content_object.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/blog_item_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>