<?php

namespace repository\content_object\bookmark;

use common\libraries\Includeable;

use common\libraries\Utilities;
use common\libraries\Versionable;
use repository\ContentObject;

/**
 * $Id: bookmark.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.content_object.bookmark
 */
class Bookmark extends ContentObject implements Versionable, Includeable
{
    
    const PROPERTY_URL = 'url';
    const PROPERTY_APPLICATION = 'application';
    
    const CLASS_NAME = __CLASS__;

    static function get_type_name()
    {
        return Utilities :: camelcase_to_underscores(Utilities :: get_classname_from_namespace(self :: CLASS_NAME));
    }

    /**
     * If the content object "accept" the properties passed as argument it returns a new instance of itself based on properties passed as argument. Otherwise returns false.
     *
     * @param array $properties
     * @return ContentObject | array | false
     */
    static function accept($properties)
    {
        $url = isset($properties[self :: PROPERTY_URL]) ? $properties[self :: PROPERTY_URL] : '';
        $application = isset($properties[self :: PROPERTY_APPLICATION]) ? $properties[self :: PROPERTY_APPLICATION] : '';
        if ($url && $application)
        {
            $result = new self();
            $result->set_url($url);
            $result->set_application($application);
            $result = array(1000000 => $result);
            return $result;
        }
        else
        {
            return false;
        }
    }

    function get_url()
    {
        return $this->get_additional_property(self :: PROPERTY_URL);
    }

    function set_url($url)
    {
        return $this->set_additional_property(self :: PROPERTY_URL, $url);
    }

    function get_application()
    {
        return $this->get_additional_property(self :: PROPERTY_APPLICATION);
    }

    function set_application($application)
    {
        return $this->set_additional_property(self :: PROPERTY_APPLICATION, $application);
    }

    static function get_additional_property_names()
    {
        return array(self :: PROPERTY_URL, self :: PROPERTY_APPLICATION);
    }

}

?>