<?php
namespace repository\content_object\calendar_event;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'CalendarEventAjaxClearParameter' => '/ajax/clear_parameter.class.php',
         'AdvancedFilter' => '/lib/advanced_filter.class.php',
         'CalendarEventDifference' => '/lib/difference.class.php',
         'CalendarEventDifferenceDisplay' => '/lib/difference_display.class.php',
         'Recurrence' => '/lib/recurrence.class.php',
         'ComplexCalendarEvent' => '/lib/data_class/complex_content_object_item.class.php',
         'CalendarEvent' => '/lib/data_class/content_object.class.php',
         'ComplexCalendarEventForm' => '/lib/form/complex_content_object_item.class.php',
         'CalendarEventForm' => '/lib/form/content_object.class.php',
         'ExportImplementation' => '/lib/implementation/export.class.php',
         'ImportImplementation' => '/lib/implementation/import.class.php',
         'RenditionImplementation' => '/lib/implementation/rendition.class.php',
         'CpoExportImplementation' => '/lib/implementation/export/cpo.class.php',
         'IcalExportImplementation' => '/lib/implementation/export/ical.class.php',
         'ZipExportImplementation' => '/lib/implementation/export/zip.class.php',
         'CpoDefaultExportImplementation' => '/lib/implementation/export/cpo/default.class.php',
         'IcalDefaultExportImplementation' => '/lib/implementation/export/ical/default.class.php',
         'ZipDefaultExportImplementation' => '/lib/implementation/export/zip/default.class.php',
         'IcalImportImplementation' => '/lib/implementation/import/ical.class.php',
         'HtmlRenditionImplementation' => '/lib/implementation/rendition/html.class.php',
         'HtmlDescriptionRenditionImplementation' => '/lib/implementation/rendition/html/description.class.php',
         'HtmlInlineRenditionImplementation' => '/lib/implementation/rendition/html/inline.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/calendar_event_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>