<?php
namespace repository\content_object\document;

use common\libraries\Utilities;
use common\libraries\Session;
use common\libraries\AjaxManager;
use common\libraries\JsonAjaxResult;

class DocumentAjaxClearParameter extends AjaxManager
{
    const PARAM_PARAMETER = 'parameter';

    /* (non-PHPdoc)
     * @see common\libraries.AjaxManager::required_parameters()
     */
    function required_parameters()
    {
        return array(self :: PARAM_PARAMETER);
    }

    /* (non-PHPdoc)
     * @see common\libraries.AjaxManager::run()
     */
    function run()
    {
        $parameter = $this->get_parameter(self :: PARAM_PARAMETER);
        $parameter = explode('_', $parameter, 3);
        
        $session = unserialize(Session :: retrieve('advanced_filter'));
        
        if ($parameter[1] == 'document')
        {
            switch ($parameter[2])
            {
                case 'filesize' :
                    unset($session[AdvancedFilter :: FILTER_COMPARE]);
                    unset($session[AdvancedFilter :: FILTER_FORMAT]);
                    unset($session[Document :: PROPERTY_FILESIZE]);
                    break;
            }
            
            Session :: register('advanced_filter', serialize($session));
            JsonAjaxResult :: success();
        }
    }
}
?>