<?php
namespace repository\content_object\document;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'DocumentAjaxClearParameter' => '/ajax/clear_parameter.class.php',
         'AdvancedFilter' => '/lib/advanced_filter.class.php',
         'DocumentDifference' => '/lib/difference.class.php',
         'DocumentDifferenceDisplay' => '/lib/difference_display.class.php',
         'DocumentDisplay' => '/lib/display.class.php',
         'RepositoryBrowserTable' => '/lib/browser/repository_browser_table.class.php',
         'RepositoryBrowserTableCellRenderer' => '/lib/browser/repository_browser_table_cell_renderer.class.php',
         'RepositoryBrowserTableColumnModel' => '/lib/browser/repository_browser_table_column_model.class.php',
         'RepositoryBrowserTableDataProvider' => '/lib/browser/repository_browser_table_data_provider.class.php',
         'ComplexDocument' => '/lib/data_class/complex_content_object_item.class.php',
         'Document' => '/lib/data_class/content_object.class.php',
         'DocumentAudioForm' => '/lib/form/audio.class.php',
         'ComplexDocumentForm' => '/lib/form/complex_content_object_item.class.php',
         'DocumentForm' => '/lib/form/content_object.class.php',
         'DocumentFlashForm' => '/lib/form/flash.class.php',
         'DocumentFlashVideoForm' => '/lib/form/flash_video.class.php',
         'DocumentImageForm' => '/lib/form/image.class.php',
         'DocumentVideoForm' => '/lib/form/video.class.php',
         'ExportImplementation' => '/lib/implementation/export.class.php',
         'ImportImplementation' => '/lib/implementation/import.class.php',
         'RenditionImplementation' => '/lib/implementation/rendition.class.php',
         'CpoExportImplementation' => '/lib/implementation/export/cpo.class.php',
         'ZipExportImplementation' => '/lib/implementation/export/zip.class.php',
         'CpoDefaultExportImplementation' => '/lib/implementation/export/cpo/default.class.php',
         'ZipDefaultExportImplementation' => '/lib/implementation/export/zip/default.class.php',
         'CpoImportImplementation' => '/lib/implementation/import/cpo.class.php',
         'HtmlRenditionImplementation' => '/lib/implementation/rendition/html.class.php',
         'JsonRenditionImplementation' => '/lib/implementation/rendition/json.class.php',
         'HtmlDescriptionRenditionImplementation' => '/lib/implementation/rendition/html/description.class.php',
         'HtmlInlineRenditionImplementation' => '/lib/implementation/rendition/html/inline.class.php',
         'HtmlPreviewRenditionImplementation' => '/lib/implementation/rendition/html/preview.class.php',
         'HtmlShortRenditionImplementation' => '/lib/implementation/rendition/html/short.class.php',
         'HtmlThumbnailRenditionImplementation' => '/lib/implementation/rendition/html/thumbnail.class.php',
         'HtmlInlineFlvRenditionImplementation' => '/lib/implementation/rendition/html/extension/flv.class.php',
         'HtmlInlineHtmRenditionImplementation' => '/lib/implementation/rendition/html/extension/htm.class.php',
         'HtmlInlineMp3RenditionImplementation' => '/lib/implementation/rendition/html/extension/mp3.class.php',
         'HtmlInlineHtmlRenditionImplementation' => '/lib/implementation/rendition/html/extension/html.class.php',
         'HtmlInlinePdfRenditionImplementation' => '/lib/implementation/rendition/html/extension/pdf.class.php',
         'HtmlInlineSwfRenditionImplementation' => '/lib/implementation/rendition/html/extension/swf.class.php',
         'HtmlInlineAudioRenditionImplementation' => '/lib/implementation/rendition/html/type/audio.class.php',
         'HtmlInlineDefaultRenditionImplementation' => '/lib/implementation/rendition/html/type/default.class.php',
         'HtmlInlineImageRenditionImplementation' => '/lib/implementation/rendition/html/type/image.class.php',
         'HtmlInlineVideoRenditionImplementation' => '/lib/implementation/rendition/html/type/video.class.php',
         'JsonImageRenditionImplementation' => '/lib/implementation/rendition/json/image.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/document_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>