<?php
namespace repository\content_object\document;

use repository\ContentObjectRendition;

use common\libraries\Path;
use common\libraries\Utilities;
use common\libraries\Filesystem;

use repository\RepositoryManager;

class HtmlDescriptionRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        return ContentObjectRendition :: launch($this);
    }

    function get_description()
    {
        $object = $this->get_content_object();

        $class = __NAMESPACE__ . '\HtmlInline' . Utilities :: underscores_to_camelcase($object->get_extension()) . 'RenditionImplementation';

        if (!class_exists($class))
        {
            $document_type = $object->determine_type();
            $class = __NAMESPACE__ . '\HtmlInline' . Utilities :: underscores_to_camelcase($document_type) . 'RenditionImplementation';
        }

        $rendition = new $class($this->get_context(), $this->get_content_object());
        return $rendition->render();


//         $object = $this->get_content_object();
//         $name = $object->get_filename();

//         $url = Path :: get(WEB_PATH) . RepositoryManager :: get_document_downloader_url($object->get_id());

//         if ($object->is_showable())
//         {
//             if ($object->is_image())
//             {
//                 $html = '<br /><img src="' . $url . '&display=1" style="max-width:100%">';
//             }
//             else
//             {
//                 $html = '<br /><iframe border="0" style="border: 1px solid grey;"
//                 width="100%" height="500"  src="' . $url . '&display=1"></iframe>';
//             }
//         }
//         else
//         {
//             $text = '<div><a href="' . Utilities :: htmlentities($url) . '">' . Utilities :: htmlentities($name) . '</a> (' . Filesystem :: format_file_size($object->get_filesize()) . ')</div>';

//             $html = '<div style="position: relative; margin: 10px auto; margin-left: -350px; width: 700px;
// 				left: 50%; right: 50%; border-width: 1px; border-style: solid;
// 				background-color: #E5EDF9; border-color: #4171B5; padding: 15px; text-align:center;">' . $text . '</div>';
//         }

//         return $html;
    }
}
?>