<?php
namespace repository\content_object\feedback;

use common\libraries\Session;
use common\libraries\AjaxManager;
use common\libraries\JsonAjaxResult;

class FeedbackAjaxClearParameter extends AjaxManager
{
    const PARAM_PARAMETER = 'parameter';

    /* (non-PHPdoc)
     * @see common\libraries.AjaxManager::required_parameters()
     */
    function required_parameters()
    {
        return array(self :: PARAM_PARAMETER);
    }

    /* (non-PHPdoc)
     * @see common\libraries.AjaxManager::run()
     */
    function run()
    {
        $parameter = $this->get_parameter(self :: PARAM_PARAMETER);
        $parameter = explode('_', $parameter, 3);
        
        $session = unserialize(Session :: retrieve('advanced_filter'));
        
        if ($parameter[1] == 'feedback')
        {
            switch ($parameter[2])
            {
                case 'icon' :
                    unset($session[Feedback :: PROPERTY_ICON]);
                    break;
            }
            
            Session :: register('advanced_filter', serialize($session));
            JsonAjaxResult :: success();
        }
        else
        {
            JsonAjaxResult :: bad_request();
        }
    }
}
?>