<?php
namespace repository\content_object\fill_in_blanks_question;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'FillInBlanksQuestionAjaxHint' => '/ajax/hint.class.php',
         'FillInBlanksQuestionDifference' => '/lib/difference.class.php',
         'FillInBlanksQuestionDifferenceDisplay' => '/lib/difference_display.class.php',
         'FillInBlanksQuestionDisplay' => '/lib/display.class.php',
         'FillInBlanksQuestionAnswer' => '/lib/data_class/answer.class.php',
         'ComplexFillInBlanksQuestion' => '/lib/data_class/complex_content_object_item.class.php',
         'FillInBlanksQuestion' => '/lib/data_class/content_object.class.php',
         'ComplexFillInBlanksQuestionForm' => '/lib/form/complex_content_object_item.class.php',
         'FillInBlanksQuestionForm' => '/lib/form/content_object.class.php',
         'ExportImplementation' => '/lib/implementation/export.class.php',
         'RenditionImplementation' => '/lib/implementation/rendition.class.php',
         'HtmlRenditionImplementation' => '/lib/implementation/rendition/html.class.php',
         'HtmlDescriptionRenditionImplementation' => '/lib/implementation/rendition/html/description.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/fill_in_blanks_question_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>