<?php
namespace repository\content_object\forum;

use common\libraries\Utilities;

use common\libraries\Request;
use common\libraries\Translation;
use repository\RepositoryDataManager;
use repository\ComplexBuilder;
/**
 * $Id: important.class.php 200 2009-11-13 12:30:04Z kariboe $
 * 
 * @package repository.lib.complex_builder.forum.component
 */

class ForumBuilderImportantComponent extends ForumBuilder
{

    function run()
    {
        $repository_data_manager = RepositoryDataManager :: get_instance();
        
        $topic = $repository_data_manager->retrieve_complex_content_object_item(Request :: get(ComplexBuilder :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID));
        
        if ($topic->get_type() == 2)
        {
            $topic->set_type(null);
            $message = Translation :: get('TopicUnImportant');
        }
        else
        {
            $topic->set_type(2);
            $message = Translation :: get('TopicImportant');
        }
        
        $success = $topic->update();
        
        if (! $success)
        {
            $message = Translation :: get('ObjectNotUpdated', array('OBJECT' => Translation :: get('ForumTopic')), Utilities :: COMMON_LIBRARIES);
        }
        $this->redirect($message, ($success ? false : true), array(
                ComplexBuilder :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID => Request :: get(ComplexBuilder :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID), 
                ComplexBuilder :: PARAM_BUILDER_ACTION => ComplexBuilder :: ACTION_BROWSE));
    }
}

?>