<?php
namespace repository\content_object\forum;

use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\EqualityCondition;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail; 
use common\libraries\Display;

use repository\RepositoryDataManager;
use repository\ComplexDisplay;
use repository\ComplexContentObjectItem;

use repository\content_object\forum_topic\ForumTopicDataManager;

/**
 * $Id: forum_post_deleter.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_display.forum.component
 * @author Maarten Volckaert - Hogeschool Gent
 */
class ForumComplexDisplayForumPostDeleterComponent extends ForumComplexDisplay
{   
    function run()
    {
        $selected_post_id = Request :: get( self :: PARAM_SELECTED_FORUM_POST);       
        $datamanager = ForumTopicDataManager :: get_instance();
        $delete_post = $datamanager->retrieve_forum_post($selected_post_id);
        
        if($delete_post->get_user_id() == $this->get_parent()->get_user_id() || $this->get_parent()->is_allowed(DELETE_RIGHT))
        {
            $success = $delete_post->delete();
        }
        else
        {
            $success = false;
        }
        $this->my_redirect($success);
    }
    
     /**
     * redirect
     * 
     * @param type $success 
     */
    private function my_redirect($success)
    {
           
        $message = htmlentities(Translation :: get(($success ? 'ObjectsDeleted' : 'ObjectsNotdeleted'), array(
                'OBJECT' => Translation :: get('ForumPost')), Utilities :: COMMON_LIBRARIES));
        
        $params = array();
        $params[ComplexDisplay :: PARAM_DISPLAY_ACTION] = ForumComplexDisplay :: ACTION_VIEW_TOPIC;
        $params[ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID] = $this->get_complex_content_object_item_id();
      
        $filter = array(self :: PARAM_SELECTED_FORUM_POST);
            
        $this->redirect($message, ($success ? false : true), $params,$filter);
    }
}
?>