<?php
namespace repository\content_object\forum;


use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\DelegateComponent;

use repository\RepositoryDataManager;
use repository\ComplexDisplay;

/**
 * Common functions for the create,edit and quote forms
 *
 * @author Mattias De Pauw - Hogeschool Gent
 */
class ForumPostFormAction extends ForumComplexDisplay implements DelegateComponent
{
    /**
     * add common breadcrumbtrails
     * 
     * @return breadcrumbtrails 
     */
    function add_common_breadcrumbtrails()
    {
        $trail = BreadcrumbTrail :: get_instance();
        
        $trail->add(new Breadcrumb($this->get_url(array(
                ComplexDisplay :: PARAM_DISPLAY_ACTION => ForumComplexDisplay :: ACTION_VIEW_FORUM, ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID => null)),
                $this->get_root_content_object()->get_title()));
       
        $complex_content_objects_path = $this->retrieve_children_from_root_to_cloi($this->get_root_content_object()->get_id(), $this->get_complex_content_object_item()->get_id());

        if ($complex_content_objects_path)
        {
           
           
            foreach ($complex_content_objects_path as $key => $value)
            {
                
                if ($value->get_type() == 'forum_topic') 
                {
                    $trail->add(new Breadcrumb($this->get_url(array(
                                        ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID => $key,
                                        ComplexDisplay :: PARAM_DISPLAY_ACTION => ForumComplexDisplay :: ACTION_VIEW_TOPIC)), $value->get_title()));
                } else 
                {
                    $trail->add(new Breadcrumb($this->get_url(array(
                                        ComplexDisplay :: PARAM_DISPLAY_ACTION => ForumComplexDisplay :: ACTION_VIEW_FORUM,
                                        ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID => $key)), $value->get_title()));
                }
            }

        } 
        else 
        {
            throw new Exception('The forum topic you requested has not been found in this forum');
        }
        
        return $trail;
    }
}

?>
