<?php
namespace repository\content_object\forum;

use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\Display;

use repository\RepositoryDataManager;
use repository\ComplexDisplay;
use common\libraries\Request;

/**
 * $Id: forum_subforum_deleter.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_display.forum.component
 */

class ForumComplexDisplayForumSubforumDeleterComponent extends ForumComplexDisplay
{

    function run()
    {
        if ($this->get_parent()->is_allowed(DELETE_RIGHT))
        {

            $subforum = $this->get_selected_complex_content_object_item();
        
            $params = array();
            
           
            if( $subforum->get_parent_object() == $this->get_root_content_object())
            {           
                $params[ComplexDisplay :: PARAM_DISPLAY_ACTION] = ForumComplexDisplay :: ACTION_VIEW_FORUM;
                $params[ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID] = null;
                $params[ComplexDisplay :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID] = null;
            }
            else
            { 
                $params[ComplexDisplay :: PARAM_DISPLAY_ACTION] = ForumComplexDisplay :: ACTION_VIEW_FORUM;
                $params[ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID] = Request :: get('parent_cloi');
            }   $params[ComplexDisplay :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID] = null;
           
         
            $success = $subforum->delete();
           
        
            $message = htmlentities(Translation :: get(($success ? 'ObjectDeleted' : 'ObjectNotDeleted'), array(
                  'OBJECT' => Translation :: get('Subforum')), Utilities :: COMMON_LIBRARIES));
            
            $this->redirect($message, ($success ? false : true), $params);
        }
        else
        {
            Display :: not_allowed();
        }
    }

}
?>