<?php
namespace repository\content_object\forum;

use common\libraries\Translation;
use common\libraries\Utilities;
use repository\RepositoryDataManager;
use repository\ComplexDisplay;

use common\libraries\Display;
use common\libraries\Request;


/**
 * $Id: forum_topic_deleter.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_display.forum.component
 * 
 * When a topic is deleted (outside the repository this is the component 
 * 
 * @author Mattias De Pauw
 */

class ForumComplexDisplayForumTopicDeleterComponent extends ForumComplexDisplay
{

    function run()
    {
        $topic = $this->get_selected_complex_content_object_item();
        
        if ($this->get_user()->get_id() == $topic->get_user_id() || $this->get_user()->is_platform_admin() || $this->is_forum_manager($this->get_user()))
        {
            $params = array();
            
          //  dump($topic->get_parent_object());dump($this->get_root_content_object());exit;
            if( $topic->get_parent_object()->get_id() == $this->get_root_content_object()->get_id())
            {
                $params[ComplexDisplay :: PARAM_DISPLAY_ACTION] = ForumComplexDisplay :: ACTION_VIEW_FORUM;
                $params[ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID] = null;
                $params[ComplexDisplay :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID] = null;
            }
            else
            { 
                $params[ComplexDisplay :: PARAM_DISPLAY_ACTION] = ForumComplexDisplay :: ACTION_VIEW_FORUM;
                $params[ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID] = Request :: get('parent_cloi');
                $params[ComplexDisplay :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID] = null;
                
            }
           
            $success = $topic->delete();
           
            $message = htmlentities(Translation :: get(($success ? 'ObjectDeleted' : 'ObjectNotDeleted'), array(
                   'OBJECT' => Translation :: get('ForumTopic')), Utilities :: COMMON_LIBRARIES));
            
            
            $this->redirect($message, ($success ? false : true), $params);
        }
        else
        {
            Display :: not_allowed();
        }
    }
}
?>