<?php
namespace repository\content_object\forum;

use common\libraries\Request;
use common\libraries\WebApplication;
use common\libraries\Translation;
use common\libraries\Breadcrumb;
use common\libraries\Utilities;

use repository\content_object\forum_topic\ForumTopicSubscribe;
use repository\content_object\forum_topic\ForumTopicDataManager;
use repository\ComplexDisplay;
use repository\RepositoryDataManager;
use repository\ContentObject;
use repository\content_object\forum_topic\ForumTopic;

/**
 * Component class responsible for the subscribing process of a topic.
 * 
 * @author Mattias De Pauw - Hogeschool Gent
 * @author Maarten Volckaert - Hogeschool Gent
 */
class ForumComplexDisplayTopicSubscribeComponent extends ForumComplexDisplay
{
    function run()
    {
        $topic = $this -> get_selected_complex_content_object_item();
      
        $params = array();
        $params[ComplexDisplay :: PARAM_DISPLAY_ACTION] = ForumComplexDisplay :: ACTION_VIEW_FORUM;
        $params[ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID] = $this->get_complex_content_object_item_id();
        $subscribe_exists = ForumTopicDataManager :: retrieve_subscribe($this->get_user_id(), $topic->get_ref());
        if(!$subscribe_exists)
        {
         
            $succes = ForumTopicDataManager :: create_subscribe($this->get_user_id(), $topic->get_ref());
            if($succes)
            {
               
                $message = Translation :: get("SuccesSubscribe", null, ContentObject :: get_content_object_type_namespace('forum_topic'));   
               
                $this->redirect($message,false, $params);
            }
            else
            {
                $message = Translation :: get('UnSuccesSubscribe', null, ContentObject :: get_content_object_type_namespace('forum_topic'));
                $this->redirect($message,true , $params);
            }
        }
        else
        {
            $message = Translation :: get('UnSuccesSubscribe', null, ContentObject :: get_content_object_type_namespace('forum_topic'));
            $this->redirect($message,true , $params);  
        }
    }
}

?>