<?php
namespace repository\content_object\forum;

use repository\content_object\forum_topic\ForumTopicSubscribe;
use repository\content_object\forum_topic\ForumTopicDataManager;
use repository\ComplexDisplay;
use repository\ContentObject;
use repository\RepositoryDataManager;

use common\libraries\Request;
use common\libraries\WebApplication;
use common\libraries\Translation;
use common\libraries\Breadcrumb;
use common\libraries\Utilities;

/**
 * Component class responsible for the unsubscribing process of a topic.
 *
 * @author Mattias De Pauw - Hogeschool Gent
 * @author Maarten Volckaert - Hogeschool Gent
 */
class ForumComplexDisplayTopicUnsubscribeComponent extends ForumComplexDisplay
{
    function run()
    {
        $succes = false;
        $subscribe_id = Request :: get(ForumComplexDisplay :: PARAM_SUBSCRIBE_ID);
        
        if($subscribe_id)
        {
            $subscribe = ForumTopicDataManager :: get_instance() ->retrieve_subscribe($subscribe_id);
            $succes = $subscribe->delete();
            $message = Translation :: get('SuccesUnSubscribe', null, ContentObject :: get_content_object_type_namespace('forum_topic'));
        }
        else
        {
            $message = Translation :: get('UnSuccesUnSubscribe', null, ContentObject :: get_content_object_type_namespace('forum_topic'));
        }
        
        $params = array();
        $params[ComplexDisplay :: PARAM_DISPLAY_ACTION] = ForumComplexDisplay :: ACTION_VIEW_FORUM;
        $params[ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID] = $this->get_complex_content_object_item_id();
        $this->redirect($message, ($succes ? false : true), $params);
    }
}

?>
