<?php
namespace repository\content_object\forum;

use repository\ComplexContentObjectItem;
use repository\RepositoryDataManager;
use repository\content_object\forum_topic\ForumTopic;
use repository\content_object\forum\SubforumEmailNotificator;

use common\libraries\Translation;
use common\libraries\Session;

use repository\ContentObject;
use user\UserDataManager;

/**
 * $Id: complex_forum.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.content_object.forum
 */
class ComplexForum extends ComplexContentObjectItem
{

    function get_allowed_types()
    {
        return array(Forum :: get_type_name(), ForumTopic :: get_type_name());
    }

    function create()
    {
        $success = parent :: create();
        
        $rdm = RepositoryDataManager :: get_instance();
        $lo = $rdm->retrieve_content_object($this->get_ref());

        $parent = $rdm->retrieve_content_object($this->get_parent());
        
        $email_notificator = new SubforumEmailNotificator();
        $email_notificator->set_forum($parent);
        $email_notificator->set_subforum($lo);
        $text = Translation :: get("SubforumAddedEmailTitle", null, ContentObject :: get_content_object_type_namespace('forum'));
        $email_notificator->set_action_title($text);
        $text = Translation :: get("SubforumAddedEmailBody", null, ContentObject :: get_content_object_type_namespace('forum'));
        $email_notificator->set_action_body($text);
        $email_notificator->set_action_user(UserDataManager:: get_instance()->retrieve_user(Session :: get_user_id()));
        
        $parent->add_topic($lo->get_total_topics());
        $parent->add_post($lo->get_total_posts(),$email_notificator);
        $parent->recalculate_last_post();
        
        $email_notificator->send_emails();
                
       
        return $success;
    }

    function delete()
    {
        $succes = parent :: delete();
        
        $rdm = RepositoryDataManager :: get_instance();
        $lo = $rdm->retrieve_content_object($this->get_ref());
        
        $parent = $rdm->retrieve_content_object($this->get_parent());
        
        $parent->remove_topic($lo->get_total_topics());
        $parent->remove_post($lo->get_total_posts());
        $parent->recalculate_last_post();
        
        return $succes;
    }
    
    

}
?>