<?php
namespace repository\content_object\forum;

/**
 * Interface class that contains all methods of the subscribe datamanager .
 * 
 * @author Mattias De Pauw - Hogeschool Gent
 * @author Maarten Volckaert - Hogeschool Gent 
 */
interface ForumDataManagerInterface
{
     /*
      * This function is used for retrieving the list of subscribers.
      * 
      * @param int $forum_id  The id of the forum 
      * 
      * @return ResultSet A ResultSet of Forum Subscribersbased on a Forum id.
      * 
      */
     function retrieve_forum_subscribers($condition);
     
    /**
     * This function is used to retrieve a single subscribe based on its Forum id and its User ID.
     * 
     * @param int $forum_id The id of the forum topic.
     * @param int $user_id The id of the user.
     * 
     * @return ForumSubscribe A single ForumSubscribe object.
     * 
     */
    function retrieve_subscribe($subscribe_id, $condition); 
    
     /**
     * get the last post of a (sub)forum his topics
     * 
     * @param int $forum_id
     * 
     * @return ForumPost 
     */
    function retrieve_last_post_forum_topics($forum_id);
    
      /**
     * get the last post of a (sub)forum his subforum(s)
     * 
     * @param int $forum_id
     * 
     * @return Forum
     */
    function retrieve_forum_last_post_forum_subforums($forum_id);
}
?>