<?php
namespace repository\content_object\forum_topic;

use repository\ComplexContentObjectItem;
use repository\RepositoryDataManager;
use user\UserDataManager;
use repository\ContentObject;
use repository\content_object\forum_topic\ForumPost;
use repository\content_object\forum\TopicEmailNotificator;
use common\libraries\Translation;
use common\libraries\Session;

/**
 * $Id: complex_forum_topic.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.content_object.forum_topic
 * @author Mattias De Pauw - Hogeschool Gent
 */
class ComplexForumTopic extends ComplexContentObjectItem
{
    const PROPERTY_TYPE = 'type';

    function get_type()
    {
        return $this->get_additional_property(self :: PROPERTY_TYPE);
    }

    function set_type($type)
    {
        $this->set_additional_property(self :: PROPERTY_TYPE, $type);
    }

    static function get_additional_property_names()
    {
        return array(self :: PROPERTY_TYPE);
    }
    
    function create()
    {
        parent :: create();
           
        $email_notificator = new TopicEmailNotificator();
        
        $rdm = RepositoryDataManager :: get_instance();
        $lo = $rdm->retrieve_content_object($this->get_ref());
        
        $parent = $rdm->retrieve_content_object($this->get_parent());
        
        $email_notificator->set_forum($parent);
        $email_notificator->set_topic($lo);
        $text = Translation :: get("TopicAddedEmailTitle", null, ContentObject :: get_content_object_type_namespace('forum'));
        $email_notificator->set_action_title($text);
        $text = Translation :: get("TopicAddedEmailBody", null, ContentObject :: get_content_object_type_namespace('forum'));
        $email_notificator->set_action_body($text);
        $email_notificator->set_action_user(UserDataManager:: get_instance()->retrieve_user(Session :: get_user_id()));
        
        $parent->add_topic();
        $parent->add_post($lo->get_total_posts(),$email_notificator);
        $parent->recalculate_last_post();
        
        $email_notificator->send_emails();
        
        return true;
    }
    
    function delete()
    {
        parent :: delete();
        
        $rdm = RepositoryDataManager :: get_instance();
        $lo = $rdm->retrieve_content_object($this->get_ref());
        
        $parent = $rdm->retrieve_content_object($this->get_parent());
        $parent->remove_topic();
        $parent->remove_post($lo->get_total_posts());
        
        $parent->recalculate_last_post();
        
        return true;
    }

    function get_allowed_types()
    {
        return array(ForumPost :: get_type_name());
    }
}
?>