<?php
namespace repository\content_object\glossary;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'GlossaryDifference' => '/lib/difference.class.php',
         'GlossaryDifferenceDisplay' => '/lib/difference_display.class.php',
         'GlossaryDisplay' => '/lib/display.class.php',
         'GlossaryBuilder' => '/lib/builder/glossary_builder.class.php',
         'GlossaryBuilderBrowserComponent' => '/lib/builder/component/browser.class.php',
         'GlossaryBuilderCreatorComponent' => '/lib/builder/component/creator.class.php',
         'GlossaryBuilderDeleterComponent' => '/lib/builder/component/deleter.class.php',
         'GlossaryBuilderMoverComponent' => '/lib/builder/component/mover.class.php',
         'GlossaryBuilderPreviewComponent' => '/lib/builder/component/preview.class.php',
         'GlossaryBuilderUpdaterComponent' => '/lib/builder/component/updater.class.php',
         'GlossaryBuilderViewerComponent' => '/lib/builder/component/viewer.class.php',
         'GlossaryComplexDisplay' => '/lib/complex_display/glossary_complex_display.class.php',
         'GlossaryComplexDisplayPreview' => '/lib/complex_display/glossary_complex_display_preview.class.php',
         'GlossaryComplexDisplaySupport' => '/lib/complex_display/glossary_complex_display_support.class.php',
         'GlossaryComplexDisplayCreatorComponent' => '/lib/complex_display/component/creator.class.php',
         'GlossaryComplexDisplayDeleterComponent' => '/lib/complex_display/component/deleter.class.php',
         'GlossaryComplexDisplayGlossaryItemCreatorComponent' => '/lib/complex_display/component/glossary_item_creator.class.php',
         'GlossaryComplexDisplayUpdaterComponent' => '/lib/complex_display/component/updater.class.php',
         'GlossaryComplexDisplayViewerComponent' => '/lib/complex_display/component/viewer.class.php',
         'GlossaryViewerTable' => '/lib/complex_display/component/glossary_viewer/glossary_viewer_table.class.php',
         'GlossaryViewerTableCellRenderer' => '/lib/complex_display/component/glossary_viewer/glossary_viewer_table_cell_renderer.class.php',
         'GlossaryViewerTableColumnModel' => '/lib/complex_display/component/glossary_viewer/glossary_viewer_table_column_model.class.php',
         'GlossaryViewerTableDataProvider' => '/lib/complex_display/component/glossary_viewer/glossary_viewer_table_data_provider.class.php',
         'ComplexGlossary' => '/lib/data_class/complex_content_object_item.class.php',
         'Glossary' => '/lib/data_class/content_object.class.php',
         'ComplexGlossaryForm' => '/lib/form/complex_content_object_item.class.php',
         'GlossaryForm' => '/lib/form/content_object.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/glossary_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>