<?php
namespace repository\content_object\hotpotatoes;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'HotpotatoesDifference' => '/lib/difference.class.php',
         'HotpotatoesDifferenceDisplay' => '/lib/difference_display.class.php',
         'HotpotatoesDisplay' => '/lib/display.class.php',
         'ComplexHotpotatoes' => '/lib/data_class/complex_content_object_item.class.php',
         'Hotpotatoes' => '/lib/data_class/content_object.class.php',
         'HotpotatoesForm' => '/lib/form/content_object.class.php',
         'ExportImplementation' => '/lib/implementation/export.class.php',
         'ImportImplementation' => '/lib/implementation/import.class.php',
         'RenditionImplementation' => '/lib/implementation/rendition.class.php',
         'CpoExportImplementation' => '/lib/implementation/export/cpo.class.php',
         'CpoDefaultExportImplementation' => '/lib/implementation/export/cpo/default.class.php',
         'HtmlRenditionImplementation' => '/lib/implementation/rendition/html.class.php',
         'HtmlDescriptionRenditionImplementation' => '/lib/implementation/rendition/html/description.class.php',
         'HtmlShortRenditionImplementation' => '/lib/implementation/rendition/html/short.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/hotpotatoes_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>