<?php
namespace repository\content_object\link;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'LinkBlockConnector' => '/blocks/link_connector.class.php',
         'LinkLinker' => '/blocks/type/linker.class.php',
         'LinkDifference' => '/lib/difference.class.php',
         'LinkDifferenceDisplay' => '/lib/difference_display.class.php',
         'LinkDisplay' => '/lib/display.class.php',
         'ComplexLink' => '/lib/data_class/complex_content_object_item.class.php',
         'Link' => '/lib/data_class/content_object.class.php',
         'ComplexLinkForm' => '/lib/form/complex_content_object_item.class.php',
         'LinkForm' => '/lib/form/content_object.class.php',
         'RenditionImplementation' => '/lib/implementation/rendition.class.php',
         'HtmlRenditionImplementation' => '/lib/implementation/rendition/html.class.php',
         'HtmlDescriptionRenditionImplementation' => '/lib/implementation/rendition/html/description.class.php',
         'HtmlInlineRenditionImplementation' => '/lib/implementation/rendition/html/inline.class.php',
         'HtmlShortRenditionImplementation' => '/lib/implementation/rendition/html/short.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/link_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>