<?php
namespace repository\content_object\link;

use common\libraries\Translation;
use common\libraries\StringUtilities;

use home\HomeManager;

use repository\ContentObjectBlock;

/**
 * $Id: linker.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.block
 */

class LinkLinker extends ContentObjectBlock
{

    function __construct($parent, $block_info, $configuration)
    {
        parent :: __construct($parent, $block_info, $configuration);
        $this->default_title = Translation :: get('Linker');
    }

    function is_visible()
    {
        return true; //i.e.display on homepage when anonymous
    }

    function display_content()
    {
        $content_object = $this->get_object();
        $url = htmlentities($content_object->get_url());
        
        $html = array();
        $html[] = $content_object->get_description();
        $html[] = '<div class="link_url" style="margin-top: 1em;"><a href="' . $url . '" target="_blank" >' . $url . '</a></div>';
        
        return implode(StringUtilities :: NEW_LINE, $html);
    }

}

?>