<?php
namespace repository\content_object\link;

use repository\ContentObjectDisplay;

/**
 * $Id: link_display.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.content_object.link
 */
class LinkDisplay extends ContentObjectDisplay
{

    function get_description()
    {
        $description = parent :: get_description();
        $object = $this->get_content_object();
        
        $replacement = '<div class="link_url" style="margin-top: 1em;">';
        if ($object->get_show_in_iframe())
        {
            $replacement .= '<iframe border="0" style="border: 1px solid grey;" width="100%" height="500"  src="';
            $replacement .= $object->get_url();
            $replacement .= '"></iframe>';
        }
        else
        {
            $replacement .= '<a target="about:blank" href="';
            $replacement .= $object->get_url();
            $replacement .= '">';
            $replacement .= $object->get_url();
            $replacement .= '</a>';
        }
        $replacement .= '</div>';
        
        return str_replace(self :: DESCRIPTION_MARKER, $replacement . self :: DESCRIPTION_MARKER, $description);
    }

    function get_short_html()
    {
        $object = $this->get_content_object();
        return '<span class="content_object"><a target="about:blank" href="' . htmlentities($object->get_url()) . '">' . htmlentities($object->get_title()) . '</a></span>';
    }
}
?>