<?php
namespace repository\content_object\ordering_question;

use repository\ContentObjectResourceRenderer;
use common\libraries\Translation;
use repository\ContentObjectRendition;

class HtmlDescriptionRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        return ContentObjectRendition :: launch($this);
    }

    function get_description()
    {
        $html = array();

        $lo = $this->get_content_object();
        $options = $lo->get_options();

        $html[] = '<table class="data_table">';
        $html[] = '<thead>';
        $html[] = '<tr>';
        $html[] = '<th class="checkbox"></th>';
        $html[] = '<th>' . Translation :: get('PutAnswersCorrectOrder') . '</th>';
        $html[] = '</tr>';
        $html[] = '</thead>';
        $html[] = '<tbody>';

        $order_options = $this->get_order_options();

        foreach ($options as $index => $option)
        {
            $html[] = '<tr class="' . ($index % 2 == 0 ? 'row_even' : 'row_odd') . '">';
            $html[] = '<td>';
            $html[] = '<select>';
            $html[] = $order_options;
            $html[] = '</select>';
            $html[] = '</td>';

            $renderer = new ContentObjectResourceRenderer($this->get_context(), $option->get_value());
            $html[] = '<td>' . $renderer->run() . '</td>';

            $html[] = '</tr>';
        }
        $html[] = '</tbody>';
        $html[] = '</table>';
        return implode("\n", $html);
    }

    function get_order_options()
    {
        $answer_count = count($this->get_content_object()->get_options());

        $options = array();
        for($i = 1; $i <= $answer_count; $i ++)
        {
            $options[] = '<option>' . $i . '</option>';
        }

        return implode("\n", $options);
    }
}
?>