<?php
namespace repository\content_object\physical_location;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'PhysicalLocationDifference' => '/lib/difference.class.php',
         'PhysicalLocationDifferenceDisplay' => '/lib/difference_display.class.php',
         'PhysicalLocationDisplay' => '/lib/display.class.php',
         'ComplexPhysicalLocation' => '/lib/data_class/complex_content_object_item.class.php',
         'PhysicalLocation' => '/lib/data_class/content_object.class.php',
         'ComplexPhysicalLocationForm' => '/lib/form/complex_content_object_item.class.php',
         'PhysicalLocationForm' => '/lib/form/content_object.class.php',
         'RenditionImplementation' => '/lib/implementation/rendition.class.php',
         'HtmlRenditionImplementation' => '/lib/implementation/rendition/html.class.php',
         'HtmlDescriptionRenditionImplementation' => '/lib/implementation/rendition/html/description.class.php',
         'HtmlShortRenditionImplementation' => '/lib/implementation/rendition/html/short.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/physical_location_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>