<?php
namespace repository\content_object\portfolio;

use common\libraries\Utilities;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\ActionBarRenderer;
use common\libraries\ToolbarItem;
use common\libraries\Theme;

use repository\ComplexBuilder;
use repository\ContentObjectTypeSelectorSupport;
use repository\ComplexBuilderComponent;
use repository\ContentObjectTypeSelector;
use repository\ContentObjectRenditionImplementation;
use repository\ContentObjectRendition;

/**
 * $Id: browser.class.php 200 2009-11-13 12:30:04Z kariboe $
 * 
 * @package repository.lib.complex_builder.portfolio.component
 */

class PortfolioBuilderBrowserComponent extends PortfolioBuilder implements ContentObjectTypeSelectorSupport
{

    function run()
    {
        // $html = array();
        // $menu_trail = $this->get_complex_content_object_breadcrumbs();
        // $trail = BreadcrumbTrail :: get_instance();
        // $trail->merge($menu_trail);
        // $trail->add_help('repository portfolio builder');
        //
        // if ($this->get_complex_content_object_item())
        // {
        // $content_object = RepositoryDataManager ::
        // get_instance()->retrieve_content_object(
        // $this->get_complex_content_object_item()->get_ref());
        // }
        // else
        // {
        // $content_object = $this->get_root_content_object();
        // }
        //
        // $this->display_header();
        //
        // $html[] = '<br />';
        // //TODO: shouldn't this be an admin setting or at least more
        // flexible/generalized because now the portfolio
        // //application sets these allowed types independently
        // $types = array(Portfolio :: get_type_name(), Announcement ::
        // get_type_name(),
        // BlogItem :: get_type_name(), CalendarEvent :: get_type_name(),
        // Description :: get_type_name(),
        // Document :: get_type_name(), Link :: get_type_name(), Note ::
        // get_type_name(), RssFeed :: get_type_name(),
        // Profile :: get_type_name(), Youtube :: get_type_name());
        //
        // $html[] = $this->get_creation_links($content_object, $types);
        // $html[] = '<div class="clear">&nbsp;</div><br />';
        //
        // $html[] = '<div style="width: 18%; overflow: auto; float: left;">';
        // $html[] = $this->get_complex_content_object_menu();
        // $html[] = '</div><div style="width: 80%; float: right;">';
        // $html[] = $this->get_complex_content_object_table_html(false, null,
        // new PortfolioBrowserTableCellRenderer(
        // $this, $this->get_complex_content_object_table_condition()));
        // $html[] = '</div>';
        // $html[] = '<div class="clear">&nbsp;</div>';
        //
        // echo implode("\n", $html);
        // $this->display_footer();
        ComplexBuilderComponent :: launch($this);
    }

    function get_object_info()
    {
        $html = array();
        
        $content_object = $this->get_root_content_object();
        $content_object_display = ContentObjectRenditionImplementation :: launch($content_object, ContentObjectRendition :: FORMAT_HTML, ContentObjectRendition :: VIEW_FULL, $this);
        
        $check_empty = trim(strip_tags($content_object_display));
        
        if (! empty($check_empty) && $check_empty != $content_object->get_title())
        {
            $html[] = '<div class="complex_browser_display">';
            $html[] = $content_object_display;
            $html[] = '<div class="clear">&nbsp;</div>';
            $html[] = '</div>';
        }
        
        return implode("\n", $html);
    }

    function get_action_bar()
    {
        $pub = Request :: get('publish');
        
        $action_bar = new ActionBarRenderer(ActionBarRenderer :: TYPE_HORIZONTAL);
        
        if ($pub && $pub != '')
        {
            $action_bar->add_common_action(new ToolbarItem(Translation :: get('Publish', null, Utilities :: COMMON_LIBRARIES), Theme :: get_common_image_path() . 'action_publish.png', $_SESSION['redirect_url']));
            return $action_bar;
        }
    }

    function get_content_object_type_creation_url($type)
    {
        return $this->get_url(array(
                ComplexBuilder :: PARAM_BUILDER_ACTION => ComplexBuilder :: ACTION_CREATE_COMPLEX_CONTENT_OBJECT_ITEM, 
                ComplexBuilder :: PARAM_TYPE => $type, 
                ComplexBuilder :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID => ($this->get_complex_content_object_item() ? $this->get_complex_content_object_item()->get_id() : null)));
    }

    function get_creation_links($content_object, $types = array())
    {
        if (count($types) == 0)
        {
            $types = $content_object->get_allowed_content();
        }
        
        $type_selector = new ContentObjectTypeSelector($this, $types, $this->get_additional_links(), null, $this->get_url(array(
                self :: PARAM_BUILDER_ACTION => self :: ACTION_CREATE_COMPLEX_CONTENT_OBJECT_ITEM, 
                self :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID => $this->get_complex_content_object_item_id())));
        $html[] = $type_selector->as_html();
        
        return implode("\n", $html);
    }

    function get_complex_content_object_table_cell_renderer()
    {
        return new PortfolioBrowserTableCellRenderer($this, $this->get_complex_content_object_table_condition());
    }

}

?>