<?php
namespace repository\content_object\portfolio_item;

use repository\content_object\portfolio\Portfolio;

use common\libraries\HelperContentObjectSupport;
use common\libraries\Utilities;
use common\libraries\Versionable;

use repository\ContentObject;

/**
 * $Id: portfolio_item.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.content_object.portfolio_item
 */
class PortfolioItem extends ContentObject implements Versionable, HelperContentObjectSupport
{
    const PROPERTY_REFERENCE = 'reference_id';
    const CLASS_NAME = __CLASS__;
    
    /**
     * @var Portfolio
     */
    private $reference_object;

    static function get_type_name()
    {
        return Utilities :: camelcase_to_underscores(Utilities :: get_classname_from_namespace(self :: CLASS_NAME));
    }

    static function get_additional_property_names()
    {
        return array(self :: PROPERTY_REFERENCE);
    }

    function get_reference()
    {
        return $this->get_additional_property(self :: PROPERTY_REFERENCE);
    }

    function set_reference($reference)
    {
        $this->set_additional_property(self :: PROPERTY_REFERENCE, $reference);
    }

    function get_reference_object()
    {
        if (! $this->reference_object instanceof Portfolio)
        {
            $this->reference_object = $this->get_data_manager()->retrieve_content_object($this->get_reference());
        }
        return $this->reference_object;
    }
}
?>