<?php
namespace repository\content_object\rss_feed;

use common\libraries\Session;
use common\libraries\Translation;
use common\libraries\EqualityCondition;

use repository\ContentObject;
use repository\RepositoryDataManager;

class RssFeedBlockConnector
{

    function get_rss_feed_objects()
    {
        $options = array();
        $rdm = RepositoryDataManager :: get_instance();
        $condition = new EqualityCondition(ContentObject :: PROPERTY_OWNER_ID, Session :: get_user_id());
        $objects = $rdm->retrieve_type_content_objects(RssFeed :: get_type_name(), $condition);
        
        if ($objects->size() == 0)
        {
            $options[0] = Translation :: get('CreateRssFeedFirst');
        }
        else
        {
            $options[0] = Translation :: get('SelectRssFeed');
            while ($object = $objects->next_result())
            {
                $options[$object->get_id()] = $object->get_title();
            }
        }
        
        return $options;
    }

}
?>