<?php
namespace repository\content_object\rss_feed;

use common\libraries\Translation;
use common\libraries\Theme;
use repository\ContentObjectRendition;
use repository\ContentObject;
use LastRss;

class HtmlDescriptionRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        return ContentObjectRendition :: launch($this);
    }

    function get_description()
    {
        $object = $this->get_content_object();
        $html = array();

        $html[] = '<div class="content_object" style="background-image: url(' . $object->get_icon_path() . ');">';
        $html[] = '<div class="title">' . Translation :: get('Description') . '</div>';
        // $html[] = ContentObjectRendition ::
        // factory($this)->get_description();
        $html[] = '<div class="link_url" style="margin-top: 1em;"><a href="' . htmlentities($object->get_url()) . '">' . htmlentities($object->get_url()) . '</a></div>';
        $html[] = '</div>';

        $feed = $this->parse_file($object->get_url());

        foreach ($feed['items'] as $item)
        {
            $html[] = '<div class="content_object" style="background-image: url(' . Theme :: get_common_image_path() . 'content_object/rss_feed_item.png);">';
            $html[] = '<div class="title">' . $item['title'] . '</div>';
            $html[] = html_entity_decode($item['description']);
            $html[] = '<div class="link_url" style="margin-top: 1em;"><a href="' . htmlentities($item['link']) . '">' . htmlentities($item['link']) . '</a></div>';
            $html[] = '</div>';
        }

        return implode("\n", $html);
    }

}
?>