<?php
namespace repository\content_object\rss_feed;

use common\libraries\Path;
use common\libraries\Translation;
use common\libraries\Theme;
use repository\ContentObject;
use LastRss;

class HtmlInlineRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        $object = $this->get_content_object();
        $html = array();

        $html[] = '<div class="content_object" style="background-image: url(' . $object->get_icon_path() . ');">';
        $html[] = '<div class="title">' . Translation :: get('Description') . '</div>';
        // $html[] = ContentObjectRendition ::
        // factory($this)->get_description();
        $html[] = '<div class="link_url" style="margin-top: 1em;"><a href="' . htmlentities($object->get_url()) . '">' . htmlentities($object->get_url()) . '</a></div>';
        $html[] = '</div>';

        $feed = self :: parse_file($object->get_url());

        foreach ($feed['items'] as $item)
        {
            $html[] = '<div class="content_object" style="background-image: url(' . Theme :: get_image_path() . 'logo/22_item.png);">';
            $html[] = '<div class="title">' . $item['title'] . '</div>';
            $html[] = html_entity_decode($item['description']);
            $html[] = '<div class="link_url" style="margin-top: 1em;"><a href="' . htmlentities($item['link']) . '">' . htmlentities($item['link']) . '</a></div>';
            $html[] = '</div>';
        }

        return implode("\n", $html);
    }

    static function parse_file($url)
    {
        $rss = new LastRss($url);
        // TODO: Make items limit configurable.
        $rss->set_items_limit(5);
        $rss->set_cache_dir(Path :: get(SYS_TEMP_PATH));
        $rss->set_cache_time(300);

        if ($rs = $rss->get_feed_content())
        {
            return $rs;
        }
        else
        {
            return false;
        }
    }
}
?>