<?php
namespace repository\content_object\system_announcement;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'SystemAnnouncementAjaxClearParameter' => '/ajax/clear_parameter.class.php',
         'AdvancedFilter' => '/lib/advanced_filter.class.php',
         'SystemAnnouncementDifference' => '/lib/difference.class.php',
         'SystemAnnouncementDifferenceDisplay' => '/lib/difference_display.class.php',
         'SystemAnnouncementDisplay' => '/lib/display.class.php',
         'SystemAnnouncement' => '/lib/data_class/content_object.class.php',
         'SystemAnnouncementForm' => '/lib/form/content_object.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/system_announcement_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>