<?php
namespace repository\content_object\task;

use common\libraries\DatetimeUtilities;
use common\libraries\Translation;
use common\libraries\Utilities;

class HtmlInlineRenditionImplementation extends HtmlRenditionImplementation
{

    function render()
    {
        $object = $this->get_content_object();
        $date_format = Translation :: get('DateTimeFormatLong', null, Utilities :: COMMON_LIBRARIES);
        
        $prepend = array();
        $repeats = $object->repeats();
        
        if ($repeats)
        {
            $prepend[] = '<div class="task_range" style="font-weight: bold;">';
            $prepend[] = Translation :: get('Repeats');
            $prepend[] = ' ';
            $prepend[] = strtolower($object->get_repeat_as_string());
            $prepend[] = ' ';
            $prepend[] = Translation :: get('Until');
            $prepend[] = ' ';
            $prepend[] = DatetimeUtilities :: format_locale_date($date_format, $object->get_repeat_to());
            $prepend[] = '</div>';
        }
        else
        {
            $prepend[] = '<div class="task_range" style="font-weight: bold;">';
            $prepend[] = Translation :: get('From');
            $prepend[] = ' ';
            $prepend[] = DatetimeUtilities :: format_locale_date($date_format, $object->get_start_date());
            $prepend[] = ' ';
            $prepend[] = Translation :: get('Until');
            $prepend[] = ' ';
            $prepend[] = DatetimeUtilities :: format_locale_date($date_format, $object->get_end_date());
            $prepend[] = '</div>';
        }
        $prepend[] = '<div class="task_range" style="font-style: italic;">';
        $prepend[] = Translation :: get('Priority') . ' : ' . $object->get_task_priority_as_string() . '<br/>';
        $prepend[] = Translation :: get('TaskType') . ' : ' . $object->get_task_type_as_string();
        $prepend[] = '</div>';
        
        return implode('', $prepend);
    }
}
?>