<?php
namespace repository\content_object\template;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'TemplateDifference' => '/lib/difference.class.php',
         'TemplateDifferenceDisplay' => '/lib/difference_display.class.php',
         'TemplateDisplay' => '/lib/display.class.php',
         'Template' => '/lib/data_class/content_object.class.php',
         'TemplateForm' => '/lib/form/content_object.class.php',
         'RenditionImplementation' => '/lib/implementation/rendition.class.php',
         'HtmlRenditionImplementation' => '/lib/implementation/rendition/html.class.php',
         'HtmlDescriptionRenditionImplementation' => '/lib/implementation/rendition/html/description.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/template_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>