<?php

namespace repository\content_object\twitter_search;

use repository\ContentObject;
use common\libraries\Theme;
use repository\ContentObjectDifferenceDisplay;
use common\libraries\SimpleTemplate;

/**
 * This class can be used to display the difference between twitter searches.
 *
 * @copyright (c) 2011 University of Geneva
 * @license GNU General Public License - http://www.gnu.org/copyleft/gpl.html
 * @author laurent opprecht
 * @package repository.lib.content_object.twitter_search
 */
class TwitterSearchDifferenceDisplay extends ContentObjectDifferenceDisplay
{

    function get_diff_as_html()
    {
        $diff = $this->get_difference();

        $html[] = '<div class="difference" style="background-image: url(' . $diff->get_object()->get_icon_path() . ');">';
        $title = $diff->get_object()->get_title();
        $creation_date = date(' (d M Y, H:i:s O)', $diff->get_object()->get_creation_date());
        $version_title = $diff->get_version()->get_title();
        $version_creation_date = date(' (d M Y, H:i:s O)', $diff->get_version()->get_creation_date());

        $final = array();
        foreach ($diff->get_difference() as $d)
        {
            $final[] = print_r($d->parse('final'), true) . '<br style="clear:both;" />';
        }

        $origin = array();
        foreach ($diff->get_difference() as $d)
        {
            $origin[] = print_r($d->parse('orig'), true) . '<br style="clear:both;" />';
        }

        $html = array();
        $html[] = '<div class="difference" style="background-image: url({$ICON});">';
        $html[] = '<div class="titleleft">';
        $html[] = '{$title}';
        $html[] = '{$creation_date}';
        $html[] = '</div>';
        $html[] = '<div class="titleright">';
        $html[] = '{$version_title}';
        $html[] = '{$version_creation_date}';
        $html[] = '</div>';

        $html[] = '<div class="left">';
        $html[] = '{$final}';
        $html[] = '</div>';

        $html[] = '<div class="right">';
        $html[] = '{$origin}';
        $html[] = '</div>';
        $html[] = '<div class="clear"></div>';
        $html[] = '</div>';
        return SimpleTemplate :: ex($html, get_defined_vars());
    }

}

?>