<?php
namespace repository\content_object\wiki;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'WikiDifference' => '/lib/difference.class.php',
         'WikiDifferenceDisplay' => '/lib/difference_display.class.php',
         'WikiDisplay' => '/lib/display.class.php',
         'WikiBuilder' => '/lib/builder/wiki_builder.class.php',
         'WikiBuilderBrowserComponent' => '/lib/builder/component/browser.class.php',
         'WikiBuilderCreatorComponent' => '/lib/builder/component/creator.class.php',
         'WikiBuilderDeleterComponent' => '/lib/builder/component/deleter.class.php',
         'WikiBuilderHomepageSelectorComponent' => '/lib/builder/component/homepage_selector.class.php',
         'WikiBuilderMoverComponent' => '/lib/builder/component/mover.class.php',
         'WikiBuilderPreviewComponent' => '/lib/builder/component/preview.class.php',
         'WikiBuilderUpdaterComponent' => '/lib/builder/component/updater.class.php',
         'WikiBuilderViewerComponent' => '/lib/builder/component/viewer.class.php',
         'WikiBrowserTableCellRenderer' => '/lib/builder/component/browser/wiki_browser_table_cell_renderer.class.php',
         'WikiActionbar' => '/lib/complex_display/wiki_actionbar.class.php',
         'WikiComplexDisplay' => '/lib/complex_display/wiki_complex_display.class.php',
         'WikiComplexDisplayPreview' => '/lib/complex_display/wiki_complex_display_preview.class.php',
         'WikiComplexDisplaySupport' => '/lib/complex_display/wiki_complex_display_support.class.php',
         'WikiComplexDisplayContentObjectUpdaterComponent' => '/lib/complex_display/component/content_object_updater.class.php',
         'WikiComplexDisplayDeleterComponent' => '/lib/complex_display/component/deleter.class.php',
         'WikiComplexDisplayReportingTemplateViewerComponent' => '/lib/complex_display/component/reporting_template_viewer.class.php',
         'WikiComplexDisplayUpdaterComponent' => '/lib/complex_display/component/updater.class.php',
         'WikiComplexDisplayVersionDeleterComponent' => '/lib/complex_display/component/version_deleter.class.php',
         'WikiComplexDisplayVersionReverterComponent' => '/lib/complex_display/component/version_reverter.class.php',
         'WikiComplexDisplayViewerComponent' => '/lib/complex_display/component/viewer.class.php',
         'WikiComplexDisplayWikiBrowserComponent' => '/lib/complex_display/component/wiki_browser.class.php',
         'WikiComplexDisplayWikiDiscussComponent' => '/lib/complex_display/component/wiki_discuss.class.php',
         'WikiComplexDisplayWikiHistoryComponent' => '/lib/complex_display/component/wiki_history.class.php',
         'WikiComplexDisplayWikiHomepageSetterComponent' => '/lib/complex_display/component/wiki_homepage_setter.class.php',
         'WikiComplexDisplayWikiItemViewerComponent' => '/lib/complex_display/component/wiki_item_viewer.class.php',
         'WikiComplexDisplayWikiPageCreatorComponent' => '/lib/complex_display/component/wiki_page_creator.class.php',
         'WikiPageTable' => '/lib/complex_display/component/wiki_page_table/wiki_page_table.class.php',
         'WikiPageTableCellRenderer' => '/lib/complex_display/component/wiki_page_table/wiki_page_table_cell_renderer.class.php',
         'WikiPageTableColumnModel' => '/lib/complex_display/component/wiki_page_table/wiki_page_table_column_model.class.php',
         'WikiPageTableDataProvider' => '/lib/complex_display/component/wiki_page_table/wiki_page_table_data_provider.class.php',
         'ComplexWiki' => '/lib/data_class/complex_content_object_item.class.php',
         'Wiki' => '/lib/data_class/content_object.class.php',
         'ComplexWikiForm' => '/lib/form/complex_content_object_item.class.php',
         'WikiForm' => '/lib/form/content_object.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/wiki_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>