<?php
namespace repository\content_object\wiki;

use common\libraries\Translation;
use common\libraries\ObjectTableColumnModel;
use common\libraries\ObjectTableColumn;
use common\libraries\StaticTableColumn;
use repository\ContentObject;
use repository\RepositoryDataManager;

/**
 * $Id: wiki_page_table_column_model.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_display.wiki.component.wiki_page_table
 */

class WikiPageTableColumnModel extends ObjectTableColumnModel
{
    /**
     * The column with the action buttons.
     */
    private static $action_column;

    /**
     * Constructor.
     */
    function __construct()
    {
        parent :: __construct(self :: get_columns(), 1, SORT_ASC);
    }

    /**
     * Gets the columns of this table.
     * @return array An array of all columns in this table.
     * @see ContentObjectTableColumn
     */
    function get_columns()
    {
        $repo_dm = RepositoryDataManager :: get_instance();
        
        $columns = array();
        $columns[] = new ObjectTableColumn(ContentObject :: PROPERTY_TITLE, true, $repo_dm->get_alias(ContentObject :: get_table_name()));
        $columns[] = new ObjectTableColumn(ContentObject :: PROPERTY_DESCRIPTION, true, $repo_dm->get_alias(ContentObject :: get_table_name()));
        $columns[] = new ObjectTableColumn(ContentObject :: PROPERTY_MODIFICATION_DATE, true, $repo_dm->get_alias(ContentObject :: get_table_name()));
        $columns[] = new StaticTableColumn(Translation :: get('Versions'));
        $columns[] = self :: get_action_column();
        return $columns;
    }

    /**
     * Gets the column wich contains the action buttons.
     * @return ContentObjectTableColumn The action column.
     */
    static function get_action_column()
    {
        if (! isset(self :: $action_column))
        {
            self :: $action_column = new StaticTableColumn(Translation :: get('Actions'));
        }
        return self :: $action_column;
    }
}
?>