<?php
namespace repository;

use common\libraries\Request;

use common\libraries\Translation;

use common\libraries\JsonAjaxResult;

use common\libraries\AndCondition;

use common\libraries\Session;

use common\libraries\AjaxManager;
use common\libraries\EqualityCondition;

class RepositoryAjaxCheckTitle extends AjaxManager
{
    const PARAM_TITLE = 'title';
    const PARAM_PARENT_ID = 'parent_id';
    const PARAM_CONTENT_OBJECT_ID = 'content_object_id';
    /*
     * (non-PHPdoc) @see common\libraries.AjaxManager::required_parameters()
     */
    function required_parameters()
    {
        return array(self :: PARAM_TITLE, self :: PARAM_PARENT_ID);
    }
    
    /*
     * (non-PHPdoc) @see common\libraries.AjaxManager::run()
     */
    function run()
    {
        $title = $this->get_parameter(self :: PARAM_TITLE);
        $parent_id = $this->get_parameter(self :: PARAM_PARENT_ID);
        $content_object_id = Request :: post(self :: PARAM_CONTENT_OBJECT_ID);

        if (! RepositoryDataManager :: get_instance()->content_object_title_exists($title, $parent_id, $content_object_id))
        {
            JsonAjaxResult :: success();
        }
        else
        {
            JsonAjaxResult :: error(409, Translation :: get('TitleAlreadyExists'));
        }
    }

}
?>