<?php
namespace repository;

use common\libraries\Utilities;
use common\libraries\Session;
use common\libraries\AjaxManager;
use common\libraries\JsonAjaxResult;

class RepositoryAjaxClearParameter extends AjaxManager
{
    const PARAM_PARAMETER = 'parameter';

    /* (non-PHPdoc)
     * @see common\libraries.AjaxManager::required_parameters()
     */
    function required_parameters()
    {
        return array(self :: PARAM_PARAMETER);
    }

    /* (non-PHPdoc)
     * @see common\libraries.AjaxManager::run()
     */
    function run()
    {
        $parameter = $this->get_parameter(self :: PARAM_PARAMETER);
        $parameter = explode('_', $parameter, 3);
        
        $session = unserialize(Session :: retrieve('advanced_filter'));
        
        if ($parameter[1] == 'general')
        {
            switch ($parameter[2])
            {
                case 'text' :
                    unset($session[AdvancedFilterForm :: FILTER_TEXT]);
                    break;
                case 'creation_dates' :
                    unset($session['creation_date_from']);
                    unset($session['creation_date_to']);
                    break;
                case 'creation_date_from' :
                    unset($session['creation_date_from']);
                    break;
                case 'creation_date_to' :
                    unset($session['creation_date_to']);
                    break;
                case 'modification_dates' :
                    unset($session['modification_date_from']);
                    unset($session['modification_date_to']);
                    break;
                case 'modification_date_from' :
                    unset($session['modification_date_from']);
                    break;
                case 'modification_date_to' :
                    unset($session['modification_date_to']);
                    break;
                case 'type' :
                    unset($session['type']);
                    break;
                case 'all' :
                    $session = array();
            }
            
            Session :: register('advanced_filter', serialize($session));
            JsonAjaxResult :: success();
        }
        else
        {
            $type_clear = self :: factory($parameter[1]);
            if ($type_clear)
            {
                $type_clear->run();
            }
        }
    }

    function factory($type)
    {
        $class = ContentObject :: get_content_object_type_namespace($type) . '\\' . Utilities :: underscores_to_camelcase($type) . 'AjaxClearParameter';
        if (class_exists($class))
        {
            return new $class($this->get_user());
        }
        else
        {
            return false;
        }
    }
}
?>