<?php
namespace repository;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'RepositoryAjaxCheckCategoryName' => '/ajax/check_category_name.class.php',
         'RepositoryAjaxCheckTitle' => '/ajax/check_title.class.php',
         'RepositoryAjaxClearParameter' => '/ajax/clear_parameter.class.php',
         'RepositoryAjaxContentObjectUpdate' => '/ajax/content_object_update.class.php',
         'RepositoryAjaxRenditionImplementation' => '/ajax/rendition_implementation.class.php',
         'ContentObjectBlock' => '/blocks/content_object_block.class.php',
         'RepositoryBlock' => '/blocks/repository_block.class.php',
         'RepositoryBlockConnector' => '/blocks/repository_connector.class.php',
         'RepositoryStreaming' => '/blocks/type/streaming.class.php',
         'RepositoryTwitterSearch' => '/blocks/type/twitter_search.class.php',
         'AbstractContentObjectExportImplementation' => '/lib/abstract_content_object_export_implementation.class.php',
         'AbstractContentObjectImportImplementation' => '/lib/abstract_content_object_import_implementation.class.php',
         'AbstractContentObjectRenditionImplementation' => '/lib/abstract_content_object_rendition_implementation.class.php',
         'ComplexContentObjectItem' => '/lib/complex_content_object_item.class.php',
         'ComplexContentObjectItemForm' => '/lib/complex_content_object_item_form.class.php',
         'ComplexContentObjectMenu' => '/lib/complex_content_object_menu.class.php',
         'ComplexContentObjectPath' => '/lib/complex_content_object_path.class.php',
         'ComplexContentObjectPathNode' => '/lib/complex_content_object_path_node.class.php',
         'ContentObject' => '/lib/content_object.class.php',
         'ContentObjectActivator' => '/lib/content_object_activator.class.php',
         'ContentObjectAdvancedFilter' => '/lib/content_object_advanced_filter.class.php',
         'ContentObjectAttachment' => '/lib/content_object_attachment.class.php',
         'ContentObjectCategoryMenu' => '/lib/content_object_category_menu.class.php',
         'ContentObjectCopier' => '/lib/content_object_copier.class.php',
         'ContentObjectDeactivator' => '/lib/content_object_deactivator.class.php',
         'ContentObjectDescriptionRenderer' => '/lib/content_object_description_renderer.class.php',
         'ContentObjectDifference' => '/lib/content_object_difference.class.php',
         'ContentObjectDifferenceDisplay' => '/lib/content_object_difference_display.class.php',
         'ContentObjectDisplay' => '/lib/content_object_display.class.php',
         'ContentObjectDisplayContext' => '/lib/content_object_display_context.class.php',
         'ContentObjectExport' => '/lib/content_object_export.class.php',
         'ContentObjectExportController' => '/lib/content_object_export_controller.class.php',
         'ContentObjectExportImplementation' => '/lib/content_object_export_implementation.class.php',
         'ContentObjectForm' => '/lib/content_object_form.class.php',
         'ContentObjectGroupShare' => '/lib/content_object_group_share.class.php',
         'ContentObjectImport' => '/lib/content_object_import.class.php',
         'ContentObjectImportController' => '/lib/content_object_import_controller.class.php',
         'ContentObjectImportForm' => '/lib/content_object_import_form.class.php',
         'ContentObjectImportImplementation' => '/lib/content_object_import_implementation.class.php',
         'ContentObjectImportParameters' => '/lib/content_object_import_parameters.class.php',
         'ContentObjectInclude' => '/lib/content_object_include.class.php',
         'ContentObjectIncludeParser' => '/lib/content_object_include_parser.class.php',
         'ContentObjectInstaller' => '/lib/content_object_installer.class.php',
         'ContentObjectOwnerChanger' => '/lib/content_object_owner_changer.class.php',
         'ContentObjectPublicationAttributes' => '/lib/content_object_publication_attributes.class.php',
         'ContentObjectPubFeedback' => '/lib/content_object_pub_feedback.class.php',
         'ContentObjectRenderer' => '/lib/content_object_renderer.class.php',
         'ContentObjectRendition' => '/lib/content_object_rendition.class.php',
         'ContentObjectRenditionImplementation' => '/lib/content_object_rendition_implementation.class.php',
         'ContentObjectResourceRenderer' => '/lib/content_object_resource_renderer.class.php',
         'ContentObjectShare' => '/lib/content_object_share.class.php',
         'ContentObjectTypeSelector' => '/lib/content_object_type_selector.class.php',
         'ContentObjectTypeSelectorSupport' => '/lib/content_object_type_selector_support.class.php',
         'ContentObjectUpdater' => '/lib/content_object_updater.class.php',
         'ContentObjectUserShare' => '/lib/content_object_user_share.class.php',
         'Difference_Engine' => '/lib/difference_engine.class.php',
         'Text_MappedDiff' => '/lib/difference_engine.class.php',
         'Difference_Engine_Engine_xdiff' => '/lib/difference_engine.class.php',
         'Difference_Engine_Engine_native' => '/lib/difference_engine.class.php',
         'Difference_Engine_Op' => '/lib/difference_engine.class.php',
         'Difference_Engine_Op_copy' => '/lib/difference_engine.class.php',
         'Difference_Engine_Op_delete' => '/lib/difference_engine.class.php',
         'Difference_Engine_Op_add' => '/lib/difference_engine.class.php',
         'Difference_Engine_Op_change' => '/lib/difference_engine.class.php',
         'DummyContentObjectExportImplementation' => '/lib/dummy_content_object_export_implementation.class.php',
         'DummyContentObjectImportImplementation' => '/lib/dummy_content_object_import_implementation.class.php',
         'DummyContentObjectRenditionImplementation' => '/lib/dummy_content_object_rendition_implementation.class.php',
         'ExportParameters' => '/lib/export_parameters.class.php',
         'ExternalInstance' => '/lib/external_instance.class.php',
         'ExternalRepositoryUserQuotum' => '/lib/external_repository_user_quotum.class.php',
         'ExternalSetting' => '/lib/external_setting.class.php',
         'ExternalSync' => '/lib/external_sync.class.php',
         'ExternalUserSetting' => '/lib/external_user_setting.class.php',
         'ImportParameters' => '/lib/import_parameters.class.php',
         'LegacyContentObjectDisplayContext' => '/lib/legacy_content_object_display_context.class.php',
         'ObjectTypeMenu' => '/lib/object_type_menu.class.php',
         'QuotaManager' => '/lib/quota_manager.class.php',
         'RepositoryDataClass' => '/lib/repository_data_class.class.php',
         'RepositoryDataManager' => '/lib/repository_data_manager.class.php',
         'RepositoryDataManagerInterface' => '/lib/repository_data_manager_interface.class.php',
         'RepositoryMenu' => '/lib/repository_menu.class.php',
         'RepositoryRights' => '/lib/repository_rights.class.php',
         'SharedContentObjectRelCategory' => '/lib/shared_content_object_rel_category.class.php',
         'UserView' => '/lib/user_view.class.php',
         'UserViewMenu' => '/lib/user_view_menu.class.php',
         'UserViewRelContentObject' => '/lib/user_view_rel_content_object.class.php',
         'RepositoryBookmarklet' => '/lib/bookmarklet/repository_bookmarklet.class.php',
         'AddResourceBookmarklet' => '/lib/bookmarklet/type/add_resource_bookmarklet.class.php',
         'RepositoryCategory' => '/lib/category_manager/repository_category.class.php',
         'RepositoryCategoryManager' => '/lib/category_manager/repository_category_manager.class.php',
         'RepositoryCategoryTreeMenu' => '/lib/category_manager/repository_category_tree_menu.class.php',
         'SharedRepositoryCategoryTreeMenu' => '/lib/category_manager/shared_repository_category_tree_menu.class.php',
         'ImpactViewTable' => '/lib/category_manager/impact_view_table/impact_view_table.class.php',
         'ImpactViewTableCellRenderer' => '/lib/category_manager/impact_view_table/impact_view_table_cell_renderer.class.php',
         'ImpactViewTableColumnModel' => '/lib/category_manager/impact_view_table/impact_view_table_column_model.class.php',
         'ImpactViewTableDataProvider' => '/lib/category_manager/impact_view_table/impact_view_table_data_provider.class.php',
         'ComplexBuilder' => '/lib/complex_builder/complex_builder.class.php',
         'ComplexBuilderComponent' => '/lib/complex_builder/complex_builder_component.class.php',
         'ComplexMenu' => '/lib/complex_builder/complex_menu.class.php',
         'ComplexBuilderComponentAttachmentViewerComponent' => '/lib/complex_builder/component/attachment_viewer.class.php',
         'ComplexBuilderComponentBrowserComponent' => '/lib/complex_builder/component/browser.class.php',
         'ComplexBuilderComponentCreatorComponent' => '/lib/complex_builder/component/creator.class.php',
         'ComplexBuilderComponentDeleterComponent' => '/lib/complex_builder/component/deleter.class.php',
         'ComplexBuilderComponentMoverComponent' => '/lib/complex_builder/component/mover.class.php',
         'ComplexBuilderComponentParentChangerComponent' => '/lib/complex_builder/component/parent_changer.class.php',
         'ComplexBuilderComponentPreviewComponent' => '/lib/complex_builder/component/preview.class.php',
         'ComplexBuilderComponentUpdaterComponent' => '/lib/complex_builder/component/updater.class.php',
         'ComplexBuilderComponentViewerComponent' => '/lib/complex_builder/component/viewer.class.php',
         'ComplexDisplay' => '/lib/complex_display/complex_display.class.php',
         'ComplexDisplayComponent' => '/lib/complex_display/complex_display_component.class.php',
         'ComplexDisplayPreview' => '/lib/complex_display/complex_display_preview.class.php',
         'ComplexDisplaySupport' => '/lib/complex_display/complex_display_support.class.php',
         'ComplexDisplayComponentAttachmentViewerComponent' => '/lib/complex_display/component/attachment_viewer.class.php',
         'ComplexDisplayComponentComplexFeedbackComponent' => '/lib/complex_display/component/complex_feedback.class.php',
         'ComplexDisplayComponentContentObjectUpdaterComponent' => '/lib/complex_display/component/content_object_updater.class.php',
         'ComplexDisplayComponentCreatorComponent' => '/lib/complex_display/component/creator.class.php',
         'ComplexDisplayComponentDeleterComponent' => '/lib/complex_display/component/deleter.class.php',
         'ComplexDisplayComponentFeedbackDeleterComponent' => '/lib/complex_display/component/feedback_deleter.class.php',
         'ComplexDisplayComponentFeedbackEditComponent' => '/lib/complex_display/component/feedback_editor.class.php',
         'ComplexDisplayComponentReportingTemplateViewerComponent' => '/lib/complex_display/component/reporting_template_viewer.class.php',
         'ComplexDisplayComponentUpdaterComponent' => '/lib/complex_display/component/updater.class.php',
         'CpoContentObjectExport' => '/lib/content_object_export/cpo_content_object_export.class.php',
         'CpoContentObjectExportController' => '/lib/content_object_export/cpo_content_object_export_controller.class.php',
         'HtmlContentObjectExport' => '/lib/content_object_export/html_content_object_export.class.php',
         'HtmlContentObjectExportController' => '/lib/content_object_export/html_content_object_export_controller.class.php',
         'IcalContentObjectExport' => '/lib/content_object_export/ical_content_object_export.class.php',
         'IcalContentObjectExportController' => '/lib/content_object_export/ical_content_object_export_controller.class.php',
         'QtiContentObjectExport' => '/lib/content_object_export/qti_content_object_export.class.php',
         'QtiContentObjectExportController' => '/lib/content_object_export/qti_content_object_export_controller.class.php',
         'ZipContentObjectExport' => '/lib/content_object_export/zip_content_object_export.class.php',
         'ZipContentObjectExportController' => '/lib/content_object_export/zip_content_object_export_controller.class.php',
         'CpoDefaultContentObjectExport' => '/lib/content_object_export/cpo/default.class.php',
         'HtmlDefaultContentObjectExport' => '/lib/content_object_export/html/default.class.php',
         'IcalDefaultContentObjectExport' => '/lib/content_object_export/ical/default.class.php',
         'QtiDefaultContentObjectExport' => '/lib/content_object_export/qti/default.class.php',
         'QtiQuestionSerializer' => '/lib/content_object_export/qti/qti_question_serializer.class.php',
         'QtiSerializerBase' => '/lib/content_object_export/qti/qti_serializer_base.class.php',
         'QtiSerializerExport' => '/lib/content_object_export/qti/qti_serializer_export.class.php',
         'QtiAssessmentMatchingQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_assessment_matching_question_serializer.class.php',
         'QtiAssessmentMatchNumericQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_assessment_match_numeric_question_serializer.class.php',
         'QtiAssessmentMatchTextQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_assessment_match_text_question_serializer.class.php',
         'QtiAssessmentMatrixQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_assessment_matrix_question_serializer.class.php',
         'QtiAssessmentMultipleChoiceQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_assessment_multiple_choice_question_serializer.class.php',
         'QtiAssessmentOpenQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_assessment_open_question_serializer.class.php',
         'QtiAssessmentRatingQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_assessment_rating_question_serializer.class.php',
         'QtiAssessmentSelectQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_assessment_select_question_serializer.class.php',
         'QtiAssessmentSerializer' => '/lib/content_object_export/qti/serializer/qti_assessment_serializer.class.php',
         'QtiFillInBlanksQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_fill_in_blanks_question_serializer.class.php',
         'QtiHotspotQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_hotspot_question_serializer.class.php',
         'QtiMatchQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_match_question_serializer.class.php',
         'QtiOrderingQuestionSerializer' => '/lib/content_object_export/qti/serializer/qti_ordering_question_serializer.class.php',
         'ZipDefaultContentObjectExport' => '/lib/content_object_export/zip/default.class.php',
         'CpoContentObjectImportController' => '/lib/content_object_import/cpo/controller.class.php',
         'CpoContentObjectImportForm' => '/lib/content_object_import/cpo/form.class.php',
         'CpoContentObjectImport' => '/lib/content_object_import/cpo/import.class.php',
         'CpoContentObjectImportParameters' => '/lib/content_object_import/cpo/object_parameters.class.php',
         'CpoImportParameters' => '/lib/content_object_import/cpo/parameters.class.php',
         'DocumentContentObjectImportController' => '/lib/content_object_import/document/controller.class.php',
         'DocumentContentObjectImportForm' => '/lib/content_object_import/document/form.class.php',
         'DocumentImportParameters' => '/lib/content_object_import/document/parameters.class.php',
         'HotpotatoesContentObjectImportController' => '/lib/content_object_import/hotpotatoes/controller.class.php',
         'HotpotatoesContentObjectImportForm' => '/lib/content_object_import/hotpotatoes/form.class.php',
         'HotpotatoesImportParameters' => '/lib/content_object_import/hotpotatoes/parameters.class.php',
         'IcalContentObjectImportController' => '/lib/content_object_import/ical/controller.class.php',
         'IcalContentObjectImportForm' => '/lib/content_object_import/ical/form.class.php',
         'IcalContentObjectImport' => '/lib/content_object_import/ical/ical_content_object_import.class.php',
         'IcalContentObjectImportParameters' => '/lib/content_object_import/ical/object_parameters.class.php',
         'IcalImportParameters' => '/lib/content_object_import/ical/parameters.class.php',
         'QtiContentObjectImportController' => '/lib/content_object_import/qti/controller.class.php',
         'QtiContentObjectImportForm' => '/lib/content_object_import/qti/form.class.php',
         'QtiContentObjectImport' => '/lib/content_object_import/qti/import.class.php',
         'QtiContentObjectImportParameters' => '/lib/content_object_import/qti/object_parameters.class.php',
         'QtiImportParameters' => '/lib/content_object_import/qti/parameters.class.php',
         'QtiBuilderBase' => '/lib/content_object_import/qti/object_import/qti_builder_base.class.php',
         'QtiBuilderImport' => '/lib/content_object_import/qti/object_import/qti_builder_import.class.php',
         'QtiQuestionBuilder' => '/lib/content_object_import/qti/object_import/qti_question_builder.class.php',
         'QtiAssessmentBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_assessment_builder.class.php',
         'QtiAssessmentMatchingQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_assessment_matching_question_builder.class.php',
         'QtiAssessmentMatchNumericQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_assessment_match_numeric_question_builder.class.php',
         'QtiAssessmentMatchTextQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_assessment_match_text_question_builder.class.php',
         'QtiAssessmentMatrixQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_assessment_matrix_question_builder.class.php',
         'QtiAssessmentMultipleChoiceQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_assessment_multiple_choice_question_builder.class.php',
         'QtiAssessmentOpenQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_assessment_open_question_builder.class.php',
         'QtiAssessmentRatingQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_assessment_rating_question_builder.class.php',
         'QtiAssessmentSelectQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_assessment_select_question_builder.class.php',
         'QtiFillInBlanksQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_fill_in_blanks_question_builder.class.php',
         'FillInBlanksQuestionRenderer' => '/lib/content_object_import/qti/object_import/builder/qti_fill_in_blanks_question_builder.class.php',
         'QtiHotspotQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_hotspot_question_builder.class.php',
         'QtiMatchQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_match_question_builder.class.php',
         'QtiOrderingQuestionBuilder' => '/lib/content_object_import/qti/object_import/builder/qti_ordering_question_builder.class.php',
         'ScormContentObjectImportController' => '/lib/content_object_import/scorm/controller.class.php',
         'ScormContentObjectImportForm' => '/lib/content_object_import/scorm/form.class.php',
         'ScormImportParameters' => '/lib/content_object_import/scorm/parameters.class.php',
         'VimeoContentObjectImportController' => '/lib/content_object_import/vimeo/controller.class.php',
         'VimeoContentObjectImportForm' => '/lib/content_object_import/vimeo/form.class.php',
         'VimeoImportParameters' => '/lib/content_object_import/vimeo/parameters.class.php',
         'YoutubeContentObjectImportController' => '/lib/content_object_import/youtube/controller.class.php',
         'YoutubeContentObjectImportForm' => '/lib/content_object_import/youtube/form.class.php',
         'YoutubeImportParameters' => '/lib/content_object_import/youtube/parameters.class.php',
         'ZipContentObjectImportController' => '/lib/content_object_import/zip/controller.class.php',
         'ZipContentObjectImportForm' => '/lib/content_object_import/zip/form.class.php',
         'ZipImportParameters' => '/lib/content_object_import/zip/parameters.class.php',
         'HtmlContentObjectRendition' => '/lib/content_object_rendition/html_content_object_rendition.class.php',
         'JsonContentObjectRendition' => '/lib/content_object_rendition/json_content_object_rendition.class.php',
         'XmlContentObjectRendition' => '/lib/content_object_rendition/xml_content_object_rendition.class.php',
         'HtmlDescriptionContentObjectRendition' => '/lib/content_object_rendition/html/description.class.php',
         'HtmlFullContentObjectRendition' => '/lib/content_object_rendition/html/full.class.php',
         'HtmlInlineContentObjectRendition' => '/lib/content_object_rendition/html/inline.class.php',
         'HtmlPreviewContentObjectRendition' => '/lib/content_object_rendition/html/preview.class.php',
         'HtmlShortContentObjectRendition' => '/lib/content_object_rendition/html/short.class.php',
         'HtmlThumbnailContentObjectRendition' => '/lib/content_object_rendition/html/thumbnail.class.php',
         'JsonFullContentObjectRendition' => '/lib/content_object_rendition/json/full.class.php',
         'JsonImageContentObjectRendition' => '/lib/content_object_rendition/json/image.class.php',
         'XmlFullContentObjectRendition' => '/lib/content_object_rendition/xml/full.class.php',
         'XmlPreviewContentObjectRendition' => '/lib/content_object_rendition/xml/preview.class.php',
         'XmlShortContentObjectRendition' => '/lib/content_object_rendition/xml/short.class.php',
         'DefaultContentObjectGalleryTableCellRenderer' => '/lib/content_object_table/default_content_object_gallery_table_cell_renderer.class.php',
         'DefaultContentObjectGalleryTablePropertyModel' => '/lib/content_object_table/default_content_object_gallery_table_property_model.class.php',
         'DefaultContentObjectTableCellRenderer' => '/lib/content_object_table/default_content_object_table_cell_renderer.class.php',
         'DefaultContentObjectTableColumnModel' => '/lib/content_object_table/default_content_object_table_column_model.class.php',
         'DefaultSharedContentObjectsTableCellRenderer' => '/lib/content_object_table/default_shared_content_objects_table_cell_renderer.class.php',
         'DefaultSharedContentObjectsTableColumnModel' => '/lib/content_object_table/default_shared_content_objects_table_column_model.class.php',
         'DefaultSharedContentObjectTableCellRenderer' => '/lib/content_object_table/default_shared_content_object_table_cell_renderer.class.php',
         'DefaultSharedContentObjectTableColumnModel' => '/lib/content_object_table/default_shared_content_object_table_column_model.class.php',
         'Mdb2RepositoryDataManager' => '/lib/data_manager/mdb2.class.php',
         'DatabaseComplexContentObjectItemResultSet' => '/lib/data_manager/database/database_complex_content_object_item_result_set.class.php',
         'DatabaseContentObjectResultSet' => '/lib/data_manager/database/database_content_object_result_set.class.php',
         'ContentObjectExportOld' => '/lib/export/content_object_export.class.php',
         'CpExport' => '/lib/export/cp/cp_export.class.php',
         'CpeObjectExportBase' => '/lib/export/cp/object_export/cpe_object_export_base.class.php',
         'CpObjectExport' => '/lib/export/cp/object_export/cp_object_export.class.php',
         'CpAnnouncementExport' => '/lib/export/cp/object_export/export/cp_announcement_export.class.php',
         'CpArrayExport' => '/lib/export/cp/object_export/export/cp_array_export.class.php',
         'CpBlogExport' => '/lib/export/cp/object_export/export/cp_blog_export.class.php',
         'CpBlogItemExport' => '/lib/export/cp/object_export/export/cp_blog_item_export.class.php',
         'CpCourseExport' => '/lib/export/cp/object_export/export/cp_course_export.class.php',
         'CpDescriptionExport' => '/lib/export/cp/object_export/export/cp_description_export.class.php',
         'CpDocumentExport' => '/lib/export/cp/object_export/export/cp_document_export.class.php',
         'CpGlossaryExport' => '/lib/export/cp/object_export/export/cp_glossary_export.class.php',
         'CpGlossaryItemExport' => '/lib/export/cp/object_export/export/cp_glossary_item_export.class.php',
         'CpHotpotatoesExport' => '/lib/export/cp/object_export/export/cp_hotpotatoes_export.class.php',
         'CpLearningpathExport' => '/lib/export/cp/object_export/export/cp_learningpath_export.class.php',
         'CpLinkExport' => '/lib/export/cp/object_export/export/cp_link_export.class.php',
         'CpNoteExport' => '/lib/export/cp/object_export/export/cp_note_export.class.php',
         'CpPhysicalLocationExport' => '/lib/export/cp/object_export/export/cp_physical_location_export.class.php',
         'CpQtiExport' => '/lib/export/cp/object_export/export/cp_qti_export.class.php',
         'CpStreamingExport' => '/lib/export/cp/object_export/export/cp_streaming_export.class.php',
         'CpWikiExport' => '/lib/export/cp/object_export/export/cp_wiki_export.class.php',
         'CpWikiPageExport' => '/lib/export/cp/object_export/export/cp_wiki_page_export.class.php',
         'CpContentObjectExport' => '/lib/export/cp/object_export/export_data/cp_content_object_export.class.php',
         'CpCourseExportData' => '/lib/export/cp/object_export/export_data/cp_course_export_data.class.php',
         'ScormExport' => '/lib/export/scorm/scorm_export.class.php',
         'LearningPathScormExport' => '/lib/export/scorm/learning_path/learning_path_scorm_export.class.php',
         'ExternalInstanceManager' => '/lib/external_instance_manager/external_instance_manager.class.php',
         'ExternalInstanceManagerActivatorComponent' => '/lib/external_instance_manager/component/activator.class.php',
         'ExternalInstanceManagerBrowserComponent' => '/lib/external_instance_manager/component/browser.class.php',
         'ExternalInstanceManagerCreatorComponent' => '/lib/external_instance_manager/component/creator.class.php',
         'ExternalInstanceManagerDeactivatorComponent' => '/lib/external_instance_manager/component/deactivator.class.php',
         'ExternalInstanceManagerDeleterComponent' => '/lib/external_instance_manager/component/deleter.class.php',
         'ExternalInstanceManagerRightsEditorComponent' => '/lib/external_instance_manager/component/rights_editor.class.php',
         'ExternalInstanceManagerUpdaterComponent' => '/lib/external_instance_manager/component/updater.class.php',
         'ExternalInstanceBrowserTable' => '/lib/external_instance_manager/component/external_instance_browser/external_instance_browser_table.class.php',
         'ExternalInstanceBrowserTableCellRenderer' => '/lib/external_instance_manager/component/external_instance_browser/external_instance_browser_table_cell_renderer.class.php',
         'ExternalInstanceBrowserTableColumnModel' => '/lib/external_instance_manager/component/external_instance_browser/external_instance_browser_table_column_model.class.php',
         'ExternalInstanceBrowserTableDataProvider' => '/lib/external_instance_manager/component/external_instance_browser/external_instance_browser_table_data_provider.class.php',
         'DefaultExternalInstanceTableCellRenderer' => '/lib/external_instance_manager/external_instance_table/default_external_instance_table_cell_renderer.class.php',
         'DefaultExternalInstanceTableColumnModel' => '/lib/external_instance_manager/external_instance_table/default_external_instance_table_column_model.class.php',
         'ExternalInstanceForm' => '/lib/external_instance_manager/forms/external_instance_form.class.php',
         'DefaultExternalLinkTableCellRenderer' => '/lib/external_link_table/default_external_link_table_cell_renderer.class.php',
         'DefaultExternalLinkTableColumnModel' => '/lib/external_link_table/default_external_link_table_column_model.class.php',
         'AddResourceForm' => '/lib/forms/add_resource_form.class.php',
         'AdvancedFilterForm' => '/lib/forms/advanced_filter_form.class.php',
         'RepositoryFilterForm' => '/lib/forms/repository_filter_form.class.php',
         'UserViewForm' => '/lib/forms/user_view_form.class.php',
         'ContentObjectImportOld' => '/lib/import/content_object_import.class.php',
         'CpImport' => '/lib/import/cp/cp_import.class.php',
         'ImsMetadataReader' => '/lib/import/cp/metadata/ims_metadata_reader.class.php',
         'ImsLomReader' => '/lib/import/cp/metadata/lom_reader.class.php',
         'BufferedCpImport' => '/lib/import/cp/object_import/buffered_cp_import.class.php',
         'CpObjectImportAggregate' => '/lib/import/cp/object_import/cp_object_import_aggregate.class.php',
         'CpObjectImportBase' => '/lib/import/cp/object_import/cp_object_import_base.class.php',
         'AnnouncementHtmlCpImport' => '/lib/import/cp/object_import/import/announcement_html_cp_import.class.php',
         'BlogpostHtmlCpImport' => '/lib/import/cp/object_import/import/blogpost_html_cp_import.class.php',
         'DescriptionHtmlCpImport' => '/lib/import/cp/object_import/import/description_html_cp_import.class.php',
         'DirCpImport' => '/lib/import/cp/object_import/import/dir_cp_import.class.php',
         'DocumentCpImport' => '/lib/import/cp/object_import/import/document_cp_import.class.php',
         'GlossaryItemCpImport' => '/lib/import/cp/object_import/import/glossaryitem_cp_import.class.php',
         'HotpotatoesCpImport' => '/lib/import/cp/object_import/import/hotpotatoes_cp_import.class.php',
         'LocationCpImport' => '/lib/import/cp/object_import/import/location_cp_import.class.php',
         'NoteHtmlCpImport' => '/lib/import/cp/object_import/import/note_html_cp_import.class.php',
         'QtiCpImport' => '/lib/import/cp/object_import/import/qti_cp_import.class.php',
         'ScormCpImport' => '/lib/import/cp/object_import/import/scorm_cp_import.class.php',
         'UrlCpImport' => '/lib/import/cp/object_import/import/url_cp_import.class.php',
         'VideoUrlCpImport' => '/lib/import/cp/object_import/import/video_url_cp_import.class.php',
         'WikipageHtmlCpImport' => '/lib/import/cp/object_import/import/wikipage_html_cp_import.class.php',
         'ZipCpImport' => '/lib/import/cp/object_import/import/zip_cp_import.class.php',
         'BlogCpImport' => '/lib/import/cp/object_import/import/dir/blog_cp_import.class.php',
         'FolderCpImport' => '/lib/import/cp/object_import/import/dir/folder_cp_import.class.php',
         'GlossaryCpImport' => '/lib/import/cp/object_import/import/dir/glossary_cp_import.class.php',
         'ImscpManifestCpImport' => '/lib/import/cp/object_import/import/dir/imscp_manifest_cp_import.class.php',
         'WikiCpImport' => '/lib/import/cp/object_import/import/dir/wiki_cp_import.class.php',
         'CpImportContentObject' => '/lib/import/cp/object_import/import_data/cp_import_content_object.class.php',
         'CpImportCourse' => '/lib/import/cp/object_import/import_data/cp_import_course.class.php',
         'CpOrganizationImport' => '/lib/import/cp/organization_import/cp_organization_import.class.php',
         'HotPotatoesImport' => '/lib/import/hotpotatoes/hotpotatoes_import.class.php',
         'ScormImport' => '/lib/import/scorm/scorm_import.class.php',
         'IncludeChamiloParser' => '/lib/includes/include_chamilo_parser.class.php',
         'IncludeEmbedParser' => '/lib/includes/include_embed_parser.class.php',
         'IncludeFlashParser' => '/lib/includes/include_flash_parser.class.php',
         'IncludeImageParser' => '/lib/includes/include_image_parser.class.php',
         'IncludeWikiParser' => '/lib/includes/include_wiki_parser.class.php',
         'IncludeYoutubeParser' => '/lib/includes/include_youtube_parser.class.php',
         'DefaultLinkTableCellRenderer' => '/lib/link_table/default_link_table_cell_renderer.class.php',
         'DefaultLinkTableColumnModel' => '/lib/link_table/default_link_table_column_model.class.php',
         'DefaultPublicationTableCellRenderer' => '/lib/publication_table/default_publication_table_cell_renderer.class.php',
         'DefaultPublicationTableColumnModel' => '/lib/publication_table/default_publication_table_column_model.class.php',
         'GalleryTableContentObjectRenderer' => '/lib/renderer/gallery_table_content_object_renderer.class.php',
         'SlideshowContentObjectRenderer' => '/lib/renderer/slideshow_content_object_renderer.class.php',
         'TableContentObjectRenderer' => '/lib/renderer/table_content_object_renderer.class.php',
         'RepositoryManager' => '/lib/repository_manager/repository_manager.class.php',
         'RepositorySearchForm' => '/lib/repository_manager/repository_search_form.class.php',
         'RepositoryManagerAttachmentViewerComponent' => '/lib/repository_manager/component/attachment_viewer.class.php',
         'RepositoryManagerBrowserComponent' => '/lib/repository_manager/component/browser.class.php',
         'RepositoryManagerBuilderComponent' => '/lib/repository_manager/component/builder.class.php',
         'RepositoryManagerCategoryManagerComponent' => '/lib/repository_manager/component/category_manager.class.php',
         'RepositoryManagerComparerComponent' => '/lib/repository_manager/component/comparer.class.php',
         'RepositoryManagerContentObjectCopierComponent' => '/lib/repository_manager/component/content_object_copier.class.php',
         'RepositoryManagerContentObjectManagerComponent' => '/lib/repository_manager/component/content_object_manager.class.php',
         'RepositoryManagerContentObjectRegistrationBrowserComponent' => '/lib/repository_manager/component/content_object_registration_browser.class.php',
         'RepositoryManagerContentObjectShareRightsDeleterComponent' => '/lib/repository_manager/component/content_object_share_rights_deleter.class.php',
         'RepositoryManagerCreatorComponent' => '/lib/repository_manager/component/creator.class.php',
         'RepositoryManagerDeleterComponent' => '/lib/repository_manager/component/deleter.class.php',
         'RepositoryManagerDocumentDownloaderComponent' => '/lib/repository_manager/component/document_downloader.class.php',
         'RepositoryManagerDoublesViewerComponent' => '/lib/repository_manager/component/doubles_viewer.class.php',
         'RepositoryManagerEditorComponent' => '/lib/repository_manager/component/editor.class.php',
         'RepositoryManagerExporterComponent' => '/lib/repository_manager/component/exporter.class.php',
         'RepositoryManagerExporterCpComponent' => '/lib/repository_manager/component/exporter_cp.class.php',
         'RepositoryManagerExternalInstanceComponent' => '/lib/repository_manager/component/external_instance.class.php',
         'RepositoryManagerExternalInstanceManagerComponent' => '/lib/repository_manager/component/external_instance_manager.class.php',
         'RepositoryManagerImporterComponent' => '/lib/repository_manager/component/importer.class.php',
         'RepositoryManagerLinkDeleterComponent' => '/lib/repository_manager/component/link_deleter.class.php',
         'RepositoryManagerMetadataEditorComponent' => '/lib/repository_manager/component/metadata_editor.class.php',
         'RepositoryManagerMoverComponent' => '/lib/repository_manager/component/mover.class.php',
         'RepositoryManagerPermanentDeleterComponent' => '/lib/repository_manager/component/permanent_deleter.class.php',
         'RepositoryManagerPublicationBrowserComponent' => '/lib/repository_manager/component/publication_browser.class.php',
         'RepositoryManagerPublicationDeleterComponent' => '/lib/repository_manager/component/publication_deleter.class.php',
         'RepositoryManagerPublicationUpdaterComponent' => '/lib/repository_manager/component/publication_updater.class.php',
         'RepositoryManagerPublisherComponent' => '/lib/repository_manager/component/publisher.class.php',
         'RepositoryManagerQuotaComponent' => '/lib/repository_manager/component/quota.class.php',
         'RepositoryManagerQuotaViewerComponent' => '/lib/repository_manager/component/quota_viewer.class.php',
         'RepositoryManagerRecyclerComponent' => '/lib/repository_manager/component/recycler.class.php',
         'RepositoryManagerRecycleBinBrowserComponent' => '/lib/repository_manager/component/recycle_bin_browser.class.php',
         'RepositoryManagerRepoViewerComponent' => '/lib/repository_manager/component/repo_viewer.class.php',
         'RepositoryManagerResourceAdderComponent' => '/lib/repository_manager/component/resource_adder.class.php',
         'RepositoryManagerRestorerComponent' => '/lib/repository_manager/component/restorer.class.php',
         'RepositoryManagerReverterComponent' => '/lib/repository_manager/component/reverter.class.php',
         'RepositoryManagerRightsEditorComponent' => '/lib/repository_manager/component/rights_editor.class.php',
         'RepositoryManagerSharedContentObjectsBrowserComponent' => '/lib/repository_manager/component/shared_content_objects_browser.class.php',
         'RepositoryManagerSharedContentObjectsDeleterComponent' => '/lib/repository_manager/component/shared_content_objects_deleter.class.php',
         'RepositoryManagerSharedContentObjectsMoverComponent' => '/lib/repository_manager/component/shared_content_objects_mover.class.php',
         'RepositoryManagerShareContentObjectsComponent' => '/lib/repository_manager/component/share_content_objects.class.php',
         'RepositoryManagerTemplateBrowserComponent' => '/lib/repository_manager/component/template_browser.class.php',
         'RepositoryManagerTemplateCreatorComponent' => '/lib/repository_manager/component/template_creator.class.php',
         'RepositoryManagerTemplateDeleterComponent' => '/lib/repository_manager/component/template_deleter.class.php',
         'RepositoryManagerTemplateImporterComponent' => '/lib/repository_manager/component/template_importer.class.php',
         'RepositoryManagerTemplateUserComponent' => '/lib/repository_manager/component/template_user.class.php',
         'RepositoryManagerUnlinkerComponent' => '/lib/repository_manager/component/unlinker.class.php',
         'RepositoryManagerUserViewBrowserComponent' => '/lib/repository_manager/component/user_view_browser.class.php',
         'RepositoryManagerUserViewCreatorComponent' => '/lib/repository_manager/component/user_view_creator.class.php',
         'RepositoryManagerUserViewDeleterComponent' => '/lib/repository_manager/component/user_view_deleter.class.php',
         'RepositoryManagerUserViewUpdaterComponent' => '/lib/repository_manager/component/user_view_updater.class.php',
         'RepositoryManagerViewerComponent' => '/lib/repository_manager/component/viewer.class.php',
         'RepositoryBrowserTable' => '/lib/repository_manager/component/browser/repository_browser_table.class.php',
         'RepositoryBrowserTableCellRenderer' => '/lib/repository_manager/component/browser/repository_browser_table_cell_renderer.class.php',
         'RepositoryBrowserTableColumnModel' => '/lib/repository_manager/component/browser/repository_browser_table_column_model.class.php',
         'RepositoryBrowserTableDataProvider' => '/lib/repository_manager/component/browser/repository_browser_table_data_provider.class.php',
         'DoublesBrowserTable' => '/lib/repository_manager/component/browser/doubles_browser/doubles_browser_table.class.php',
         'DoublesBrowserTableCellRenderer' => '/lib/repository_manager/component/browser/doubles_browser/doubles_browser_table_cell_renderer.class.php',
         'DoublesBrowserTableColumnModel' => '/lib/repository_manager/component/browser/doubles_browser/doubles_browser_table_column_model.class.php',
         'DoublesBrowserTableDataProvider' => '/lib/repository_manager/component/browser/doubles_browser/doubles_browser_table_data_provider.class.php',
         'RepositorySharedContentObjectsBrowserTable' => '/lib/repository_manager/component/browser/shared_content_objects_browser/repository_shared_content_objects_browser_table.class.php',
         'RepositorySharedContentObjectsBrowserTableCellRenderer' => '/lib/repository_manager/component/browser/shared_content_objects_browser/repository_shared_content_objects_browser_table_cell_renderer.class.php',
         'RepositorySharedContentObjectsBrowserTableColumnModel' => '/lib/repository_manager/component/browser/shared_content_objects_browser/repository_shared_content_objects_browser_table_column_model.class.php',
         'RepositorySharedContentObjectsBrowserTableDataProvider' => '/lib/repository_manager/component/browser/shared_content_objects_browser/repository_shared_content_objects_browser_table_data_provider.class.php',
         'TemplateBrowserTable' => '/lib/repository_manager/component/browser/template_browser/template_browser_table.class.php',
         'TemplateBrowserTableCellRenderer' => '/lib/repository_manager/component/browser/template_browser/template_browser_table_cell_renderer.class.php',
         'TemplateBrowserTableColumnModel' => '/lib/repository_manager/component/browser/template_browser/template_browser_table_column_model.class.php',
         'ComplexBrowserTable' => '/lib/repository_manager/component/complex_browser/complex_browser_table.class.php',
         'ComplexBrowserTableCellRenderer' => '/lib/repository_manager/component/complex_browser/complex_browser_table_cell_renderer.class.php',
         'ComplexBrowserTableColumnModel' => '/lib/repository_manager/component/complex_browser/complex_browser_table_column_model.class.php',
         'ComplexBrowserTableDataProvider' => '/lib/repository_manager/component/complex_browser/complex_browser_table_data_provider.class.php',
         'ContentObjectRegistrationBrowserTable' => '/lib/repository_manager/component/content_object_registration_browser/content_object_registration_browser_table.class.php',
         'ContentObjectRegistrationBrowserTableCellRenderer' => '/lib/repository_manager/component/content_object_registration_browser/content_object_registration_browser_table_cell_renderer.class.php',
         'ContentObjectRegistrationBrowserTableColumnModel' => '/lib/repository_manager/component/content_object_registration_browser/content_object_registration_browser_table_column_model.class.php',
         'ContentObjectRegistrationBrowserTableDataProvider' => '/lib/repository_manager/component/content_object_registration_browser/content_object_registration_browser_table_data_provider.class.php',
         'ExportBrowserTable' => '/lib/repository_manager/component/export_browser/export_browser_table.class.php',
         'ExportBrowserTableCellRenderer' => '/lib/repository_manager/component/export_browser/export_browser_table_cell_renderer.class.php',
         'ExportBrowserTableColumnModel' => '/lib/repository_manager/component/export_browser/export_browser_table_column_model.class.php',
         'ExportBrowserTableDataProvider' => '/lib/repository_manager/component/export_browser/export_browser_table_data_provider.class.php',
         'ExportTable' => '/lib/repository_manager/component/export_browser/sortable_table.class.php',
         'ExternalLinkBrowserTable' => '/lib/repository_manager/component/external_link_browser/external_link_browser_table.class.php',
         'ExternalLinkBrowserTableCellRenderer' => '/lib/repository_manager/component/external_link_browser/external_link_browser_table_cell_renderer.class.php',
         'ExternalLinkBrowserTableColumnModel' => '/lib/repository_manager/component/external_link_browser/external_link_browser_table_column_model.class.php',
         'ExternalLinkBrowserTableDataProvider' => '/lib/repository_manager/component/external_link_browser/external_link_browser_table_data_provider.class.php',
         'RepositoryBrowserGalleryTable' => '/lib/repository_manager/component/gallery_browser/repository_browser_gallery_table.class.php',
         'RepositoryBrowserGalleryTableCellRenderer' => '/lib/repository_manager/component/gallery_browser/repository_browser_gallery_table_cell_renderer.class.php',
         'RepositoryBrowserGalleryTableDataProvider' => '/lib/repository_manager/component/gallery_browser/repository_browser_gallery_table_data_provider.class.php',
         'RepositoryBrowserGalleryTablePropertyModel' => '/lib/repository_manager/component/gallery_browser/repository_browser_gallery_table_property_model.class.php',
         'LinkBrowserTable' => '/lib/repository_manager/component/link_browser/link_browser_table.class.php',
         'LinkBrowserTableCellRenderer' => '/lib/repository_manager/component/link_browser/link_browser_table_cell_renderer.class.php',
         'LinkBrowserTableColumnModel' => '/lib/repository_manager/component/link_browser/link_browser_table_column_model.class.php',
         'LinkBrowserTableDataProvider' => '/lib/repository_manager/component/link_browser/link_browser_table_data_provider.class.php',
         'PublicationBrowserTable' => '/lib/repository_manager/component/publication_browser/publication_browser_table.class.php',
         'PublicationBrowserTableCellRenderer' => '/lib/repository_manager/component/publication_browser/publication_browser_table_cell_renderer.class.php',
         'PublicationBrowserTableColumnModel' => '/lib/repository_manager/component/publication_browser/publication_browser_table_column_model.class.php',
         'PublicationBrowserTableDataProvider' => '/lib/repository_manager/component/publication_browser/publication_browser_table_data_provider.class.php',
         'PublisherWizard' => '/lib/repository_manager/component/publisher_wizard/publisher_wizard.class.php',
         'LocationSelectionPublisherWizardPage' => '/lib/repository_manager/component/publisher_wizard/pages/location_selection_publisher_wizard_page.class.php',
         'PublisherWizardDisplay' => '/lib/repository_manager/component/publisher_wizard/pages/publisher_wizard_display.class.php',
         'PublisherWizardPage' => '/lib/repository_manager/component/publisher_wizard/pages/publisher_wizard_page.class.php',
         'PublisherWizardProcess' => '/lib/repository_manager/component/publisher_wizard/pages/publisher_wizard_process.class.php',
         'RecycleBinBrowserTable' => '/lib/repository_manager/component/recycle_bin_browser/recycle_bin_browser_table.class.php',
         'RecycleBinBrowserTableCellRenderer' => '/lib/repository_manager/component/recycle_bin_browser/recycle_bin_browser_table_cell_renderer.class.php',
         'RecycleBinBrowserTableColumnModel' => '/lib/repository_manager/component/recycle_bin_browser/recycle_bin_browser_table_column_model.class.php',
         'RecycleBinBrowserTableDataProvider' => '/lib/repository_manager/component/recycle_bin_browser/recycle_bin_browser_table_data_provider.class.php',
         'UserViewBrowserTable' => '/lib/repository_manager/component/user_view_browser/user_view_browser_table.class.php',
         'UserViewBrowserTableCellRenderer' => '/lib/repository_manager/component/user_view_browser/user_view_browser_table_cell_renderer.class.php',
         'UserViewBrowserTableColumnModel' => '/lib/repository_manager/component/user_view_browser/user_view_browser_table_column_model.class.php',
         'UserViewBrowserTableDataProvider' => '/lib/repository_manager/component/user_view_browser/user_view_browser_table_data_provider.class.php',
         'RepositoryVersionBrowserTable' => '/lib/repository_manager/component/version_browser/repository_version_browser_table.class.php',
         'RepositoryVersionBrowserTableCellRenderer' => '/lib/repository_manager/component/version_browser/repository_version_browser_table_cell_renderer.class.php',
         'RepositoryVersionBrowserTableColumnModel' => '/lib/repository_manager/component/version_browser/repository_version_browser_table_column_model.class.php',
         'RepositoryVersionBrowserTableDataProvider' => '/lib/repository_manager/component/version_browser/repository_version_browser_table_data_provider.class.php',
         'ShareManager' => '/lib/share_manager/share_manager.class.php',
         'ShareManagerBrowserComponent' => '/lib/share_manager/component/browser.class.php',
         'ShareManagerCreateComponent' => '/lib/share_manager/component/create.class.php',
         'ShareManagerDeleteComponent' => '/lib/share_manager/component/delete.class.php',
         'ShareManagerUpdateComponent' => '/lib/share_manager/component/update.class.php',
         'ContentObjectGroupShareRightsBrowserTable' => '/lib/share_manager/component/content_object_group_share_rights_browser/content_object_group_share_rights_browser_table.class.php',
         'ContentObjectGroupShareRightsBrowserTableCellRenderer' => '/lib/share_manager/component/content_object_group_share_rights_browser/content_object_group_share_rights_browser_table_cell_renderer.class.php',
         'ContentObjectGroupShareRightsBrowserTableColumnModel' => '/lib/share_manager/component/content_object_group_share_rights_browser/content_object_group_share_rights_browser_table_column_model.class.php',
         'ContentObjectGroupShareRightsBrowserTableDataProvider' => '/lib/share_manager/component/content_object_group_share_rights_browser/content_object_group_share_rights_browser_table_data_provider.class.php',
         'ActionColumn' => '/lib/share_manager/component/content_object_user_share_rights_browser/action_column.class.php',
         'ContentObjectUserShareRightsBrowserTable' => '/lib/share_manager/component/content_object_user_share_rights_browser/content_object_user_share_rights_browser_table.class.php',
         'ContentObjectUserShareRightsBrowserTableCellRenderer' => '/lib/share_manager/component/content_object_user_share_rights_browser/content_object_user_share_rights_browser_table_cell_renderer.class.php',
         'ContentObjectUserShareRightsBrowserTableColumnModel' => '/lib/share_manager/component/content_object_user_share_rights_browser/content_object_user_share_rights_browser_table_column_model.class.php',
         'ContentObjectUserShareRightsBrowserTableDataProvider' => '/lib/share_manager/component/content_object_user_share_rights_browser/content_object_user_share_rights_browser_table_data_provider.class.php',
         'ShareRightColumn' => '/lib/share_manager/component/content_object_user_share_rights_browser/share_right_column.class.php',
         'ContentObjectShareForm' => '/lib/share_manager/forms/content_object_share_form.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'RepositoryInstaller' => '/package/install/repository_installer.class.php',
         'RepositoryReportingBlock' => '/reporting/repository_reporting_block.class.php',
         'UserDocumentTypeRepositoryReportingBlock' => '/reporting/blocks/user_document_type_repository_reporting_block.class.php',
         'UserRepositoryReportingBlock' => '/reporting/blocks/user_repository_reporting_block.class.php',
         'UserRepositoryReportingTemplate' => '/reporting/templates/user_repository_reporting_template.class.php',
         'RepositoryChangesTracker' => '/trackers/repository_changes_tracker.class.php',
         'CategoryCreateWebserviceHandler' => '/webservices/category/create.class.php',
         'CategoryDeleteWebserviceHandler' => '/webservices/category/delete.class.php',
         'CategoryGetWebserviceHandler' => '/webservices/category/get.class.php',
         'CategoryGetListWebserviceHandler' => '/webservices/category/get_list.class.php',
         'CategoryUpdateWebserviceHandler' => '/webservices/category/update.class.php',
         'ComplexContentObjectItemCreateWebserviceHandler' => '/webservices/complex_content_object_item/create.class.php',
         'ComplexContentObjectItemDeleteWebserviceHandler' => '/webservices/complex_content_object_item/delete.class.php',
         'ComplexContentObjectItemGetWebserviceHandler' => '/webservices/complex_content_object_item/get.class.php',
         'ComplexContentObjectItemGetListWebserviceHandler' => '/webservices/complex_content_object_item/get_list.class.php',
         'ComplexContentObjectItemUpdateWebserviceHandler' => '/webservices/complex_content_object_item/update.class.php',
         'ContentObjectCreateWebserviceHandler' => '/webservices/content_object/create.class.php',
         'ContentObjectDeleteWebserviceHandler' => '/webservices/content_object/delete.class.php',
         'ContentObjectGetWebserviceHandler' => '/webservices/content_object/get.class.php',
         'ContentObjectGetListWebserviceHandler' => '/webservices/content_object/get_list.class.php',
         'ContentObjectUpdateWebserviceHandler' => '/webservices/content_object/update.class.php',
         'ContentObjectAttachmentCreateWebserviceHandler' => '/webservices/content_object_attachment/create.class.php',
         'ContentObjectAttachmentDeleteWebserviceHandler' => '/webservices/content_object_attachment/delete.class.php',
         'ContentObjectAttachmentGetListWebserviceHandler' => '/webservices/content_object_attachment/get_list.class.php',
         'ContentObjectIncludeCreateWebserviceHandler' => '/webservices/content_object_include/create.class.php',
         'ContentObjectIncludeDeleteWebserviceHandler' => '/webservices/content_object_include/delete.class.php',
         'ContentObjectIncludeGetListWebserviceHandler' => '/webservices/content_object_include/get_list.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>