<?php
namespace repository;

use common\libraries\Translation;
use common\libraries\Theme;
use common\libraries\CoreApplication;
use common\libraries\Application;

use home\HomeManager;

/*use repository\content_object\rss_feed\RssFeed;
use repository\content_object\dailymotion\Dailymotion;
use repository\content_object\youtube\Youtube;
use repository\content_object\matterhorn\Matterhorn;
use repository\content_object\mediamosa\Mediamosa;
use repository\content_object\slideshare\Slideshare;
use repository\content_object\soundcloud\Soundcloud;
use repository\content_object\vimeo\Vimeo;*/

/**
 * @package repository.block
 */

/**
 * Block to display streaming media.
 *
 * @copyright (c) 2011 University of Geneva
 * @license GNU General Public License - http://www.gnu.org/copyleft/gpl.html
 * @author lopprecht
 */
class RepositoryStreaming extends ContentObjectBlock
{

    /**
     * Returns the list of type names that this block can map to.
     *
     * @return array
     */
    static function get_supported_types()
    {
        $result = array();
        /*$result[] = Dailymotion :: get_type_name();
        $result[] = Matterhorn :: get_type_name();
        $result[] = Mediamosa :: get_type_name();
        $result[] = Slideshare :: get_type_name();
        $result[] = Soundcloud :: get_type_name();
        $result[] = Vimeo :: get_type_name();
        $result[] = Youtube :: get_type_name();*/
        
        $result[] = 'daily_motion';
        $result[] = 'matternhorn';
        $result[] = 'mediamosa';
        $result[] = 'slideshare';
        $result[] = 'soundcloud';
        $result[] = 'vimeo';
        $result[] = 'youtube';
        
        return $result;
    }

    function __construct($parent, $block_info, $configuration)
    {
        parent :: __construct($parent, $block_info, $configuration);
        $this->default_title = Translation :: get('Streaming');
    }

    function is_visible()
    {
        return true; //i.e.display on homepage when anonymous
    }

    /**
     * Returns the html to display when the block is configured.
     *
     * @return string
     */
    function display_content()
    {
        $content_object = $this->get_object();
        $rendition_implementation = ContentObjectRenditionImplementation :: factory($content_object, ContentObjectRendition :: FORMAT_HTML, ContentObjectRendition :: VIEW_FULL, $this);
        $rendition = ContentObjectRendition :: factory($rendition_implementation);
        //$display->set_link_target($this->get_link_target());
        return $rendition->get_description();
    }
}

?>