<?php
namespace repository;

use common\libraries\NewObjectTableColumnModelActionsColumnSupport;
use common\libraries\NewObjectTableColumnModel;
use common\libraries\ObjectTableColumn;

/**
 * Description of impact_view_table_column_model
 *
 * @author Pieterjan Broekaert Hogeschool Gent
 */

class ImpactViewTableColumnModel extends NewObjectTableColumnModel implements
        NewObjectTableColumnModelActionsColumnSupport
{
    
    const COLUMN_SAFE_DELETE = 'safe_delete';
    const COLUMN_CATEGORY = 'category';

    
    public function initialize_columns()
    {
        $content_object_table_alias = RepositoryDataManager :: get_instance()
                ->get_alias(ContentObject :: get_table_name());
        $this->add_column(
                new ObjectTableColumn(ContentObject :: PROPERTY_TITLE, true, $content_object_table_alias, true));
        $this->add_column(
                new ObjectTableColumn(ContentObject :: PROPERTY_TYPE, true, $content_object_table_alias, true));
        $this->add_column(
                new ObjectTableColumn(self :: COLUMN_CATEGORY, true, $content_object_table_alias, true));
        $this->add_column(
                new ObjectTableColumn(self :: COLUMN_SAFE_DELETE, true, $content_object_table_alias, true));
        
    }
}

?>
