<?php
namespace repository;

use common\libraries\Utilities;
use common\libraries\DelegateComponent;
use common\libraries\ComplexMenuSupport;
use common\libraries\BreadcrumbTrail;
use repository\ContentObjectRendition;
use repository\ContentObjectRenditionImplementation;
use common\libraries\ActionBarRenderer;
use common\libraries\ToolbarItem;
use common\libraries\Theme;
use common\libraries\Translation;
use common\libraries\Path;
use common\libraries\Application;
use common\libraries\ComplexDisplayPreviewLauncher;

/**
 * $Id: browser.class.php 200 2009-11-13 12:30:04Z kariboe $
 *
 * @package repository.lib.complex_builder.component
 */
class ComplexBuilderComponentBrowserComponent extends ComplexBuilderComponent implements DelegateComponent
{

    function run()
    {
        $this->get_complex_content_object_breadcrumbs();

        $trail = BreadcrumbTrail :: get_instance();
        $trail->add_help('repository builder');

        if ($this->get_complex_content_object_item())
        {
            $content_object = $this->get_complex_content_object_item()->get_ref_object();
        }
        else
        {
            $content_object = $this->get_root_content_object();
        }

        $this->display_header();

        $action_bar = $this->get_action_bar($content_object);

        if ($action_bar)
        {
            echo '<br />';
            echo $action_bar->as_html();
        }
        echo ContentObjectRenditionImplementation :: launch($this->get_root_content_object(),
                ContentObjectRendition :: FORMAT_HTML, ContentObjectRendition :: VIEW_FULL, $this);

        echo '<br />';
        echo $this->get_creation_links($content_object);
        echo '<div class="clear">&nbsp;</div><br />';

        if ($this->get_parent() instanceof ComplexMenuSupport)
        {
            echo '<div style="width: 18%; overflow: auto; float: left;">';
            echo $this->get_complex_content_object_menu();
            echo '</div>';
            echo '<div style="width: 80%; float: right;">';
        }
        else
        {
            echo '<div>';
        }

        if (method_exists($this->get_parent(), 'get_complex_content_object_table_column_model'))
        {
            $column_model = $this->get_parent()->get_complex_content_object_table_column_model();
        }

        if (method_exists($this->get_parent(), 'get_complex_content_object_table_cell_renderer'))
        {
            $cell_renderer = $this->get_parent()->get_complex_content_object_table_cell_renderer();
        }

        echo $this->get_complex_content_object_table_html(true, $column_model, $cell_renderer);
        echo '</div>';
        echo '<div class="clear">&nbsp;</div>';

        $this->display_footer();
    }

    /**
     * Builds the actionbar
     *
     * @param ContentObject $content_object
     *
     * @return ActionbarRenderer
     */
    function get_action_bar($content_object)
    {
        $action_bar = parent :: get_action_bar($content_object);

        if (! $action_bar)
        {
            $action_bar = new ActionBarRenderer();
        }

        $preview_url = Path :: get_launcher_application_path(true) . 'index.php?' .
                       Application :: PARAM_APPLICATION . '=' . ComplexDisplayPreviewLauncher :: APPLICATION_NAME . '&'
                       . RepositoryManager :: PARAM_CONTENT_OBJECT_ID . '=' . $content_object->get_id();
        
        $onclick = '" onclick="javascript:openPopup(\'' . $preview_url . '\'); return false;';
        $action_bar->add_common_action(
                new ToolbarItem(Translation :: get('Preview', null, Utilities :: COMMON_LIBRARIES),
                        Theme :: get_common_image_path() . 'action_preview.png',
                        $this->get_parent()->get_preview_content_object_url(), ToolbarItem :: DISPLAY_ICON_AND_LABEL,
                        false, $onclick, '_blank'));

        return $action_bar;
    }
}

?>