<?php
namespace repository;

use common\libraries\Utilities;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Display;

class ComplexDisplayComponentContentObjectUpdaterComponent extends ComplexDisplayComponent
{

    function run()
    {
        if ($this->get_parent()->get_parent()->is_allowed_to_edit_content_object())
        {
            $pid = Request :: get('pid') ? Request :: get('pid') : $_POST['pid'];

            $datamanager = RepositoryDataManager :: get_instance();
            $content_object = $datamanager->retrieve_content_object($pid);

            $content_object->set_default_property(ContentObject :: PROPERTY_OWNER_ID, $this->get_user_id());
            $form = ContentObjectForm :: factory(ContentObjectForm :: TYPE_EDIT, $content_object, 'edit', 'post', $this->get_url(array(
                    ComplexDisplay :: PARAM_DISPLAY_ACTION => ComplexDisplay :: ACTION_UPDATE_LO,
                    'selected_cloi' => $selected_cloi, 'selected_cloi' => $cid, 'pid' => $pid)));

            if ($form->validate() || Request :: get('validated'))
            {
                $succes = $form->update_content_object();

                $message = htmlentities(Translation :: get(($succes ? 'ObjectUpdated' : 'ObjectNotUpdated'), array(
                        'OBJECT' => Translation :: get('ContentObject')), Utilities :: COMMON_LIBRARIES));

                $params = array();
                $params['pid'] = Request :: get('pid');
                $params['tool_action'] = Request :: get('tool_action');
                $params[ComplexDisplay :: PARAM_DISPLAY_ACTION] = ComplexDisplay :: ACTION_VIEW_CLO;

                $this->redirect($message, (! $succes), $params);

            }
            else
            {
                $this->display_header();
                $form->display();
                $this->display_footer();
            }
        }
        else
        {
            Display :: not_allowed();
            return;
        }
    }
}
?>