<?php
namespace repository;

use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\Display;
use common\libraries\NotAllowedException;

class ComplexDisplayComponentDeleterComponent extends ComplexDisplayComponent
{

    function run()
    {
        if ($this->get_parent()->get_parent()->is_allowed_to_delete_child())
        {
            /*
             * if (Request :: get('selected_cloi')) { $cloi_ids = Request ::
             * get('selected_cloi'); } else { $cloi_ids =
             * $_POST['selected_cloi']; }
             */
            
            $complex_content_object_item_ids = Request :: get(ComplexDisplay :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID);
            
            if (! is_array($complex_content_object_item_ids))
            {
                $complex_content_object_item_ids = array($complex_content_object_item_ids);
            }
            
            $failures = 0;
            foreach ($complex_content_object_item_ids as $complex_content_object_item_id)
            {
                $complex_content_object_item = new ComplexContentObjectItem();
                $complex_content_object_item->set_id($complex_content_object_item_id);
                if (! $complex_content_object_item->delete())
                {
                    $failures ++;
                }
            }
            
            $succes = ($failures == 0);
            
            if (count($complex_content_object_item_ids) > 1)
            {
                $message = htmlentities(Translation :: get(($succes ? 'ObjectsDeleted' : 'ObjectsNotDeleted'), array(
                        'OBJECTS' => Translation :: get('ComplexContentObjectItems')), Utilities :: COMMON_LIBRARIES));
            }
            else
            {
                $message = htmlentities(Translation :: get(($succes ? 'ObjectDeleted' : 'ObjectNotDeleted'), array(
                        'OBJECT' => Translation :: get('ComplexContentObjectItem')), Utilities :: COMMON_LIBRARIES));
            }
            
            $this->redirect($message, (! $succes), array(
                    ComplexDisplay :: PARAM_DISPLAY_ACTION => ComplexDisplay :: ACTION_VIEW_COMPLEX_CONTENT_OBJECT, 
                    ComplexDisplay :: PARAM_COMPLEX_CONTENT_OBJECT_ITEM_ID => $this->get_complex_content_object_item_id()), array(
                    ComplexDisplay :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID));
        }
        else
        {
            throw new NotAllowedException();
            return;
        }
    }

}
?>