<?php
namespace repository;

/**
 * @author Magali Gillard
 */
abstract class ContentObjectAdvancedFilter
{
    /**
     * @var \repository\FormValidator
     */
    private $form;

    /**
     * @return multitype:\common\libraries\Condition
     */
    abstract function get_conditions();

    /**
     * @return string
     */
    abstract function get_parameters();

    abstract function add_elements();

    /**
     * @param FormValidator $form
     */
    function __construct($form)
    {
        $this->form = $form;
    }

    /**
     * @param string $type
     * @param \repository\FormValidator $form
     * @return \repository\ContentObjectAdvancedFilter|boolean
     */
    function factory($type, $form)
    {
        $class = ContentObject :: get_content_object_type_namespace($type) . '\AdvancedFilter';
        if (class_exists($class))
        {
            return new $class($form);
        }
        else
        {
            return false;
        }
    }

    /**
     * @return \repository\FormValidator
     */
    function get_form()
    {
        return $this->form;
    }
}
?>