<?php
namespace repository;

use common\libraries\Filesystem;
use common\libraries\Utilities;

/**
 *
 * @package repository.lib
 */
abstract class ContentObjectExportController
{
    private $parameters;

    /**
     *
     * @param ExportParameters $parameters           
     */
    function __construct(ExportParameters $parameters)
    {
        $this->parameters = $parameters;
    }

    /**
     *
     * @var ExportParameters
     */
    function get_parameters()
    {
        return $this->parameters;
    }

    function set_parameters($parameters)
    {
        $this->parameters = $parameters;
    }

    /**
     *
     * @param $parameters ExportParameters           
     */
    static function factory(ExportParameters $parameters)
    {
        $class = __NAMESPACE__ . '\\' . Utilities :: underscores_to_camelcase($parameters->get_format()) . 'ContentObjectExportController';
        return new $class($parameters);
    }

    function download()
    {
        $path = $this->run();
        Filesystem :: file_send_for_download($path, true, $this->get_filename());
        Filesystem :: remove($path);
    }

    /**
     *
     * @return string
     */
    abstract function run();

    /**
     *
     * @return string
     */
    abstract function get_filename();
}
?>