<?php
namespace repository;

use common\libraries\Path;
use common\libraries\ResourceManager;
use common\libraries\Utilities;
use common\libraries\Translation;

class DocumentContentObjectImportForm extends ContentObjectImportForm
{
    const PARAM_DOCUMENT_TYPE = 'document_type';
    const PROPERTY_LINK = 'url';
    const DOCUMENT_UPLOAD = 0;
    const DOCUMENT_LINK = 1;

    function build_basic_form()
    {
        parent :: build_basic_form();

        $this->addElement('radio', self :: PARAM_DOCUMENT_TYPE, Translation :: get('Document'),
                Translation :: get('Upload'), self :: DOCUMENT_UPLOAD);

        $this->addElement('html', '<div style="padding-left: 25px; display: block;" id="document_upload">');
        $this->addElement('file', self :: IMPORT_FILE_NAME, null);
        $this->addElement('html', '</div>');

        $this->addElement('radio', self :: PARAM_DOCUMENT_TYPE, null, Translation :: get('Link'), self :: DOCUMENT_LINK);

        $this->addElement('html', '<div style="padding-left: 25px; display: block;" id="document_link">');
        $this->add_textfield(self :: PROPERTY_LINK, null, false);
        $this->addElement('html', '</div>');

        $this->addElement('html',
                ResourceManager :: get_instance()->get_resource_html(
                        Path :: namespace_to_full_path(__NAMESPACE__, true) . 'resources/javascript/document_import_form.js'));
    }

    function setDefaults($defaults = array ())
    {
        parent :: setDefaults(
                array(self :: PARAM_DOCUMENT_TYPE => self :: DOCUMENT_UPLOAD,
                        self :: PROPERTY_TYPE => ContentObjectImport :: FORMAT_DOCUMENT,
                        self :: PROPERTY_LINK => 'http://'));
    }
}
?>