<?php
namespace repository;

use common\libraries\Utilities;

/**
 *
 * @package repository.lib A class to import a ContentObject.
 */
abstract class ContentObjectImportImplementation extends AbstractContentObjectImportImplementation
{

    static function launch(ContentObjectImportController $controller, $content_object_type,
            ContentObjectImportParameters $content_object_import_parameters)
    {
        return self :: factory($controller, $content_object_type, $content_object_import_parameters)->import();
    }

    static function post_process(ContentObjectImportController $controller, $content_object_type,
            ContentObjectImportParameters $content_object_import_parameters, $content_object)
    {
        return self :: factory($controller, $content_object_type, $content_object_import_parameters)->post_import(
                $content_object);
    }

    static function factory(ContentObjectImportController $controller, $content_object_type,
            $content_object_import_parameters)
    {
        $namespace = ContentObject :: get_content_object_type_namespace($content_object_type);
        $class = $namespace . '\\' . Utilities :: underscores_to_camelcase($controller :: FORMAT) . 'ImportImplementation';

        if (! class_exists($class, true))
        {
            $class = __NAMESPACE__ . '\\' . Utilities :: underscores_to_camelcase($controller :: FORMAT) . 'ContentObjectImport';
            return new $class(new DummyContentObjectImportImplementation($controller, $content_object_import_parameters));
        }
        else
        {
            return new $class($controller, $content_object_import_parameters);
        }
    }

    static function get_types(array $types = array())
    {
        $types[] = ContentObjectImport :: FORMAT_CPO;
        return $types;
    }

    static function get_types_for_object($content_object_namespace)
    {
        $class = $content_object_namespace . '\\' . 'ImportImplementation';

        if (! class_exists($class, true))
        {
            return self :: get_types();
        }
        else
        {
            return $class :: get_types();
        }
    }
}
?>