<?php
namespace repository;

use common\libraries\Utilities;
use common\libraries\DataClass;

class ContentObjectInclude extends DataClass
{
    const CLASS_NAME = __CLASS__;
    const PROPERTY_CONTENT_OBJECT_ID = 'content_object_id';
    const PROPERTY_INCLUDE_ID = 'include_id';

    private $include_object;

    /**
     *
     * @return string
     */
    static function get_table_name()
    {
        return Utilities :: get_classname_from_namespace(self :: CLASS_NAME, true);
    }

    /**
     * Get the default properties of all content object attachments.
     *
     * @return array The property names.
     */
    static function get_default_property_names($extended_property_names = array())
    {
        return array(self :: PROPERTY_CONTENT_OBJECT_ID, self :: PROPERTY_INCLUDE_ID);
    }

    /*
     * (non-PHPdoc) @see common/database/DataClass#get_data_manager()
     */
    function get_data_manager()
    {
        return RepositoryDataManager :: get_instance();
    }

    function get_content_object_id()
    {
        return $this->get_default_property(self :: PROPERTY_CONTENT_OBJECT_ID);
    }

    function set_content_object_id($content_object_id)
    {
        $this->set_default_property(self :: PROPERTY_CONTENT_OBJECT_ID, $content_object_id);
    }

    function get_include_id()
    {
        return $this->get_default_property(self :: PROPERTY_INCLUDE_ID);
    }

    function set_include_id($include_id)
    {
        $this->set_default_property(self :: PROPERTY_INCLUDE_ID, $include_id);
    }

    function get_include_object()
    {
        if (! isset($this->include_object))
        {
            $this->include_object = $this->get_data_manager()->retrieve_content_object($this->get_include_id());
        }
        return $this->include_object;
    }
}
?>