<?php
namespace repository;

use common\libraries\EqualityCondition;

use repository\ContentObject;
use common\libraries\Filecompression;
use common\libraries\Filesystem;
use common\libraries\Path;
use common\libraries\Session;
use repository\content_object\hotpotatoes\Hotpotatoes;

/**
 * @author Stijn Van Hoecke
 */

/**
 * import hot potatoes from zip file
 */
class HotPotatoesImport extends ContentObjectImport
{
    private $rdm;

    function __construct($content_object_file, $user, $category)
    {
        parent :: __construct($content_object_file, $user, $category);
        $this->rdm = RepositoryDataManager :: get_instance();
    }

    public function import_content_object()
    {
        $file = $this->get_content_object_file();
        
        $zip = Filecompression :: factory();
        $extracted_files_dir = $zip->extract_file($file['tmp_name']);
        
        $entries = Filesystem :: get_directory_content($extracted_files_dir);
        
        $failures = 0;
        
        $hotpot_path = Path :: get(SYS_HOTPOTATOES_PATH) . Session :: get_user_id() . '/';
        foreach ($entries as $entry)
        {
            $filesource = substr(realpath($entry), strlen(realpath($extracted_files_dir)) + 1); // +1 for the final \
            $filename = Filesystem :: create_unique_name($hotpot_path, $filesource);
            $filename_split = explode('.', $filename);
            unset($filename_split[count($filename_split) - 1]);
            $file = implode('.', $filename_split);
            
            $real_path = $hotpot_path . Filesystem :: create_unique_name($hotpot_path, $file) . '/';
            if (! is_dir($real_path))
            {
                Filesystem :: create_dir($real_path);
            }
            
            $full_path = $real_path . $filename;
            
            Filesystem :: move_file(realpath($entry), $full_path) or die('Failed to create "' . $full_path . '"');
            chmod($full_path, 0777);
            
            $path = substr($full_path, strlen($hotpot_path));
            if (substr($path, - 4) == '.zip')
            {
                $hotpot = new HotPotatoes();
                $hotpot->load_from_zip($path);
                if (! $hotpot->create())
                {
                    $failures ++;
                }
            }
        }
        
        Filesystem :: remove($extracted_files_dir);
        
        return ($failures == 0);
    }

}
?>