<?php
namespace repository;

use repository\ContentObject;

class TableContentObjectRenderer extends ContentObjectRenderer
{

    /**
     * Returns the HTML output of this renderer.
     *
     * @return string The HTML output
     */
    function as_html()
    {
        $filter_type = $this->get_repository_browser()->get_filter_type();
        
        if ($filter_type)
        {
            $classname = ContentObject :: get_content_object_type_namespace($filter_type) . '\RepositoryBrowserTable';
            if (! class_exists($classname))
            {
                $classname = __NAMESPACE__ . '\RepositoryBrowserTable';
            }
        }
        else
        {
            $classname = __NAMESPACE__ . '\RepositoryBrowserTable';
        }
      
        $table = new $classname($this, $this->get_parameters(), $this->get_condition());
        return $table->as_html();
    }
}
?>