<?php
namespace repository;

use common\libraries\Display;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Utilities;

use repository\ContentObjectRendition;
use repository\ContentObjectRenditionImplementation;

/**
 * $Id: attachment_viewer.class.php 204 2009-11-13 12:51:30Z kariboe $
 * @package repository.lib.repository_manager.component
 */

class RepositoryManagerAttachmentViewerComponent extends RepositoryManager
{

    function run()
    {
        $object_id = Request :: get(self :: PARAM_CONTENT_OBJECT_ID);
        $attachment_id = Request :: get(self :: PARAM_ATTACHMENT_ID);
        
        if ($object_id && $attachment_id)
        {
            $object = RepositoryDataManager :: get_instance()->retrieve_content_object($object_id);
            $repo_rights = RepositoryRights :: get_instance();
            
            if ($object->get_owner_id() != $this->get_user_id() && ! $repo_rights->is_allowed_in_user_subtree(RepositoryRights :: VIEW_RIGHT, $object_id, RepositoryRights::TYPE_USER_CONTENT_OBJECT, $object->get_owner_id()))
            {
                $this->display_error_page(Translation :: get('NotAllowed'));
                exit();
            }
            
            $attachment = RepositoryDataManager :: get_instance()->retrieve_content_object($attachment_id);
            if (RepositoryDataManager :: is_attached_or_included_to($object_id, $attachment_id))
            {
                Display :: small_header();
                
                echo ContentObjectRenditionImplementation :: launch($attachment, ContentObjectRendition :: FORMAT_HTML, ContentObjectRendition :: VIEW_FULL, $this);
                Display :: small_footer();
            }
            else
            {
                Display :: small_header();
                $this->display_error_message('WhatsUpDoc', null, Utilities :: COMMON_LIBRARIES);
                Display :: small_footer();
            }
        }
        else
        {
            Display :: small_header();
            $this->display_error_message('NoObjectSelected', null, Utilities :: COMMON_LIBRARIES);
            Display :: small_footer();
        }
    }

    function get_additional_parameters()
    {
        return array(self :: PARAM_CONTENT_OBJECT_ID);
    }
}
?>