<?php
namespace repository;

use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\Utilities;
use common\libraries\ObjectTable;
use common\libraries\ObjectTableFormAction;
use common\libraries\ObjectTableFormActions;
use common\libraries\Session;

/**
 * $Id: repository_shared_content_objects_browser_table.class.php 204 2009-11-13
 * 12:51:30Z kariboe $
 * 
 * @package
 *          repository.lib.repository_manager.component.browser.shared_content_objects_browser
 */

class RepositorySharedContentObjectsBrowserTable extends ObjectTable
{

    /**
     * Constructor
     * 
     * @see ContentObjectTable::ContentObjectTable()
     */
    function __construct($browser, $parameters, $condition)
    {
        $model = new RepositorySharedContentObjectsBrowserTableColumnModel($browser);
        $renderer = new RepositorySharedContentObjectsBrowserTableCellRenderer($browser);
        $data_provider = new RepositorySharedContentObjectsBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, Utilities :: get_classname_from_namespace(__CLASS__, true), $model, $renderer);
        
        $this->add_actions($browser);
        $this->set_additional_parameters($parameters);
        $this->set_default_row_count(20);
    }

    static function handle_table_action()
    {
        $class = Utilities :: get_classname_from_namespace(__CLASS__, true);
        $ids = self :: get_selected_ids($class);
        $user = Session :: get_user_id();
        
        Request :: set_get(RepositoryManager :: PARAM_CONTENT_OBJECT_ID, $ids);
        Request :: set_get(RepositoryManager :: PARAM_TARGET_USER, $user);
    }
    
    function add_actions($browser)
    {
        $action = new ObjectTableFormActions(__NAMESPACE__);
        
        $action->add_form_action(new ObjectTableFormAction(RepositoryManager :: ACTION_MOVE_SHARED_CONTENT_OBJECTS, Translation :: get('MoveSelected', null, Utilities :: COMMON_LIBRARIES), false));
        $action->add_form_action(new ObjectTableFormAction(RepositoryManager :: ACTION_PUBLISH_CONTENT_OBJECT, Translation :: get('PublishSelected', null, Utilities :: COMMON_LIBRARIES), false));       
        $action->add_form_action(new ObjectTableFormAction(RepositoryManager :: ACTION_COPY_CONTENT_OBJECT, Translation :: get('CopySelected', null, Utilities :: COMMON_LIBRARIES), false));  
        $action->add_form_action(new ObjectTableFormAction(RepositoryManager :: ACTION_DELETE_SHARED_CONTENT_OBJECTS, Translation :: get('DeleteSelected', null, Utilities :: COMMON_LIBRARIES), true));  
        
        $this->set_form_actions($action);
    }
}
?>