<?php
namespace repository;

use common\libraries\BreadcrumbTrail;
use common\libraries\Request;

/**
 * $Id: category_manager.class.php 204 2009-11-13 12:51:30Z kariboe $
 * @package repository.lib.repository_manager.component
 */

/**
 * Weblcms component allows the user to manage course categories
 */
class RepositoryManagerCategoryManagerComponent extends RepositoryManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $type = Request :: get(self :: PARAM_CATEGORY_TYPE);

        $category_manager = new RepositoryCategoryManager($this, null, $type);
        $category_manager->run();
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add_help('repository_category_manager');
    }

    function get_additional_parameters()
    {
        $parameters = array();
        if(Request::get(self::PARAM_CATEGORY_TYPE))
        {
            $parameters[] = self :: PARAM_CATEGORY_TYPE;
        }
        if(!is_null(Request :: get(RepositoryCategoryManager::PARAM_CATEGORY_ID)))
        {
            $parameters[] = RepositoryCategoryManager::PARAM_CATEGORY_ID;
        }
        return $parameters;
    }
}
?>