<?php
namespace repository;

use common\libraries\InCondition;
use common\libraries\ObjectTableDataProvider;

class ExportBrowserTableDataProvider extends ObjectTableDataProvider
{

    function __construct($browser)
    {
        parent :: __construct($browser);
    }

    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return RepositoryDataManager :: get_instance()->retrieve_active_content_objects($this->get_condition(), $order_property, $offset, $count);
    }

    function get_object_count()
    {
        return RepositoryDataManager :: get_instance()->count_active_content_objects($this->get_condition());
    }

    function get_condition()
    {
        return new InCondition(ContentObject :: PROPERTY_ID, $this->get_browser()->get_content_object_ids(), ContentObject :: get_table_name());
    }
}
?>