<?php
namespace repository;

use common\libraries\GalleryObjectTableDataProvider;

/**
 * $Id: repository_browser_gallery_table_data_provider.class.php 204 2009-11-13 12:51:30Z kariboe $
 * @package repository.lib.repository_manager.component.browser
 */
/**
 * Data provider for a repository browser table.
 *
 * This class implements some functions to allow repository browser tables to
 * retrieve information about the content objects to display.
 */
class RepositoryBrowserGalleryTableDataProvider extends GalleryObjectTableDataProvider
{

    function __construct($browser, $condition, $type)
    {
        parent :: __construct($browser, $condition);
        $this->type = $type;
    }
    
    /**
     * Gets the content objects
     * @param int $offset
     * @param int $count
     * @param string $order_property
     * @return ResultSet A set of matching content objects.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return RepositoryDataManager :: get_instance()->retrieve_active_content_objects($this->get_condition(), $order_property, $offset, $count, null, $this->type);
    }

    /**
     * Gets the number of content objects in the table
     * @return int
     */
    function get_object_count()
    {
        return RepositoryDataManager :: get_instance()->count_active_content_objects($this->get_condition(), null, $this->type);
    }
}
?>