<?php
namespace repository;

use common\libraries\Translation;
use common\libraries\BreadcrumbTrail;
use common\libraries\Breadcrumb;
use common\libraries\Application;
use common\libraries\Utilities;

/**
 * $Id: user_view_creator.class.php 204 2009-11-13 12:51:30Z kariboe $
 * @package repository.lib.repository_manager.component
 */

class RepositoryManagerUserViewCreatorComponent extends RepositoryManager
{

    /**
     * Runs this component and displays its output.
     */
    function run()
    {
        $user_view = new UserView();
        $user_view->set_user_id($this->get_user_id());
        $form = new UserViewForm(UserViewForm :: TYPE_CREATE, $user_view, $this->get_url());
        if ($form->validate())
        {
            $success = $form->create_user_view();
            $user_view = $form->get_user_view();

            $message = $success ? Translation :: get('ObjectCreated', array('OBJECT' => Translation :: get('UserView')), Utilities :: COMMON_LIBRARIES) : Translation :: get('ObjectNotCreated', array(
                    'OBJECT' => Translation :: get('UserView')), Utilities :: COMMON_LIBRARIES);

            if (! $success)
            {
                $message .= '<br />' . implode('<br /', $user_view->get_errors());
            }

            $this->redirect($message, $success ? false : true, array(
                    Application :: PARAM_ACTION => RepositoryManager :: ACTION_BROWSE_USER_VIEWS));
        }
        else
        {
            $this->display_header();
            $form->display();
            $this->display_footer();
        }
    }

    function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add(new Breadcrumb($this->get_url(array(
                RepositoryManager :: PARAM_ACTION => RepositoryManager :: ACTION_BROWSE_CONTENT_OBJECTS)), Translation :: get('RepositoryManagerBrowserComponent')));
        $breadcrumbtrail->add(new Breadcrumb($this->get_url(array(
                RepositoryManager :: PARAM_ACTION => RepositoryManager :: ACTION_BROWSE_USER_VIEWS)), Translation :: get('RepositoryManagerUserViewBrowserComponent')));
        $breadcrumbtrail->add_help('repository_user_view_creator');
    }
}
?>