<?php
namespace repository;

use common\libraries\ObjectTableDataProvider;
use common\libraries\Session;

/**
 * Data provider for a repository browser table.
 *
 * This class implements some functions to allow repository browser tables to
 * retrieve information about the objects to display.
 */
class ContentObjectUserShareRightsBrowserTableDataProvider extends ObjectTableDataProvider
{

    /**
     * returns the users that u share with
     * @param <type> $offset
     * @param <type> $count
     * @param <type> $order_property
     * @return <type> ObjectResultSet
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $content_object_id = $this->get_browser()->get_content_object_ids();
        if (is_array($content_object_id)) // culmination of rights cant be shown in a table browser per content object
        //as a user can have different rights on them
        {
            $content_object_id = $content_object_id[0];
        }
        $user_id = Session :: get_user_id();
        return RepositoryDataManager :: get_content_object_user_shares($content_object_id, $user_id);
    }

    function get_object_count()
    {
        $content_object_id = $this->get_browser()->get_content_object_ids();
        if (is_array($content_object_id)) // culmination of rights cant be shown in a table browser per content object
        //as a user can have different rights on them
        {
            $content_object_id = $content_object_id[0];
        }
        $user_id = Session :: get_user_id();
        return RepositoryDataManager :: count_content_object_user_shares($content_object_id, $user_id);
    }

}

?>