<?php
namespace repository;

use common\libraries\DataClass;

/**
 * This class describes the relation between a shared content object and a category
 *
 * @author Sven Vanpoucke - Hogeschool Gent
 */
class SharedContentObjectRelCategory extends DataClass
{
    /****************************************************************************************************************
    * Table Properties												    *
    ****************************************************************************************************************/
    
    const PROPERTY_CONTENT_OBJECT_ID = 'content_object_id';
    const PROPERTY_CATEGORY_ID = 'category_id';

    /****************************************************************************************************************
    * Inherited functionality											    *
    ****************************************************************************************************************/

    /**
     * Get the default properties
     *
     * @return string[] The property names.
     */
    static function get_default_property_names($extended_property_names = array())
    {
        $extended_property_names[] = self :: PROPERTY_CONTENT_OBJECT_ID;
        $extended_property_names[] = self :: PROPERTY_CATEGORY_ID;

        return parent :: get_default_property_names($extended_property_names);
    }

    /**
     * Returns the data manager
     *
     * @return RepositoryDataManager
     */
    function get_data_manager()
    {
        return RepositoryDataManager :: get_instance();
    }

    /****************************************************************************************************************
    * Getters & Setters												    *
    ****************************************************************************************************************/

    /**
     * Returns the content object id
     *
     * @return int
     */
    function get_content_object_id()
    {
        return $this->get_default_property(self :: PROPERTY_CONTENT_OBJECT_ID);
    }

    /**
     * Sets the content object id
     *
     * @param int $content_object_id
     */
    function set_content_object_id($content_object_id)
    {
        $this->set_default_property(self :: PROPERTY_CONTENT_OBJECT_ID, $content_object_id);
    }

    /**
     * Returns the category id
     *
     * @return int
     */
    function get_category_id()
    {
        return $this->get_default_property(self :: PROPERTY_CATEGORY_ID);
    }

    /**
     * Sets the category id
     *
     * @param int $category_id
     */
    function set_category_id($category_id)
    {
        $this->set_default_property(self :: PROPERTY_CATEGORY_ID, $category_id);
    }

}
?>