<?php
namespace repository;

use common\libraries\Translation;
use common\libraries\package\Installer;

/**
 * $Id: repository_installer.class.php 200 2009-11-13 12:30:04Z kariboe $
 *
 * @package repository.install
 */
/**
 * This installer can be used to create the storage structure for the repository.
 */
class RepositoryInstaller extends Installer
{

    /**
     * Constructor
     */
    function __construct($values)
    {
        parent :: __construct($values, RepositoryDataManager :: get_instance());
    }

    /**
     * Runs the install-script. After creating the necessary tables to store the common learning object information,
     * this function will scan the directories of all learning object types. When an XML-file describing a storage unit
     * is found, this function will parse the file and create the storage unit.
     */
    function install_extra()
    {
        $rdm = $this->get_data_manager();

        if (! RepositoryRights :: get_instance()->create_content_objects_subtree_root_location())
        {
            return false;
        }
        else
        {
            $this->add_message(self :: TYPE_NORMAL, Translation :: get('ContentObjectsSubtreeCreated'));
        }

        if (! RepositoryRights :: get_instance()->create_external_instances_subtree_root_location())
        {
            return false;
        }
        else
        {
            $this->add_message(self :: TYPE_NORMAL, Translation :: get('ExternalInstancesSubtreeCreated'));
        }

        return true;
    }

    function get_additional_installers()
    {
        $installers = array();
        $installers[] = new \repository\quota\Installer($this->get_form_values());
        return $installers;
    }
}
?>