<?php

namespace repository;

use common\libraries\Translation;
use common\libraries\CreateObjectWebserviceHandler;

class CategoryCreateWebserviceHandler extends CreateObjectWebserviceHandler
{

    function get_object()
    {
        return new RepositoryCategory();
    }

    function get_object_translation()
    {
        return Translation :: get('Category');
    }

    function manipulate_data($object, $extra_properties = null)
    {
        $object->set_user_id($this->get_user_id());
        return $object;
    }

    function is_allowed_to_create_object($object)
    {
        if ($this->get_user()->is_platform_admin() || $object->get_parent() == 0)
        {
            return true;
        }
        $condition = new EqualityCondition(RepositoryCategory :: PROPERTY_ID, $object->get_parent());
        $category = RepositoryDataManager :: get_instance()->retrieve_categories($condition)->next_result();
        if ($category)
        {
            return ($category->get_user_id() == $this->get_user_id());
        }
        return false;
    }
}

?>
