<?php

namespace repository;

use common\libraries\Translation;
use common\libraries\EqualityCondition;
use common\libraries\UpdateObjectWebserviceHandler;

class CategoryUpdateWebserviceHandler extends UpdateObjectWebserviceHandler
{
    /**
     * Keeps track of the old parent to avoid the move of categories
     */
    private $old_parent;

    function get_object()
    {
        $condition = new EqualityCondition(RepositoryCategory :: PROPERTY_ID, $this->get_id());
        $category = RepositoryDataManager :: get_instance()->retrieve_categories($condition)->next_result();
        if ($category)
        {
            $this->old_parent = $category->get_parent();
        }
        
        return $category;
    }

    function get_object_translation()
    {
        return Translation :: get('Category');
    }

    function manipulate_data($object, $extra_properties = null)
    {
        $object->set_user_id($this->get_user_id());
        $object->set_parent($this->old_parent);
        return $object;
    }

    function is_allowed_to_update_object($object)
    {
        return ($this->get_user()->is_platform_admin() || $object->get_user_id() == $this->get_user_id());
    }

}

?>
