<?php

namespace repository;

use common\libraries\Translation;
use common\libraries\CreateObjectWebserviceHandler;
use common\libraries\DataClass;

class ComplexContentObjectItemCreateWebserviceHandler extends CreateObjectWebserviceHandler
{

    function get_object()
    {
        $data = $this->get_data();
        
        $ref = $data[DataClass :: PROPERTIES_DEFAULT][ComplexContentObjectItem :: PROPERTY_REF];
        $ref_content_object = RepositoryDataManager :: get_instance()->retrieve_content_object($ref);
        
        if (! $ref_content_object)
        {
            return false;
        }
        
        return ComplexContentObjectItem :: factory($ref_content_object->get_type());
    }

    function get_object_translation()
    {
        return Translation :: get('ComplexContentObjectItem');
    }

    function manipulate_data($object, $extra_properties = null)
    {
        $object->set_user_id($this->get_user_id());
        return $object;
    }

    function is_allowed_to_create_object($object)
    {
        if ($this->get_user()->is_platform_admin())
        {
            return true;
        }
        $ref_object = $object->get_ref_object();
        if ($ref_object->get_owner_id() != $this->get_user_id())
        {
            return false;
        }
        $parent_object = $object->get_parent_object();
        return $parent_object->get_owner_id() == $this->get_user_id();
    }
}

?>
