<?php

namespace repository;

use common\libraries\Translation;
use common\libraries\CreateObjectWebserviceHandler;

class ContentObjectAttachmentCreateWebserviceHandler extends CreateObjectWebserviceHandler
{

    function get_object()
    {
        return new ContentObjectAttachment();
    }

    function get_object_translation()
    {
        return Translation :: get('ContentObjectAttachment');
    }

    function manipulate_data($object, $extra_properties = null)
    {
        return $object;
    }

    function is_allowed_to_create_object($object)
    {
        if ($this->get_user()->is_platform_admin())
        {
            return true;
        }
        $rdm = RepositoryDataManager :: get_instance();
        $content_object = $rdm->retrieve_content_object($object->get_content_object_id());
        if ($content_object->get_owner_id() != $this->get_user_id())
        {
            return false;
        }
        $attachment = $rdm->retrieve_content_object($object->get_attachment_id());
        if ($attachment->get_owner_id() != $this->get_user_id())
        {
            return false;
        }
        return true;
    }
}

?>
