<?php

namespace repository;

use common\libraries\Translation;
use common\libraries\EqualityCondition;
use common\libraries\GetObjectListWebserviceHandler;
use common\libraries\Request;
use common\libraries\AndCondition;

class ContentObjectAttachmentGetListWebserviceHandler extends GetObjectListWebserviceHandler
{

    public function get_objects()
    {
        $content_object_id = Request :: get(ContentObjectAttachment :: PROPERTY_CONTENT_OBJECT_ID);
        $attachment_id = Request :: get(ContentObjectAttachment :: PROPERTY_ATTACHMENT_ID);
        
        if (empty($content_object_id) && empty($attachment_id))
        {
            return false;
        }
        
        $conditions = array();
        if ($content_object_id)
        {
            $conditions[] = new EqualityCondition(ContentObjectAttachment :: PROPERTY_CONTENT_OBJECT_ID, $content_object_id);
        }
        if ($attachment_id)
        {
            $conditions[] = new EqualityCondition(ContentObjectAttachment :: PROPERTY_ATTACHMENT_ID, $attachment_id);
        }
        $condition = new AndCondition($conditions);
        
        return RepositoryDataManager :: get_instance()->retrieve_content_object_attachments($condition);
    }

    public function get_objects_translation()
    {
        return Translation :: get('ContentObjectAttachments');
    }
}
?>