<?php

namespace repository;

use common\libraries\Request;
use common\libraries\EqualityCondition;
use common\libraries\Authentication;
use common\libraries\ObjectTableOrder;

/**
 *
 * @package repository
 * @author Sven Vanpoucke
 */
require_once dirname(__FILE__) . '/../../../common/global.inc.php';

$groups_tree = array();

if (Authentication :: is_valid())
{
    $parent_id = Request :: get('parent_id');
    $condition = new EqualityCondition(RepositoryCategory :: PROPERTY_PARENT, $parent_id);
    $categories_tree = RepositoryDataManager :: get_instance()->retrieve_categories($condition, null, null,
            new ObjectTableOrder(RepositoryCategory :: PROPERTY_NAME));
}

header('Content-Type: text/xml');
echo '<?xml version="1.0" encoding="UTF-8"?>' . "\n", '<tree>' . "\n";
echo dump_tree($categories_tree);
echo '</tree>';

function dump_tree($categories)
{
    while ($category = $categories->next_result())
    {
        $has_children = $category->has_children() ? 1 : 0;
        echo '<leaf id="' . $category->get_id() . '" classes="category" has_children="' . $has_children . '" title="' . htmlspecialchars(
                $category->get_name()) . '" description="' . htmlspecialchars($category->get_name()) . '"/>' . "\n";
    }
}

?>
