<?php
namespace repository\quota;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'Calculator' => '/lib/calculator.class.php',
         'DataManager' => '/lib/data_manager.class.php',
         'DataManagerInterface' => '/lib/data_manager_interface.class.php',
         'Request' => '/lib/data_class/request.class.php',
         'DoctrineDataManager' => '/lib/data_manager/doctrine.class.php',
         'Mdb2DataManager' => '/lib/data_manager/mdb2.class.php',
         'RequestForm' => '/lib/form/request.class.php',
         'Manager' => '/lib/manager/manager.class.php',
         'BrowserComponent' => '/lib/manager/component/browser.class.php',
         'CreatorComponent' => '/lib/manager/component/creator.class.php',
         'DeleterComponent' => '/lib/manager/component/deleter.class.php',
         'DenierComponent' => '/lib/manager/component/denier.class.php',
         'GranterComponent' => '/lib/manager/component/granter.class.php',
         'RightsComponent' => '/lib/manager/component/rights.class.php',
         'UpgraderComponent' => '/lib/manager/component/upgrader.class.php',
         'RequestTable' => '/lib/table/request/table.class.php',
         'RequestTableCellRenderer' => '/lib/table/request/table_cell_renderer.class.php',
         'RequestTableColumnModel' => '/lib/table/request/table_column_model.class.php',
         'RequestTableDataProvider' => '/lib/table/request/table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'Installer' => '/package/install/installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>