<?php
namespace repository\quota\rights;

use common\libraries\DynamicVisualTab;
use common\libraries\DynamicVisualTabsRenderer;
use common\libraries\Utilities;
use common\libraries\Theme;
use common\libraries\ToolbarItem;
use common\libraries\PlatformSetting;
use common\libraries\ActionBarRenderer;
use common\libraries\NotAllowedException;
use common\libraries\Translation;

class AccessorComponent extends Manager
{

    function run()
    {
        if (! $this->get_user()->is_platform_admin())
        {
            throw new NotAllowedException();
        }

        $form = new RightsForm($this, $this->get_url());

        if ($form->validate())
        {
            $success = $form->set_rights();

            $this->redirect(Translation :: get($success ? 'AccessRightsSaved' : 'AccessRightsNotSaved'),
                    ($success ? false : true));
        }
        else
        {
            $this->display_header();
            echo $this->get_tabs(self :: ACTION_ACCESS, $form->toHtml())->render();
            $this->display_footer();
        }
    }
}
?>