$(function()
{
    var timer;
    var buttonName;
    var buttonClass;

    function checkTitle(e, ui)
    {
        var ajaxUri = getPath('WEB_PATH') + 'ajax.php';
        var title = $("#title").val();
        var parentId = $('select[name="parent_id"]').val();
        var categoryName = $('input[name="new_category"]').val();
        var contentObjectId = $('input[name="id"]').val();

        if (title.length == 0)
        {
            $("#title").removeClass('input_valid');
            $("#title").addClass('input_conflict');
            $('button[name="submit_button"]').attr('class', '');
            $('button[name="submit_button"]').addClass('negative error');
            $('button[name="submit_button"]').html(getTranslation('InvalidConflict', null, 'common\\libraries'));
            $('button[name="submit_button"]').bind('click', disableButton);
        }
        else
        {
            if (categoryName.length != 0)
            {
                $("#title").removeClass('input_warning input_conflict');
                $("#title").addClass('input_valid');
                $('button[name="submit_button"]').attr('class', '');
                $('button[name="submit_button"]').addClass(buttonClass);
                $('button[name="submit_button"]').html(buttonName);
                $('button[name="submit_button"]').unbind('click');
            }

            else
            {
                var parameters = {
                    'context' : 'repository',
                    'method' : 'check_title',
                    'title' : title,
                    'parent_id' : parentId,
                    'content_object_id' : contentObjectId
                };

                var response = $.ajax({
                    type : "POST",
                    url : ajaxUri,
                    data : parameters,
                    async : false
                }).success(function(json)
                {
                    if (json.result_code == 409)
                    {
                        $("#title").removeClass('input_valid input_conflict');
                        $("#title").addClass('input_warning');
                        $('button[name="submit_button"]').attr('class', '');
                        $('button[name="submit_button"]').addClass('warning alert');
                        $('button[name="submit_button"]').unbind('click');
                    }
                    else
                    {
                        $("#title").removeClass('input_warning input_conflict');
                        $("#title").addClass('input_valid');
                        $('button[name="submit_button"]').attr('class', '');
                        $('button[name="submit_button"]').addClass(buttonClass);
                        $('button[name="submit_button"]').html(buttonName);
                        $('button[name="submit_button"]').unbind('click');
                    }
                });
            }
        }
    }

    function checkCategoryName(e, ui)
    {
        checkTitle();
        var ajaxUri = getPath('WEB_PATH') + 'ajax.php';
        var categoryName = $('input[name="new_category"]').attr("value");
        var parentId = $('select[name="parent_id"]').attr("value");

        if (categoryName.length == 0)
        {
            $('input[name="new_category"]').removeClass('input_valid');
            $('input[name="new_category"]').removeClass('input_conflict');
            $('button[name="submit_button"]').attr('class', '');
            $('button[name="submit_button"]').html(buttonName);
            $('button[name="submit_button"]').unbind('click');
            $('button[name="submit_button"]').addClass(buttonClass);
        }
        else
        {
            var parameters = {
                'context' : 'repository',
                'method' : 'check_category_name',
                'name' : categoryName,
                'parent_id' : parentId
            };

            var response = $.ajax({
                type : "POST",
                url : ajaxUri,
                data : parameters,
                async : false
            }).success(function(json)
            {
                if (json.result_code == 409)
                {
                    $('input[name="new_category"]').removeClass('input_valid');
                    $('input[name="new_category"]').addClass('input_conflict');
                    $('button[name="submit_button"]').attr('class', '');
                    $('button[name="submit_button"]').addClass('negative error');
                    $('button[name="submit_button"]').html(getTranslation('InvalidConflict', null, 'common\\libraries'));
                    $('button[name="submit_button"]').bind('click', disableButton);
                }
                else
                {
                    $('input[name="new_category"]').removeClass('input_conflict');
                    $('input[name="new_category"]').addClass('input_valid');
                    $('button[name="submit_button"]').attr('class', '');
                    $('button[name="submit_button"]').addClass(buttonClass);
                    $('button[name="submit_button"]').html(buttonName);
                    $('button[name="submit_button"]').unbind('click');
                }
            });
        }
    }

    function disableButton(e, ui)
    {
        e.preventDefault();
    }

    function showNewCategory(e, ui)
    {
        e.preventDefault();
        $("div#new_category").show();
        $("input#add_category").hide();
    }

    $(document).ready(function()
    {
        $("#title").keypress(function(event)
        {
            if (event.keyCode == 13)
            {
                event.preventDefault();
                checkTitle();
            }
            else
            {
                clearTimeout(timer);
                timer = setTimeout(checkTitle, 750);
            }
        });

        $("#title").change(function()
        {
            clearTimeout(timer);
            timer = setTimeout(checkTitle, 750);
        });

        if (typeof support_attachments != 'undefined')
        {
            $('#uploadify').uploadify({
                'uploader' : getPath('WEB_PATH') + '/common/libraries/resources/images/' + getTheme() + '/plugin/jquery/uploadify2/uploadify.swf',
                'script' : getPath('WEB_PATH') + 'common/libraries/php/shared/ajax/upload_image.php',
                'cancelImg' : getPath('WEB_PATH') + '/common/libraries/resources/images/' + getTheme() + '/plugin/jquery/uploadify2/cancel.png',
                'folder' : 'not_important',
                'auto' : true,
                'displayData' : 'percentage',
                'scriptData' : {
                    'owner' : getMemory('_uid')
                },
                onComplete : function(evt, queueID, fileObj, response, data)
                {
                    var properties = eval('(' + response + ')');

                    $('#attachments_search_field').val(properties.title);
                    $('#tbl_attachments').trigger('update_search');
                    
                    $('#lo_' + properties.id).trigger('activate');
                }
            });
        }

        $("div#new_category").hide();
        $("input#add_category").show();
        $("input#add_category").live('click', showNewCategory);

        $("input[name='new_category']").keypress(function(event)
        {
            if (event.keyCode == 13)
            {
                event.preventDefault();
                checkCategoryName();
            }
            else
            {
                clearTimeout(timer);
                timer = setTimeout(checkCategoryName, 750);
            }
        });

        $("input[name='new_category']").change(function()
        {
            clearTimeout(timer);
            timer = setTimeout(checkCategoryName, 750);
        });

        $("select[name='parent_id']").change(function()
        {
            checkCategoryName();
        });

        buttonName = $('button[name="submit_button"]').val();
        buttonClass = $('button[name="submit_button"]').attr('class');
    });

});