<?php

namespace rights;

use common\libraries\AdvancedElementFinderElement;

use user\UserAjaxUsersFeed;

/**
 * Feed to return users from the user entity
 *
 * @package rights
 *
 * @author Sven Vanpoucke - Hogeschool Gent
 */
class RightsAjaxUserEntityFeed extends UserAjaxUsersFeed
{
    /**
     * Returns the advanced element finder element for the given user
     *
     * @param User $user
     *
     * @return AdvancedElementFinderElement
     */
    protected function get_element_for_user($user)
    {
	return new AdvancedElementFinderElement(UserEntity :: ENTITY_TYPE . '_' . $user->get_id(), 'type type_user', 
		$user->get_fullname(), $user->get_official_code());
    }
}

?>