<?php
namespace rights;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'RightsAjaxPlatformGroupEntityFeed' => '/ajax/platform_group_entity_feed.class.php',
         'RightsAjaxUserEntityFeed' => '/ajax/user_entity_feed.class.php',
         'GroupRightLocation' => '/lib/group_right_location.class.php',
         'Location' => '/lib/location.class.php',
         'LocationMenu' => '/lib/location_menu.class.php',
         'LocationRightMenu' => '/lib/location_right_menu.class.php',
         'Right' => '/lib/right.class.php',
         'RightsDataManager' => '/lib/rights_data_manager.class.php',
         'RightsDataManagerInterface' => '/lib/rights_data_manager_interface.class.php',
         'RightsEntityInterface' => '/lib/rights_entity_interface.class.php',
         'RightsLocation' => '/lib/rights_location.class.php',
         'RightsLocationEntityRight' => '/lib/rights_location_entity_right.class.php',
         'RightsPlatformGroupEntity' => '/lib/rights_platform_group_entity.class.php',
         'RightsTemplate' => '/lib/rights_template.class.php',
         'RightsTemplateEntity' => '/lib/rights_template_entity.class.php',
         'RightsTemplateRightLocation' => '/lib/rights_template_right_location.class.php',
         'RightsUserEntity' => '/lib/rights_user_entity.class.php',
         'RightsUtil' => '/lib/rights_util.class.php',
         'RightsUtilities' => '/lib/rights_utilities.class.php',
         'TypeTemplate' => '/lib/type_template.class.php',
         'TypeTemplateRightLocation' => '/lib/type_template_right_location.class.php',
         'UserRightLocation' => '/lib/user_right_location.class.php',
         'Mdb2RightsDataManager' => '/lib/data_manager/mdb2.class.php',
         'DatabaseLocationResultSet' => '/lib/data_manager/database/database_location_result_set.class.php',
         'DatabaseRightsTemplateResultSet' => '/lib/data_manager/database/database_rights_template_result_set.class.php',
         'DatabaseRightsTemplateRightLocationResultSet' => '/lib/data_manager/database/database_rights_template_right_location_result_set.class.php',
         'DatabaseRightResultSet' => '/lib/data_manager/database/database_right_result_set.class.php',
         'NestedRightsEntity' => '/lib/entities/nested_rights_entity.class.php',
         'NewPlatformGroupEntity' => '/lib/entities/new_platform_group_entity.class.php',
         'NewUserEntity' => '/lib/entities/new_user_entity.class.php',
         'PlatformGroupEntity' => '/lib/entities/platform_group_entity.class.php',
         'RightsEntity' => '/lib/entities/rights_entity.class.php',
         'TemplateEntity' => '/lib/entities/template_entity.class.php',
         'UserEntity' => '/lib/entities/user_entity.class.php',
         'LocationPlatformGroupBrowserTableCellRenderer' => '/lib/entities/platform_group/location_platform_group_cell_renderer.class.php',
         'LocationPlatformGroupBrowserTableColumnModel' => '/lib/entities/platform_group/location_platform_group_column_model.class.php',
         'LocationTemplateBrowserTableColumnModel' => '/lib/entities/template/location_template_column_model.class.php',
         'LocationUserBrowserTableColumnModel' => '/lib/user_right_manager/component/location_user_browser_table/location_user_browser_table_column_model.class.php',
         'RightsTemplateForm' => '/lib/forms/rights_template_form.class.php',
         'RightsTemplateRequestForm' => '/lib/forms/right_request_form.class.php',
         'TypeTemplateForm' => '/lib/forms/type_template_form.class.php',
         'GroupRightManager' => '/lib/group_right_manager/group_right_manager.class.php',
         'GroupRightManagerBrowserComponent' => '/lib/group_right_manager/component/browser.class.php',
         'GroupRightManagerGroupComponent' => '/lib/group_right_manager/component/group.class.php',
         'GroupRightManagerSetterComponent' => '/lib/group_right_manager/component/setter.class.php',
         'GroupLocationBrowserTable' => '/lib/group_right_manager/component/group_location_browser_table/group_location_browser_table.class.php',
         'GroupLocationBrowserTableCellRenderer' => '/lib/group_right_manager/component/group_location_browser_table/group_location_browser_table_cell_renderer.class.php',
         'GroupLocationBrowserTableColumnModel' => '/lib/group_right_manager/component/group_location_browser_table/group_location_browser_table_column_model.class.php',
         'GroupLocationBrowserTableDataProvider' => '/lib/group_right_manager/component/group_location_browser_table/group_location_browser_table_data_provider.class.php',
         'LocationGroupBrowserTable' => '/lib/group_right_manager/component/location_group_browser_table/location_group_browser_table.class.php',
         'LocationGroupBrowserTableCellRenderer' => '/lib/group_right_manager/component/location_group_browser_table/location_group_browser_table_cell_renderer.class.php',
         'LocationGroupBrowserTableColumnModel' => '/lib/group_right_manager/component/location_group_browser_table/location_group_browser_table_column_model.class.php',
         'LocationGroupBrowserTableDataProvider' => '/lib/group_right_manager/component/location_group_browser_table/location_group_browser_table_data_provider.class.php',
         'LocationManager' => '/lib/location_manager/location_manager.class.php',
         'LocationManagerBrowserComponent' => '/lib/location_manager/component/browser.class.php',
         'LocationManagerDisinheriterComponent' => '/lib/location_manager/component/disinheriter.class.php',
         'LocationManagerInheriterComponent' => '/lib/location_manager/component/inheriter.class.php',
         'LocationManagerLockerComponent' => '/lib/location_manager/component/locker.class.php',
         'LocationManagerUnlockerComponent' => '/lib/location_manager/component/unlocker.class.php',
         'LocationBrowserTable' => '/lib/location_manager/component/location_browser_table/location_browser_table.class.php',
         'LocationBrowserTableCellRenderer' => '/lib/location_manager/component/location_browser_table/location_browser_table_cell_renderer.class.php',
         'LocationBrowserTableColumnModel' => '/lib/location_manager/component/location_browser_table/location_browser_table_column_model.class.php',
         'LocationBrowserTableDataProvider' => '/lib/location_manager/component/location_browser_table/location_browser_table_data_provider.class.php',
         'RightsManager' => '/lib/rights_manager/rights_manager.class.php',
         'RightsManagerGroupComponent' => '/lib/rights_manager/component/group.class.php',
         'RightsManagerLocaterComponent' => '/lib/rights_manager/component/locater.class.php',
         'RightsManagerRightRequesterComponent' => '/lib/rights_manager/component/right_requester.class.php',
         'RightsManagerTemplaterComponent' => '/lib/rights_manager/component/templater.class.php',
         'RightsManagerTypeTemplaterComponent' => '/lib/rights_manager/component/type_templater.class.php',
         'RightsManagerUserComponent' => '/lib/rights_manager/component/user.class.php',
         'RightsTemplateManager' => '/lib/rights_template_manager/rights_template_manager.class.php',
         'RightsTemplateManagerBrowserComponent' => '/lib/rights_template_manager/component/browser.class.php',
         'RightsTemplateManagerConfigurerComponent' => '/lib/rights_template_manager/component/configurer.class.php',
         'RightsTemplateManagerCreatorComponent' => '/lib/rights_template_manager/component/creator.class.php',
         'RightsTemplateManagerDeleterComponent' => '/lib/rights_template_manager/component/deleter.class.php',
         'RightsTemplateManagerDisinheriterComponent' => '/lib/rights_template_manager/component/disinheriter.class.php',
         'RightsTemplateManagerEditorComponent' => '/lib/rights_template_manager/component/editor.class.php',
         'RightsTemplateManagerInheriterComponent' => '/lib/rights_template_manager/component/inheriter.class.php',
         'RightsTemplateManagerLockerComponent' => '/lib/rights_template_manager/component/locker.class.php',
         'RightsTemplateManagerRightsTemplaterComponent' => '/lib/rights_template_manager/component/rights_templater.class.php',
         'RightsTemplateManagerSetterComponent' => '/lib/rights_template_manager/component/setter.class.php',
         'RightsTemplateManagerUnlockerComponent' => '/lib/rights_template_manager/component/unlocker.class.php',
         'LocationRightsTemplateBrowserTable' => '/lib/rights_template_manager/component/location_rights_template_browser_table/location_rights_template_browser_table.class.php',
         'LocationRightsTemplateBrowserTableCellRenderer' => '/lib/rights_template_manager/component/location_rights_template_browser_table/location_rights_template_browser_table_cell_renderer.class.php',
         'LocationRightsTemplateBrowserTableColumnModel' => '/lib/rights_template_manager/component/location_rights_template_browser_table/location_rights_template_browser_table_column_model.class.php',
         'LocationRightsTemplateBrowserTableDataProvider' => '/lib/rights_template_manager/component/location_rights_template_browser_table/location_rights_template_browser_table_data_provider.class.php',
         'RightsTemplateBrowserTable' => '/lib/rights_template_manager/component/rights_template_browser_table/rights_template_browser_table.class.php',
         'RightsTemplateBrowserTableCellRenderer' => '/lib/rights_template_manager/component/rights_template_browser_table/rights_template_browser_table_cell_renderer.class.php',
         'RightsTemplateBrowserTableColumnModel' => '/lib/rights_template_manager/component/rights_template_browser_table/rights_template_browser_table_column_model.class.php',
         'RightsTemplateBrowserTableDataProvider' => '/lib/rights_template_manager/component/rights_template_browser_table/rights_template_browser_table_data_provider.class.php',
         'RightsTemplateLocationBrowserTable' => '/lib/rights_template_manager/component/rights_template_location_browser_table/rights_template_location_browser_table.class.php',
         'RightsTemplateLocationBrowserTableCellRenderer' => '/lib/rights_template_manager/component/rights_template_location_browser_table/rights_template_location_browser_table_cell_renderer.class.php',
         'RightsTemplateLocationBrowserTableColumnModel' => '/lib/rights_template_manager/component/rights_template_location_browser_table/rights_template_location_browser_table_column_model.class.php',
         'RightsTemplateLocationBrowserTableDataProvider' => '/lib/rights_template_manager/component/rights_template_location_browser_table/rights_template_location_browser_table_data_provider.class.php',
         'DefaultLocationTableCellRenderer' => '/lib/tables/location_table/default_location_table_cell_renderer.class.php',
         'DefaultLocationTableColumnModel' => '/lib/tables/location_table/default_location_table_column_model.class.php',
         'DefaultRightsTemplateTableCellRenderer' => '/lib/tables/rights_template_table/default_rights_template_table_cell_renderer.class.php',
         'DefaultRightsTemplateTableColumnModel' => '/lib/tables/rights_template_table/default_rights_template_table_column_model.class.php',
         'DefaultTypeTemplateTableCellRenderer' => '/lib/tables/type_template_table/default_type_template_table_cell_renderer.class.php',
         'DefaultTypeTemplateTableColumnModel' => '/lib/tables/type_template_table/default_type_template_table_column_model.class.php',
         'TypeTemplateManager' => '/lib/type_template_manager/type_template_manager.class.php',
         'TypeTemplateManagerBrowserComponent' => '/lib/type_template_manager/component/browser.class.php',
         'TypeTemplateManagerCreatorComponent' => '/lib/type_template_manager/component/creator.class.php',
         'TypeTemplateManagerDeleterComponent' => '/lib/type_template_manager/component/deleter.class.php',
         'TypeTemplateManagerEditorComponent' => '/lib/type_template_manager/component/editor.class.php',
         'TypeTemplateManagerRightsTemplaterComponent' => '/lib/type_template_manager/component/rights_templater.class.php',
         'TypeTemplateBrowserTable' => '/lib/type_template_manager/component/type_template_browser_table/type_template_browser_table.class.php',
         'TypeTemplateBrowserTableCellRenderer' => '/lib/type_template_manager/component/type_template_browser_table/type_template_browser_table_cell_renderer.class.php',
         'TypeTemplateBrowserTableColumnModel' => '/lib/type_template_manager/component/type_template_browser_table/type_template_browser_table_column_model.class.php',
         'TypeTemplateBrowserTableDataProvider' => '/lib/type_template_manager/component/type_template_browser_table/type_template_browser_table_data_provider.class.php',
         'UserRightManager' => '/lib/user_right_manager/user_right_manager.class.php',
         'UserRightManagerBrowserComponent' => '/lib/user_right_manager/component/browser.class.php',
         'UserRightManagerSetterComponent' => '/lib/user_right_manager/component/setter.class.php',
         'UserRightManagerUserComponent' => '/lib/user_right_manager/component/user.class.php',
         'LocationUserBrowserTable' => '/lib/user_right_manager/component/location_user_browser_table/location_user_browser_table.class.php',
         'LocationUserBrowserTableCellRenderer' => '/lib/user_right_manager/component/location_user_browser_table/location_user_browser_table_cell_renderer.class.php',
         'LocationUserBrowserTableDataProvider' => '/lib/user_right_manager/component/location_user_browser_table/location_user_browser_table_data_provider.class.php',
         'UserLocationBrowserTable' => '/lib/user_right_manager/component/user_location_browser_table/user_location_browser_table.class.php',
         'UserLocationBrowserTableCellRenderer' => '/lib/user_right_manager/component/user_location_browser_table/user_location_browser_table_cell_renderer.class.php',
         'UserLocationBrowserTableColumnModel' => '/lib/user_right_manager/component/user_location_browser_table/user_location_browser_table_column_model.class.php',
         'UserLocationBrowserTableDataProvider' => '/lib/user_right_manager/component/user_location_browser_table/user_location_browser_table_data_provider.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'RightsInstaller' => '/package/install/rights_installer.class.php',
         'ReportingRights' => '/reporting/reporting_rights.class.php',
         'RightsDataReportingTemplate' => '/reporting/templates/rights_data_reporting_template.class.php',
         'RightsTemplatesRightChangesTracker' => '/trackers/roles_right_changes_tracker.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>