<?php
namespace rights;

use common\libraries\AdvancedElementFinderElementType;
use common\libraries\Translation;

/**
 * Extension on the user entity to fix the issue that the feeds don't return 'entity_type'_'entity_id'
 * but return group_'entity_id'
 *
 * This is the correct way for the group entities and this should be used in the future
 *
 * @author Sven Vanpoucke
 *
 * @deprecated - Use the PlatformGroupEntity, we have changed the functions to work correctly
 */
class NewPlatformGroupEntity extends PlatformGroupEntity
{
    /**
     * Retrieves the type for the advanced element finder for the simple rights editor
     */
    function get_element_finder_type()
    {
        return new AdvancedElementFinderElementType('platform_groups', Translation :: get('PlatformGroups'),
		RightsManager :: APPLICATION_NAME, 'platform_group_entity_feed', array());
    }

}

?>
