<?php

namespace rights;

use common\libraries\ObjectTableColumn;
use common\libraries\Application;
use common\libraries\Path;

use user\UserManager;

use group\GroupManager;
use group\Group;

use common\extensions\new_rights_editor_manager\LocationEntityBrowserTableColumnModel;

/**
 * Cell renderer for the platform group entity browser
 * @author Sven Vanpoucke
 */
class LocationPlatformGroupBrowserTableColumnModel extends LocationEntityBrowserTableColumnModel
{
    const COLUMN_USERS = 'users';
    const COLUMN_SUBGROUPS = 'subgroups';

    function __construct($browser)
    {
        $columns = array();
        parent :: __construct($browser, $this->get_columns());
    }

    /**
     * Determines the default columns for this column model
     * 
     * @return Array[ObjectTableColumn]
     */
    function get_columns()
    {
        $user_namespace = Application :: determine_namespace(UserManager :: APPLICATION_NAME);
        $group_namespace = Application :: determine_namespace(GroupManager :: APPLICATION_NAME);
        
        $columns = array();
        $columns[] = new ObjectTableColumn(Group :: PROPERTY_NAME, true);
        $columns[] = new ObjectTableColumn(Group :: PROPERTY_DESCRIPTION, true);
        $columns[] = new ObjectTableColumn(Group :: PROPERTY_CODE, true);
        $columns[] = new ObjectTableColumn(self :: COLUMN_USERS, false, null, true, $user_namespace);
        $columns[] = new ObjectTableColumn(self :: COLUMN_SUBGROUPS, false, null, true, $group_namespace);
        return $columns;
    }
}

?>
