<?php

namespace rights;

use common\libraries\ObjectTableColumn;
use common\libraries\Application;
use common\libraries\Path;

use rights\RightsManager;
use rights\RightsTemplate;

use common\extensions\new_rights_editor_manager\LocationEntityBrowserTableColumnModel;

/**
 * Cell renderer for the template entity browser
 * @author Sven Vanpoucke
 */
class LocationTemplateBrowserTableColumnModel extends LocationEntityBrowserTableColumnModel
{

    function __construct($browser)
    {
        $columns = array();
        parent :: __construct($browser, $this->get_columns());
    }

    /**
     * Determines the default columns for this column model
     * 
     * @return Array[ObjectTableColumn]
     */
    function get_columns()
    {
        $rights_namespace = Application :: determine_namespace(RightsManager :: APPLICATION_NAME);
        
        $columns = array();
        
        $columns[] = new ObjectTableColumn(RightsTemplate :: PROPERTY_NAME, true, null, true, $rights_namespace);
        
        return $columns;
    }
}

?>
