<?php
namespace rights;

use group\GroupDataManager;
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of rights_platform_group_entity
 *
 * @author Pieterjan Broekaert
 */
class RightsPlatformGroupEntity implements RightsEntityInterface
{
    
    const ENTITY_TYPE = 2;
    
    private $platform_group_cache;
    private $linked_templates; //no need to retrieve platform groups when retrieving templates
    

    private static $instance;

    static function get_instance()
    {
        if (! isset(self :: $instance))
        {
            self :: $instance = new self();
        }
        return self :: $instance;
    }

    function get_entity_type()
    {
        return RightsTemplateEntity :: ENTITY_TYPE;
    }

    function get_entity_items($user_id)
    {
        if (is_null($this->platform_group_cache[$user_id])) //todo: if a user is not subscribed in any group, this check should also return true (avoid query with empty results)
        {
            $groups_and_templates = GroupDataManager :: get_instance()->retrieve_all_groups_and_templates($user_id);
            while ($record = $groups_and_templates->next_result())
            {
                $groups[$record->get_optional_property('group_id')] = 1;
                $groups[$record->get_default_property('parent_id')] = 1;
                $templates[$record->get_optional_property('rights_template_id')] = 1;
            }
            
            $this->platform_group_cache[$user_id] = $groups;
            $this->linked_templates[$user_id] = $templates;
        }
        return $this->platform_group_cache[$user_id];
    }

    /**
     * Deprecated
     * @param <type> $right
     * @param <type> $entity_id
     * @param <type> $location_id
     * @return <type>
     */
    function get_entity_right_location($right, $entity_id, $location_id)
    {
        $rdm = RightsDataManager :: get_instance();
        $object = $rdm->retrieve_group_right_location($right, $entity_id, $location_id);
        
        if ($object instanceof GroupRightLocation)
        {
            return $object->get_value();
        }
        else
        {
            return 0;
        }
    }

    function get_linked_templates($user_id)
    {
        if (is_null($this->linked_templates[$user_id]))
        {
            $this->get_entity_items($user_id);
        }
        return $this->linked_templates[$user_id];
    }
}

?>
