<?php

namespace rights;

use common\libraries\EqualityCondition;
use user\UserRightsTemplate;
use user\UserDataManager;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of rights_template_entity
 *
 * @author Pieterjan Broekaert
 */
class RightsTemplateEntity implements RightsEntityInterface
{
    
    const ENTITY_TYPE = 3;
    
    private $template_cache;
    
    private static $instance;

    static function get_instance()
    {
        if (! isset(self :: $instance))
        {
            self :: $instance = new self();
        }
        return self :: $instance;
    }

    function get_entity_items($user_id)
    {
        //templates linked to platform groups
        if (is_null($this->template_cache[$user_id]))
        {
            $this->template_cache[$user_id] = RightsPlatformGroupEntity :: get_instance()->get_linked_templates($user_id);
            
            //templates linked to the user
            $udm = UserDataManager :: get_instance();
            $condition = new EqualityCondition(UserRightsTemplate :: PROPERTY_USER_ID, $user_id);
            $user_templates = $udm->retrieve_user_rights_templates($condition);
            
            while ($template = $user_templates->next_result())
            {
                $this->template_cache[$user_id][$template->get_rights_template_id()] = 1;
            }
        }
        return $this->template_cache[$user_id];
    }

    function get_entity_type()
    {
        return RightsTemplateEntity :: ENTITY_TYPE;
    }

    /**
     * Deprecated
     * @param <type> $right
     * @param <type> $entity_id
     * @param <type> $location_id
     * @return <type>
     */
    function get_entity_right_location($right, $entity_id, $location_id)
    {
        $rdm = RightsDataManager :: get_instance();
        $object = $rdm->retrieve_rights_template_right_location($right, $entity_id, $location_id);
        
        if ($object instanceof RightsTemplateRightLocation)
        {
            return $object->get_value();
        }
        else
        {
            return 0;
        }
    }

}

?>
