<?php
namespace tracking;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'AggregateTracker' => '/lib/aggregate_tracker.class.php',
         'ArchiveControllerItem' => '/lib/archive_controller_item.class.php',
         'ChangesTracker' => '/lib/changes_tracker.class.php',
         'Event' => '/lib/event.class.php',
         'Events' => '/lib/events.class.php',
         'EventRelTracker' => '/lib/event_rel_tracker.class.php',
         'MainTracker' => '/lib/main_tracker.class.php',
         'SimpleTracker' => '/lib/simple_tracker.class.php',
         'Tracker' => '/lib/tracker.class.php',
         'TrackerRegistration' => '/lib/tracker_registration.class.php',
         'TrackerSetting' => '/lib/tracker_setting.class.php',
         'TrackingDataManager' => '/lib/tracking_data_manager.class.php',
         'TrackingDataManagerInterface' => '/lib/tracking_data_manager_interface.class.php',
         'TrackingRights' => '/lib/tracking_rights.class.php',
         'Mdb2TrackingDataManager' => '/lib/data_manager/mdb2.class.php',
         'DefaultEventTableCellRenderer' => '/lib/event_table/default_event_table_cell_renderer.class.php',
         'DefaultEventTableColumnModel' => '/lib/event_table/default_event_table_column_model.class.php',
         'TrackingManager' => '/lib/tracking_manager/tracking_manager.class.php',
         'TrackingManagerActivityChangerComponent' => '/lib/tracking_manager/component/activity_changer.class.php',
         'TrackingManagerAdminEventBrowserComponent' => '/lib/tracking_manager/component/admin_event_browser.class.php',
         'TrackingManagerAdminEventViewerComponent' => '/lib/tracking_manager/component/admin_event_viewer.class.php',
         'TrackingManagerArchiverComponent' => '/lib/tracking_manager/component/archiver.class.php',
         'TrackingManagerEmptyEventTrackerComponent' => '/lib/tracking_manager/component/empty_event_tracker.class.php',
         'TrackingManagerEmptyTrackerComponent' => '/lib/tracking_manager/component/empty_tracker.class.php',
         'TrackingManagerEventActivatorComponent' => '/lib/tracking_manager/component/event_activator.class.php',
         'TrackingManagerEventDeactivatorComponent' => '/lib/tracking_manager/component/event_deactivator.class.php',
         'TrackingManagerRightsEditorComponent' => '/lib/tracking_manager/component/rights_editor.class.php',
         'EventBrowserTable' => '/lib/tracking_manager/component/admin_event_browser/event_browser_table.class.php',
         'EventBrowserTableCellRenderer' => '/lib/tracking_manager/component/admin_event_browser/event_browser_table_cell_renderer.class.php',
         'EventBrowserTableColumnModel' => '/lib/tracking_manager/component/admin_event_browser/event_browser_table_column_model.class.php',
         'EventBrowserTableDataProvider' => '/lib/tracking_manager/component/admin_event_browser/event_browser_table_data_provider.class.php',
         'AdminEventViewerActionHandler' => '/lib/tracking_manager/component/admin_event_viewer/admin_event_viewer_action_handler.class.php',
         'AdminEventViewerCellRenderer' => '/lib/tracking_manager/component/admin_event_viewer/admin_event_viewer_cell_renderer.class.php',
         'AdminEventViewerTrackingTableCellRenderer' => '/lib/tracking_manager/component/admin_event_viewer/admin_event_viewer_tracking_table_cell_renderer.class.php',
         'ArchiveWizard' => '/lib/tracking_manager/component/wizards/archive_wizard.class.php',
         'ArchiveWizardDisplay' => '/lib/tracking_manager/component/wizards/archive/archive_wizard_display.class.php',
         'ArchiveWizardPage' => '/lib/tracking_manager/component/wizards/archive/archive_wizard_page.class.php',
         'ArchiveWizardProcess' => '/lib/tracking_manager/component/wizards/archive/archive_wizard_process.class.php',
         'ConfirmationArchiveWizardPage' => '/lib/tracking_manager/component/wizards/archive/confirmation_archive_wizard_page.class.php',
         'SettingsArchiveWizardPage' => '/lib/tracking_manager/component/wizards/archive/settings_archive_wizard_page.class.php',
         'ValidateSettings' => '/lib/tracking_manager/component/wizards/archive/settings_archive_wizard_page.class.php',
         'TrackersSelectionArchiveWizardPage' => '/lib/tracking_manager/component/wizards/archive/trackers_selection_archive_wizard_page.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'TrackingInstaller' => '/package/install/tracking_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>