<?php
namespace user;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'UserAjaxUsersFeed' => '/ajax/users_feed.class.php',
         'UserBlock' => '/blocks/user_block.class.php',
         'UserLogin' => '/blocks/type/login.class.php',
         'BuddyList' => '/lib/buddy_list.class.php',
         'BuddyListCategory' => '/lib/buddy_list_category.class.php',
         'BuddyListItem' => '/lib/buddy_list_item.class.php',
         'ChatManager' => '/lib/chat_manager.class.php',
         'ChatMessage' => '/lib/chat_message.class.php',
         'DataManager' => '/lib/data_manager.class.php',
         'Session' => '/lib/session.class.php',
         'User' => '/lib/user.class.php',
         'UserDataManager' => '/lib/user_data_manager.class.php',
         'UserDataManagerInterface' => '/lib/user_data_manager_interface.class.php',
         'UserDetails' => '/lib/user_details.class.php',
         'UserGroups' => '/lib/user_groups.class.php',
         'UserMenu' => '/lib/user_menu.class.php',
         'UserRights' => '/lib/user_rights.class.php',
         'UserRightsTemplate' => '/lib/user_rights_template.class.php',
         'UserSetting' => '/lib/user_setting.class.php',
         'DoctrineDataManager' => '/lib/data_manager/doctrine.class.php',
         'Mdb2DataManager' => '/lib/data_manager/mdb2.class.php',
         'AccountForm' => '/lib/forms/account_form.class.php',
         'BuddyListCategoryForm' => '/lib/forms/buddy_list_category_form.class.php',
         'BuddyListItemForm' => '/lib/forms/buddy_list_item_form.class.php',
         'InvitationRegistrationForm' => '/lib/forms/invitation_registration_form.class.php',
         'RegisterForm' => '/lib/forms/register_form.class.php',
         'UserExportForm' => '/lib/forms/user_export_form.class.php',
         'UserForm' => '/lib/forms/user_form.class.php',
         'UserImportForm' => '/lib/forms/user_import_form.class.php',
         'UserRightsTemplateManagerForm' => '/lib/forms/user_rights_template_manager_form.class.php',
         'UserSearchForm' => '/lib/forms/user_search_form.class.php',
         'UserManager' => '/lib/user_manager/user_manager.class.php',
         'UserManagerAccountComponent' => '/lib/user_manager/component/account.class.php',
         'UserManagerActivatorComponent' => '/lib/user_manager/component/activator.class.php',
         'UserManagerActiveChangerComponent' => '/lib/user_manager/component/active_changer.class.php',
         'UserManagerAdditionalAccountInformationComponent' => '/lib/user_manager/component/additional_account_information.class.php',
         'UserManagerAdminUserComponent' => '/lib/user_manager/component/admin_user.class.php',
         'UserManagerAdminUserBrowserComponent' => '/lib/user_manager/component/admin_user_browser.class.php',
         'UserManagerBuddyListCategoryCreatorComponent' => '/lib/user_manager/component/buddy_list_category_creator.class.php',
         'UserManagerBuddyListCategoryDeleterComponent' => '/lib/user_manager/component/buddy_list_category_deleter.class.php',
         'UserManagerBuddyListCategoryEditorComponent' => '/lib/user_manager/component/buddy_list_category_editor.class.php',
         'UserManagerBuddyListItemCategoryChangerComponent' => '/lib/user_manager/component/buddy_list_item_category_changer.class.php',
         'UserManagerBuddyListItemCreatorComponent' => '/lib/user_manager/component/buddy_list_item_creator.class.php',
         'UserManagerBuddyListItemDeleterComponent' => '/lib/user_manager/component/buddy_list_item_deleter.class.php',
         'UserManagerBuddyListItemStatusChangerComponent' => '/lib/user_manager/component/buddy_list_item_status_changer.class.php',
         'UserManagerBuddyListViewerComponent' => '/lib/user_manager/component/buddy_list_viewer.class.php',
         'UserManagerChangeUserComponent' => '/lib/user_manager/component/change_user.class.php',
         'UserManagerCreatorComponent' => '/lib/user_manager/component/creator.class.php',
         'UserManagerDeactivatorComponent' => '/lib/user_manager/component/deactivator.class.php',
         'UserManagerDeleterComponent' => '/lib/user_manager/component/deleter.class.php',
         'UserManagerEmailerComponent' => '/lib/user_manager/component/emailer.class.php',
         'UserManagerExporterComponent' => '/lib/user_manager/component/exporter.class.php',
         'UserManagerImporterComponent' => '/lib/user_manager/component/importer.class.php',
         'UserManagerInviterComponent' => '/lib/user_manager/component/inviter.class.php',
         'UserManagerLoginComponent' => '/lib/user_manager/component/login.class.php',
         'UserManagerLogoutComponent' => '/lib/user_manager/component/logout.class.php',
         'UserManagerMultiPasswordResetterComponent' => '/lib/user_manager/component/multi_password_resetter.class.php',
         'UserManagerQuotaViewerComponent' => '/lib/user_manager/component/quota_viewer.class.php',
         'UserManagerRegisterComponent' => '/lib/user_manager/component/register.class.php',
         'UserManagerReportingComponent' => '/lib/user_manager/component/reporting.class.php',
         'UserManagerResetPasswordComponent' => '/lib/user_manager/component/reset_password.class.php',
         'UserManagerRightsEditorComponent' => '/lib/user_manager/component/rights_editor.class.php',
         'UserManagerUpdaterComponent' => '/lib/user_manager/component/updater.class.php',
         'UserManagerUserAccepterComponent' => '/lib/user_manager/component/user_accepter.class.php',
         'UserManagerUserApprovalBrowserComponent' => '/lib/user_manager/component/user_approval_browser.class.php',
         'UserManagerUserApproverComponent' => '/lib/user_manager/component/user_approver.class.php',
         'UserManagerUserDenierComponent' => '/lib/user_manager/component/user_denier.class.php',
         'UserManagerUserDetailComponent' => '/lib/user_manager/component/user_detail.class.php',
         'UserManagerUserFieldsBuilderComponent' => '/lib/user_manager/component/user_fields_builder.class.php',
         'UserManagerUserRightsTemplateManagerComponent' => '/lib/user_manager/component/user_rights_template_manager.class.php',
         'UserManagerUserSettingsComponent' => '/lib/user_manager/component/user_settings.class.php',
         'AdminUserBrowserTable' => '/lib/user_manager/component/admin_user_browser/admin_user_browser_table.class.php',
         'AdminUserBrowserTableCellRenderer' => '/lib/user_manager/component/admin_user_browser/admin_user_browser_table_cell_renderer.class.php',
         'AdminUserBrowserTableColumnModel' => '/lib/user_manager/component/admin_user_browser/admin_user_browser_table_column_model.class.php',
         'AdminUserBrowserTableDataProvider' => '/lib/user_manager/component/admin_user_browser/admin_user_browser_table_data_provider.class.php',
         'UserApprovalBrowserTable' => '/lib/user_manager/component/user_approval_browser/user_approval_browser_table.class.php',
         'UserApprovalBrowserTableCellRenderer' => '/lib/user_manager/component/user_approval_browser/user_approval_browser_table_cell_renderer.class.php',
         'UserApprovalBrowserTableColumnModel' => '/lib/user_manager/component/user_approval_browser/user_approval_browser_table_column_model.class.php',
         'UserApprovalBrowserTableDataProvider' => '/lib/user_manager/component/user_approval_browser/user_approval_browser_table_data_provider.class.php',
         'DefaultUserTableCellRenderer' => '/lib/user_table/default_user_table_cell_renderer.class.php',
         'DefaultUserTableColumnModel' => '/lib/user_table/default_user_table_column_model.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'UserInstaller' => '/package/install/user_installer.class.php',
         'UserReportingBlock' => '/reporting/user_reporting_block.class.php',
         'BrowsersReportingBlock' => '/reporting/blocks/browsers_reporting_block.class.php',
         'CountriesReportingBlock' => '/reporting/blocks/countries_reporting_block.class.php',
         'OsReportingBlock' => '/reporting/blocks/os_reporting_block.class.php',
         'ProvidersReportingBlock' => '/reporting/blocks/providers_reporting_block.class.php',
         'ReferersReportingBlock' => '/reporting/blocks/referers_reporting_block.class.php',
         'UserActiveInactiveReportingBlock' => '/reporting/blocks/user_active_inactive_reporting_block.class.php',
         'UserNoOfLoginsDayReportingBlock' => '/reporting/blocks/user_no_of_logins_day_reporting_block.class.php',
         'UserNoOfLoginsHourReportingBlock' => '/reporting/blocks/user_no_of_logins_hour_reporting_block.class.php',
         'UserNoOfLoginsMonthReportingBlock' => '/reporting/blocks/user_no_of_logins_month_reporting_block.class.php',
         'UserNoOfLoginsReportingBlock' => '/reporting/blocks/user_no_of_logins_reporting_block.class.php',
         'UserNoOfUsersPictureReportingBlock' => '/reporting/blocks/user_no_of_users_picture_reporting_block.class.php',
         'UserNoOfUsersReportingBlock' => '/reporting/blocks/user_no_of_users_reporting_block.class.php',
         'UserDataReportingTemplate' => '/reporting/templates/user_data_reporting_template.class.php',
         'UserLoginsReportingTemplate' => '/reporting/templates/user_logins_reporting_template.class.php',
         'UserReportingTemplate' => '/reporting/templates/user_reporting_template.class.php',
         'SettingsConnector' => '/settings/connector.class.php',
         'BrowsersTracker' => '/trackers/browsers_tracker.class.php',
         'CountriesTracker' => '/trackers/countries_tracker.class.php',
         'LoginLogoutTracker' => '/trackers/login_logout_tracker.class.php',
         'OsTracker' => '/trackers/os_tracker.class.php',
         'ProvidersTracker' => '/trackers/providers_tracker.class.php',
         'ReferrersTracker' => '/trackers/referrers_tracker.class.php',
         'UserChangesTracker' => '/trackers/user_changes_tracker.class.php',
         'UserTracker' => '/trackers/user_tracker.class.php',
         'VisitTracker' => '/trackers/visit_tracker.class.php',
         'UserValidator' => '/validator/user_validator.class.php',
         'WebServicesUser' => '/webservices/webservices_user.class.php',
         'UserCreateWebserviceHandler' => '/webservices/user/create.class.php',
         'UserDeleteWebserviceHandler' => '/webservices/user/delete.class.php',
         'UserGetWebserviceHandler' => '/webservices/user/get.class.php',
         'UserGetListWebserviceHandler' => '/webservices/user/get_list.class.php',
         'UserUpdateWebserviceHandler' => '/webservices/user/update.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>