<?php
namespace user;
use group\GroupManager;

use group\GroupDataManager;
use common\libraries\Theme;
use common\libraries\Translation;
use common\libraries\Utilities;

class UserGroups
{
    /**
     * The user ID
     */
    private $user_id;
    
    /**
     * Indicates if a border should be included
     */
    private $border;

    /**
     * Constructor
     *
     * @param $user_id int           
     * @param $border boolean
     *            Indicates if a border should be included
     */
    public function __construct($user_id, $border = true)
    {
        $this->user_id = $user_id;
        $this->border = $border;
    }

    /**
     * Returns a HTML representation of the user details
     *
     * @return string
     * @todo Implement further details
     */
    public function toHtml()
    {
        $html[] = '<div ';
        if ($this->border)
        {
            $html[] = 'class="user_details"';
        }
        else
        {
            $html[] = 'class="vertical_space"';
        }
        $html[] = 'style="clear: both;background-image: url(' . Theme :: get_image_path(GroupManager :: context()) . 'logo/22.png);">';
        $html[] = '<div class="title">';
        $html[] = Translation :: get('Platformgroups', null, Utilities :: COMMON_LIBRARIES);
        $html[] = '</div>';
        $html[] = '<div class="description">';
        $html[] = '<ul>';
        $group_relations = GroupDataManager :: get_instance()->retrieve_user_groups($this->user_id);
        if ($group_relations->size() > 0)
        {
            while ($group_relation = $group_relations->next_result())
            {
                $group = GroupDataManager :: get_instance()->retrieve_group($group_relation->get_group_id());
                if ($group)
                {
                    $html[] = '<li>';
                    $html[] = $group->get_name();
                    $html[] = ' (';
                    $html[] = $group->get_code();
                    $html[] = ')';
                    $html[] = '</li>';
                }
            }
        }
        else
        {
            $html[] = Translation :: get('NoPlatformGroupSubscriptions', null, Utilities :: COMMON_LIBRARIES);
        }
        $html[] = '</ul>';
        $html[] = '</div>';
        $html[] = '<div style="clear:both;"><span></span></div>';
        $html[] = '</div>';
        return implode("\n", $html);
    }
}
?>