<?php
namespace user;

use common\libraries\NewObjectTableFormActionsSupport;
use common\libraries\NewObjectTable;
use common\libraries\Utilities;
use common\libraries\Translation;
use common\libraries\ObjectTableFormAction;
use common\libraries\ObjectTableFormActions;
use common\libraries\PlatformSetting;

/**
 * Table to display a set of users.
 */
class AdminUserBrowserTable extends NewObjectTable implements NewObjectTableFormActionsSupport
{
    const TABLE_IDENTIFIER = UserManager :: PARAM_USER_USER_ID;
    const DEFAULT_ROW_COUNT = 20;

    function get_implemented_form_actions()
    {
        $actions = new ObjectTableFormActions(__NAMESPACE__);

        $actions->add_form_action(new ObjectTableFormAction(UserManager :: ACTION_DELETE_USER, Translation :: get('RemoveSelected', null, Utilities :: COMMON_LIBRARIES)));
        $actions->add_form_action(new ObjectTableFormAction(UserManager :: ACTION_ACTIVATE, Translation :: get('ActivateSelected', null, Utilities :: COMMON_LIBRARIES), false));
        $actions->add_form_action(new ObjectTableFormAction(UserManager :: ACTION_DEACTIVATE, Translation :: get('DeactivateSelected', null, Utilities :: COMMON_LIBRARIES)));
        $actions->add_form_action(new ObjectTableFormAction(UserManager :: ACTION_RESET_PASSWORD_MULTI, Translation :: get('ResetPassword')));

        if (PlatformSetting :: get('active_online_email_editor'))
        {
            $actions->add_form_action(new ObjectTableFormAction(UserManager :: ACTION_EMAIL, Translation :: get('EmailSelected'), false));
        }

        return $actions;
    }
}
?>