<?php
namespace user;

use common\libraries\NewObjectTableFormActionsSupport;
use common\libraries\NewObjectTable;
use common\libraries\Utilities;
use common\libraries\Translation;
use common\libraries\Request;
use common\libraries\ObjectTableFormActions;
use common\libraries\ObjectTableFormAction;

/**
 * Table to display a set of users.
 */
class UserApprovalBrowserTable extends NewObjectTable implements NewObjectTableFormActionsSupport
{
    const TABLE_IDENTIFIER = UserManager :: PARAM_USER_USER_ID;
    const DEFAULT_ROW_COUNT = 20;

    public function get_implemented_form_actions()
    {
        $actions = new ObjectTableFormActions(__NAMESPACE__);
        $actions->add_form_action(new ObjectTableFormAction(UserManager :: ACTION_APPROVE_USER, Translation :: get('ApproveSelected'), false));
        $actions->add_form_action(new ObjectTableFormAction(UserManager :: ACTION_DENY_USER, Translation :: get('DenySelected'), false));
        return $actions;
    }
}
?>