<?php
namespace user;

use common\libraries\NewObjectTableCellRendererActionsColumnSupport;
use common\libraries\Translation;
use common\libraries\Theme;
use common\libraries\ToolbarItem;
use common\libraries\Toolbar;

/**
 * Cell renderer for the user object browser table
 */
class UserApprovalBrowserTableCellRenderer extends DefaultUserTableCellRenderer
{
    /**
     * Gets the action links to display
     * @param $user The user for which the
     * action links should be returned
     * @return string A HTML representation of the action links
     */
    public function get_object_actions($user)
    {
        $toolbar = new Toolbar();

        if (! UserRights :: is_allowed(UserRights :: VIEW_RIGHT, UserRights :: LOCATION_APPROVER, UserRights :: TYPE_COMPONENT));
        {
            $um = new UserManager();
            $toolbar->add_item(new ToolbarItem(Translation :: get('Approve'), Theme :: get_common_image_path() . 'action_activate.png', $um->get_approve_user_url($user), ToolbarItem :: DISPLAY_ICON));
            $toolbar->add_item(new ToolbarItem(Translation :: get('Deny'), Theme :: get_common_image_path() . 'action_deinstall.png', $um->get_deny_user_url($user), ToolbarItem :: DISPLAY_ICON));
        }

        return $toolbar->as_html();
    }
}
?>