<?php
namespace user;

use common\libraries\NewObjectTableDataProvider;

/**
 * Data provider for a user browser table. This class implements some functions to allow user browser tables to retrieve
 * information about the users to display.
 */
class UserApprovalBrowserTableDataProvider extends NewObjectTableDataProvider
{

    /**
     * Gets the users
     *
     * @param $user String
     * @param $category String
     * @param $offset int
     * @param $count int
     * @param $order_property string
     * @return ResultSet A set of matching learning objects.
     */
    function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return UserDataManager :: get_instance()->retrieve_approval_users($this->get_condition(), $count, $offset, $order_property);
    }

    /**
     * Gets the number of users in the table
     *
     * @return int
     */
    function get_object_count()
    {
        return UserDataManager :: get_instance()->count_approval_users($this->get_condition());
    }
}
?>