<?php
namespace user;

use common\libraries\Request;
use reporting\ReportingTemplate;

class UserLoginsReportingTemplate extends ReportingTemplate
{

    function __construct($parent)
    {
        parent :: __construct($parent);
        $user_id = Request :: get(UserManager :: PARAM_USER_USER_ID);
        $this->set_parameter(UserManager :: PARAM_USER_USER_ID, $user_id);
        $this->add_reporting_block(new UserNoOfLoginsDayReportingBlock($this));
        $this->add_reporting_block(new UserNoOfLoginsHourReportingBlock($this));
        $this->add_reporting_block(new UserNoOfLoginsMonthReportingBlock($this));
        $this->add_reporting_block(new UserNoOfLoginsReportingBlock($this));
    }

    function get_application()
    {
        return UserManager :: APPLICATION_NAME;
    }

    function display_context()
    {
    }
}
?>