<?php
namespace user;

use reporting\ReportingTemplate;

/**
 * $Id: user_reporting_template.class.php 211 2009-11-13 13:28:39Z vanpouckesven $
 *
 * @package user.reporting.templates
 * @todo : Template configuration: Able to change name, description etc 2 listboxes: one with available reporting blocks
 *       for the app, one with reporting blocks already in template.
 */

class UserReportingTemplate extends ReportingTemplate
{

    function __construct($parent)
    {
        parent :: __construct($parent);

        $this->add_reporting_block(new UserActiveInactiveReportingBlock($this));
        $this->add_reporting_block(new UserNoOfLoginsDayReportingBlock($this));
        $this->add_reporting_block(new UserNoOfLoginsHourReportingBlock($this));
        $this->add_reporting_block(new UserNoOfLoginsMonthReportingBlock($this));
        $this->add_reporting_block(new UserNoOfLoginsReportingBlock($this));
        $this->add_reporting_block(new UserNoOfUsersPictureReportingBlock($this));
        $this->add_reporting_block(new UserNoOfUsersReportingBlock($this));
    }

    function get_application()
    {
        return UserManager :: APPLICATION_NAME;
    }

    function display_context()
    {
    }

    function is_platform()
    {
        return true;
    }
}
?>