<?php
namespace webservice;

class Autoloader
{

    /**
     * The array mapping class names to paths
     *
     * @var multitype:string
     */
     private static $map = array(
         'Autoloader' => '/autoloader.class.php',
         'WebserviceCategory' => '/lib/webservice_category.class.php',
         'WebserviceCategoryMenu' => '/lib/webservice_category_menu.class.php',
         'WebserviceDataManager' => '/lib/webservice_data_manager.class.php',
         'WebserviceDataManagerInterface' => '/lib/webservice_data_manager_interface.class.php',
         'WebserviceRegistration' => '/lib/webservice_registration.class.php',
         'WebserviceRights' => '/lib/webservice_rights.class.php',
         'Mdb2WebserviceDataManager' => '/lib/data_manager/mdb2.class.php',
         'SignatureSimulatorForm' => '/lib/forms/signature_simulator_form.class.php',
         'WebserviceManager' => '/lib/webservice_manager/webservice_manager.class.php',
         'WebserviceManagerRightsEditorComponent' => '/lib/webservice_manager/component/rights_editor.class.php',
         'WebserviceManagerSignatureSimulatorComponent' => '/lib/webservice_manager/component/signature_simulator.class.php',
         'WebserviceManagerWebserviceBrowserComponent' => '/lib/webservice_manager/component/webservice_browser.class.php',
         'WebserviceManagerWebserviceRegistrationComponent' => '/lib/webservice_manager/component/webservice_registration.class.php',
         'WebserviceBrowserTable' => '/lib/webservice_manager/component/webservice_browser_table/webservice_browser_table.class.php',
         'WebserviceBrowserTableCellRenderer' => '/lib/webservice_manager/component/webservice_browser_table/webservice_browser_table_cell_renderer.class.php',
         'WebserviceBrowserTableColumnModel' => '/lib/webservice_manager/component/webservice_browser_table/webservice_browser_table_column_model.class.php',
         'WebserviceBrowserTableDataProvider' => '/lib/webservice_manager/component/webservice_browser_table/webservice_browser_table_data_provider.class.php',
         'DefaultWebserviceTableCellRenderer' => '/lib/webservice_table/default_webservice_table_cell_renderer.class.php',
         'DefaultWebserviceTableColumnModel' => '/lib/webservice_table/default_webservice_table_column_model.class.php',
         'Activator' => '/package/activate/activator.class.php',
         'Deactivator' => '/package/deactivate/deactivator.class.php',
         'WebserviceInstaller' => '/package/install/webservice_installer.class.php'
    );

    /**
     * Try to load the class
     *
     * @param $classname string
     * @return boolean
     */
    static function load($classname)
    {
        if (isset(self :: $map[$classname]))
        {
            require_once __DIR__ . self :: $map[$classname];
            return true;
        }

        return false;
    }

    /**
     * Synchronize the autoloader
     *
     * @param $update boolean
     * @return multitype:string
     */
    static function synch($update)
    {
        return \common\libraries\AutoloaderUtilities :: synch(__DIR__, __DIR__, $update);
    }

}
?>