<?php
namespace webservice;

use common\libraries\AdministrationComponent;
use common\libraries\Translation;

/**
 * Webservice component that simulates the signature calculation used for authentication
 *
 * @author Alexander Van Paemel
 * @package webservices.php.lib.webservice_manager.component
 */
class WebserviceManagerSignatureSimulatorComponent extends WebserviceManager implements AdministrationComponent
{

    function run()
    {
        $this->display_header();

        $form = new SignatureSimulatorForm($this->get_user(), $this->get_url());
        echo $form->toHtml();

        if ($form->validate())
        {
            echo '<p><div style="background-color:#FFF8AA;border: 1px solid #FFD89B;padding: 10px;" >' . $form->calculate_signature() . '</div></p>';
        }

        $this->display_footer();
    }

}

?>
